
note
	
	description: "Access to shared null value checking services"
	author: "David Hollenberg"
	date: "March 2, 2004"

class NULL_VALUE_CHECK_ACCESS

feature {NONE} -- Properties

	check_not_null (col_name: STRING is_null: BOOLEAN obj: ANY)
			-- Check that value for `col_name' in object `obj'
			-- is not null
		require
			col_name_exists: col_name /= Void
			object_exists: obj /= Void
		do
			null_value_checker.check_not_null (col_name, is_null, obj)
		end

	null_value_checker: NULL_VALUE_CHECK_OP
			-- Used to check that column value is not null
		once
			create Result
		end

end
