
note
	
	author: "David Hollenberg"
	date: "April 24, 2003"
	description: "Database binder which binds numeric placeholder to %
		%BOOLEAN"

class DB_BIND_B

inherit
	DB_BINDER

create
	make

feature -- Creation

	make (b: BOOLEAN)
			-- Set `value' to `b'
		do
			value := b
		end
	
feature -- Operations

	bind (q: SQL_STATEMENT)
			-- Bind numeric placeholder in `q' to `value'
		do
			q.set_numeric_bind_capacity (1)
			q.bind_num_to_boolean (1, value, false)
		end

feature -- Properties

	value: BOOLEAN
			-- Value to bind to placeholder :1

end
