
note
	
	author: "Joel Goldberg (reworked by David Hollenberg)"
	date: "January 20, 2000"
	description: "Database binder which binds numeric placeholder to %
		%INTEGER"

class DB_BIND_I

inherit
	DB_BINDER

create
	make

feature -- Creation

	make (i: INTEGER)
			-- Set `value' to `i'
		do
			value := i
		end
	
feature -- Operations

	bind (q: SQL_STATEMENT)
			-- Bind numeric placeholder in `q' to `value'
		do
			q.set_numeric_bind_capacity (1)
			q.bind_num_to_integer (1, value, false)
		end

feature -- Properties

	value: INTEGER
			-- Value to bind to placeholder :1

end

