
note
	
	author: "Joel Goldberg (reworked by David Hollenberg)"
	date: "January 20, 2000"
	description: "Database Binder which binds numeric placeholder to %
		%STRING"

class DB_BIND_S

inherit
	DB_BINDER

create
	make

feature -- Creation

	make (s: STRING)
			-- Set `value' to `s'
		do
			value := s
		end
	
feature -- Operations

	bind (q: SQL_STATEMENT)
			-- Bind numeric placeholder in `q' to `value'
		do
			q.set_numeric_bind_capacity (1)
			q.bind_num_to_string (1, value, false)
		end

feature -- Properties

	value: STRING
			-- Value to bind to placeholder :1

end
