
note
	
	author: "David Hollenberg"
	date: "April 15, 2003"
	description: "Database binder which binds numeric placeholders to %
		%STRING, BOOLEAN"

class DB_BIND_SB

inherit
	DB_BINDER

create
	make

feature -- Creation

	make (s: STRING i: BOOLEAN)
			-- Set `value1' to `s', `value2' to `i'
		do
			value1 := s
			value2 := i
		end
	
feature -- Operations

	bind (q: SQL_STATEMENT)
			-- Bind numeric placeholders in `q' to `value1'
			-- and `value2'
		do
			q.set_numeric_bind_capacity (2)
			q.bind_num_to_string (1, value1, false)
			q.bind_num_to_boolean (2, value2, false)
		end

feature -- Properties

	value1: STRING
			-- Value to bind to placeholder :1

	value2: BOOLEAN
			-- Value to bind to placeholder :2

end
