
note
	
	author: "David Hollenberg"
	date:	"February 26, 1996"
	description: "A query which returns DB_ANONYMOUS_ROW objects from %
		%a relational database"

deferred class DB_ANONYMOUS_QUERY [reference G -> DB_ANONYMOUS_ROW]

inherit
	DB_ROWS_QUERY [G]

feature -- Properties

	distinct: BOOLEAN
			-- Should execution of `Current' return distinct rows?
			-- (Default: no)
		do
		end
	
	group_by: STRING
			-- Group by clause for query
			-- (Default: none)
		do
			Result := model_row.group_by
		end
	
	having: STRING
			-- Having clause for query
			-- (Default: none)
		do
		end
	
	set_operators: STRING
			-- Set operators clause for query (union, union all,
			-- intersect, minus).  No keyword added automatically
			-- (Default: none)
		do
		end
	
	for_update: BOOLEAN = False
			-- Should execution of `Current' select rows for
			-- update, thereby locking the fetched rows?
			-- (Answer: no)
	
	wait: BOOLEAN = False
			-- Should execution of `Current' wait
			-- if `for_update' is true and any
			-- rows are locked by another connection?
			-- (Answer: no.  Not used)
	
feature {NONE} -- Properties

	busy_status_only: BOOLEAN = False
			-- Should execution of `Current' return and
			-- set `is_busy' if any selected rows are
			-- locked by another session?
			-- (Answer: no - cannot happen)
	
end
