
note
	
	author: "David Hollenberg"
	date:	"November 16, 2005"
	description: "An equality tester for database rows that compares %
		%only key columns"

class KEY_COLS_EQUALITY_TESTER [G -> DB_ROW]
inherit
	KL_EQUALITY_TESTER [G]
		redefine
			test
		end

feature
	test (u, v: G): BOOLEAN
		do
			if u /= Void and v /= Void then
				Result := u.key_columns_equal (v)
			elseif u = Void and v = Void then
				Result := True
			else
				Result := False
			end
		end
end
