
note

	date: "Thu Jan 21 12:59:40 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user ALLMOSIS"
	database_tables: 
		"CUST_IC_DESIGN_DESCRS (MOSIS.CUST_IC_DESIGN_DESCRS)"
			-- Included columns
			-- 	DESIGN_NO
			-- 	LINE_NO
			-- 	TEXT
			-- Excluded columns
			-- 	(none)

class CUST_IC_DESIGN_DESCRS_MRAW

inherit

	DB_DELETABLE_ROW
	CUST_IC_DESIGN_DESCRS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_design_no (k: INTEGER)
		do
			change_key_field
			design_no := k
			is_null_design_no := False
		end

	set_line_no (k: INTEGER)
		do
			change_key_field
			line_no := k
			is_null_line_no := False
		end

	set_text (s: STRING)
		do
			change_field (True, True)
			text := s
			if s = Void then
				create text.make (0)
			end
			is_null_text := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_text
		do
			set_text (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, design_no, is_null_design_no)
			s.bind_num_to_integer (2, line_no, is_null_line_no)
			s.bind_num_to_string (3, text, is_null_text)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3"

	bind_list_for_update: STRING = "  design_no = :1, line_no = :2, text = :3"

end
