
note

	date: "Thu Jan 21 12:59:40 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user ALLMOSIS"
	database_tables: 
		"CUST_IC_DESIGN_DESCRS (MOSIS.CUST_IC_DESIGN_DESCRS)"
			-- Included columns
			-- 	DESIGN_NO
			-- 	LINE_NO
			-- 	TEXT
			-- Excluded columns
			-- 	(none)

class CUST_IC_DESIGN_DESCRS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_design_no: INTEGER; the_line_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			design_no := the_design_no
			line_no := the_line_no
			is_null_design_no := False
			is_null_line_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 3

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  design_no, line_no, text"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "cust_ic_design_descrs cidd"

	join_condition: STRING = ""

	table_name: STRING = "cust_ic_design_descrs"

	key_where_clause: STRING = "design_no = :1 and line_no = :2"

feature -- Values

	design_no: INTEGER
			-- DB: NUMBER(6,0) not null

	line_no: INTEGER
			-- DB: NUMBER(3,0) not null

	text: STRING
			-- DB: VARCHAR2(255)

feature -- Nullness for null allowed columns

	is_null_text: BOOLEAN

feature -- Nullness for non-null columns

	is_null_design_no: BOOLEAN
	is_null_line_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and design_no = r.design_no
				and line_no = r.line_no
			Result := Result
				and is_null_design_no = r.is_null_design_no
				and is_null_line_no = r.is_null_line_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (text, r.text)
			Result := Result
				and is_null_text = r.is_null_text
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_integer (2)
			q.select_string (3, 255)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			design_no := q.integer_value (1)
			line_no := q.integer_value (2)
		end

	fill_in_references (q: SQL_QUERY)
		do
			text := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (3, text)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_design_no := q.is_null (1)
			is_null_line_no := q.is_null (2)
			is_null_text := q.is_null (3)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_no := True
			is_null_line_no := True
		end

	set_null_nonkey
		do
			is_null_text := True
			create text.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, design_no, False)
			q.bind_num_to_integer (2, line_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and design_no = q.integer_value (1)
				and line_no = q.integer_value (2)
			q.get_string_value (3, s)
			Result := Result and equal (text, s)
			Result := Result
				and is_null_design_no = q.is_null (1)
				and is_null_line_no = q.is_null (2)
				and is_null_text = q.is_null (3)
		end

end
