
note

	date: "Thu Jan 21 12:59:40 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user ALLMOSIS"
	database_tables: 
		"CUST_IC_DESIGN_FILE_LAYERS (MOSIS.CUST_IC_DESIGN_FILE_LAYERS)"
			-- Included columns
			-- 	DENSITY
			-- 	DESIGN_NO
			-- 	FILE_NO
			-- 	LAYER_NAME
			-- Excluded columns
			-- 	(none)

class CUST_IC_DESIGN_FILE_LAYERS_MRAW

inherit

	DB_DELETABLE_ROW
	CUST_IC_DESIGN_FILE_LAYERS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_density (d: DOUBLE)
		do
			change_field (True, True)
			density := d
			is_null_density := False
		end

	set_design_no (k: INTEGER)
		do
			change_key_field
			design_no := k
			is_null_design_no := False
		end

	set_file_no (k: INTEGER)
		do
			change_key_field
			file_no := k
			is_null_file_no := False
		end

	set_layer_name (s: STRING)
		do
			change_key_field
			layer_name := s
			if s = Void then
				create layer_name.make (0)
			end
			is_null_layer_name := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_density
		do
			change_field (True, True)
			density := 0.0
			is_null_density := True
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_double (1, density, is_null_density)
			s.bind_num_to_integer (2, design_no, is_null_design_no)
			s.bind_num_to_integer (3, file_no, is_null_file_no)
			s.bind_num_to_string (4, layer_name, is_null_layer_name)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4"

	bind_list_for_update: STRING = "  density = :1, design_no = :2, file_no = :3, layer_name = :4"

end
