
note

	date: "Tue Oct  2 16:40:22 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"CUST_IC_DESIGN_FILES (MOSIS.CUST_IC_DESIGN_FILES)"
			-- Included columns
			-- 	BATCH_JOB_NO
			-- 	BINARY_CRC_BYTE_COUNT
			-- 	BINARY_CRC_CHECKSUM
			-- 	CIF_CHECKSUM_1
			-- 	CIF_CHECKSUM_2
			-- 	COMMENTS
			-- 	COMP_TOP_STRUCTURE
			-- 	CONTENT_TYPE_ID
			-- 	CUST_FILENAME
			-- 	CUST_TOP_STRUCTURE
			-- 	DATE_FILE_DELETED
			-- 	DATE_FILE_POSTED
			-- 	DATE_IBM_PREP_QUEUED
			-- 	DELIVERABLE
			-- 	DESIGN_NO
			-- 	DESIGN_TECHN
			-- 	FILENAME_PREFIX
			-- 	FILE_NO
			-- 	FILE_ROLE
			-- 	IC_PACKAGING_NO
			-- 	IS_CHECKSUM_CUST_DECLARED
			-- 	IS_PRELIMINARY
			-- 	PARENT_FILE_NO
			-- 	REVISION_NO
			-- 	SOURCE_DIRECTORY
			-- 	TEXT_CRC_BYTE_COUNT
			-- 	TEXT_CRC_CHECKSUM
			-- 	UPLOAD_VERSION_NO
			-- 	WAFER_LOT_NO
			-- 	WAFER_RUN_ID
			-- 	WORKING_DIRECTORY
			-- Excluded columns
			-- 	(none)

class CUST_IC_DESIGN_FILES_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values
		end
	CUST_IC_DESIGN_FILES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_batch_job_no (k: INTEGER)
		do
			change_field (True, True)
			batch_job_no := k
			is_null_batch_job_no := False
		end

	set_binary_crc_byte_count (d: DOUBLE)
		do
			change_field (True, True)
			binary_crc_byte_count := d
			is_null_binary_crc_byte_count := False
		end

	set_binary_crc_checksum (d: DOUBLE)
		do
			change_field (True, True)
			binary_crc_checksum := d
			is_null_binary_crc_checksum := False
		end

	set_cif_checksum_1 (d: DOUBLE)
		do
			change_field (True, True)
			cif_checksum_1 := d
			is_null_cif_checksum_1 := False
		end

	set_cif_checksum_2 (d: DOUBLE)
		do
			change_field (True, True)
			cif_checksum_2 := d
			is_null_cif_checksum_2 := False
		end

	set_comments (s: STRING)
		do
			change_field (True, True)
			comments := s
			if s = Void then
				create comments.make (0)
			end
			is_null_comments := s = Void or else s.count = 0
		end

	set_comp_top_structure (s: STRING)
		do
			change_field (True, True)
			comp_top_structure := s
			if s = Void then
				create comp_top_structure.make (0)
			end
			is_null_comp_top_structure := s = Void or else s.count = 0
		end

	set_content_type_id (s: STRING)
		do
			change_field (True, True)
			content_type_id := s
			if s = Void then
				create content_type_id.make (0)
			end
			is_null_content_type_id := s = Void or else s.count = 0
		end

	set_cust_filename (s: STRING)
		do
			change_field (True, True)
			cust_filename := s
			if s = Void then
				create cust_filename.make (0)
			end
			is_null_cust_filename := s = Void or else s.count = 0
		end

	set_cust_top_structure (s: STRING)
		do
			change_field (True, True)
			cust_top_structure := s
			if s = Void then
				create cust_top_structure.make (0)
			end
			is_null_cust_top_structure := s = Void or else s.count = 0
		end

	set_date_file_deleted (d: DB_DATE)
		do
			change_field (True, True)
			date_file_deleted := d
			if d = Void then
				create {ORACLE_DATE} date_file_deleted.set_null
			end
			is_null_date_file_deleted := d = Void or else d.is_null
		end

	set_date_file_posted (d: DB_DATE)
		do
			change_field (True, True)
			date_file_posted := d
			if d = Void then
				create {ORACLE_DATE} date_file_posted.set_null
			end
			is_null_date_file_posted := d = Void or else d.is_null
		end

	set_date_ibm_prep_queued (d: DB_DATE)
		do
			change_field (True, True)
			date_ibm_prep_queued := d
			if d = Void then
				create {ORACLE_DATE} date_ibm_prep_queued.set_null
			end
			is_null_date_ibm_prep_queued := d = Void or else d.is_null
		end

	set_deliverable (b: BOOLEAN)
		do
			change_field (True, True)
			deliverable := b
			is_null_deliverable := False
		end

	set_design_no (k: INTEGER)
		do
			change_key_field
			design_no := k
			is_null_design_no := False
		end

	set_design_techn (s: STRING)
		do
			change_field (True, True)
			design_techn := s
			if s = Void then
				create design_techn.make (0)
			end
			is_null_design_techn := s = Void or else s.count = 0
		end

	set_filename_prefix (s: STRING)
		do
			change_field (True, True)
			filename_prefix := s
			if s = Void then
				create filename_prefix.make (0)
			end
			is_null_filename_prefix := s = Void or else s.count = 0
		end

	set_file_no (k: INTEGER)
		do
			change_key_field
			file_no := k
			is_null_file_no := False
		end

	set_file_role (s: STRING)
		do
			change_field (True, True)
			file_role := s
			if s = Void then
				create file_role.make (0)
			end
			is_null_file_role := s = Void or else s.count = 0
		end

	set_ic_packaging_no (k: INTEGER)
		do
			change_field (True, True)
			ic_packaging_no := k
			is_null_ic_packaging_no := False
		end

	set_is_checksum_cust_declared (b: BOOLEAN)
		do
			change_field (True, True)
			is_checksum_cust_declared := b
			is_null_is_checksum_cust_declared := False
		end

	set_is_preliminary (b: BOOLEAN)
		do
			change_field (True, True)
			is_preliminary := b
			is_null_is_preliminary := False
		end

	set_parent_file_no (k: INTEGER)
		do
			change_field (True, True)
			parent_file_no := k
			is_null_parent_file_no := False
		end

	set_revision_no (k: INTEGER)
		do
			change_field (True, True)
			revision_no := k
			is_null_revision_no := False
		end

	set_source_directory (s: STRING)
		do
			change_field (True, True)
			source_directory := s
			if s = Void then
				create source_directory.make (0)
			end
			is_null_source_directory := s = Void or else s.count = 0
		end

	set_text_crc_byte_count (d: DOUBLE)
		do
			change_field (True, True)
			text_crc_byte_count := d
			is_null_text_crc_byte_count := False
		end

	set_text_crc_checksum (d: DOUBLE)
		do
			change_field (True, True)
			text_crc_checksum := d
			is_null_text_crc_checksum := False
		end

	set_upload_version_no (k: INTEGER)
		do
			change_field (True, True)
			upload_version_no := k
			is_null_upload_version_no := False
		end

	set_wafer_lot_no (k: INTEGER)
		do
			change_field (True, True)
			wafer_lot_no := k
			is_null_wafer_lot_no := False
		end

	set_wafer_run_id (s: STRING)
		do
			change_field (True, True)
			wafer_run_id := s
			if s = Void then
				create wafer_run_id.make (0)
			end
			is_null_wafer_run_id := s = Void or else s.count = 0
		end

	set_working_directory (s: STRING)
		do
			change_field (True, True)
			working_directory := s
			if s = Void then
				create working_directory.make (0)
			end
			is_null_working_directory := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_batch_job_no
		do
			change_field (True, True)
			batch_job_no := 0
			is_null_batch_job_no := True
		end

	set_null_binary_crc_byte_count
		do
			change_field (True, True)
			binary_crc_byte_count := 0.0
			is_null_binary_crc_byte_count := True
		end

	set_null_binary_crc_checksum
		do
			change_field (True, True)
			binary_crc_checksum := 0.0
			is_null_binary_crc_checksum := True
		end

	set_null_cif_checksum_1
		do
			change_field (True, True)
			cif_checksum_1 := 0.0
			is_null_cif_checksum_1 := True
		end

	set_null_cif_checksum_2
		do
			change_field (True, True)
			cif_checksum_2 := 0.0
			is_null_cif_checksum_2 := True
		end

	set_null_comments
		do
			set_comments (Void)
		end

	set_null_comp_top_structure
		do
			set_comp_top_structure (Void)
		end

	set_null_cust_filename
		do
			set_cust_filename (Void)
		end

	set_null_cust_top_structure
		do
			set_cust_top_structure (Void)
		end

	set_null_date_file_deleted
		do
			set_date_file_deleted (Void)
		end

	set_null_date_file_posted
		do
			set_date_file_posted (Void)
		end

	set_null_date_ibm_prep_queued
		do
			set_date_ibm_prep_queued (Void)
		end

	set_null_design_techn
		do
			set_design_techn (Void)
		end

	set_null_filename_prefix
		do
			set_filename_prefix (Void)
		end

	set_null_ic_packaging_no
		do
			change_field (True, True)
			ic_packaging_no := 0
			is_null_ic_packaging_no := True
		end

	set_null_is_preliminary
		do
			change_field (True, True)
			is_preliminary := False
			is_null_is_preliminary := True
		end

	set_null_parent_file_no
		do
			change_field (True, True)
			parent_file_no := 0
			is_null_parent_file_no := True
		end

	set_null_revision_no
		do
			change_field (True, True)
			revision_no := 0
			is_null_revision_no := True
		end

	set_null_source_directory
		do
			set_source_directory (Void)
		end

	set_null_text_crc_byte_count
		do
			change_field (True, True)
			text_crc_byte_count := 0.0
			is_null_text_crc_byte_count := True
		end

	set_null_text_crc_checksum
		do
			change_field (True, True)
			text_crc_checksum := 0.0
			is_null_text_crc_checksum := True
		end

	set_null_upload_version_no
		do
			change_field (True, True)
			upload_version_no := 0
			is_null_upload_version_no := True
		end

	set_null_wafer_lot_no
		do
			change_field (True, True)
			wafer_lot_no := 0
			is_null_wafer_lot_no := True
		end

	set_null_wafer_run_id
		do
			set_wafer_run_id (Void)
		end

	set_null_working_directory
		do
			set_working_directory (Void)
		end

feature {NONE} -- Initialization

	set_default_values
		do
			is_checksum_cust_declared := False
			is_null_is_checksum_cust_declared := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, batch_job_no, is_null_batch_job_no)
			s.bind_num_to_double (2, binary_crc_byte_count, is_null_binary_crc_byte_count)
			s.bind_num_to_double (3, binary_crc_checksum, is_null_binary_crc_checksum)
			s.bind_num_to_double (4, cif_checksum_1, is_null_cif_checksum_1)
			s.bind_num_to_double (5, cif_checksum_2, is_null_cif_checksum_2)
			s.bind_num_to_string (6, comments, is_null_comments)
			s.bind_num_to_string (7, comp_top_structure, is_null_comp_top_structure)
			s.bind_num_to_string (8, content_type_id, is_null_content_type_id)
			s.bind_num_to_string (9, cust_filename, is_null_cust_filename)
			s.bind_num_to_string (10, cust_top_structure, is_null_cust_top_structure)
			s.bind_num_to_date (11, date_file_deleted, is_null_date_file_deleted)
			s.bind_num_to_date (12, date_file_posted, is_null_date_file_posted)
			s.bind_num_to_date (13, date_ibm_prep_queued, is_null_date_ibm_prep_queued)
			s.bind_num_to_boolean (14, deliverable, is_null_deliverable)
			s.bind_num_to_integer (15, design_no, is_null_design_no)
			s.bind_num_to_string (16, design_techn, is_null_design_techn)
			s.bind_num_to_string (17, filename_prefix, is_null_filename_prefix)
			s.bind_num_to_integer (18, file_no, is_null_file_no)
			s.bind_num_to_string (19, file_role, is_null_file_role)
			s.bind_num_to_integer (20, ic_packaging_no, is_null_ic_packaging_no)
			s.bind_num_to_boolean (21, is_checksum_cust_declared, is_null_is_checksum_cust_declared)
			s.bind_num_to_boolean (22, is_preliminary, is_null_is_preliminary)
			s.bind_num_to_integer (23, parent_file_no, is_null_parent_file_no)
			s.bind_num_to_integer (24, revision_no, is_null_revision_no)
			s.bind_num_to_string (25, source_directory, is_null_source_directory)
			s.bind_num_to_double (26, text_crc_byte_count, is_null_text_crc_byte_count)
			s.bind_num_to_double (27, text_crc_checksum, is_null_text_crc_checksum)
			s.bind_num_to_integer (28, upload_version_no, is_null_upload_version_no)
			s.bind_num_to_integer (29, wafer_lot_no, is_null_wafer_lot_no)
			s.bind_num_to_string (30, wafer_run_id, is_null_wafer_run_id)
			s.bind_num_to_string (31, working_directory, is_null_working_directory)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18, :19, :20, :21, :22, :23, :24, :25, :26, :27, :28, :29, :30, :31"

	bind_list_for_update: STRING = "  batch_job_no = :1, binary_crc_byte_count = :2, binary_crc_checksum = :3,%N  cif_checksum_1 = :4, cif_checksum_2 = :5, comments = :6,%N  comp_top_structure = :7, content_type_id = :8, cust_filename = :9,%N  cust_top_structure = :10, date_file_deleted = :11,%N  date_file_posted = :12, date_ibm_prep_queued = :13, deliverable = :14,%N  design_no = :15, design_techn = :16, filename_prefix = :17,%N  file_no = :18, file_role = :19, ic_packaging_no = :20,%N  is_checksum_cust_declared = :21, is_preliminary = :22,%N  parent_file_no = :23, revision_no = :24, source_directory = :25,%N  text_crc_byte_count = :26, text_crc_checksum = :27,%N  upload_version_no = :28, wafer_lot_no = :29, wafer_run_id = :30,%N  working_directory = :31"

end
