
note

	date: "Wed Mar 28 11:43:26 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"CUST_IC_DESIGNS (MOSIS.CUST_IC_DESIGNS)"
			-- Included columns
			-- 	ATTEMPT_CUSTOM_WIRING
			-- 	CENTER_X
			-- 	CENTER_Y
			-- 	COMP_PAD_COUNT
			-- 	CUSTOM_LAYER_MAP
			-- 	CUST_ACCT_NO
			-- 	CUST_FILE_NO
			-- 	CUST_PAD_COUNT
			-- 	DATE_LAYOUT_LOCKED
			-- 	DATE_MODIFIED
			-- 	DATE_RECD
			-- 	DATE_VALID
			-- 	DESIGN_ACCEPT_STATE
			-- 	DESIGN_CANCELLED
			-- 	DESIGN_FROZEN
			-- 	DESIGN_KIT_VERSION
			-- 	DESIGN_NAME
			-- 	DESIGN_NO
			-- 	DESIGN_NO_3DIC
			-- 	DESIGN_SIZE_X
			-- 	DESIGN_SIZE_Y
			-- 	EST_DESIGN_SIZE_X
			-- 	EST_DESIGN_SIZE_Y
			-- 	EXPORT_CONTROL_TYPE
			-- 	FINAL_FILE_NO
			-- 	LABEL_BOX_CENTER_X
			-- 	LABEL_BOX_CENTER_Y
			-- 	LABEL_BOX_SIZE_X
			-- 	LABEL_BOX_SIZE_Y
			-- 	NEEDS_LIBRARY_INSTANTIATION
			-- 	NO_BOND_METAL_PAD_COUNT
			-- 	QUANTITY_FRAGMENTS
			-- 	REFERENCED_LIBRARY_NAME
			-- 	REVISION_NO
			-- 	SOURCE_DIRECTORY
			-- 	STANDARD_FRAME
			-- 	SUBMISSION_TECHN
			-- 	TIER_NO_3DIC
			-- 	TINY_CHIP
			-- 	UNFILLABLE_FRACTION
			-- 	UNPASSIVATED_FRACTION
			-- Excluded columns
			-- 	(none)

class CUST_IC_DESIGNS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_design_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			design_no := the_design_no
			is_null_design_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 41

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  attempt_custom_wiring, center_x, center_y, comp_pad_count,%N  custom_layer_map, cust_acct_no, cust_file_no, cust_pad_count,%N  date_layout_locked, date_modified, date_recd, date_valid,%N  design_accept_state, design_cancelled, design_frozen, design_kit_version,%N  design_name, design_no, design_no_3dic, design_size_x, design_size_y,%N  est_design_size_x, est_design_size_y, export_control_type, final_file_no,%N  label_box_center_x, label_box_center_y, label_box_size_x,%N  label_box_size_y, needs_library_instantiation, no_bond_metal_pad_count,%N  quantity_fragments, referenced_library_name, revision_no,%N  source_directory, standard_frame, submission_techn, tier_no_3dic,%N  tiny_chip, unfillable_fraction, unpassivated_fraction"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "cust_ic_designs cid"

	join_condition: STRING = ""

	table_name: STRING = "cust_ic_designs"

	key_where_clause: STRING = "design_no = :1"

feature -- Values

	attempt_custom_wiring: BOOLEAN
			-- DB: CHAR(1) not null

	center_x: DOUBLE
			-- DB: NUMBER(16,6)

	center_y: DOUBLE
			-- DB: NUMBER(16,6)

	comp_pad_count: INTEGER
			-- DB: NUMBER(6,0)

	custom_layer_map: STRING
			-- DB: VARCHAR2(50)

	cust_acct_no: INTEGER
			-- DB: NUMBER(6,0) not null

	cust_file_no: INTEGER
			-- DB: NUMBER(4,0)

	cust_pad_count: INTEGER
			-- DB: NUMBER(6,0)

	date_layout_locked: DB_DATE
			-- DB: DATE

	date_modified: DB_DATE
			-- DB: DATE

	date_recd: DB_DATE
			-- DB: DATE

	date_valid: DB_DATE
			-- DB: DATE

	design_accept_state: STRING
			-- DB: VARCHAR2(15)

	design_cancelled: BOOLEAN
			-- DB: CHAR(1) not null

	design_frozen: BOOLEAN
			-- DB: CHAR(1) not null

	design_kit_version: STRING
			-- DB: VARCHAR2(20)

	design_name: STRING
			-- DB: VARCHAR2(255) not null

	design_no: INTEGER
			-- DB: NUMBER(6,0) not null

	design_no_3dic: INTEGER
			-- DB: NUMBER(6,0)

	design_size_x: DOUBLE
			-- DB: NUMBER(12,6)

	design_size_y: DOUBLE
			-- DB: NUMBER(12,6)

	est_design_size_x: DOUBLE
			-- DB: NUMBER(12,6)

	est_design_size_y: DOUBLE
			-- DB: NUMBER(12,6)

	export_control_type: STRING
			-- DB: VARCHAR2(8)

	final_file_no: INTEGER
			-- DB: NUMBER(4,0)

	label_box_center_x: DOUBLE
			-- DB: NUMBER(12,6)

	label_box_center_y: DOUBLE
			-- DB: NUMBER(12,6)

	label_box_size_x: DOUBLE
			-- DB: NUMBER(12,6)

	label_box_size_y: DOUBLE
			-- DB: NUMBER(12,6)

	needs_library_instantiation: BOOLEAN
			-- DB: CHAR(1) not null

	no_bond_metal_pad_count: INTEGER
			-- DB: NUMBER(6,0)

	quantity_fragments: INTEGER
			-- DB: NUMBER(3,0)

	referenced_library_name: STRING
			-- DB: VARCHAR2(255)

	revision_no: INTEGER
			-- DB: NUMBER(6,0) not null

	source_directory: STRING
			-- DB: VARCHAR2(255) not null

	standard_frame: STRING
			-- DB: VARCHAR2(12)

	submission_techn: STRING
			-- DB: VARCHAR2(50)

	tier_no_3dic: INTEGER
			-- DB: NUMBER(3,0)

	tiny_chip: BOOLEAN
			-- DB: CHAR(1) not null

	unfillable_fraction: DOUBLE
			-- DB: NUMBER(*,*)

	unpassivated_fraction: DOUBLE
			-- DB: NUMBER(*,*)

feature -- Maximum database lengths for character columns

	maxlen_custom_layer_map: INTEGER = 50
	maxlen_design_accept_state: INTEGER = 15
	maxlen_design_kit_version: INTEGER = 20
	maxlen_design_name: INTEGER = 255
	maxlen_export_control_type: INTEGER = 8
	maxlen_referenced_library_name: INTEGER = 255
	maxlen_source_directory: INTEGER = 255
	maxlen_standard_frame: INTEGER = 12
	maxlen_submission_techn: INTEGER = 50

feature -- Precisions for number columns

	precision_center_x: INTEGER = 16
	precision_center_y: INTEGER = 16
	precision_comp_pad_count: INTEGER = 6
	precision_cust_acct_no: INTEGER = 6
	precision_cust_file_no: INTEGER = 4
	precision_cust_pad_count: INTEGER = 6
	precision_design_no: INTEGER = 6
	precision_design_no_3dic: INTEGER = 6
	precision_design_size_x: INTEGER = 12
	precision_design_size_y: INTEGER = 12
	precision_est_design_size_x: INTEGER = 12
	precision_est_design_size_y: INTEGER = 12
	precision_final_file_no: INTEGER = 4
	precision_label_box_center_x: INTEGER = 12
	precision_label_box_center_y: INTEGER = 12
	precision_label_box_size_x: INTEGER = 12
	precision_label_box_size_y: INTEGER = 12
	precision_no_bond_metal_pad_count: INTEGER = 6
	precision_quantity_fragments: INTEGER = 3
	precision_revision_no: INTEGER = 6
	precision_tier_no_3dic: INTEGER = 3
	precision_unfillable_fraction: INTEGER = 38
	precision_unpassivated_fraction: INTEGER = 38

feature -- Scales for number columns

	scale_center_x: INTEGER = 6
	scale_center_y: INTEGER = 6
	scale_comp_pad_count: INTEGER = 0
	scale_cust_acct_no: INTEGER = 0
	scale_cust_file_no: INTEGER = 0
	scale_cust_pad_count: INTEGER = 0
	scale_design_no: INTEGER = 0
	scale_design_no_3dic: INTEGER = 0
	scale_design_size_x: INTEGER = 6
	scale_design_size_y: INTEGER = 6
	scale_est_design_size_x: INTEGER = 6
	scale_est_design_size_y: INTEGER = 6
	scale_final_file_no: INTEGER = 0
	scale_label_box_center_x: INTEGER = 6
	scale_label_box_center_y: INTEGER = 6
	scale_label_box_size_x: INTEGER = 6
	scale_label_box_size_y: INTEGER = 6
	scale_no_bond_metal_pad_count: INTEGER = 0
	scale_quantity_fragments: INTEGER = 0
	scale_revision_no: INTEGER = 0
	scale_tier_no_3dic: INTEGER = 0

feature -- Nullness for null allowed columns

	is_null_center_x: BOOLEAN
	is_null_center_y: BOOLEAN
	is_null_comp_pad_count: BOOLEAN
	is_null_custom_layer_map: BOOLEAN
	is_null_cust_file_no: BOOLEAN
	is_null_cust_pad_count: BOOLEAN
	is_null_date_layout_locked: BOOLEAN
	is_null_date_modified: BOOLEAN
	is_null_date_recd: BOOLEAN
	is_null_date_valid: BOOLEAN
	is_null_design_accept_state: BOOLEAN
	is_null_design_kit_version: BOOLEAN
	is_null_design_no_3dic: BOOLEAN
	is_null_design_size_x: BOOLEAN
	is_null_design_size_y: BOOLEAN
	is_null_est_design_size_x: BOOLEAN
	is_null_est_design_size_y: BOOLEAN
	is_null_export_control_type: BOOLEAN
	is_null_final_file_no: BOOLEAN
	is_null_label_box_center_x: BOOLEAN
	is_null_label_box_center_y: BOOLEAN
	is_null_label_box_size_x: BOOLEAN
	is_null_label_box_size_y: BOOLEAN
	is_null_no_bond_metal_pad_count: BOOLEAN
	is_null_quantity_fragments: BOOLEAN
	is_null_referenced_library_name: BOOLEAN
	is_null_standard_frame: BOOLEAN
	is_null_submission_techn: BOOLEAN
	is_null_tier_no_3dic: BOOLEAN
	is_null_unfillable_fraction: BOOLEAN
	is_null_unpassivated_fraction: BOOLEAN

feature -- Nullness for non-null columns

	is_null_attempt_custom_wiring: BOOLEAN
	is_null_cust_acct_no: BOOLEAN
	is_null_design_cancelled: BOOLEAN
	is_null_design_frozen: BOOLEAN
	is_null_design_name: BOOLEAN
	is_null_design_no: BOOLEAN
	is_null_needs_library_instantiation: BOOLEAN
	is_null_revision_no: BOOLEAN
	is_null_source_directory: BOOLEAN
	is_null_tiny_chip: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and design_no = r.design_no
			Result := Result
				and is_null_design_no = r.is_null_design_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and attempt_custom_wiring = r.attempt_custom_wiring
				and center_x = r.center_x
				and center_y = r.center_y
				and comp_pad_count = r.comp_pad_count
				and cust_acct_no = r.cust_acct_no
				and cust_file_no = r.cust_file_no
				and cust_pad_count = r.cust_pad_count
				and design_cancelled = r.design_cancelled
				and design_frozen = r.design_frozen
				and design_no_3dic = r.design_no_3dic
				and design_size_x = r.design_size_x
				and design_size_y = r.design_size_y
				and est_design_size_x = r.est_design_size_x
				and est_design_size_y = r.est_design_size_y
				and final_file_no = r.final_file_no
				and label_box_center_x = r.label_box_center_x
				and label_box_center_y = r.label_box_center_y
				and label_box_size_x = r.label_box_size_x
				and label_box_size_y = r.label_box_size_y
				and needs_library_instantiation = r.needs_library_instantiation
				and no_bond_metal_pad_count = r.no_bond_metal_pad_count
				and quantity_fragments = r.quantity_fragments
				and revision_no = r.revision_no
				and tier_no_3dic = r.tier_no_3dic
				and tiny_chip = r.tiny_chip
				and unfillable_fraction = r.unfillable_fraction
				and unpassivated_fraction = r.unpassivated_fraction
			Result := Result
				and equal (custom_layer_map, r.custom_layer_map)
				and equal (date_layout_locked, r.date_layout_locked)
				and equal (date_modified, r.date_modified)
				and equal (date_recd, r.date_recd)
				and equal (date_valid, r.date_valid)
				and equal (design_accept_state, r.design_accept_state)
				and equal (design_kit_version, r.design_kit_version)
				and equal (design_name, r.design_name)
				and equal (export_control_type, r.export_control_type)
				and equal (referenced_library_name, r.referenced_library_name)
				and equal (source_directory, r.source_directory)
				and equal (standard_frame, r.standard_frame)
				and equal (submission_techn, r.submission_techn)
			Result := Result
				and is_null_attempt_custom_wiring = r.is_null_attempt_custom_wiring
				and is_null_center_x = r.is_null_center_x
				and is_null_center_y = r.is_null_center_y
				and is_null_comp_pad_count = r.is_null_comp_pad_count
				and is_null_custom_layer_map = r.is_null_custom_layer_map
				and is_null_cust_acct_no = r.is_null_cust_acct_no
				and is_null_cust_file_no = r.is_null_cust_file_no
				and is_null_cust_pad_count = r.is_null_cust_pad_count
				and is_null_date_layout_locked = r.is_null_date_layout_locked
				and is_null_date_modified = r.is_null_date_modified
				and is_null_date_recd = r.is_null_date_recd
				and is_null_date_valid = r.is_null_date_valid
				and is_null_design_accept_state = r.is_null_design_accept_state
				and is_null_design_cancelled = r.is_null_design_cancelled
				and is_null_design_frozen = r.is_null_design_frozen
				and is_null_design_kit_version = r.is_null_design_kit_version
				and is_null_design_name = r.is_null_design_name
				and is_null_design_no_3dic = r.is_null_design_no_3dic
				and is_null_design_size_x = r.is_null_design_size_x
				and is_null_design_size_y = r.is_null_design_size_y
				and is_null_est_design_size_x = r.is_null_est_design_size_x
				and is_null_est_design_size_y = r.is_null_est_design_size_y
				and is_null_export_control_type = r.is_null_export_control_type
				and is_null_final_file_no = r.is_null_final_file_no
				and is_null_label_box_center_x = r.is_null_label_box_center_x
				and is_null_label_box_center_y = r.is_null_label_box_center_y
				and is_null_label_box_size_x = r.is_null_label_box_size_x
				and is_null_label_box_size_y = r.is_null_label_box_size_y
				and is_null_needs_library_instantiation = r.is_null_needs_library_instantiation
				and is_null_no_bond_metal_pad_count = r.is_null_no_bond_metal_pad_count
				and is_null_quantity_fragments = r.is_null_quantity_fragments
				and is_null_referenced_library_name = r.is_null_referenced_library_name
				and is_null_revision_no = r.is_null_revision_no
				and is_null_source_directory = r.is_null_source_directory
				and is_null_standard_frame = r.is_null_standard_frame
				and is_null_submission_techn = r.is_null_submission_techn
				and is_null_tier_no_3dic = r.is_null_tier_no_3dic
				and is_null_tiny_chip = r.is_null_tiny_chip
				and is_null_unfillable_fraction = r.is_null_unfillable_fraction
				and is_null_unpassivated_fraction = r.is_null_unpassivated_fraction
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_double (2)
			q.select_double (3)
			q.select_integer (4)
			q.select_string (5, 50)
			q.select_integer (6)
			q.select_integer (7)
			q.select_integer (8)
			q.select_date (9)
			q.select_date (10)
			q.select_date (11)
			q.select_date (12)
			q.select_string (13, 15)
			q.select_boolean (14)
			q.select_boolean (15)
			q.select_string (16, 20)
			q.select_string (17, 255)
			q.select_integer (18)
			q.select_integer (19)
			q.select_double (20)
			q.select_double (21)
			q.select_double (22)
			q.select_double (23)
			q.select_string (24, 8)
			q.select_integer (25)
			q.select_double (26)
			q.select_double (27)
			q.select_double (28)
			q.select_double (29)
			q.select_boolean (30)
			q.select_integer (31)
			q.select_integer (32)
			q.select_string (33, 255)
			q.select_integer (34)
			q.select_string (35, 255)
			q.select_string (36, 12)
			q.select_string (37, 50)
			q.select_integer (38)
			q.select_boolean (39)
			q.select_double (40)
			q.select_double (41)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			attempt_custom_wiring := q.boolean_value (1)
			center_x := q.double_value (2)
			center_y := q.double_value (3)
			comp_pad_count := q.integer_value (4)
			cust_acct_no := q.integer_value (6)
			cust_file_no := q.integer_value (7)
			cust_pad_count := q.integer_value (8)
			design_cancelled := q.boolean_value (14)
			design_frozen := q.boolean_value (15)
			design_no := q.integer_value (18)
			design_no_3dic := q.integer_value (19)
			design_size_x := q.double_value (20)
			design_size_y := q.double_value (21)
			est_design_size_x := q.double_value (22)
			est_design_size_y := q.double_value (23)
			final_file_no := q.integer_value (25)
			label_box_center_x := q.double_value (26)
			label_box_center_y := q.double_value (27)
			label_box_size_x := q.double_value (28)
			label_box_size_y := q.double_value (29)
			needs_library_instantiation := q.boolean_value (30)
			no_bond_metal_pad_count := q.integer_value (31)
			quantity_fragments := q.integer_value (32)
			revision_no := q.integer_value (34)
			tier_no_3dic := q.integer_value (38)
			tiny_chip := q.boolean_value (39)
			unfillable_fraction := q.double_value (40)
			unpassivated_fraction := q.double_value (41)
		end

	fill_in_references (q: SQL_QUERY)
		do
			custom_layer_map := q.string_value (5)
			date_layout_locked := q.date_value (9)
			date_modified := q.date_value (10)
			date_recd := q.date_value (11)
			date_valid := q.date_value (12)
			design_accept_state := q.string_value (13)
			design_kit_version := q.string_value (16)
			design_name := q.string_value (17)
			export_control_type := q.string_value (24)
			referenced_library_name := q.string_value (33)
			source_directory := q.string_value (35)
			standard_frame := q.string_value (36)
			submission_techn := q.string_value (37)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (5, custom_layer_map)
			q.get_date_value (9, date_layout_locked)
			q.get_date_value (10, date_modified)
			q.get_date_value (11, date_recd)
			q.get_date_value (12, date_valid)
			q.get_string_value (13, design_accept_state)
			q.get_string_value (16, design_kit_version)
			q.get_string_value (17, design_name)
			q.get_string_value (24, export_control_type)
			q.get_string_value (33, referenced_library_name)
			q.get_string_value (35, source_directory)
			q.get_string_value (36, standard_frame)
			q.get_string_value (37, submission_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_attempt_custom_wiring := q.is_null (1)
			is_null_center_x := q.is_null (2)
			is_null_center_y := q.is_null (3)
			is_null_comp_pad_count := q.is_null (4)
			is_null_custom_layer_map := q.is_null (5)
			is_null_cust_acct_no := q.is_null (6)
			is_null_cust_file_no := q.is_null (7)
			is_null_cust_pad_count := q.is_null (8)
			is_null_date_layout_locked := q.is_null (9)
			is_null_date_modified := q.is_null (10)
			is_null_date_recd := q.is_null (11)
			is_null_date_valid := q.is_null (12)
			is_null_design_accept_state := q.is_null (13)
			is_null_design_cancelled := q.is_null (14)
			is_null_design_frozen := q.is_null (15)
			is_null_design_kit_version := q.is_null (16)
			is_null_design_name := q.is_null (17)
			is_null_design_no := q.is_null (18)
			is_null_design_no_3dic := q.is_null (19)
			is_null_design_size_x := q.is_null (20)
			is_null_design_size_y := q.is_null (21)
			is_null_est_design_size_x := q.is_null (22)
			is_null_est_design_size_y := q.is_null (23)
			is_null_export_control_type := q.is_null (24)
			is_null_final_file_no := q.is_null (25)
			is_null_label_box_center_x := q.is_null (26)
			is_null_label_box_center_y := q.is_null (27)
			is_null_label_box_size_x := q.is_null (28)
			is_null_label_box_size_y := q.is_null (29)
			is_null_needs_library_instantiation := q.is_null (30)
			is_null_no_bond_metal_pad_count := q.is_null (31)
			is_null_quantity_fragments := q.is_null (32)
			is_null_referenced_library_name := q.is_null (33)
			is_null_revision_no := q.is_null (34)
			is_null_source_directory := q.is_null (35)
			is_null_standard_frame := q.is_null (36)
			is_null_submission_techn := q.is_null (37)
			is_null_tier_no_3dic := q.is_null (38)
			is_null_tiny_chip := q.is_null (39)
			is_null_unfillable_fraction := q.is_null (40)
			is_null_unpassivated_fraction := q.is_null (41)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_no := True
		end

	set_null_nonkey
		do
			is_null_attempt_custom_wiring := True
			is_null_center_x := True
			is_null_center_y := True
			is_null_comp_pad_count := True
			is_null_custom_layer_map := True
			is_null_cust_acct_no := True
			is_null_cust_file_no := True
			is_null_cust_pad_count := True
			is_null_date_layout_locked := True
			is_null_date_modified := True
			is_null_date_recd := True
			is_null_date_valid := True
			is_null_design_accept_state := True
			is_null_design_cancelled := True
			is_null_design_frozen := True
			is_null_design_kit_version := True
			is_null_design_name := True
			is_null_design_no_3dic := True
			is_null_design_size_x := True
			is_null_design_size_y := True
			is_null_est_design_size_x := True
			is_null_est_design_size_y := True
			is_null_export_control_type := True
			is_null_final_file_no := True
			is_null_label_box_center_x := True
			is_null_label_box_center_y := True
			is_null_label_box_size_x := True
			is_null_label_box_size_y := True
			is_null_needs_library_instantiation := True
			is_null_no_bond_metal_pad_count := True
			is_null_quantity_fragments := True
			is_null_referenced_library_name := True
			is_null_revision_no := True
			is_null_source_directory := True
			is_null_standard_frame := True
			is_null_submission_techn := True
			is_null_tier_no_3dic := True
			is_null_tiny_chip := True
			is_null_unfillable_fraction := True
			is_null_unpassivated_fraction := True
			create custom_layer_map.make (0)
			create {ORACLE_DATE} date_layout_locked.set_null
			create {ORACLE_DATE} date_modified.set_null
			create {ORACLE_DATE} date_recd.set_null
			create {ORACLE_DATE} date_valid.set_null
			create design_accept_state.make (0)
			create design_kit_version.make (0)
			create design_name.make (0)
			create export_control_type.make (0)
			create referenced_library_name.make (0)
			create source_directory.make (0)
			create standard_frame.make (0)
			create submission_techn.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, design_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
			d: DB_DATE
		do
			s := temp_string
			d := temp_date
			Result := True
			Result := Result
				and attempt_custom_wiring = q.boolean_value (1)
				and center_x = q.double_value (2)
				and center_y = q.double_value (3)
				and comp_pad_count = q.integer_value (4)
				and cust_acct_no = q.integer_value (6)
				and cust_file_no = q.integer_value (7)
				and cust_pad_count = q.integer_value (8)
				and design_cancelled = q.boolean_value (14)
				and design_frozen = q.boolean_value (15)
				and design_no = q.integer_value (18)
				and design_no_3dic = q.integer_value (19)
				and design_size_x = q.double_value (20)
				and design_size_y = q.double_value (21)
				and est_design_size_x = q.double_value (22)
				and est_design_size_y = q.double_value (23)
				and final_file_no = q.integer_value (25)
				and label_box_center_x = q.double_value (26)
				and label_box_center_y = q.double_value (27)
				and label_box_size_x = q.double_value (28)
				and label_box_size_y = q.double_value (29)
				and needs_library_instantiation = q.boolean_value (30)
				and no_bond_metal_pad_count = q.integer_value (31)
				and quantity_fragments = q.integer_value (32)
				and revision_no = q.integer_value (34)
				and tier_no_3dic = q.integer_value (38)
				and tiny_chip = q.boolean_value (39)
				and unfillable_fraction = q.double_value (40)
				and unpassivated_fraction = q.double_value (41)
			q.get_string_value (5, s)
			Result := Result and equal (custom_layer_map, s)
			q.get_date_value (9, d)
			Result := Result and equal (date_layout_locked, d)
			q.get_date_value (10, d)
			Result := Result and equal (date_modified, d)
			q.get_date_value (11, d)
			Result := Result and equal (date_recd, d)
			q.get_date_value (12, d)
			Result := Result and equal (date_valid, d)
			q.get_string_value (13, s)
			Result := Result and equal (design_accept_state, s)
			q.get_string_value (16, s)
			Result := Result and equal (design_kit_version, s)
			q.get_string_value (17, s)
			Result := Result and equal (design_name, s)
			q.get_string_value (24, s)
			Result := Result and equal (export_control_type, s)
			q.get_string_value (33, s)
			Result := Result and equal (referenced_library_name, s)
			q.get_string_value (35, s)
			Result := Result and equal (source_directory, s)
			q.get_string_value (36, s)
			Result := Result and equal (standard_frame, s)
			q.get_string_value (37, s)
			Result := Result and equal (submission_techn, s)
			Result := Result
				and is_null_attempt_custom_wiring = q.is_null (1)
				and is_null_center_x = q.is_null (2)
				and is_null_center_y = q.is_null (3)
				and is_null_comp_pad_count = q.is_null (4)
				and is_null_custom_layer_map = q.is_null (5)
				and is_null_cust_acct_no = q.is_null (6)
				and is_null_cust_file_no = q.is_null (7)
				and is_null_cust_pad_count = q.is_null (8)
				and is_null_date_layout_locked = q.is_null (9)
				and is_null_date_modified = q.is_null (10)
				and is_null_date_recd = q.is_null (11)
				and is_null_date_valid = q.is_null (12)
				and is_null_design_accept_state = q.is_null (13)
				and is_null_design_cancelled = q.is_null (14)
				and is_null_design_frozen = q.is_null (15)
				and is_null_design_kit_version = q.is_null (16)
				and is_null_design_name = q.is_null (17)
				and is_null_design_no = q.is_null (18)
				and is_null_design_no_3dic = q.is_null (19)
				and is_null_design_size_x = q.is_null (20)
				and is_null_design_size_y = q.is_null (21)
				and is_null_est_design_size_x = q.is_null (22)
				and is_null_est_design_size_y = q.is_null (23)
				and is_null_export_control_type = q.is_null (24)
				and is_null_final_file_no = q.is_null (25)
				and is_null_label_box_center_x = q.is_null (26)
				and is_null_label_box_center_y = q.is_null (27)
				and is_null_label_box_size_x = q.is_null (28)
				and is_null_label_box_size_y = q.is_null (29)
				and is_null_needs_library_instantiation = q.is_null (30)
				and is_null_no_bond_metal_pad_count = q.is_null (31)
				and is_null_quantity_fragments = q.is_null (32)
				and is_null_referenced_library_name = q.is_null (33)
				and is_null_revision_no = q.is_null (34)
				and is_null_source_directory = q.is_null (35)
				and is_null_standard_frame = q.is_null (36)
				and is_null_submission_techn = q.is_null (37)
				and is_null_tier_no_3dic = q.is_null (38)
				and is_null_tiny_chip = q.is_null (39)
				and is_null_unfillable_fraction = q.is_null (40)
				and is_null_unpassivated_fraction = q.is_null (41)
		end

end
