
note

	date: "Wed Mar 31 14:23:31 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"CUT_PATTERN_XFORM_TYPES (MOSIS.CUT_PATTERN_XFORM_TYPES)"
			-- Included columns
			-- 	CUT_PATTERN_XFORM_TYPE
			-- 	DESCR
			-- 	PRESENTATION_TEXT
			-- 	RESULT_TYPE
			-- 	SOURCE_TYPE
			-- Excluded columns
			-- 	(none)

class CUT_PATTERN_XFORM_TYPES_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_cut_pattern_xform_type: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_cut_pattern_xform_type_exists: the_cut_pattern_xform_type /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			cut_pattern_xform_type := the_cut_pattern_xform_type
			is_null_cut_pattern_xform_type := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 5

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  cut_pattern_xform_type, descr, presentation_text, result_type,%N  source_type"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "cut_pattern_xform_types cpxt"

	join_condition: STRING = ""

	table_name: STRING = "cut_pattern_xform_types"

	key_where_clause: STRING = "cut_pattern_xform_type = :1"

feature -- Values

	cut_pattern_xform_type: STRING
			-- DB: VARCHAR2(30) not null

	descr: STRING
			-- DB: VARCHAR2(255)

	presentation_text: STRING
			-- DB: VARCHAR2(80) not null

	result_type: STRING
			-- DB: VARCHAR2(15) not null

	source_type: STRING
			-- DB: VARCHAR2(15) not null

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN

feature -- Nullness for non-null columns

	is_null_cut_pattern_xform_type: BOOLEAN
	is_null_presentation_text: BOOLEAN
	is_null_result_type: BOOLEAN
	is_null_source_type: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (cut_pattern_xform_type, r.cut_pattern_xform_type)
			Result := Result
				and is_null_cut_pattern_xform_type = r.is_null_cut_pattern_xform_type
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (descr, r.descr)
				and equal (presentation_text, r.presentation_text)
				and equal (result_type, r.result_type)
				and equal (source_type, r.source_type)
			Result := Result
				and is_null_descr = r.is_null_descr
				and is_null_presentation_text = r.is_null_presentation_text
				and is_null_result_type = r.is_null_result_type
				and is_null_source_type = r.is_null_source_type
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 30)
			q.select_string (2, 255)
			q.select_string (3, 80)
			q.select_string (4, 15)
			q.select_string (5, 15)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
		end

	fill_in_references (q: SQL_QUERY)
		do
			cut_pattern_xform_type := q.string_value (1)
			descr := q.string_value (2)
			presentation_text := q.string_value (3)
			result_type := q.string_value (4)
			source_type := q.string_value (5)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, cut_pattern_xform_type)
			q.get_string_value (2, descr)
			q.get_string_value (3, presentation_text)
			q.get_string_value (4, result_type)
			q.get_string_value (5, source_type)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_cut_pattern_xform_type := q.is_null (1)
			is_null_descr := q.is_null (2)
			is_null_presentation_text := q.is_null (3)
			is_null_result_type := q.is_null (4)
			is_null_source_type := q.is_null (5)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_cut_pattern_xform_type := True
			create cut_pattern_xform_type.make (0)
		end

	set_null_nonkey
		do
			is_null_descr := True
			is_null_presentation_text := True
			is_null_result_type := True
			is_null_source_type := True
			create descr.make (0)
			create presentation_text.make (0)
			create result_type.make (0)
			create source_type.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, cut_pattern_xform_type, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			q.get_string_value (1, s)
			Result := Result and equal (cut_pattern_xform_type, s)
			q.get_string_value (2, s)
			Result := Result and equal (descr, s)
			q.get_string_value (3, s)
			Result := Result and equal (presentation_text, s)
			q.get_string_value (4, s)
			Result := Result and equal (result_type, s)
			q.get_string_value (5, s)
			Result := Result and equal (source_type, s)
			Result := Result
				and is_null_cut_pattern_xform_type = q.is_null (1)
				and is_null_descr = q.is_null (2)
				and is_null_presentation_text = q.is_null (3)
				and is_null_result_type = q.is_null (4)
				and is_null_source_type = q.is_null (5)
		end

end
