
note

	date: "Fri Dec  9 16:50:30 2011"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"DESIGN_TECHN_FILLERS (MOSIS.DESIGN_TECHN_FILLERS)"
			-- Included columns
			-- 	COMMENTS
			-- 	DESIGN_TECHN
			-- 	FILLER_ID
			-- Excluded columns
			-- 	(none)

class DESIGN_TECHN_FILLERS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_design_techn: STRING; the_filler_id: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_design_techn_exists: the_design_techn /= Void
			the_filler_id_exists: the_filler_id /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			design_techn := the_design_techn
			filler_id := the_filler_id
			is_null_design_techn := False
			is_null_filler_id := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 3

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  comments, design_techn, filler_id"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "design_techn_fillers dtf"

	join_condition: STRING = ""

	table_name: STRING = "design_techn_fillers"

	key_where_clause: STRING = "design_techn = :1 and filler_id = :2"

feature -- Values

	comments: STRING
			-- DB: VARCHAR2(500)

	design_techn: STRING
			-- DB: VARCHAR2(50) not null

	filler_id: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_comments: BOOLEAN

feature -- Nullness for non-null columns

	is_null_design_techn: BOOLEAN
	is_null_filler_id: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (design_techn, r.design_techn)
				and equal (filler_id, r.filler_id)
			Result := Result
				and is_null_design_techn = r.is_null_design_techn
				and is_null_filler_id = r.is_null_filler_id
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (comments, r.comments)
			Result := Result
				and is_null_comments = r.is_null_comments
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 500)
			q.select_string (2, 50)
			q.select_string (3, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
		end

	fill_in_references (q: SQL_QUERY)
		do
			comments := q.string_value (1)
			design_techn := q.string_value (2)
			filler_id := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, comments)
			q.get_string_value (2, design_techn)
			q.get_string_value (3, filler_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_comments := q.is_null (1)
			is_null_design_techn := q.is_null (2)
			is_null_filler_id := q.is_null (3)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_techn := True
			is_null_filler_id := True
			create design_techn.make (0)
			create filler_id.make (0)
		end

	set_null_nonkey
		do
			is_null_comments := True
			create comments.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, design_techn, False)
			q.bind_num_to_string (2, filler_id, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			q.get_string_value (1, s)
			Result := Result and equal (comments, s)
			q.get_string_value (2, s)
			Result := Result and equal (design_techn, s)
			q.get_string_value (3, s)
			Result := Result and equal (filler_id, s)
			Result := Result
				and is_null_comments = q.is_null (1)
				and is_null_design_techn = q.is_null (2)
				and is_null_filler_id = q.is_null (3)
		end

end
