
note

	date: "Tue Aug  6 13:02:08 2013"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DESIGN_TECHN, database user BSMITH"
	database_tables: 
		"DESIGN_TECHNS (MOSIS.DESIGN_TECHNS)"
			-- Included columns
			-- 	CADENCE_BATCH_JOB_QUEUE
			-- 	CADENCE_SCRIPT_NAME
			-- 	CORNER_TRIANGLE_EXCLUSION_SIZE
			-- 	CORNER_TRIANGLE_MARKER_LAYER
			-- 	DESIGN_CHECK_EXTENSION
			-- 	DESIGN_CHECK_INFO_URL
			-- 	DESIGN_GRID
			-- 	DESIGN_LAMBDA
			-- 	DESIGN_TECHN
			-- 	DESIGN_TECHN_ID
			-- 	DRC_LOG_DOCUMENT_NO
			-- 	DRC_SCRIPT_NAME
			-- 	EXPECTED_AUXILIARY_FILES
			-- 	INPUT_SCALE_FACTOR
			-- 	MEBES_ALLOWED
			-- 	READ_ME_DOCUMENT_NO
			-- 	TINY_CHIP_ALLOWED
			-- Excluded columns
			-- 	(none)

class DESIGN_TECHNS_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_design_techn: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_design_techn_exists: the_design_techn /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			design_techn := the_design_techn
			is_null_design_techn := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 17

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  cadence_batch_job_queue, cadence_script_name,%N  corner_triangle_exclusion_size, corner_triangle_marker_layer,%N  design_check_extension, design_check_info_url, design_grid,%N  design_lambda, design_techn, design_techn_id, drc_log_document_no,%N  drc_script_name, expected_auxiliary_files, input_scale_factor,%N  mebes_allowed, read_me_document_no, tiny_chip_allowed"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "design_techns dt"

	join_condition: STRING = ""

	table_name: STRING = "design_techns"

	key_where_clause: STRING = "design_techn = :1"

feature -- Values

	cadence_batch_job_queue: STRING
			-- DB: VARCHAR2(30)

	cadence_script_name: STRING
			-- DB: VARCHAR2(300)

	corner_triangle_exclusion_size: REAL
			-- DB: NUMBER(6,3)

	corner_triangle_marker_layer: STRING
			-- DB: VARCHAR2(255)

	design_check_extension: STRING
			-- DB: VARCHAR2(50) not null

	design_check_info_url: STRING
			-- DB: VARCHAR2(100)

	design_grid: DOUBLE
			-- DB: NUMBER(9,6)

	design_lambda: STRING
			-- DB: NUMBER(6,3)
			-- Eiffel type specified explicitly

	design_techn: STRING
			-- DB: VARCHAR2(50) not null

	design_techn_id: STRING
			-- DB: VARCHAR2(50) not null

	drc_log_document_no: INTEGER
			-- DB: NUMBER(6,0)

	drc_script_name: STRING
			-- DB: VARCHAR2(300)

	expected_auxiliary_files: STRING
			-- DB: VARCHAR2(20)

	input_scale_factor: DOUBLE
			-- DB: NUMBER(*,*)

	mebes_allowed: BOOLEAN
			-- DB: CHAR(1) not null

	read_me_document_no: INTEGER
			-- DB: NUMBER(6,0)

	tiny_chip_allowed: BOOLEAN
			-- DB: CHAR(1) not null

feature -- Nullness for null allowed columns

	is_null_cadence_batch_job_queue: BOOLEAN
	is_null_cadence_script_name: BOOLEAN
	is_null_corner_triangle_exclusion_size: BOOLEAN
	is_null_corner_triangle_marker_layer: BOOLEAN
	is_null_design_check_info_url: BOOLEAN
	is_null_design_grid: BOOLEAN
	is_null_design_lambda: BOOLEAN
	is_null_drc_log_document_no: BOOLEAN
	is_null_drc_script_name: BOOLEAN
	is_null_expected_auxiliary_files: BOOLEAN
	is_null_input_scale_factor: BOOLEAN
	is_null_read_me_document_no: BOOLEAN

feature -- Nullness for non-null columns

	is_null_design_check_extension: BOOLEAN
	is_null_design_techn: BOOLEAN
	is_null_design_techn_id: BOOLEAN
	is_null_mebes_allowed: BOOLEAN
	is_null_tiny_chip_allowed: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (design_techn, r.design_techn)
			Result := Result
				and is_null_design_techn = r.is_null_design_techn
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and corner_triangle_exclusion_size = r.corner_triangle_exclusion_size
				and design_grid = r.design_grid
				and drc_log_document_no = r.drc_log_document_no
				and input_scale_factor = r.input_scale_factor
				and mebes_allowed = r.mebes_allowed
				and read_me_document_no = r.read_me_document_no
				and tiny_chip_allowed = r.tiny_chip_allowed
			Result := Result
				and equal (cadence_batch_job_queue, r.cadence_batch_job_queue)
				and equal (cadence_script_name, r.cadence_script_name)
				and equal (corner_triangle_marker_layer, r.corner_triangle_marker_layer)
				and equal (design_check_extension, r.design_check_extension)
				and equal (design_check_info_url, r.design_check_info_url)
				and equal (design_lambda, r.design_lambda)
				and equal (design_techn_id, r.design_techn_id)
				and equal (drc_script_name, r.drc_script_name)
				and equal (expected_auxiliary_files, r.expected_auxiliary_files)
			Result := Result
				and is_null_cadence_batch_job_queue = r.is_null_cadence_batch_job_queue
				and is_null_cadence_script_name = r.is_null_cadence_script_name
				and is_null_corner_triangle_exclusion_size = r.is_null_corner_triangle_exclusion_size
				and is_null_corner_triangle_marker_layer = r.is_null_corner_triangle_marker_layer
				and is_null_design_check_extension = r.is_null_design_check_extension
				and is_null_design_check_info_url = r.is_null_design_check_info_url
				and is_null_design_grid = r.is_null_design_grid
				and is_null_design_lambda = r.is_null_design_lambda
				and is_null_design_techn_id = r.is_null_design_techn_id
				and is_null_drc_log_document_no = r.is_null_drc_log_document_no
				and is_null_drc_script_name = r.is_null_drc_script_name
				and is_null_expected_auxiliary_files = r.is_null_expected_auxiliary_files
				and is_null_input_scale_factor = r.is_null_input_scale_factor
				and is_null_mebes_allowed = r.is_null_mebes_allowed
				and is_null_read_me_document_no = r.is_null_read_me_document_no
				and is_null_tiny_chip_allowed = r.is_null_tiny_chip_allowed
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 30)
			q.select_string (2, 300)
			q.select_real (3)
			q.select_string (4, 255)
			q.select_string (5, 50)
			q.select_string (6, 100)
			q.select_double (7)
			q.select_string (8, 22)
			q.select_string (9, 50)
			q.select_string (10, 50)
			q.select_integer (11)
			q.select_string (12, 300)
			q.select_string (13, 20)
			q.select_double (14)
			q.select_boolean (15)
			q.select_integer (16)
			q.select_boolean (17)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			corner_triangle_exclusion_size := q.real_value (3)
			design_grid := q.double_value (7)
			drc_log_document_no := q.integer_value (11)
			input_scale_factor := q.double_value (14)
			mebes_allowed := q.boolean_value (15)
			read_me_document_no := q.integer_value (16)
			tiny_chip_allowed := q.boolean_value (17)
		end

	fill_in_references (q: SQL_QUERY)
		do
			cadence_batch_job_queue := q.string_value (1)
			cadence_script_name := q.string_value (2)
			corner_triangle_marker_layer := q.string_value (4)
			design_check_extension := q.string_value (5)
			design_check_info_url := q.string_value (6)
			design_lambda := q.string_value (8)
			design_techn := q.string_value (9)
			design_techn_id := q.string_value (10)
			drc_script_name := q.string_value (12)
			expected_auxiliary_files := q.string_value (13)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, cadence_batch_job_queue)
			q.get_string_value (2, cadence_script_name)
			q.get_string_value (4, corner_triangle_marker_layer)
			q.get_string_value (5, design_check_extension)
			q.get_string_value (6, design_check_info_url)
			q.get_string_value (8, design_lambda)
			q.get_string_value (9, design_techn)
			q.get_string_value (10, design_techn_id)
			q.get_string_value (12, drc_script_name)
			q.get_string_value (13, expected_auxiliary_files)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_cadence_batch_job_queue := q.is_null (1)
			is_null_cadence_script_name := q.is_null (2)
			is_null_corner_triangle_exclusion_size := q.is_null (3)
			is_null_corner_triangle_marker_layer := q.is_null (4)
			is_null_design_check_extension := q.is_null (5)
			is_null_design_check_info_url := q.is_null (6)
			is_null_design_grid := q.is_null (7)
			is_null_design_lambda := q.is_null (8)
			is_null_design_techn := q.is_null (9)
			is_null_design_techn_id := q.is_null (10)
			is_null_drc_log_document_no := q.is_null (11)
			is_null_drc_script_name := q.is_null (12)
			is_null_expected_auxiliary_files := q.is_null (13)
			is_null_input_scale_factor := q.is_null (14)
			is_null_mebes_allowed := q.is_null (15)
			is_null_read_me_document_no := q.is_null (16)
			is_null_tiny_chip_allowed := q.is_null (17)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_techn := True
			create design_techn.make (0)
		end

	set_null_nonkey
		do
			is_null_cadence_batch_job_queue := True
			is_null_cadence_script_name := True
			is_null_corner_triangle_exclusion_size := True
			is_null_corner_triangle_marker_layer := True
			is_null_design_check_extension := True
			is_null_design_check_info_url := True
			is_null_design_grid := True
			is_null_design_lambda := True
			is_null_design_techn_id := True
			is_null_drc_log_document_no := True
			is_null_drc_script_name := True
			is_null_expected_auxiliary_files := True
			is_null_input_scale_factor := True
			is_null_mebes_allowed := True
			is_null_read_me_document_no := True
			is_null_tiny_chip_allowed := True
			create cadence_batch_job_queue.make (0)
			create cadence_script_name.make (0)
			create corner_triangle_marker_layer.make (0)
			create design_check_extension.make (0)
			create design_check_info_url.make (0)
			create design_lambda.make (0)
			create design_techn_id.make (0)
			create drc_script_name.make (0)
			create expected_auxiliary_files.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, design_techn, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and corner_triangle_exclusion_size = q.real_value (3)
				and design_grid = q.double_value (7)
				and drc_log_document_no = q.integer_value (11)
				and input_scale_factor = q.double_value (14)
				and mebes_allowed = q.boolean_value (15)
				and read_me_document_no = q.integer_value (16)
				and tiny_chip_allowed = q.boolean_value (17)
			q.get_string_value (1, s)
			Result := Result and equal (cadence_batch_job_queue, s)
			q.get_string_value (2, s)
			Result := Result and equal (cadence_script_name, s)
			q.get_string_value (4, s)
			Result := Result and equal (corner_triangle_marker_layer, s)
			q.get_string_value (5, s)
			Result := Result and equal (design_check_extension, s)
			q.get_string_value (6, s)
			Result := Result and equal (design_check_info_url, s)
			q.get_string_value (8, s)
			Result := Result and equal (design_lambda, s)
			q.get_string_value (9, s)
			Result := Result and equal (design_techn, s)
			q.get_string_value (10, s)
			Result := Result and equal (design_techn_id, s)
			q.get_string_value (12, s)
			Result := Result and equal (drc_script_name, s)
			q.get_string_value (13, s)
			Result := Result and equal (expected_auxiliary_files, s)
			Result := Result
				and is_null_cadence_batch_job_queue = q.is_null (1)
				and is_null_cadence_script_name = q.is_null (2)
				and is_null_corner_triangle_exclusion_size = q.is_null (3)
				and is_null_corner_triangle_marker_layer = q.is_null (4)
				and is_null_design_check_extension = q.is_null (5)
				and is_null_design_check_info_url = q.is_null (6)
				and is_null_design_grid = q.is_null (7)
				and is_null_design_lambda = q.is_null (8)
				and is_null_design_techn = q.is_null (9)
				and is_null_design_techn_id = q.is_null (10)
				and is_null_drc_log_document_no = q.is_null (11)
				and is_null_drc_script_name = q.is_null (12)
				and is_null_expected_auxiliary_files = q.is_null (13)
				and is_null_input_scale_factor = q.is_null (14)
				and is_null_mebes_allowed = q.is_null (15)
				and is_null_read_me_document_no = q.is_null (16)
				and is_null_tiny_chip_allowed = q.is_null (17)
		end

end
