
note

	date: "Fri Oct  1 14:49:48 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"DIE_ATTRIBUTES (MOSIS.DIE_ATTRIBUTES)"
			-- Included columns
			-- 	DESIGN_DIE_OFFSET_X
			-- 	DESIGN_DIE_OFFSET_Y
			-- 	DESIGN_TECHN
			-- 	DESIGN_TECHN_ID
			-- 	DIE_FRACTURE_GRID
			-- 	DIE_ID
			-- 	DIE_SIZE_PRINTED_X
			-- 	DIE_SIZE_PRINTED_Y
			-- 	DIE_TYPE
			-- 	DIE_WAFER_ROTATION
			-- 	GEOMETRY_FORMAT
			-- 	OVERHEAD_STYLE
			-- 	RUN_ID
			-- 	WAFER_DESIGN_TECHN
			-- 	WAFER_DESIGN_TECHN_ID
			-- 	WAFER_VENDOR_PART_ID
			-- Excluded columns
			-- 	(none)

class DIE_ATTRIBUTES_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 16

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  design_die_offset_x, design_die_offset_y, design_techn, design_techn_id,%N  die_fracture_grid, die_id, die_size_printed_x, die_size_printed_y,%N  die_type, die_wafer_rotation, geometry_format, overhead_style, run_id,%N  wafer_design_techn, wafer_design_techn_id, wafer_vendor_part_id"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "die_attributes da"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	design_die_offset_x: DOUBLE
			-- DB: NUMBER(*,*)

	design_die_offset_y: DOUBLE
			-- DB: NUMBER(*,*)

	design_techn: STRING
			-- DB: VARCHAR2(50)

	design_techn_id: STRING
			-- DB: VARCHAR2(50)

	die_fracture_grid: DOUBLE
			-- DB: NUMBER(*,*)

	die_id: STRING
			-- DB: CHAR(2) not null

	die_size_printed_x: DOUBLE
			-- DB: NUMBER(12,6)

	die_size_printed_y: DOUBLE
			-- DB: NUMBER(12,6)

	die_type: STRING
			-- DB: VARCHAR2(20) not null

	die_wafer_rotation: INTEGER
			-- DB: NUMBER(3,0)

	geometry_format: STRING
			-- DB: VARCHAR2(10)

	overhead_style: STRING
			-- DB: VARCHAR2(12)

	run_id: STRING
			-- DB: CHAR(4) not null

	wafer_design_techn: STRING
			-- DB: VARCHAR2(4000)

	wafer_design_techn_id: STRING
			-- DB: VARCHAR2(50)

	wafer_vendor_part_id: STRING
			-- DB: VARCHAR2(50)

feature -- Nullness for null allowed columns

	is_null_design_die_offset_x: BOOLEAN
	is_null_design_die_offset_y: BOOLEAN
	is_null_design_techn: BOOLEAN
	is_null_design_techn_id: BOOLEAN
	is_null_die_fracture_grid: BOOLEAN
	is_null_die_size_printed_x: BOOLEAN
	is_null_die_size_printed_y: BOOLEAN
	is_null_die_wafer_rotation: BOOLEAN
	is_null_geometry_format: BOOLEAN
	is_null_overhead_style: BOOLEAN
	is_null_wafer_design_techn: BOOLEAN
	is_null_wafer_design_techn_id: BOOLEAN
	is_null_wafer_vendor_part_id: BOOLEAN

feature -- Nullness for non-null columns

	is_null_die_id: BOOLEAN
	is_null_die_type: BOOLEAN
	is_null_run_id: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and design_die_offset_x = r.design_die_offset_x
				and design_die_offset_y = r.design_die_offset_y
				and die_fracture_grid = r.die_fracture_grid
				and die_size_printed_x = r.die_size_printed_x
				and die_size_printed_y = r.die_size_printed_y
				and die_wafer_rotation = r.die_wafer_rotation
			Result := Result
				and equal (design_techn, r.design_techn)
				and equal (design_techn_id, r.design_techn_id)
				and equal (die_id, r.die_id)
				and equal (die_type, r.die_type)
				and equal (geometry_format, r.geometry_format)
				and equal (overhead_style, r.overhead_style)
				and equal (run_id, r.run_id)
				and equal (wafer_design_techn, r.wafer_design_techn)
				and equal (wafer_design_techn_id, r.wafer_design_techn_id)
				and equal (wafer_vendor_part_id, r.wafer_vendor_part_id)
			Result := Result
				and is_null_design_die_offset_x = r.is_null_design_die_offset_x
				and is_null_design_die_offset_y = r.is_null_design_die_offset_y
				and is_null_design_techn = r.is_null_design_techn
				and is_null_design_techn_id = r.is_null_design_techn_id
				and is_null_die_fracture_grid = r.is_null_die_fracture_grid
				and is_null_die_id = r.is_null_die_id
				and is_null_die_size_printed_x = r.is_null_die_size_printed_x
				and is_null_die_size_printed_y = r.is_null_die_size_printed_y
				and is_null_die_type = r.is_null_die_type
				and is_null_die_wafer_rotation = r.is_null_die_wafer_rotation
				and is_null_geometry_format = r.is_null_geometry_format
				and is_null_overhead_style = r.is_null_overhead_style
				and is_null_run_id = r.is_null_run_id
				and is_null_wafer_design_techn = r.is_null_wafer_design_techn
				and is_null_wafer_design_techn_id = r.is_null_wafer_design_techn_id
				and is_null_wafer_vendor_part_id = r.is_null_wafer_vendor_part_id
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_double (1)
			q.select_double (2)
			q.select_string (3, 50)
			q.select_string (4, 50)
			q.select_double (5)
			q.select_string (6, 2)
			q.select_double (7)
			q.select_double (8)
			q.select_string (9, 20)
			q.select_integer (10)
			q.select_string (11, 10)
			q.select_string (12, 12)
			q.select_string (13, 4)
			q.select_string (14, 4000)
			q.select_string (15, 50)
			q.select_string (16, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			design_die_offset_x := q.double_value (1)
			design_die_offset_y := q.double_value (2)
			die_fracture_grid := q.double_value (5)
			die_size_printed_x := q.double_value (7)
			die_size_printed_y := q.double_value (8)
			die_wafer_rotation := q.integer_value (10)
		end

	fill_in_references (q: SQL_QUERY)
		do
			design_techn := q.string_value (3)
			design_techn_id := q.string_value (4)
			die_id := q.string_value (6)
			die_type := q.string_value (9)
			geometry_format := q.string_value (11)
			overhead_style := q.string_value (12)
			run_id := q.string_value (13)
			wafer_design_techn := q.string_value (14)
			wafer_design_techn_id := q.string_value (15)
			wafer_vendor_part_id := q.string_value (16)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (3, design_techn)
			q.get_string_value (4, design_techn_id)
			q.get_string_value (6, die_id)
			q.get_string_value (9, die_type)
			q.get_string_value (11, geometry_format)
			q.get_string_value (12, overhead_style)
			q.get_string_value (13, run_id)
			q.get_string_value (14, wafer_design_techn)
			q.get_string_value (15, wafer_design_techn_id)
			q.get_string_value (16, wafer_vendor_part_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_design_die_offset_x := q.is_null (1)
			is_null_design_die_offset_y := q.is_null (2)
			is_null_design_techn := q.is_null (3)
			is_null_design_techn_id := q.is_null (4)
			is_null_die_fracture_grid := q.is_null (5)
			is_null_die_id := q.is_null (6)
			is_null_die_size_printed_x := q.is_null (7)
			is_null_die_size_printed_y := q.is_null (8)
			is_null_die_type := q.is_null (9)
			is_null_die_wafer_rotation := q.is_null (10)
			is_null_geometry_format := q.is_null (11)
			is_null_overhead_style := q.is_null (12)
			is_null_run_id := q.is_null (13)
			is_null_wafer_design_techn := q.is_null (14)
			is_null_wafer_design_techn_id := q.is_null (15)
			is_null_wafer_vendor_part_id := q.is_null (16)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_design_die_offset_x := True
			is_null_design_die_offset_y := True
			is_null_design_techn := True
			is_null_design_techn_id := True
			is_null_die_fracture_grid := True
			is_null_die_id := True
			is_null_die_size_printed_x := True
			is_null_die_size_printed_y := True
			is_null_die_type := True
			is_null_die_wafer_rotation := True
			is_null_geometry_format := True
			is_null_overhead_style := True
			is_null_run_id := True
			is_null_wafer_design_techn := True
			is_null_wafer_design_techn_id := True
			is_null_wafer_vendor_part_id := True
			create design_techn.make (0)
			create design_techn_id.make (0)
			create die_id.make (0)
			create die_type.make (0)
			create geometry_format.make (0)
			create overhead_style.make (0)
			create run_id.make (0)
			create wafer_design_techn.make (0)
			create wafer_design_techn_id.make (0)
			create wafer_vendor_part_id.make (0)
		end

end
