
note

	date: "Thu Jan 21 12:59:43 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"FIELD_SETS (MOSIS.FIELD_SETS)"
			-- Included columns
			-- 	DESCR
			-- 	FAB_LOCATION
			-- 	FIELD_SET_NAME
			-- 	LITHO_SIZE_ID
			-- Excluded columns
			-- 	(none)

class FIELD_SETS_MRAW

inherit

	DB_DELETABLE_ROW
	FIELD_SETS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_descr (s: STRING)
		do
			change_field (True, True)
			descr := s
			if s = Void then
				create descr.make (0)
			end
			is_null_descr := s = Void or else s.count = 0
		end

	set_fab_location (s: STRING)
		do
			change_field (True, True)
			fab_location := s
			if s = Void then
				create fab_location.make (0)
			end
			is_null_fab_location := s = Void or else s.count = 0
		end

	set_field_set_name (s: STRING)
		do
			change_key_field
			field_set_name := s
			if s = Void then
				create field_set_name.make (0)
			end
			is_null_field_set_name := s = Void or else s.count = 0
		end

	set_litho_size_id (s: STRING)
		do
			change_field (True, True)
			litho_size_id := s
			if s = Void then
				create litho_size_id.make (0)
			end
			is_null_litho_size_id := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_descr
		do
			set_descr (Void)
		end

	set_null_fab_location
		do
			set_fab_location (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, descr, is_null_descr)
			s.bind_num_to_string (2, fab_location, is_null_fab_location)
			s.bind_num_to_string (3, field_set_name, is_null_field_set_name)
			s.bind_num_to_string (4, litho_size_id, is_null_litho_size_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4"

	bind_list_for_update: STRING = "  descr = :1, fab_location = :2, field_set_name = :3, litho_size_id = :4"

end
