
note

	date: "Thu Jan 21 12:59:44 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"IC_FAB_INSTANCE_PROCESSES (MOSIS.IC_FAB_INSTANCE_PROCESSES)"
			-- Included columns
			-- 	M_FAB_NO
			-- 	QUANTITY_ORDERED
			-- 	WAFER_PROCESS
			-- Excluded columns
			-- 	(none)

class IC_FAB_INSTANCE_PROCESSES_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_m_fab_no: INTEGER; the_wafer_process: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_wafer_process_exists: the_wafer_process /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			m_fab_no := the_m_fab_no
			wafer_process := the_wafer_process
			is_null_m_fab_no := False
			is_null_wafer_process := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 3

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  m_fab_no, quantity_ordered, wafer_process"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "ic_fab_instance_processes ifip"

	join_condition: STRING = ""

	table_name: STRING = "ic_fab_instance_processes"

	key_where_clause: STRING = "m_fab_no = :1 and wafer_process = :2"

feature -- Values

	m_fab_no: INTEGER
			-- DB: NUMBER(6,0) not null

	quantity_ordered: INTEGER
			-- DB: NUMBER(6,0)

	wafer_process: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_quantity_ordered: BOOLEAN

feature -- Nullness for non-null columns

	is_null_m_fab_no: BOOLEAN
	is_null_wafer_process: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and m_fab_no = r.m_fab_no
			Result := Result
				and equal (wafer_process, r.wafer_process)
			Result := Result
				and is_null_m_fab_no = r.is_null_m_fab_no
				and is_null_wafer_process = r.is_null_wafer_process
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and quantity_ordered = r.quantity_ordered
			Result := Result
				and is_null_quantity_ordered = r.is_null_quantity_ordered
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_integer (2)
			q.select_string (3, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			m_fab_no := q.integer_value (1)
			quantity_ordered := q.integer_value (2)
		end

	fill_in_references (q: SQL_QUERY)
		do
			wafer_process := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (3, wafer_process)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_m_fab_no := q.is_null (1)
			is_null_quantity_ordered := q.is_null (2)
			is_null_wafer_process := q.is_null (3)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_m_fab_no := True
			is_null_wafer_process := True
			create wafer_process.make (0)
		end

	set_null_nonkey
		do
			is_null_quantity_ordered := True
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, m_fab_no, False)
			q.bind_num_to_string (2, wafer_process, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and m_fab_no = q.integer_value (1)
				and quantity_ordered = q.integer_value (2)
			q.get_string_value (3, s)
			Result := Result and equal (wafer_process, s)
			Result := Result
				and is_null_m_fab_no = q.is_null (1)
				and is_null_quantity_ordered = q.is_null (2)
				and is_null_wafer_process = q.is_null (3)
		end

end
