
note

	date: "Thu Jan 21 12:59:44 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user ALLMOSIS"
	database_tables: 
		"IC_PACKAGING_WIRES (MOSIS.IC_PACKAGING_WIRES)"
			-- Included columns
			-- 	BONDING_FINGER_ID
			-- 	DESIGN_NO
			-- 	DOWNBOND
			-- 	IC_PACKAGING_NO
			-- 	PACKAGE_ID
			-- 	PAD_NAME
			-- 	WIRE_NO
			-- Excluded columns
			-- 	(none)

class IC_PACKAGING_WIRES_MRAW

inherit

	DB_DELETABLE_ROW
	IC_PACKAGING_WIRES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_bonding_finger_id (s: STRING)
		do
			change_field (True, True)
			bonding_finger_id := s
			if s = Void then
				create bonding_finger_id.make (0)
			end
			is_null_bonding_finger_id := s = Void or else s.count = 0
		end

	set_design_no (k: INTEGER)
		do
			change_field (True, True)
			design_no := k
			is_null_design_no := False
		end

	set_downbond (b: BOOLEAN)
		do
			change_field (True, True)
			downbond := b
			is_null_downbond := False
		end

	set_ic_packaging_no (k: INTEGER)
		do
			change_key_field
			ic_packaging_no := k
			is_null_ic_packaging_no := False
		end

	set_package_id (s: STRING)
		do
			change_field (True, True)
			package_id := s
			if s = Void then
				create package_id.make (0)
			end
			is_null_package_id := s = Void or else s.count = 0
		end

	set_pad_name (s: STRING)
		do
			change_field (True, True)
			pad_name := s
			if s = Void then
				create pad_name.make (0)
			end
			is_null_pad_name := s = Void or else s.count = 0
		end

	set_wire_no (k: INTEGER)
		do
			change_key_field
			wire_no := k
			is_null_wire_no := False
		end

feature -- Modification to null

	set_null_bonding_finger_id
		do
			set_bonding_finger_id (Void)
		end

	set_null_design_no
		do
			change_field (True, True)
			design_no := 0
			is_null_design_no := True
		end

	set_null_package_id
		do
			set_package_id (Void)
		end

	set_null_pad_name
		do
			set_pad_name (Void)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, bonding_finger_id, is_null_bonding_finger_id)
			s.bind_num_to_integer (2, design_no, is_null_design_no)
			s.bind_num_to_boolean (3, downbond, is_null_downbond)
			s.bind_num_to_integer (4, ic_packaging_no, is_null_ic_packaging_no)
			s.bind_num_to_string (5, package_id, is_null_package_id)
			s.bind_num_to_string (6, pad_name, is_null_pad_name)
			s.bind_num_to_integer (7, wire_no, is_null_wire_no)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7"

	bind_list_for_update: STRING = "  bonding_finger_id = :1, design_no = :2, downbond = :3,%N  ic_packaging_no = :4, package_id = :5, pad_name = :6, wire_no = :7"

end
