
note

	date: "Thu Jan 21 12:59:45 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"LITHO_SIZES (MOSIS.LITHO_SIZES)"
			-- Included columns
			-- 	FIELD_SIZE_X
			-- 	FIELD_SIZE_Y
			-- 	LITHO_SIZE_ID
			-- 	MASK_SIZE_ID
			-- 	MERGED_PATTERN_FILE_LOCATION_X
			-- 	MERGED_PATTERN_FILE_LOCATION_Y
			-- 	MERGED_PATTERN_FILE_SIZE_X
			-- 	MERGED_PATTERN_FILE_SIZE_Y
			-- 	PACKING_TARGET
			-- 	PATTERN_FILE_RENAMING_STYLE
			-- 	PAYLOAD_LOCATION_X
			-- 	PAYLOAD_LOCATION_Y
			-- 	PAYLOAD_SIZE_X
			-- 	PAYLOAD_SIZE_Y
			-- 	PRIMARY_FLAT_LOCATION
			-- 	RUN_ID
			-- 	TWEEZER_MARGIN
			-- 	WAFER_TYPE_ID
			-- Excluded columns
			-- 	(none)

class LITHO_SIZES_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	LITHO_SIZES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_field_size_x (d: DOUBLE)
		do
			change_field (True, True)
			field_size_x := d
			is_null_field_size_x := False
		end

	set_field_size_y (d: DOUBLE)
		do
			change_field (True, True)
			field_size_y := d
			is_null_field_size_y := False
		end

	set_litho_size_id (s: STRING)
		do
			change_key_field
			litho_size_id := s
			if s = Void then
				create litho_size_id.make (0)
			end
			is_null_litho_size_id := s = Void or else s.count = 0
		end

	set_mask_size_id (s: STRING)
		do
			change_field (True, True)
			mask_size_id := s
			if s = Void then
				create mask_size_id.make (0)
			end
			is_null_mask_size_id := s = Void or else s.count = 0
		end

	set_merged_pattern_file_location_x (d: DOUBLE)
		do
			change_field (True, True)
			merged_pattern_file_location_x := d
			is_null_merged_pattern_file_location_x := False
		end

	set_merged_pattern_file_location_y (d: DOUBLE)
		do
			change_field (True, True)
			merged_pattern_file_location_y := d
			is_null_merged_pattern_file_location_y := False
		end

	set_merged_pattern_file_size_x (d: DOUBLE)
		do
			change_field (True, True)
			merged_pattern_file_size_x := d
			is_null_merged_pattern_file_size_x := False
		end

	set_merged_pattern_file_size_y (d: DOUBLE)
		do
			change_field (True, True)
			merged_pattern_file_size_y := d
			is_null_merged_pattern_file_size_y := False
		end

	set_packing_target (s: STRING)
		do
			change_field (True, True)
			packing_target := s
			if s = Void then
				create packing_target.make (0)
			end
			is_null_packing_target := s = Void or else s.count = 0
		end

	set_pattern_file_renaming_style (s: STRING)
		do
			change_field (True, True)
			pattern_file_renaming_style := s
			if s = Void then
				create pattern_file_renaming_style.make (0)
			end
			is_null_pattern_file_renaming_style := s = Void or else s.count = 0
		end

	set_payload_location_x (d: DOUBLE)
		do
			change_field (True, True)
			payload_location_x := d
			is_null_payload_location_x := False
		end

	set_payload_location_y (d: DOUBLE)
		do
			change_field (True, True)
			payload_location_y := d
			is_null_payload_location_y := False
		end

	set_payload_size_x (d: DOUBLE)
		do
			change_field (True, True)
			payload_size_x := d
			is_null_payload_size_x := False
		end

	set_payload_size_y (d: DOUBLE)
		do
			change_field (True, True)
			payload_size_y := d
			is_null_payload_size_y := False
		end

	set_primary_flat_location (s: STRING)
		do
			change_field (True, True)
			primary_flat_location := s
			if s = Void then
				create primary_flat_location.make (0)
			end
			is_null_primary_flat_location := s = Void or else s.count = 0
		end

	set_run_id (s: STRING)
		do
			change_field (True, True)
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_tweezer_margin (d: DOUBLE)
		do
			change_field (True, True)
			tweezer_margin := d
			is_null_tweezer_margin := False
		end

	set_wafer_type_id (s: STRING)
		do
			change_field (True, True)
			wafer_type_id := s
			if s = Void then
				create wafer_type_id.make (0)
			end
			is_null_wafer_type_id := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_field_size_x
		do
			change_field (True, True)
			field_size_x := 0.0
			is_null_field_size_x := True
		end

	set_null_field_size_y
		do
			change_field (True, True)
			field_size_y := 0.0
			is_null_field_size_y := True
		end

	set_null_mask_size_id
		do
			set_mask_size_id (Void)
		end

	set_null_merged_pattern_file_location_x
		do
			change_field (True, True)
			merged_pattern_file_location_x := 0.0
			is_null_merged_pattern_file_location_x := True
		end

	set_null_merged_pattern_file_location_y
		do
			change_field (True, True)
			merged_pattern_file_location_y := 0.0
			is_null_merged_pattern_file_location_y := True
		end

	set_null_merged_pattern_file_size_x
		do
			change_field (True, True)
			merged_pattern_file_size_x := 0.0
			is_null_merged_pattern_file_size_x := True
		end

	set_null_merged_pattern_file_size_y
		do
			change_field (True, True)
			merged_pattern_file_size_y := 0.0
			is_null_merged_pattern_file_size_y := True
		end

	set_null_pattern_file_renaming_style
		do
			set_pattern_file_renaming_style (Void)
		end

	set_null_payload_size_x
		do
			change_field (True, True)
			payload_size_x := 0.0
			is_null_payload_size_x := True
		end

	set_null_payload_size_y
		do
			change_field (True, True)
			payload_size_y := 0.0
			is_null_payload_size_y := True
		end

	set_null_primary_flat_location
		do
			set_primary_flat_location (Void)
		end

	set_null_run_id
		do
			set_run_id (Void)
		end

	set_null_tweezer_margin
		do
			change_field (True, True)
			tweezer_margin := 0.0
			is_null_tweezer_margin := True
		end

	set_null_wafer_type_id
		do
			set_wafer_type_id (Void)
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_field_size_x then
				set_null_field_size_x
			else
				set_field_size_x (r.field_size_x)
			end
			if r.is_null_field_size_y then
				set_null_field_size_y
			else
				set_field_size_y (r.field_size_y)
			end
			if r.is_null_litho_size_id then
				handle_null_copy_error ("litho_size_id")
			else
				set_litho_size_id (r.litho_size_id)
			end
			if r.is_null_mask_size_id then
				set_null_mask_size_id
			else
				set_mask_size_id (r.mask_size_id)
			end
			if r.is_null_merged_pattern_file_location_x then
				set_null_merged_pattern_file_location_x
			else
				set_merged_pattern_file_location_x (r.merged_pattern_file_location_x)
			end
			if r.is_null_merged_pattern_file_location_y then
				set_null_merged_pattern_file_location_y
			else
				set_merged_pattern_file_location_y (r.merged_pattern_file_location_y)
			end
			if r.is_null_merged_pattern_file_size_x then
				set_null_merged_pattern_file_size_x
			else
				set_merged_pattern_file_size_x (r.merged_pattern_file_size_x)
			end
			if r.is_null_merged_pattern_file_size_y then
				set_null_merged_pattern_file_size_y
			else
				set_merged_pattern_file_size_y (r.merged_pattern_file_size_y)
			end
			if r.is_null_packing_target then
				handle_null_copy_error ("packing_target")
			else
				set_packing_target (r.packing_target)
			end
			if r.is_null_pattern_file_renaming_style then
				set_null_pattern_file_renaming_style
			else
				set_pattern_file_renaming_style (r.pattern_file_renaming_style)
			end
			if r.is_null_payload_location_x then
				handle_null_copy_error ("payload_location_x")
			else
				set_payload_location_x (r.payload_location_x)
			end
			if r.is_null_payload_location_y then
				handle_null_copy_error ("payload_location_y")
			else
				set_payload_location_y (r.payload_location_y)
			end
			if r.is_null_payload_size_x then
				set_null_payload_size_x
			else
				set_payload_size_x (r.payload_size_x)
			end
			if r.is_null_payload_size_y then
				set_null_payload_size_y
			else
				set_payload_size_y (r.payload_size_y)
			end
			if r.is_null_primary_flat_location then
				set_null_primary_flat_location
			else
				set_primary_flat_location (r.primary_flat_location)
			end
			if r.is_null_run_id then
				set_null_run_id
			else
				set_run_id (r.run_id)
			end
			if r.is_null_tweezer_margin then
				set_null_tweezer_margin
			else
				set_tweezer_margin (r.tweezer_margin)
			end
			if r.is_null_wafer_type_id then
				set_null_wafer_type_id
			else
				set_wafer_type_id (r.wafer_type_id)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_double (1, field_size_x, is_null_field_size_x)
			s.bind_num_to_double (2, field_size_y, is_null_field_size_y)
			s.bind_num_to_string (3, litho_size_id, is_null_litho_size_id)
			s.bind_num_to_string (4, mask_size_id, is_null_mask_size_id)
			s.bind_num_to_double (5, merged_pattern_file_location_x, is_null_merged_pattern_file_location_x)
			s.bind_num_to_double (6, merged_pattern_file_location_y, is_null_merged_pattern_file_location_y)
			s.bind_num_to_double (7, merged_pattern_file_size_x, is_null_merged_pattern_file_size_x)
			s.bind_num_to_double (8, merged_pattern_file_size_y, is_null_merged_pattern_file_size_y)
			s.bind_num_to_string (9, packing_target, is_null_packing_target)
			s.bind_num_to_string (10, pattern_file_renaming_style, is_null_pattern_file_renaming_style)
			s.bind_num_to_double (11, payload_location_x, is_null_payload_location_x)
			s.bind_num_to_double (12, payload_location_y, is_null_payload_location_y)
			s.bind_num_to_double (13, payload_size_x, is_null_payload_size_x)
			s.bind_num_to_double (14, payload_size_y, is_null_payload_size_y)
			s.bind_num_to_string (15, primary_flat_location, is_null_primary_flat_location)
			s.bind_num_to_string (16, run_id, is_null_run_id)
			s.bind_num_to_double (17, tweezer_margin, is_null_tweezer_margin)
			s.bind_num_to_string (18, wafer_type_id, is_null_wafer_type_id)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18"

	bind_list_for_update: STRING = "  field_size_x = :1, field_size_y = :2, litho_size_id = :3,%N  mask_size_id = :4, merged_pattern_file_location_x = :5,%N  merged_pattern_file_location_y = :6, merged_pattern_file_size_x = :7,%N  merged_pattern_file_size_y = :8, packing_target = :9,%N  pattern_file_renaming_style = :10, payload_location_x = :11,%N  payload_location_y = :12, payload_size_x = :13, payload_size_y = :14,%N  primary_flat_location = :15, run_id = :16, tweezer_margin = :17,%N  wafer_type_id = :18"

end
