
note

	date: "Thu Jan 21 12:59:45 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"LITHO_SIZES (MOSIS.LITHO_SIZES)"
			-- Included columns
			-- 	FIELD_SIZE_X
			-- 	FIELD_SIZE_Y
			-- 	LITHO_SIZE_ID
			-- 	MASK_SIZE_ID
			-- 	MERGED_PATTERN_FILE_LOCATION_X
			-- 	MERGED_PATTERN_FILE_LOCATION_Y
			-- 	MERGED_PATTERN_FILE_SIZE_X
			-- 	MERGED_PATTERN_FILE_SIZE_Y
			-- 	PACKING_TARGET
			-- 	PATTERN_FILE_RENAMING_STYLE
			-- 	PAYLOAD_LOCATION_X
			-- 	PAYLOAD_LOCATION_Y
			-- 	PAYLOAD_SIZE_X
			-- 	PAYLOAD_SIZE_Y
			-- 	PRIMARY_FLAT_LOCATION
			-- 	RUN_ID
			-- 	TWEEZER_MARGIN
			-- 	WAFER_TYPE_ID
			-- Excluded columns
			-- 	(none)

class LITHO_SIZES_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_litho_size_id: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_litho_size_id_exists: the_litho_size_id /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			litho_size_id := the_litho_size_id
			is_null_litho_size_id := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 18

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  field_size_x, field_size_y, litho_size_id, mask_size_id,%N  merged_pattern_file_location_x, merged_pattern_file_location_y,%N  merged_pattern_file_size_x, merged_pattern_file_size_y, packing_target,%N  pattern_file_renaming_style, payload_location_x, payload_location_y,%N  payload_size_x, payload_size_y, primary_flat_location, run_id,%N  tweezer_margin, wafer_type_id"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "litho_sizes ls"

	join_condition: STRING = ""

	table_name: STRING = "litho_sizes"

	key_where_clause: STRING = "litho_size_id = :1"

feature -- Values

	field_size_x: DOUBLE
			-- DB: NUMBER(12,6)

	field_size_y: DOUBLE
			-- DB: NUMBER(12,6)

	litho_size_id: STRING
			-- DB: VARCHAR2(30) not null

	mask_size_id: STRING
			-- DB: VARCHAR2(20)

	merged_pattern_file_location_x: DOUBLE
			-- DB: NUMBER(12,6)

	merged_pattern_file_location_y: DOUBLE
			-- DB: NUMBER(12,6)

	merged_pattern_file_size_x: DOUBLE
			-- DB: NUMBER(12,6)

	merged_pattern_file_size_y: DOUBLE
			-- DB: NUMBER(12,6)

	packing_target: STRING
			-- DB: VARCHAR2(20) not null

	pattern_file_renaming_style: STRING
			-- DB: VARCHAR2(15)

	payload_location_x: DOUBLE
			-- DB: NUMBER(12,6) not null

	payload_location_y: DOUBLE
			-- DB: NUMBER(12,6) not null

	payload_size_x: DOUBLE
			-- DB: NUMBER(12,6)

	payload_size_y: DOUBLE
			-- DB: NUMBER(12,6)

	primary_flat_location: STRING
			-- DB: VARCHAR2(20)

	run_id: STRING
			-- DB: CHAR(4)

	tweezer_margin: DOUBLE
			-- DB: NUMBER(12,6)

	wafer_type_id: STRING
			-- DB: VARCHAR2(20)

feature -- Nullness for null allowed columns

	is_null_field_size_x: BOOLEAN
	is_null_field_size_y: BOOLEAN
	is_null_mask_size_id: BOOLEAN
	is_null_merged_pattern_file_location_x: BOOLEAN
	is_null_merged_pattern_file_location_y: BOOLEAN
	is_null_merged_pattern_file_size_x: BOOLEAN
	is_null_merged_pattern_file_size_y: BOOLEAN
	is_null_pattern_file_renaming_style: BOOLEAN
	is_null_payload_size_x: BOOLEAN
	is_null_payload_size_y: BOOLEAN
	is_null_primary_flat_location: BOOLEAN
	is_null_run_id: BOOLEAN
	is_null_tweezer_margin: BOOLEAN
	is_null_wafer_type_id: BOOLEAN

feature -- Nullness for non-null columns

	is_null_litho_size_id: BOOLEAN
	is_null_packing_target: BOOLEAN
	is_null_payload_location_x: BOOLEAN
	is_null_payload_location_y: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (litho_size_id, r.litho_size_id)
			Result := Result
				and is_null_litho_size_id = r.is_null_litho_size_id
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and field_size_x = r.field_size_x
				and field_size_y = r.field_size_y
				and merged_pattern_file_location_x = r.merged_pattern_file_location_x
				and merged_pattern_file_location_y = r.merged_pattern_file_location_y
				and merged_pattern_file_size_x = r.merged_pattern_file_size_x
				and merged_pattern_file_size_y = r.merged_pattern_file_size_y
				and payload_location_x = r.payload_location_x
				and payload_location_y = r.payload_location_y
				and payload_size_x = r.payload_size_x
				and payload_size_y = r.payload_size_y
				and tweezer_margin = r.tweezer_margin
			Result := Result
				and equal (mask_size_id, r.mask_size_id)
				and equal (packing_target, r.packing_target)
				and equal (pattern_file_renaming_style, r.pattern_file_renaming_style)
				and equal (primary_flat_location, r.primary_flat_location)
				and equal (run_id, r.run_id)
				and equal (wafer_type_id, r.wafer_type_id)
			Result := Result
				and is_null_field_size_x = r.is_null_field_size_x
				and is_null_field_size_y = r.is_null_field_size_y
				and is_null_mask_size_id = r.is_null_mask_size_id
				and is_null_merged_pattern_file_location_x = r.is_null_merged_pattern_file_location_x
				and is_null_merged_pattern_file_location_y = r.is_null_merged_pattern_file_location_y
				and is_null_merged_pattern_file_size_x = r.is_null_merged_pattern_file_size_x
				and is_null_merged_pattern_file_size_y = r.is_null_merged_pattern_file_size_y
				and is_null_packing_target = r.is_null_packing_target
				and is_null_pattern_file_renaming_style = r.is_null_pattern_file_renaming_style
				and is_null_payload_location_x = r.is_null_payload_location_x
				and is_null_payload_location_y = r.is_null_payload_location_y
				and is_null_payload_size_x = r.is_null_payload_size_x
				and is_null_payload_size_y = r.is_null_payload_size_y
				and is_null_primary_flat_location = r.is_null_primary_flat_location
				and is_null_run_id = r.is_null_run_id
				and is_null_tweezer_margin = r.is_null_tweezer_margin
				and is_null_wafer_type_id = r.is_null_wafer_type_id
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_double (1)
			q.select_double (2)
			q.select_string (3, 30)
			q.select_string (4, 20)
			q.select_double (5)
			q.select_double (6)
			q.select_double (7)
			q.select_double (8)
			q.select_string (9, 20)
			q.select_string (10, 15)
			q.select_double (11)
			q.select_double (12)
			q.select_double (13)
			q.select_double (14)
			q.select_string (15, 20)
			q.select_string (16, 4)
			q.select_double (17)
			q.select_string (18, 20)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			field_size_x := q.double_value (1)
			field_size_y := q.double_value (2)
			merged_pattern_file_location_x := q.double_value (5)
			merged_pattern_file_location_y := q.double_value (6)
			merged_pattern_file_size_x := q.double_value (7)
			merged_pattern_file_size_y := q.double_value (8)
			payload_location_x := q.double_value (11)
			payload_location_y := q.double_value (12)
			payload_size_x := q.double_value (13)
			payload_size_y := q.double_value (14)
			tweezer_margin := q.double_value (17)
		end

	fill_in_references (q: SQL_QUERY)
		do
			litho_size_id := q.string_value (3)
			mask_size_id := q.string_value (4)
			packing_target := q.string_value (9)
			pattern_file_renaming_style := q.string_value (10)
			primary_flat_location := q.string_value (15)
			run_id := q.string_value (16)
			wafer_type_id := q.string_value (18)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (3, litho_size_id)
			q.get_string_value (4, mask_size_id)
			q.get_string_value (9, packing_target)
			q.get_string_value (10, pattern_file_renaming_style)
			q.get_string_value (15, primary_flat_location)
			q.get_string_value (16, run_id)
			q.get_string_value (18, wafer_type_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_field_size_x := q.is_null (1)
			is_null_field_size_y := q.is_null (2)
			is_null_litho_size_id := q.is_null (3)
			is_null_mask_size_id := q.is_null (4)
			is_null_merged_pattern_file_location_x := q.is_null (5)
			is_null_merged_pattern_file_location_y := q.is_null (6)
			is_null_merged_pattern_file_size_x := q.is_null (7)
			is_null_merged_pattern_file_size_y := q.is_null (8)
			is_null_packing_target := q.is_null (9)
			is_null_pattern_file_renaming_style := q.is_null (10)
			is_null_payload_location_x := q.is_null (11)
			is_null_payload_location_y := q.is_null (12)
			is_null_payload_size_x := q.is_null (13)
			is_null_payload_size_y := q.is_null (14)
			is_null_primary_flat_location := q.is_null (15)
			is_null_run_id := q.is_null (16)
			is_null_tweezer_margin := q.is_null (17)
			is_null_wafer_type_id := q.is_null (18)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_litho_size_id := True
			create litho_size_id.make (0)
		end

	set_null_nonkey
		do
			is_null_field_size_x := True
			is_null_field_size_y := True
			is_null_mask_size_id := True
			is_null_merged_pattern_file_location_x := True
			is_null_merged_pattern_file_location_y := True
			is_null_merged_pattern_file_size_x := True
			is_null_merged_pattern_file_size_y := True
			is_null_packing_target := True
			is_null_pattern_file_renaming_style := True
			is_null_payload_location_x := True
			is_null_payload_location_y := True
			is_null_payload_size_x := True
			is_null_payload_size_y := True
			is_null_primary_flat_location := True
			is_null_run_id := True
			is_null_tweezer_margin := True
			is_null_wafer_type_id := True
			create mask_size_id.make (0)
			create packing_target.make (0)
			create pattern_file_renaming_style.make (0)
			create primary_flat_location.make (0)
			create run_id.make (0)
			create wafer_type_id.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, litho_size_id, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and field_size_x = q.double_value (1)
				and field_size_y = q.double_value (2)
				and merged_pattern_file_location_x = q.double_value (5)
				and merged_pattern_file_location_y = q.double_value (6)
				and merged_pattern_file_size_x = q.double_value (7)
				and merged_pattern_file_size_y = q.double_value (8)
				and payload_location_x = q.double_value (11)
				and payload_location_y = q.double_value (12)
				and payload_size_x = q.double_value (13)
				and payload_size_y = q.double_value (14)
				and tweezer_margin = q.double_value (17)
			q.get_string_value (3, s)
			Result := Result and equal (litho_size_id, s)
			q.get_string_value (4, s)
			Result := Result and equal (mask_size_id, s)
			q.get_string_value (9, s)
			Result := Result and equal (packing_target, s)
			q.get_string_value (10, s)
			Result := Result and equal (pattern_file_renaming_style, s)
			q.get_string_value (15, s)
			Result := Result and equal (primary_flat_location, s)
			q.get_string_value (16, s)
			Result := Result and equal (run_id, s)
			q.get_string_value (18, s)
			Result := Result and equal (wafer_type_id, s)
			Result := Result
				and is_null_field_size_x = q.is_null (1)
				and is_null_field_size_y = q.is_null (2)
				and is_null_litho_size_id = q.is_null (3)
				and is_null_mask_size_id = q.is_null (4)
				and is_null_merged_pattern_file_location_x = q.is_null (5)
				and is_null_merged_pattern_file_location_y = q.is_null (6)
				and is_null_merged_pattern_file_size_x = q.is_null (7)
				and is_null_merged_pattern_file_size_y = q.is_null (8)
				and is_null_packing_target = q.is_null (9)
				and is_null_pattern_file_renaming_style = q.is_null (10)
				and is_null_payload_location_x = q.is_null (11)
				and is_null_payload_location_y = q.is_null (12)
				and is_null_payload_size_x = q.is_null (13)
				and is_null_payload_size_y = q.is_null (14)
				and is_null_primary_flat_location = q.is_null (15)
				and is_null_run_id = q.is_null (16)
				and is_null_tweezer_margin = q.is_null (17)
				and is_null_wafer_type_id = q.is_null (18)
		end

end
