
note

	date: "Fri Oct 22 13:20:15 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"MASK_SETS (MOSIS.MASK_SETS)"
			-- Included columns
			-- 	DATE_ARCHIVE_STATE_MODIFIED
			-- 	DATE_MASKS_IN
			-- 	DATE_MASKS_OUT
			-- 	DATE_MASK_STATUS_MODIFIED
			-- 	DATE_SECONDARY_ARCHIVE_QUEUED
			-- 	DATE_TAPEOUT
			-- 	DESIGN_ENGINEER
			-- 	IS_PRODUCTION_TRANSFER
			-- 	MASK_REVISION
			-- 	MASK_SET_ARCHIVE_STATE
			-- 	MASK_SET_COMMENTS
			-- 	MASK_STATUS
			-- 	MASK_TECHN
			-- 	RUN_ID
			-- Excluded columns
			-- 	(none)

class MASK_SETS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_run_id: STRING; the_mask_revision: CHARACTER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_run_id_exists: the_run_id /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			run_id := the_run_id
			mask_revision := the_mask_revision
			is_null_run_id := False
			is_null_mask_revision := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 14

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  date_archive_state_modified, date_masks_in, date_masks_out,%N  date_mask_status_modified, date_secondary_archive_queued, date_tapeout,%N  design_engineer, is_production_transfer, mask_revision,%N  mask_set_archive_state, mask_set_comments, mask_status, mask_techn,%N  run_id"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "mask_sets mset"

	join_condition: STRING = ""

	table_name: STRING = "mask_sets"

	key_where_clause: STRING = "run_id = :1 and mask_revision = :2"

feature -- Values

	date_archive_state_modified: DB_DATE
			-- DB: DATE

	date_masks_in: DB_DATE
			-- DB: DATE

	date_masks_out: DB_DATE
			-- DB: DATE

	date_mask_status_modified: DB_DATE
			-- DB: DATE

	date_secondary_archive_queued: DB_DATE
			-- DB: DATE

	date_tapeout: DB_DATE
			-- DB: DATE

	design_engineer: STRING
			-- DB: VARCHAR2(30)

	is_production_transfer: BOOLEAN
			-- DB: CHAR(1) not null

	mask_revision: CHARACTER
			-- DB: CHAR(1) not null
			-- Eiffel type specified explicitly

	mask_set_archive_state: STRING
			-- DB: VARCHAR2(20)

	mask_set_comments: STRING
			-- DB: VARCHAR2(300)

	mask_status: STRING
			-- DB: VARCHAR2(20)

	mask_techn: STRING
			-- DB: VARCHAR2(50)

	run_id: STRING
			-- DB: CHAR(4) not null

feature -- Nullness for null allowed columns

	is_null_date_archive_state_modified: BOOLEAN
	is_null_date_masks_in: BOOLEAN
	is_null_date_masks_out: BOOLEAN
	is_null_date_mask_status_modified: BOOLEAN
	is_null_date_secondary_archive_queued: BOOLEAN
	is_null_date_tapeout: BOOLEAN
	is_null_design_engineer: BOOLEAN
	is_null_mask_set_archive_state: BOOLEAN
	is_null_mask_set_comments: BOOLEAN
	is_null_mask_status: BOOLEAN
	is_null_mask_techn: BOOLEAN

feature -- Nullness for non-null columns

	is_null_is_production_transfer: BOOLEAN
	is_null_mask_revision: BOOLEAN
	is_null_run_id: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and mask_revision = r.mask_revision
			Result := Result
				and equal (run_id, r.run_id)
			Result := Result
				and is_null_mask_revision = r.is_null_mask_revision
				and is_null_run_id = r.is_null_run_id
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and is_production_transfer = r.is_production_transfer
			Result := Result
				and equal (date_archive_state_modified, r.date_archive_state_modified)
				and equal (date_masks_in, r.date_masks_in)
				and equal (date_masks_out, r.date_masks_out)
				and equal (date_mask_status_modified, r.date_mask_status_modified)
				and equal (date_secondary_archive_queued, r.date_secondary_archive_queued)
				and equal (date_tapeout, r.date_tapeout)
				and equal (design_engineer, r.design_engineer)
				and equal (mask_set_archive_state, r.mask_set_archive_state)
				and equal (mask_set_comments, r.mask_set_comments)
				and equal (mask_status, r.mask_status)
				and equal (mask_techn, r.mask_techn)
			Result := Result
				and is_null_date_archive_state_modified = r.is_null_date_archive_state_modified
				and is_null_date_masks_in = r.is_null_date_masks_in
				and is_null_date_masks_out = r.is_null_date_masks_out
				and is_null_date_mask_status_modified = r.is_null_date_mask_status_modified
				and is_null_date_secondary_archive_queued = r.is_null_date_secondary_archive_queued
				and is_null_date_tapeout = r.is_null_date_tapeout
				and is_null_design_engineer = r.is_null_design_engineer
				and is_null_is_production_transfer = r.is_null_is_production_transfer
				and is_null_mask_set_archive_state = r.is_null_mask_set_archive_state
				and is_null_mask_set_comments = r.is_null_mask_set_comments
				and is_null_mask_status = r.is_null_mask_status
				and is_null_mask_techn = r.is_null_mask_techn
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_date (1)
			q.select_date (2)
			q.select_date (3)
			q.select_date (4)
			q.select_date (5)
			q.select_date (6)
			q.select_string (7, 30)
			q.select_boolean (8)
			q.select_character (9)
			q.select_string (10, 20)
			q.select_string (11, 300)
			q.select_string (12, 20)
			q.select_string (13, 50)
			q.select_string (14, 4)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			is_production_transfer := q.boolean_value (8)
			mask_revision := q.character_value (9)
		end

	fill_in_references (q: SQL_QUERY)
		do
			date_archive_state_modified := q.date_value (1)
			date_masks_in := q.date_value (2)
			date_masks_out := q.date_value (3)
			date_mask_status_modified := q.date_value (4)
			date_secondary_archive_queued := q.date_value (5)
			date_tapeout := q.date_value (6)
			design_engineer := q.string_value (7)
			mask_set_archive_state := q.string_value (10)
			mask_set_comments := q.string_value (11)
			mask_status := q.string_value (12)
			mask_techn := q.string_value (13)
			run_id := q.string_value (14)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_date_value (1, date_archive_state_modified)
			q.get_date_value (2, date_masks_in)
			q.get_date_value (3, date_masks_out)
			q.get_date_value (4, date_mask_status_modified)
			q.get_date_value (5, date_secondary_archive_queued)
			q.get_date_value (6, date_tapeout)
			q.get_string_value (7, design_engineer)
			q.get_string_value (10, mask_set_archive_state)
			q.get_string_value (11, mask_set_comments)
			q.get_string_value (12, mask_status)
			q.get_string_value (13, mask_techn)
			q.get_string_value (14, run_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_date_archive_state_modified := q.is_null (1)
			is_null_date_masks_in := q.is_null (2)
			is_null_date_masks_out := q.is_null (3)
			is_null_date_mask_status_modified := q.is_null (4)
			is_null_date_secondary_archive_queued := q.is_null (5)
			is_null_date_tapeout := q.is_null (6)
			is_null_design_engineer := q.is_null (7)
			is_null_is_production_transfer := q.is_null (8)
			is_null_mask_revision := q.is_null (9)
			is_null_mask_set_archive_state := q.is_null (10)
			is_null_mask_set_comments := q.is_null (11)
			is_null_mask_status := q.is_null (12)
			is_null_mask_techn := q.is_null (13)
			is_null_run_id := q.is_null (14)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_run_id := True
			is_null_mask_revision := True
			create run_id.make (0)
		end

	set_null_nonkey
		do
			is_null_date_archive_state_modified := True
			is_null_date_masks_in := True
			is_null_date_masks_out := True
			is_null_date_mask_status_modified := True
			is_null_date_secondary_archive_queued := True
			is_null_date_tapeout := True
			is_null_design_engineer := True
			is_null_is_production_transfer := True
			is_null_mask_set_archive_state := True
			is_null_mask_set_comments := True
			is_null_mask_status := True
			is_null_mask_techn := True
			create {ORACLE_DATE} date_archive_state_modified.set_null
			create {ORACLE_DATE} date_masks_in.set_null
			create {ORACLE_DATE} date_masks_out.set_null
			create {ORACLE_DATE} date_mask_status_modified.set_null
			create {ORACLE_DATE} date_secondary_archive_queued.set_null
			create {ORACLE_DATE} date_tapeout.set_null
			create design_engineer.make (0)
			create mask_set_archive_state.make (0)
			create mask_set_comments.make (0)
			create mask_status.make (0)
			create mask_techn.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, run_id, False)
			q.bind_num_to_character (2, mask_revision, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
			d: DB_DATE
		do
			s := temp_string
			d := temp_date
			Result := True
			Result := Result
				and is_production_transfer = q.boolean_value (8)
				and mask_revision = q.character_value (9)
			q.get_date_value (1, d)
			Result := Result and equal (date_archive_state_modified, d)
			q.get_date_value (2, d)
			Result := Result and equal (date_masks_in, d)
			q.get_date_value (3, d)
			Result := Result and equal (date_masks_out, d)
			q.get_date_value (4, d)
			Result := Result and equal (date_mask_status_modified, d)
			q.get_date_value (5, d)
			Result := Result and equal (date_secondary_archive_queued, d)
			q.get_date_value (6, d)
			Result := Result and equal (date_tapeout, d)
			q.get_string_value (7, s)
			Result := Result and equal (design_engineer, s)
			q.get_string_value (10, s)
			Result := Result and equal (mask_set_archive_state, s)
			q.get_string_value (11, s)
			Result := Result and equal (mask_set_comments, s)
			q.get_string_value (12, s)
			Result := Result and equal (mask_status, s)
			q.get_string_value (13, s)
			Result := Result and equal (mask_techn, s)
			q.get_string_value (14, s)
			Result := Result and equal (run_id, s)
			Result := Result
				and is_null_date_archive_state_modified = q.is_null (1)
				and is_null_date_masks_in = q.is_null (2)
				and is_null_date_masks_out = q.is_null (3)
				and is_null_date_mask_status_modified = q.is_null (4)
				and is_null_date_secondary_archive_queued = q.is_null (5)
				and is_null_date_tapeout = q.is_null (6)
				and is_null_design_engineer = q.is_null (7)
				and is_null_is_production_transfer = q.is_null (8)
				and is_null_mask_revision = q.is_null (9)
				and is_null_mask_set_archive_state = q.is_null (10)
				and is_null_mask_set_comments = q.is_null (11)
				and is_null_mask_status = q.is_null (12)
				and is_null_mask_techn = q.is_null (13)
				and is_null_run_id = q.is_null (14)
		end

end
