
note

	date: "Thu Jan 21 12:59:46 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"PACKING_CUT_DIE_SITES (MOSIS.PACKING_CUT_DIE_SITES)"
			-- Included columns
			-- 	CUT_PATTERN_NO
			-- 	DIE_NO
			-- 	DIE_SIZE_CUT_X
			-- 	DIE_SIZE_CUT_Y
			-- 	ISOLATED
			-- 	LOCATION_X
			-- 	LOCATION_Y
			-- 	PACKING_ID
			-- 	SITE_NO
			-- 	VERSION_NO
			-- Excluded columns
			-- 	(none)

class PACKING_CUT_DIE_SITES_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	PACKING_CUT_DIE_SITES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_cut_pattern_no (k: INTEGER)
		do
			change_key_field
			cut_pattern_no := k
			is_null_cut_pattern_no := False
		end

	set_die_no (k: INTEGER)
		do
			change_key_field
			die_no := k
			is_null_die_no := False
		end

	set_die_size_cut_x (d: DOUBLE)
		do
			change_field (True, True)
			die_size_cut_x := d
			is_null_die_size_cut_x := False
		end

	set_die_size_cut_y (d: DOUBLE)
		do
			change_field (True, True)
			die_size_cut_y := d
			is_null_die_size_cut_y := False
		end

	set_isolated (b: BOOLEAN)
		do
			change_field (True, True)
			isolated := b
			is_null_isolated := False
		end

	set_location_x (d: DOUBLE)
		do
			change_field (True, True)
			location_x := d
			is_null_location_x := False
		end

	set_location_y (d: DOUBLE)
		do
			change_field (True, True)
			location_y := d
			is_null_location_y := False
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_site_no (k: INTEGER)
		do
			change_key_field
			site_no := k
			is_null_site_no := False
		end

	set_version_no (k: INTEGER)
		do
			change_key_field
			version_no := k
			is_null_version_no := False
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_cut_pattern_no then
				handle_null_copy_error ("cut_pattern_no")
			else
				set_cut_pattern_no (r.cut_pattern_no)
			end
			if r.is_null_die_no then
				handle_null_copy_error ("die_no")
			else
				set_die_no (r.die_no)
			end
			if r.is_null_die_size_cut_x then
				handle_null_copy_error ("die_size_cut_x")
			else
				set_die_size_cut_x (r.die_size_cut_x)
			end
			if r.is_null_die_size_cut_y then
				handle_null_copy_error ("die_size_cut_y")
			else
				set_die_size_cut_y (r.die_size_cut_y)
			end
			if r.is_null_isolated then
				handle_null_copy_error ("isolated")
			else
				set_isolated (r.isolated)
			end
			if r.is_null_location_x then
				handle_null_copy_error ("location_x")
			else
				set_location_x (r.location_x)
			end
			if r.is_null_location_y then
				handle_null_copy_error ("location_y")
			else
				set_location_y (r.location_y)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_site_no then
				handle_null_copy_error ("site_no")
			else
				set_site_no (r.site_no)
			end
			if r.is_null_version_no then
				handle_null_copy_error ("version_no")
			else
				set_version_no (r.version_no)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, cut_pattern_no, is_null_cut_pattern_no)
			s.bind_num_to_integer (2, die_no, is_null_die_no)
			s.bind_num_to_double (3, die_size_cut_x, is_null_die_size_cut_x)
			s.bind_num_to_double (4, die_size_cut_y, is_null_die_size_cut_y)
			s.bind_num_to_boolean (5, isolated, is_null_isolated)
			s.bind_num_to_double (6, location_x, is_null_location_x)
			s.bind_num_to_double (7, location_y, is_null_location_y)
			s.bind_num_to_string (8, packing_id, is_null_packing_id)
			s.bind_num_to_integer (9, site_no, is_null_site_no)
			s.bind_num_to_integer (10, version_no, is_null_version_no)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10"

	bind_list_for_update: STRING = "  cut_pattern_no = :1, die_no = :2, die_size_cut_x = :3,%N  die_size_cut_y = :4, isolated = :5, location_x = :6, location_y = :7,%N  packing_id = :8, site_no = :9, version_no = :10"

end
