
note

	date: "Tue Jun 19 09:41:03 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKING_DIES (MOSIS.PACKING_DIES)"
			-- Included columns
			-- 	DIE_ID
			-- 	DIE_NO
			-- 	DIE_SIZE_PRINTED_X
			-- 	DIE_SIZE_PRINTED_Y
			-- 	DIE_TYPE
			-- 	DIE_WAFER_ROTATION
			-- 	FILLER_NAME
			-- 	FILLER_TYPE
			-- 	GEOMETRY_ID
			-- 	PACKING_ID
			-- 	PROJECT_NO
			-- 	PROJECT_VERSION_NO
			-- 	SCRIBE_ORIENTATION
			-- 	VERSION_NO
			-- 	WAFER_ETEST_NAME
			-- Excluded columns
			-- 	(none)

class PACKING_DIES_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	PACKING_DIES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_die_id (s: STRING)
		do
			change_field (True, True)
			die_id := s
			if s = Void then
				create die_id.make (0)
			end
			is_null_die_id := s = Void or else s.count = 0
		end

	set_die_no (k: INTEGER)
		do
			change_key_field
			die_no := k
			is_null_die_no := False
		end

	set_die_size_printed_x (d: DOUBLE)
		do
			change_field (True, True)
			die_size_printed_x := d
			is_null_die_size_printed_x := False
		end

	set_die_size_printed_y (d: DOUBLE)
		do
			change_field (True, True)
			die_size_printed_y := d
			is_null_die_size_printed_y := False
		end

	set_die_type (s: STRING)
		do
			change_field (True, True)
			die_type := s
			if s = Void then
				create die_type.make (0)
			end
			is_null_die_type := s = Void or else s.count = 0
		end

	set_die_wafer_rotation (k: INTEGER)
		do
			change_field (True, True)
			die_wafer_rotation := k
			is_null_die_wafer_rotation := False
		end

	set_filler_name (s: STRING)
		do
			change_field (True, True)
			filler_name := s
			if s = Void then
				create filler_name.make (0)
			end
			is_null_filler_name := s = Void or else s.count = 0
		end

	set_filler_type (s: STRING)
		do
			change_field (True, True)
			filler_type := s
			if s = Void then
				create filler_type.make (0)
			end
			is_null_filler_type := s = Void or else s.count = 0
		end

	set_geometry_id (s: STRING)
		do
			change_field (True, True)
			geometry_id := s
			if s = Void then
				create geometry_id.make (0)
			end
			is_null_geometry_id := s = Void or else s.count = 0
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_project_no (k: INTEGER)
		do
			change_field (True, True)
			project_no := k
			is_null_project_no := False
		end

	set_project_version_no (k: INTEGER)
		do
			change_field (True, True)
			project_version_no := k
			is_null_project_version_no := False
		end

	set_scribe_orientation (s: STRING)
		do
			change_field (True, True)
			scribe_orientation := s
			if s = Void then
				create scribe_orientation.make (0)
			end
			is_null_scribe_orientation := s = Void or else s.count = 0
		end

	set_version_no (k: INTEGER)
		do
			change_key_field
			version_no := k
			is_null_version_no := False
		end

	set_wafer_etest_name (s: STRING)
		do
			change_field (True, True)
			wafer_etest_name := s
			if s = Void then
				create wafer_etest_name.make (0)
			end
			is_null_wafer_etest_name := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_die_id
		do
			set_die_id (Void)
		end

	set_null_die_size_printed_x
		do
			change_field (True, True)
			die_size_printed_x := 0.0
			is_null_die_size_printed_x := True
		end

	set_null_die_size_printed_y
		do
			change_field (True, True)
			die_size_printed_y := 0.0
			is_null_die_size_printed_y := True
		end

	set_null_die_wafer_rotation
		do
			change_field (True, True)
			die_wafer_rotation := 0
			is_null_die_wafer_rotation := True
		end

	set_null_filler_name
		do
			set_filler_name (Void)
		end

	set_null_filler_type
		do
			set_filler_type (Void)
		end

	set_null_geometry_id
		do
			set_geometry_id (Void)
		end

	set_null_project_no
		do
			change_field (True, True)
			project_no := 0
			is_null_project_no := True
		end

	set_null_project_version_no
		do
			change_field (True, True)
			project_version_no := 0
			is_null_project_version_no := True
		end

	set_null_scribe_orientation
		do
			set_scribe_orientation (Void)
		end

	set_null_wafer_etest_name
		do
			set_wafer_etest_name (Void)
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_die_id then
				set_null_die_id
			else
				set_die_id (r.die_id)
			end
			if r.is_null_die_no then
				handle_null_copy_error ("die_no")
			else
				set_die_no (r.die_no)
			end
			if r.is_null_die_size_printed_x then
				set_null_die_size_printed_x
			else
				set_die_size_printed_x (r.die_size_printed_x)
			end
			if r.is_null_die_size_printed_y then
				set_null_die_size_printed_y
			else
				set_die_size_printed_y (r.die_size_printed_y)
			end
			if r.is_null_die_type then
				handle_null_copy_error ("die_type")
			else
				set_die_type (r.die_type)
			end
			if r.is_null_die_wafer_rotation then
				set_null_die_wafer_rotation
			else
				set_die_wafer_rotation (r.die_wafer_rotation)
			end
			if r.is_null_filler_name then
				set_null_filler_name
			else
				set_filler_name (r.filler_name)
			end
			if r.is_null_filler_type then
				set_null_filler_type
			else
				set_filler_type (r.filler_type)
			end
			if r.is_null_geometry_id then
				set_null_geometry_id
			else
				set_geometry_id (r.geometry_id)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_project_no then
				set_null_project_no
			else
				set_project_no (r.project_no)
			end
			if r.is_null_project_version_no then
				set_null_project_version_no
			else
				set_project_version_no (r.project_version_no)
			end
			if r.is_null_scribe_orientation then
				set_null_scribe_orientation
			else
				set_scribe_orientation (r.scribe_orientation)
			end
			if r.is_null_version_no then
				handle_null_copy_error ("version_no")
			else
				set_version_no (r.version_no)
			end
			if r.is_null_wafer_etest_name then
				set_null_wafer_etest_name
			else
				set_wafer_etest_name (r.wafer_etest_name)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, die_id, is_null_die_id)
			s.bind_num_to_integer (2, die_no, is_null_die_no)
			s.bind_num_to_double (3, die_size_printed_x, is_null_die_size_printed_x)
			s.bind_num_to_double (4, die_size_printed_y, is_null_die_size_printed_y)
			s.bind_num_to_string (5, die_type, is_null_die_type)
			s.bind_num_to_integer (6, die_wafer_rotation, is_null_die_wafer_rotation)
			s.bind_num_to_string (7, filler_name, is_null_filler_name)
			s.bind_num_to_string (8, filler_type, is_null_filler_type)
			s.bind_num_to_string (9, geometry_id, is_null_geometry_id)
			s.bind_num_to_string (10, packing_id, is_null_packing_id)
			s.bind_num_to_integer (11, project_no, is_null_project_no)
			s.bind_num_to_integer (12, project_version_no, is_null_project_version_no)
			s.bind_num_to_string (13, scribe_orientation, is_null_scribe_orientation)
			s.bind_num_to_integer (14, version_no, is_null_version_no)
			s.bind_num_to_string (15, wafer_etest_name, is_null_wafer_etest_name)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15"

	bind_list_for_update: STRING = "  die_id = :1, die_no = :2, die_size_printed_x = :3,%N  die_size_printed_y = :4, die_type = :5, die_wafer_rotation = :6,%N  filler_name = :7, filler_type = :8, geometry_id = :9, packing_id = :10,%N  project_no = :11, project_version_no = :12, scribe_orientation = :13,%N  version_no = :14, wafer_etest_name = :15"

end
