
note

	date: "Mon Jun 25 09:31:27 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKING_PROJECTS (MOSIS.PACKING_PROJECTS)"
			-- Included columns
			-- 	ALLOW_OVERSIZE_DIE_ON_RUN
			-- 	CUST_ACCT_NO
			-- 	DATE_FAB_REQUESTED
			-- 	DATE_SELECTED
			-- 	DATE_SYNCHRONIZED
			-- 	DESIGN_ACCEPT_STATE
			-- 	DESIGN_DIE_ROTATION
			-- 	DESIGN_NAME
			-- 	DESIGN_NO
			-- 	DESIGN_SIZE_X
			-- 	DESIGN_SIZE_Y
			-- 	DESIGN_TECHN_ID
			-- 	DESIGN_WAFER_ROTATION_REQD
			-- 	EXPORT_CONTROL_TYPE
			-- 	IC_FAB_INSTANCE_TYPE
			-- 	IS_DESIGN_SIZE_ESTIMATE
			-- 	IS_PRELIMINARY
			-- 	MAX_ALLOWED_DIE_SIZE_X
			-- 	MAX_ALLOWED_DIE_SIZE_Y
			-- 	M_FAB_NO
			-- 	NET_ADDRESS
			-- 	OVERHEAD_STYLE
			-- 	OVERSIZE_DIE_INCL_CONDITIONS
			-- 	PACKING_ID
			-- 	PHONE_NUMBER
			-- 	PROJECT_NO
			-- 	PROJECT_STATE
			-- 	PROJECT_VERSION_NO
			-- 	QUANTITY_ORDERED
			-- 	QUANTITY_REQUESTED
			-- 	QUANTITY_UNPACKAGED_REQUESTED
			-- 	RUN_DATE_REQUESTED
			-- 	RUN_ID_COPY
			-- 	RUN_TYPE_REQUESTED
			-- 	TEST_VEHICLE_DESIGN_NO
			-- Excluded columns
			-- 	(none)

class PACKING_PROJECTS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	PACKING_PROJECTS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_allow_oversize_die_on_run (b: BOOLEAN)
		do
			change_field (True, True)
			allow_oversize_die_on_run := b
			is_null_allow_oversize_die_on_run := False
		end

	set_cust_acct_no (k: INTEGER)
		do
			change_field (True, True)
			cust_acct_no := k
			is_null_cust_acct_no := False
		end

	set_date_fab_requested (d: DB_DATE)
		do
			change_field (True, True)
			date_fab_requested := d
			if d = Void then
				create {ORACLE_DATE} date_fab_requested.set_null
			end
			is_null_date_fab_requested := d = Void or else d.is_null
		end

	set_date_selected (d: DB_DATE)
		do
			change_field (True, True)
			date_selected := d
			if d = Void then
				create {ORACLE_DATE} date_selected.set_null
			end
			is_null_date_selected := d = Void or else d.is_null
		end

	set_date_synchronized (d: DB_DATE)
		do
			change_field (True, True)
			date_synchronized := d
			if d = Void then
				create {ORACLE_DATE} date_synchronized.set_null
			end
			is_null_date_synchronized := d = Void or else d.is_null
		end

	set_design_accept_state (s: STRING)
		do
			change_field (True, True)
			design_accept_state := s
			if s = Void then
				create design_accept_state.make (0)
			end
			is_null_design_accept_state := s = Void or else s.count = 0
		end

	set_design_die_rotation (k: INTEGER)
		do
			change_field (True, True)
			design_die_rotation := k
			is_null_design_die_rotation := False
		end

	set_design_name (s: STRING)
		do
			change_field (True, True)
			design_name := s
			if s = Void then
				create design_name.make (0)
			end
			is_null_design_name := s = Void or else s.count = 0
		end

	set_design_no (k: INTEGER)
		do
			change_field (True, True)
			design_no := k
			is_null_design_no := False
		end

	set_design_size_x (d: DOUBLE)
		do
			change_field (True, True)
			design_size_x := d
			is_null_design_size_x := False
		end

	set_design_size_y (d: DOUBLE)
		do
			change_field (True, True)
			design_size_y := d
			is_null_design_size_y := False
		end

	set_design_techn_id (s: STRING)
		do
			change_field (True, True)
			design_techn_id := s
			if s = Void then
				create design_techn_id.make (0)
			end
			is_null_design_techn_id := s = Void or else s.count = 0
		end

	set_design_wafer_rotation_reqd (k: INTEGER)
		do
			change_field (True, True)
			design_wafer_rotation_reqd := k
			is_null_design_wafer_rotation_reqd := False
		end

	set_export_control_type (s: STRING)
		do
			change_field (True, True)
			export_control_type := s
			if s = Void then
				create export_control_type.make (0)
			end
			is_null_export_control_type := s = Void or else s.count = 0
		end

	set_ic_fab_instance_type (s: STRING)
		do
			change_field (True, True)
			ic_fab_instance_type := s
			if s = Void then
				create ic_fab_instance_type.make (0)
			end
			is_null_ic_fab_instance_type := s = Void or else s.count = 0
		end

	set_is_design_size_estimate (b: BOOLEAN)
		do
			change_field (True, True)
			is_design_size_estimate := b
			is_null_is_design_size_estimate := False
		end

	set_is_preliminary (b: BOOLEAN)
		do
			change_field (True, True)
			is_preliminary := b
			is_null_is_preliminary := False
		end

	set_max_allowed_die_size_x (d: DOUBLE)
		do
			change_field (True, True)
			max_allowed_die_size_x := d
			is_null_max_allowed_die_size_x := False
		end

	set_max_allowed_die_size_y (d: DOUBLE)
		do
			change_field (True, True)
			max_allowed_die_size_y := d
			is_null_max_allowed_die_size_y := False
		end

	set_m_fab_no (k: INTEGER)
		do
			change_field (True, True)
			m_fab_no := k
			is_null_m_fab_no := False
		end

	set_net_address (s: STRING)
		do
			change_field (True, True)
			net_address := s
			if s = Void then
				create net_address.make (0)
			end
			is_null_net_address := s = Void or else s.count = 0
		end

	set_overhead_style (s: STRING)
		do
			change_field (True, True)
			overhead_style := s
			if s = Void then
				create overhead_style.make (0)
			end
			is_null_overhead_style := s = Void or else s.count = 0
		end

	set_oversize_die_incl_conditions (s: STRING)
		do
			change_field (True, True)
			oversize_die_incl_conditions := s
			if s = Void then
				create oversize_die_incl_conditions.make (0)
			end
			is_null_oversize_die_incl_conditions := s = Void or else s.count = 0
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_phone_number (s: STRING)
		do
			change_field (True, True)
			phone_number := s
			if s = Void then
				create phone_number.make (0)
			end
			is_null_phone_number := s = Void or else s.count = 0
		end

	set_project_no (k: INTEGER)
		do
			change_key_field
			project_no := k
			is_null_project_no := False
		end

	set_project_state (s: STRING)
		do
			change_field (True, True)
			project_state := s
			if s = Void then
				create project_state.make (0)
			end
			is_null_project_state := s = Void or else s.count = 0
		end

	set_project_version_no (k: INTEGER)
		do
			change_key_field
			project_version_no := k
			is_null_project_version_no := False
		end

	set_quantity_ordered (k: INTEGER)
		do
			change_field (True, True)
			quantity_ordered := k
			is_null_quantity_ordered := False
		end

	set_quantity_requested (k: INTEGER)
		do
			change_field (True, True)
			quantity_requested := k
			is_null_quantity_requested := False
		end

	set_quantity_unpackaged_requested (k: INTEGER)
		do
			change_field (True, True)
			quantity_unpackaged_requested := k
			is_null_quantity_unpackaged_requested := False
		end

	set_run_date_requested (d: DB_DATE)
		do
			change_field (True, True)
			run_date_requested := d
			if d = Void then
				create {ORACLE_DATE} run_date_requested.set_null
			end
			is_null_run_date_requested := d = Void or else d.is_null
		end

	set_run_id_copy (s: STRING)
		do
			change_field (True, True)
			run_id_copy := s
			if s = Void then
				create run_id_copy.make (0)
			end
			is_null_run_id_copy := s = Void or else s.count = 0
		end

	set_run_type_requested (s: STRING)
		do
			change_field (True, True)
			run_type_requested := s
			if s = Void then
				create run_type_requested.make (0)
			end
			is_null_run_type_requested := s = Void or else s.count = 0
		end

	set_test_vehicle_design_no (k: INTEGER)
		do
			change_field (True, True)
			test_vehicle_design_no := k
			is_null_test_vehicle_design_no := False
		end

feature -- Modification to null

	set_null_allow_oversize_die_on_run
		do
			change_field (True, True)
			allow_oversize_die_on_run := False
			is_null_allow_oversize_die_on_run := True
		end

	set_null_date_fab_requested
		do
			set_date_fab_requested (Void)
		end

	set_null_design_accept_state
		do
			set_design_accept_state (Void)
		end

	set_null_design_die_rotation
		do
			change_field (True, True)
			design_die_rotation := 0
			is_null_design_die_rotation := True
		end

	set_null_design_no
		do
			change_field (True, True)
			design_no := 0
			is_null_design_no := True
		end

	set_null_design_size_x
		do
			change_field (True, True)
			design_size_x := 0.0
			is_null_design_size_x := True
		end

	set_null_design_size_y
		do
			change_field (True, True)
			design_size_y := 0.0
			is_null_design_size_y := True
		end

	set_null_design_wafer_rotation_reqd
		do
			change_field (True, True)
			design_wafer_rotation_reqd := 0
			is_null_design_wafer_rotation_reqd := True
		end

	set_null_export_control_type
		do
			set_export_control_type (Void)
		end

	set_null_max_allowed_die_size_x
		do
			change_field (True, True)
			max_allowed_die_size_x := 0.0
			is_null_max_allowed_die_size_x := True
		end

	set_null_max_allowed_die_size_y
		do
			change_field (True, True)
			max_allowed_die_size_y := 0.0
			is_null_max_allowed_die_size_y := True
		end

	set_null_m_fab_no
		do
			change_field (True, True)
			m_fab_no := 0
			is_null_m_fab_no := True
		end

	set_null_net_address
		do
			set_net_address (Void)
		end

	set_null_overhead_style
		do
			set_overhead_style (Void)
		end

	set_null_oversize_die_incl_conditions
		do
			set_oversize_die_incl_conditions (Void)
		end

	set_null_phone_number
		do
			set_phone_number (Void)
		end

	set_null_project_state
		do
			set_project_state (Void)
		end

	set_null_quantity_ordered
		do
			change_field (True, True)
			quantity_ordered := 0
			is_null_quantity_ordered := True
		end

	set_null_quantity_requested
		do
			change_field (True, True)
			quantity_requested := 0
			is_null_quantity_requested := True
		end

	set_null_quantity_unpackaged_requested
		do
			change_field (True, True)
			quantity_unpackaged_requested := 0
			is_null_quantity_unpackaged_requested := True
		end

	set_null_run_date_requested
		do
			set_run_date_requested (Void)
		end

	set_null_run_id_copy
		do
			set_run_id_copy (Void)
		end

	set_null_run_type_requested
		do
			set_run_type_requested (Void)
		end

	set_null_test_vehicle_design_no
		do
			change_field (True, True)
			test_vehicle_design_no := 0
			is_null_test_vehicle_design_no := True
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_allow_oversize_die_on_run then
				set_null_allow_oversize_die_on_run
			else
				set_allow_oversize_die_on_run (r.allow_oversize_die_on_run)
			end
			if r.is_null_cust_acct_no then
				handle_null_copy_error ("cust_acct_no")
			else
				set_cust_acct_no (r.cust_acct_no)
			end
			if r.is_null_date_fab_requested then
				set_null_date_fab_requested
			else
				set_date_fab_requested (r.date_fab_requested)
			end
			if r.is_null_date_selected then
				handle_null_copy_error ("date_selected")
			else
				set_date_selected (r.date_selected)
			end
			if r.is_null_date_synchronized then
				handle_null_copy_error ("date_synchronized")
			else
				set_date_synchronized (r.date_synchronized)
			end
			if r.is_null_design_accept_state then
				set_null_design_accept_state
			else
				set_design_accept_state (r.design_accept_state)
			end
			if r.is_null_design_die_rotation then
				set_null_design_die_rotation
			else
				set_design_die_rotation (r.design_die_rotation)
			end
			if r.is_null_design_name then
				handle_null_copy_error ("design_name")
			else
				set_design_name (r.design_name)
			end
			if r.is_null_design_no then
				set_null_design_no
			else
				set_design_no (r.design_no)
			end
			if r.is_null_design_size_x then
				set_null_design_size_x
			else
				set_design_size_x (r.design_size_x)
			end
			if r.is_null_design_size_y then
				set_null_design_size_y
			else
				set_design_size_y (r.design_size_y)
			end
			if r.is_null_design_techn_id then
				handle_null_copy_error ("design_techn_id")
			else
				set_design_techn_id (r.design_techn_id)
			end
			if r.is_null_design_wafer_rotation_reqd then
				set_null_design_wafer_rotation_reqd
			else
				set_design_wafer_rotation_reqd (r.design_wafer_rotation_reqd)
			end
			if r.is_null_export_control_type then
				set_null_export_control_type
			else
				set_export_control_type (r.export_control_type)
			end
			if r.is_null_ic_fab_instance_type then
				handle_null_copy_error ("ic_fab_instance_type")
			else
				set_ic_fab_instance_type (r.ic_fab_instance_type)
			end
			if r.is_null_is_design_size_estimate then
				handle_null_copy_error ("is_design_size_estimate")
			else
				set_is_design_size_estimate (r.is_design_size_estimate)
			end
			if r.is_null_is_preliminary then
				handle_null_copy_error ("is_preliminary")
			else
				set_is_preliminary (r.is_preliminary)
			end
			if r.is_null_max_allowed_die_size_x then
				set_null_max_allowed_die_size_x
			else
				set_max_allowed_die_size_x (r.max_allowed_die_size_x)
			end
			if r.is_null_max_allowed_die_size_y then
				set_null_max_allowed_die_size_y
			else
				set_max_allowed_die_size_y (r.max_allowed_die_size_y)
			end
			if r.is_null_m_fab_no then
				set_null_m_fab_no
			else
				set_m_fab_no (r.m_fab_no)
			end
			if r.is_null_net_address then
				set_null_net_address
			else
				set_net_address (r.net_address)
			end
			if r.is_null_overhead_style then
				set_null_overhead_style
			else
				set_overhead_style (r.overhead_style)
			end
			if r.is_null_oversize_die_incl_conditions then
				set_null_oversize_die_incl_conditions
			else
				set_oversize_die_incl_conditions (r.oversize_die_incl_conditions)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_phone_number then
				set_null_phone_number
			else
				set_phone_number (r.phone_number)
			end
			if r.is_null_project_no then
				handle_null_copy_error ("project_no")
			else
				set_project_no (r.project_no)
			end
			if r.is_null_project_state then
				set_null_project_state
			else
				set_project_state (r.project_state)
			end
			if r.is_null_project_version_no then
				handle_null_copy_error ("project_version_no")
			else
				set_project_version_no (r.project_version_no)
			end
			if r.is_null_quantity_ordered then
				set_null_quantity_ordered
			else
				set_quantity_ordered (r.quantity_ordered)
			end
			if r.is_null_quantity_requested then
				set_null_quantity_requested
			else
				set_quantity_requested (r.quantity_requested)
			end
			if r.is_null_quantity_unpackaged_requested then
				set_null_quantity_unpackaged_requested
			else
				set_quantity_unpackaged_requested (r.quantity_unpackaged_requested)
			end
			if r.is_null_run_date_requested then
				set_null_run_date_requested
			else
				set_run_date_requested (r.run_date_requested)
			end
			if r.is_null_run_id_copy then
				set_null_run_id_copy
			else
				set_run_id_copy (r.run_id_copy)
			end
			if r.is_null_run_type_requested then
				set_null_run_type_requested
			else
				set_run_type_requested (r.run_type_requested)
			end
			if r.is_null_test_vehicle_design_no then
				set_null_test_vehicle_design_no
			else
				set_test_vehicle_design_no (r.test_vehicle_design_no)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_boolean (1, allow_oversize_die_on_run, is_null_allow_oversize_die_on_run)
			s.bind_num_to_integer (2, cust_acct_no, is_null_cust_acct_no)
			s.bind_num_to_date (3, date_fab_requested, is_null_date_fab_requested)
			s.bind_num_to_date (4, date_selected, is_null_date_selected)
			s.bind_num_to_date (5, date_synchronized, is_null_date_synchronized)
			s.bind_num_to_string (6, design_accept_state, is_null_design_accept_state)
			s.bind_num_to_integer (7, design_die_rotation, is_null_design_die_rotation)
			s.bind_num_to_string (8, design_name, is_null_design_name)
			s.bind_num_to_integer (9, design_no, is_null_design_no)
			s.bind_num_to_double (10, design_size_x, is_null_design_size_x)
			s.bind_num_to_double (11, design_size_y, is_null_design_size_y)
			s.bind_num_to_string (12, design_techn_id, is_null_design_techn_id)
			s.bind_num_to_integer (13, design_wafer_rotation_reqd, is_null_design_wafer_rotation_reqd)
			s.bind_num_to_string (14, export_control_type, is_null_export_control_type)
			s.bind_num_to_string (15, ic_fab_instance_type, is_null_ic_fab_instance_type)
			s.bind_num_to_boolean (16, is_design_size_estimate, is_null_is_design_size_estimate)
			s.bind_num_to_boolean (17, is_preliminary, is_null_is_preliminary)
			s.bind_num_to_double (18, max_allowed_die_size_x, is_null_max_allowed_die_size_x)
			s.bind_num_to_double (19, max_allowed_die_size_y, is_null_max_allowed_die_size_y)
			s.bind_num_to_integer (20, m_fab_no, is_null_m_fab_no)
			s.bind_num_to_string (21, net_address, is_null_net_address)
			s.bind_num_to_string (22, overhead_style, is_null_overhead_style)
			s.bind_num_to_string (23, oversize_die_incl_conditions, is_null_oversize_die_incl_conditions)
			s.bind_num_to_string (24, packing_id, is_null_packing_id)
			s.bind_num_to_string (25, phone_number, is_null_phone_number)
			s.bind_num_to_integer (26, project_no, is_null_project_no)
			s.bind_num_to_string (27, project_state, is_null_project_state)
			s.bind_num_to_integer (28, project_version_no, is_null_project_version_no)
			s.bind_num_to_integer (29, quantity_ordered, is_null_quantity_ordered)
			s.bind_num_to_integer (30, quantity_requested, is_null_quantity_requested)
			s.bind_num_to_integer (31, quantity_unpackaged_requested, is_null_quantity_unpackaged_requested)
			s.bind_num_to_date (32, run_date_requested, is_null_run_date_requested)
			s.bind_num_to_string (33, run_id_copy, is_null_run_id_copy)
			s.bind_num_to_string (34, run_type_requested, is_null_run_type_requested)
			s.bind_num_to_integer (35, test_vehicle_design_no, is_null_test_vehicle_design_no)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18, :19, :20, :21, :22, :23, :24, :25, :26, :27, :28, :29, :30,%N  :31, :32, :33, :34, :35"

	bind_list_for_update: STRING = "  allow_oversize_die_on_run = :1, cust_acct_no = :2,%N  date_fab_requested = :3, date_selected = :4, date_synchronized = :5,%N  design_accept_state = :6, design_die_rotation = :7, design_name = :8,%N  design_no = :9, design_size_x = :10, design_size_y = :11,%N  design_techn_id = :12, design_wafer_rotation_reqd = :13,%N  export_control_type = :14, ic_fab_instance_type = :15,%N  is_design_size_estimate = :16, is_preliminary = :17,%N  max_allowed_die_size_x = :18, max_allowed_die_size_y = :19,%N  m_fab_no = :20, net_address = :21, overhead_style = :22,%N  oversize_die_incl_conditions = :23, packing_id = :24, phone_number = :25,%N  project_no = :26, project_state = :27, project_version_no = :28,%N  quantity_ordered = :29, quantity_requested = :30,%N  quantity_unpackaged_requested = :31, run_date_requested = :32,%N  run_id_copy = :33, run_type_requested = :34, test_vehicle_design_no = :35"

end
