
note

	date: "Tue May  1 10:38:28 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKING_VERSIONS (MOSIS.PACKING_VERSIONS)"
			-- Included columns
			-- 	CREATOR
			-- 	DATE_CREATED
			-- 	EXTERNAL_CUT_DISTANCE_BOTTOM
			-- 	EXTERNAL_CUT_DISTANCE_LEFT
			-- 	EXTERNAL_CUT_DISTANCE_RIGHT
			-- 	EXTERNAL_CUT_DISTANCE_TOP
			-- 	FIELD_SIZE_X
			-- 	FIELD_SIZE_Y
			-- 	PACKING_ID
			-- 	PACKING_NAME
			-- 	PARENT_VERSION_NO
			-- 	PAYLOAD_SIZE_X
			-- 	PAYLOAD_SIZE_Y
			-- 	SAW_BLADE_WIDTH
			-- 	VERSION_ID
			-- 	VERSION_NO
			-- Excluded columns
			-- 	(none)

class PACKING_VERSIONS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	PACKING_VERSIONS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_creator (s: STRING)
		do
			change_field (True, True)
			creator := s
			if s = Void then
				create creator.make (0)
			end
			is_null_creator := s = Void or else s.count = 0
		end

	set_date_created (d: DB_DATE)
		do
			change_field (True, True)
			date_created := d
			if d = Void then
				create {ORACLE_DATE} date_created.set_null
			end
			is_null_date_created := d = Void or else d.is_null
		end

	set_external_cut_distance_bottom (d: DOUBLE)
		do
			change_field (True, True)
			external_cut_distance_bottom := d
			is_null_external_cut_distance_bottom := False
		end

	set_external_cut_distance_left (d: DOUBLE)
		do
			change_field (True, True)
			external_cut_distance_left := d
			is_null_external_cut_distance_left := False
		end

	set_external_cut_distance_right (d: DOUBLE)
		do
			change_field (True, True)
			external_cut_distance_right := d
			is_null_external_cut_distance_right := False
		end

	set_external_cut_distance_top (d: DOUBLE)
		do
			change_field (True, True)
			external_cut_distance_top := d
			is_null_external_cut_distance_top := False
		end

	set_field_size_x (d: DOUBLE)
		do
			change_field (True, True)
			field_size_x := d
			is_null_field_size_x := False
		end

	set_field_size_y (d: DOUBLE)
		do
			change_field (True, True)
			field_size_y := d
			is_null_field_size_y := False
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_packing_name (s: STRING)
		do
			change_field (True, True)
			packing_name := s
			if s = Void then
				create packing_name.make (0)
			end
			is_null_packing_name := s = Void or else s.count = 0
		end

	set_parent_version_no (k: INTEGER)
		do
			change_field (True, True)
			parent_version_no := k
			is_null_parent_version_no := False
		end

	set_payload_size_x (d: DOUBLE)
		do
			change_field (True, True)
			payload_size_x := d
			is_null_payload_size_x := False
		end

	set_payload_size_y (d: DOUBLE)
		do
			change_field (True, True)
			payload_size_y := d
			is_null_payload_size_y := False
		end

	set_saw_blade_width (d: DOUBLE)
		do
			change_field (True, True)
			saw_blade_width := d
			is_null_saw_blade_width := False
		end

	set_version_id (s: STRING)
		do
			change_field (True, True)
			version_id := s
			if s = Void then
				create version_id.make (0)
			end
			is_null_version_id := s = Void or else s.count = 0
		end

	set_version_no (k: INTEGER)
		do
			change_key_field
			version_no := k
			is_null_version_no := False
		end

feature -- Modification to null

	set_null_external_cut_distance_bottom
		do
			change_field (True, True)
			external_cut_distance_bottom := 0.0
			is_null_external_cut_distance_bottom := True
		end

	set_null_external_cut_distance_left
		do
			change_field (True, True)
			external_cut_distance_left := 0.0
			is_null_external_cut_distance_left := True
		end

	set_null_external_cut_distance_right
		do
			change_field (True, True)
			external_cut_distance_right := 0.0
			is_null_external_cut_distance_right := True
		end

	set_null_external_cut_distance_top
		do
			change_field (True, True)
			external_cut_distance_top := 0.0
			is_null_external_cut_distance_top := True
		end

	set_null_field_size_x
		do
			change_field (True, True)
			field_size_x := 0.0
			is_null_field_size_x := True
		end

	set_null_field_size_y
		do
			change_field (True, True)
			field_size_y := 0.0
			is_null_field_size_y := True
		end

	set_null_packing_name
		do
			set_packing_name (Void)
		end

	set_null_parent_version_no
		do
			change_field (True, True)
			parent_version_no := 0
			is_null_parent_version_no := True
		end

	set_null_payload_size_x
		do
			change_field (True, True)
			payload_size_x := 0.0
			is_null_payload_size_x := True
		end

	set_null_payload_size_y
		do
			change_field (True, True)
			payload_size_y := 0.0
			is_null_payload_size_y := True
		end

	set_null_version_id
		do
			set_version_id (Void)
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_creator then
				handle_null_copy_error ("creator")
			else
				set_creator (r.creator)
			end
			if r.is_null_date_created then
				handle_null_copy_error ("date_created")
			else
				set_date_created (r.date_created)
			end
			if r.is_null_external_cut_distance_bottom then
				set_null_external_cut_distance_bottom
			else
				set_external_cut_distance_bottom (r.external_cut_distance_bottom)
			end
			if r.is_null_external_cut_distance_left then
				set_null_external_cut_distance_left
			else
				set_external_cut_distance_left (r.external_cut_distance_left)
			end
			if r.is_null_external_cut_distance_right then
				set_null_external_cut_distance_right
			else
				set_external_cut_distance_right (r.external_cut_distance_right)
			end
			if r.is_null_external_cut_distance_top then
				set_null_external_cut_distance_top
			else
				set_external_cut_distance_top (r.external_cut_distance_top)
			end
			if r.is_null_field_size_x then
				set_null_field_size_x
			else
				set_field_size_x (r.field_size_x)
			end
			if r.is_null_field_size_y then
				set_null_field_size_y
			else
				set_field_size_y (r.field_size_y)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_packing_name then
				set_null_packing_name
			else
				set_packing_name (r.packing_name)
			end
			if r.is_null_parent_version_no then
				set_null_parent_version_no
			else
				set_parent_version_no (r.parent_version_no)
			end
			if r.is_null_payload_size_x then
				set_null_payload_size_x
			else
				set_payload_size_x (r.payload_size_x)
			end
			if r.is_null_payload_size_y then
				set_null_payload_size_y
			else
				set_payload_size_y (r.payload_size_y)
			end
			if r.is_null_saw_blade_width then
				handle_null_copy_error ("saw_blade_width")
			else
				set_saw_blade_width (r.saw_blade_width)
			end
			if r.is_null_version_id then
				set_null_version_id
			else
				set_version_id (r.version_id)
			end
			if r.is_null_version_no then
				handle_null_copy_error ("version_no")
			else
				set_version_no (r.version_no)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, creator, is_null_creator)
			s.bind_num_to_date (2, date_created, is_null_date_created)
			s.bind_num_to_double (3, external_cut_distance_bottom, is_null_external_cut_distance_bottom)
			s.bind_num_to_double (4, external_cut_distance_left, is_null_external_cut_distance_left)
			s.bind_num_to_double (5, external_cut_distance_right, is_null_external_cut_distance_right)
			s.bind_num_to_double (6, external_cut_distance_top, is_null_external_cut_distance_top)
			s.bind_num_to_double (7, field_size_x, is_null_field_size_x)
			s.bind_num_to_double (8, field_size_y, is_null_field_size_y)
			s.bind_num_to_string (9, packing_id, is_null_packing_id)
			s.bind_num_to_string (10, packing_name, is_null_packing_name)
			s.bind_num_to_integer (11, parent_version_no, is_null_parent_version_no)
			s.bind_num_to_double (12, payload_size_x, is_null_payload_size_x)
			s.bind_num_to_double (13, payload_size_y, is_null_payload_size_y)
			s.bind_num_to_double (14, saw_blade_width, is_null_saw_blade_width)
			s.bind_num_to_string (15, version_id, is_null_version_id)
			s.bind_num_to_integer (16, version_no, is_null_version_no)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16"

	bind_list_for_update: STRING = "  creator = :1, date_created = :2, external_cut_distance_bottom = :3,%N  external_cut_distance_left = :4, external_cut_distance_right = :5,%N  external_cut_distance_top = :6, field_size_x = :7, field_size_y = :8,%N  packing_id = :9, packing_name = :10, parent_version_no = :11,%N  payload_size_x = :12, payload_size_y = :13, saw_blade_width = :14,%N  version_id = :15, version_no = :16"

end
