
note

	date: "Wed Jun 13 09:28:21 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"RUNS (MOSIS.RUNS)"
			-- Included columns
			-- 	ASSEMBLY_COMPLETED
			-- 	DESIGNATED_DESIGN_TECHN
			-- 	FIELD_SET_NAME
			-- 	IS_EDUCATIONAL
			-- 	IS_FIELD_MERGED
			-- 	MASK_PART_ID
			-- 	OTHER_BORDER
			-- 	OVERHEAD_STYLE
			-- 	PACKER_BOX_FULL_FILENAME
			-- 	PACKING_ID
			-- 	PACKING_VERSION_NO
			-- 	PHOTO_ORG_NO
			-- 	PLACARD_LINE
			-- 	PROJECT_SET_VALIDATED
			-- 	QUANTITY_PROJECTS
			-- 	RUN_ID
			-- 	RUN_ID_FOR_OVERHEAD
			-- 	RUN_NICKNAME
			-- 	RUN_TYPE
			-- 	RUN_TYPE_VARIANT
			-- 	SCHED_RUN_NO
			-- 	SECURITY_CLASS_ID
			-- 	SECURITY_CLASS_ID_LABEL
			-- 	SEND_CUST_IC_DESIGN_FILES
			-- 	UNIFORM_OVERRIDE_BORDER
			-- 	WAFER_TECHN
			-- 	WAFER_TECHN_ORG_NO
			-- Excluded columns
			-- 	(none)

class RUNS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_run_id: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_run_id_exists: the_run_id /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			run_id := the_run_id
			is_null_run_id := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 27

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  assembly_completed, designated_design_techn, field_set_name,%N  is_educational, is_field_merged, mask_part_id, other_border,%N  overhead_style, packer_box_full_filename, packing_id, packing_version_no,%N  photo_org_no, placard_line, project_set_validated, quantity_projects,%N  run_id, run_id_for_overhead, run_nickname, run_type, run_type_variant,%N  sched_run_no, security_class_id, security_class_id_label,%N  send_cust_ic_design_files, uniform_override_border, wafer_techn,%N  wafer_techn_org_no"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "runs runs"

	join_condition: STRING = ""

	table_name: STRING = "runs"

	key_where_clause: STRING = "run_id = :1"

feature -- Values

	assembly_completed: BOOLEAN
			-- DB: CHAR(1) not null

	designated_design_techn: STRING
			-- DB: VARCHAR2(50)

	field_set_name: STRING
			-- DB: VARCHAR2(30)

	is_educational: BOOLEAN
			-- DB: CHAR(1) not null

	is_field_merged: BOOLEAN
			-- DB: CHAR(1) not null

	mask_part_id: STRING
			-- DB: VARCHAR2(50)

	other_border: DOUBLE
			-- DB: NUMBER(12,6)

	overhead_style: STRING
			-- DB: VARCHAR2(12)

	packer_box_full_filename: STRING
			-- DB: VARCHAR2(300)

	packing_id: STRING
			-- DB: VARCHAR2(30)

	packing_version_no: INTEGER
			-- DB: NUMBER(4,0)

	photo_org_no: INTEGER
			-- DB: NUMBER(6,0)

	placard_line: STRING
			-- DB: VARCHAR2(100)

	project_set_validated: BOOLEAN
			-- DB: CHAR(1) not null

	quantity_projects: INTEGER
			-- DB: NUMBER(4,0)

	run_id: STRING
			-- DB: CHAR(4) not null

	run_id_for_overhead: STRING
			-- DB: VARCHAR2(10)

	run_nickname: STRING
			-- DB: VARCHAR2(100)

	run_type: STRING
			-- DB: VARCHAR2(5)

	run_type_variant: STRING
			-- DB: VARCHAR2(15)

	sched_run_no: INTEGER
			-- DB: NUMBER(6,0)

	security_class_id: STRING
			-- DB: VARCHAR2(10)

	security_class_id_label: STRING
			-- DB: VARCHAR2(10)

	send_cust_ic_design_files: BOOLEAN
			-- DB: CHAR(1) not null

	uniform_override_border: DOUBLE
			-- DB: NUMBER(12,6)

	wafer_techn: STRING
			-- DB: VARCHAR2(50)

	wafer_techn_org_no: INTEGER
			-- DB: NUMBER(6,0)

feature -- Maximum database lengths for character columns

	maxlen_designated_design_techn: INTEGER = 50
	maxlen_field_set_name: INTEGER = 30
	maxlen_mask_part_id: INTEGER = 50
	maxlen_overhead_style: INTEGER = 12
	maxlen_packer_box_full_filename: INTEGER = 300
	maxlen_packing_id: INTEGER = 30
	maxlen_placard_line: INTEGER = 100
	maxlen_run_id: INTEGER = 4
	maxlen_run_id_for_overhead: INTEGER = 10
	maxlen_run_nickname: INTEGER = 100
	maxlen_run_type: INTEGER = 5
	maxlen_run_type_variant: INTEGER = 15
	maxlen_security_class_id: INTEGER = 10
	maxlen_security_class_id_label: INTEGER = 10
	maxlen_wafer_techn: INTEGER = 50

feature -- Precisions for number columns

	precision_other_border: INTEGER = 12
	precision_packing_version_no: INTEGER = 4
	precision_photo_org_no: INTEGER = 6
	precision_quantity_projects: INTEGER = 4
	precision_sched_run_no: INTEGER = 6
	precision_uniform_override_border: INTEGER = 12
	precision_wafer_techn_org_no: INTEGER = 6

feature -- Scales for number columns

	scale_other_border: INTEGER = 6
	scale_packing_version_no: INTEGER = 0
	scale_photo_org_no: INTEGER = 0
	scale_quantity_projects: INTEGER = 0
	scale_sched_run_no: INTEGER = 0
	scale_uniform_override_border: INTEGER = 6
	scale_wafer_techn_org_no: INTEGER = 0

feature -- Nullness for null allowed columns

	is_null_designated_design_techn: BOOLEAN
	is_null_field_set_name: BOOLEAN
	is_null_mask_part_id: BOOLEAN
	is_null_other_border: BOOLEAN
	is_null_overhead_style: BOOLEAN
	is_null_packer_box_full_filename: BOOLEAN
	is_null_packing_id: BOOLEAN
	is_null_packing_version_no: BOOLEAN
	is_null_photo_org_no: BOOLEAN
	is_null_placard_line: BOOLEAN
	is_null_quantity_projects: BOOLEAN
	is_null_run_id_for_overhead: BOOLEAN
	is_null_run_nickname: BOOLEAN
	is_null_run_type: BOOLEAN
	is_null_run_type_variant: BOOLEAN
	is_null_sched_run_no: BOOLEAN
	is_null_security_class_id: BOOLEAN
	is_null_security_class_id_label: BOOLEAN
	is_null_uniform_override_border: BOOLEAN
	is_null_wafer_techn: BOOLEAN
	is_null_wafer_techn_org_no: BOOLEAN

feature -- Nullness for non-null columns

	is_null_assembly_completed: BOOLEAN
	is_null_is_educational: BOOLEAN
	is_null_is_field_merged: BOOLEAN
	is_null_project_set_validated: BOOLEAN
	is_null_run_id: BOOLEAN
	is_null_send_cust_ic_design_files: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (run_id, r.run_id)
			Result := Result
				and is_null_run_id = r.is_null_run_id
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and assembly_completed = r.assembly_completed
				and is_educational = r.is_educational
				and is_field_merged = r.is_field_merged
				and other_border = r.other_border
				and packing_version_no = r.packing_version_no
				and photo_org_no = r.photo_org_no
				and project_set_validated = r.project_set_validated
				and quantity_projects = r.quantity_projects
				and sched_run_no = r.sched_run_no
				and send_cust_ic_design_files = r.send_cust_ic_design_files
				and uniform_override_border = r.uniform_override_border
				and wafer_techn_org_no = r.wafer_techn_org_no
			Result := Result
				and equal (designated_design_techn, r.designated_design_techn)
				and equal (field_set_name, r.field_set_name)
				and equal (mask_part_id, r.mask_part_id)
				and equal (overhead_style, r.overhead_style)
				and equal (packer_box_full_filename, r.packer_box_full_filename)
				and equal (packing_id, r.packing_id)
				and equal (placard_line, r.placard_line)
				and equal (run_id_for_overhead, r.run_id_for_overhead)
				and equal (run_nickname, r.run_nickname)
				and equal (run_type, r.run_type)
				and equal (run_type_variant, r.run_type_variant)
				and equal (security_class_id, r.security_class_id)
				and equal (security_class_id_label, r.security_class_id_label)
				and equal (wafer_techn, r.wafer_techn)
			Result := Result
				and is_null_assembly_completed = r.is_null_assembly_completed
				and is_null_designated_design_techn = r.is_null_designated_design_techn
				and is_null_field_set_name = r.is_null_field_set_name
				and is_null_is_educational = r.is_null_is_educational
				and is_null_is_field_merged = r.is_null_is_field_merged
				and is_null_mask_part_id = r.is_null_mask_part_id
				and is_null_other_border = r.is_null_other_border
				and is_null_overhead_style = r.is_null_overhead_style
				and is_null_packer_box_full_filename = r.is_null_packer_box_full_filename
				and is_null_packing_id = r.is_null_packing_id
				and is_null_packing_version_no = r.is_null_packing_version_no
				and is_null_photo_org_no = r.is_null_photo_org_no
				and is_null_placard_line = r.is_null_placard_line
				and is_null_project_set_validated = r.is_null_project_set_validated
				and is_null_quantity_projects = r.is_null_quantity_projects
				and is_null_run_id_for_overhead = r.is_null_run_id_for_overhead
				and is_null_run_nickname = r.is_null_run_nickname
				and is_null_run_type = r.is_null_run_type
				and is_null_run_type_variant = r.is_null_run_type_variant
				and is_null_sched_run_no = r.is_null_sched_run_no
				and is_null_security_class_id = r.is_null_security_class_id
				and is_null_security_class_id_label = r.is_null_security_class_id_label
				and is_null_send_cust_ic_design_files = r.is_null_send_cust_ic_design_files
				and is_null_uniform_override_border = r.is_null_uniform_override_border
				and is_null_wafer_techn = r.is_null_wafer_techn
				and is_null_wafer_techn_org_no = r.is_null_wafer_techn_org_no
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_string (2, 50)
			q.select_string (3, 30)
			q.select_boolean (4)
			q.select_boolean (5)
			q.select_string (6, 50)
			q.select_double (7)
			q.select_string (8, 12)
			q.select_string (9, 300)
			q.select_string (10, 30)
			q.select_integer (11)
			q.select_integer (12)
			q.select_string (13, 100)
			q.select_boolean (14)
			q.select_integer (15)
			q.select_string (16, 4)
			q.select_string (17, 10)
			q.select_string (18, 100)
			q.select_string (19, 5)
			q.select_string (20, 15)
			q.select_integer (21)
			q.select_string (22, 10)
			q.select_string (23, 10)
			q.select_boolean (24)
			q.select_double (25)
			q.select_string (26, 50)
			q.select_integer (27)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			assembly_completed := q.boolean_value (1)
			is_educational := q.boolean_value (4)
			is_field_merged := q.boolean_value (5)
			other_border := q.double_value (7)
			packing_version_no := q.integer_value (11)
			photo_org_no := q.integer_value (12)
			project_set_validated := q.boolean_value (14)
			quantity_projects := q.integer_value (15)
			sched_run_no := q.integer_value (21)
			send_cust_ic_design_files := q.boolean_value (24)
			uniform_override_border := q.double_value (25)
			wafer_techn_org_no := q.integer_value (27)
		end

	fill_in_references (q: SQL_QUERY)
		do
			designated_design_techn := q.string_value (2)
			field_set_name := q.string_value (3)
			mask_part_id := q.string_value (6)
			overhead_style := q.string_value (8)
			packer_box_full_filename := q.string_value (9)
			packing_id := q.string_value (10)
			placard_line := q.string_value (13)
			run_id := q.string_value (16)
			run_id_for_overhead := q.string_value (17)
			run_nickname := q.string_value (18)
			run_type := q.string_value (19)
			run_type_variant := q.string_value (20)
			security_class_id := q.string_value (22)
			security_class_id_label := q.string_value (23)
			wafer_techn := q.string_value (26)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, designated_design_techn)
			q.get_string_value (3, field_set_name)
			q.get_string_value (6, mask_part_id)
			q.get_string_value (8, overhead_style)
			q.get_string_value (9, packer_box_full_filename)
			q.get_string_value (10, packing_id)
			q.get_string_value (13, placard_line)
			q.get_string_value (16, run_id)
			q.get_string_value (17, run_id_for_overhead)
			q.get_string_value (18, run_nickname)
			q.get_string_value (19, run_type)
			q.get_string_value (20, run_type_variant)
			q.get_string_value (22, security_class_id)
			q.get_string_value (23, security_class_id_label)
			q.get_string_value (26, wafer_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_assembly_completed := q.is_null (1)
			is_null_designated_design_techn := q.is_null (2)
			is_null_field_set_name := q.is_null (3)
			is_null_is_educational := q.is_null (4)
			is_null_is_field_merged := q.is_null (5)
			is_null_mask_part_id := q.is_null (6)
			is_null_other_border := q.is_null (7)
			is_null_overhead_style := q.is_null (8)
			is_null_packer_box_full_filename := q.is_null (9)
			is_null_packing_id := q.is_null (10)
			is_null_packing_version_no := q.is_null (11)
			is_null_photo_org_no := q.is_null (12)
			is_null_placard_line := q.is_null (13)
			is_null_project_set_validated := q.is_null (14)
			is_null_quantity_projects := q.is_null (15)
			is_null_run_id := q.is_null (16)
			is_null_run_id_for_overhead := q.is_null (17)
			is_null_run_nickname := q.is_null (18)
			is_null_run_type := q.is_null (19)
			is_null_run_type_variant := q.is_null (20)
			is_null_sched_run_no := q.is_null (21)
			is_null_security_class_id := q.is_null (22)
			is_null_security_class_id_label := q.is_null (23)
			is_null_send_cust_ic_design_files := q.is_null (24)
			is_null_uniform_override_border := q.is_null (25)
			is_null_wafer_techn := q.is_null (26)
			is_null_wafer_techn_org_no := q.is_null (27)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_run_id := True
			create run_id.make (0)
		end

	set_null_nonkey
		do
			is_null_assembly_completed := True
			is_null_designated_design_techn := True
			is_null_field_set_name := True
			is_null_is_educational := True
			is_null_is_field_merged := True
			is_null_mask_part_id := True
			is_null_other_border := True
			is_null_overhead_style := True
			is_null_packer_box_full_filename := True
			is_null_packing_id := True
			is_null_packing_version_no := True
			is_null_photo_org_no := True
			is_null_placard_line := True
			is_null_project_set_validated := True
			is_null_quantity_projects := True
			is_null_run_id_for_overhead := True
			is_null_run_nickname := True
			is_null_run_type := True
			is_null_run_type_variant := True
			is_null_sched_run_no := True
			is_null_security_class_id := True
			is_null_security_class_id_label := True
			is_null_send_cust_ic_design_files := True
			is_null_uniform_override_border := True
			is_null_wafer_techn := True
			is_null_wafer_techn_org_no := True
			create designated_design_techn.make (0)
			create field_set_name.make (0)
			create mask_part_id.make (0)
			create overhead_style.make (0)
			create packer_box_full_filename.make (0)
			create packing_id.make (0)
			create placard_line.make (0)
			create run_id_for_overhead.make (0)
			create run_nickname.make (0)
			create run_type.make (0)
			create run_type_variant.make (0)
			create security_class_id.make (0)
			create security_class_id_label.make (0)
			create wafer_techn.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, run_id, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and assembly_completed = q.boolean_value (1)
				and is_educational = q.boolean_value (4)
				and is_field_merged = q.boolean_value (5)
				and other_border = q.double_value (7)
				and packing_version_no = q.integer_value (11)
				and photo_org_no = q.integer_value (12)
				and project_set_validated = q.boolean_value (14)
				and quantity_projects = q.integer_value (15)
				and sched_run_no = q.integer_value (21)
				and send_cust_ic_design_files = q.boolean_value (24)
				and uniform_override_border = q.double_value (25)
				and wafer_techn_org_no = q.integer_value (27)
			q.get_string_value (2, s)
			Result := Result and equal (designated_design_techn, s)
			q.get_string_value (3, s)
			Result := Result and equal (field_set_name, s)
			q.get_string_value (6, s)
			Result := Result and equal (mask_part_id, s)
			q.get_string_value (8, s)
			Result := Result and equal (overhead_style, s)
			q.get_string_value (9, s)
			Result := Result and equal (packer_box_full_filename, s)
			q.get_string_value (10, s)
			Result := Result and equal (packing_id, s)
			q.get_string_value (13, s)
			Result := Result and equal (placard_line, s)
			q.get_string_value (16, s)
			Result := Result and equal (run_id, s)
			q.get_string_value (17, s)
			Result := Result and equal (run_id_for_overhead, s)
			q.get_string_value (18, s)
			Result := Result and equal (run_nickname, s)
			q.get_string_value (19, s)
			Result := Result and equal (run_type, s)
			q.get_string_value (20, s)
			Result := Result and equal (run_type_variant, s)
			q.get_string_value (22, s)
			Result := Result and equal (security_class_id, s)
			q.get_string_value (23, s)
			Result := Result and equal (security_class_id_label, s)
			q.get_string_value (26, s)
			Result := Result and equal (wafer_techn, s)
			Result := Result
				and is_null_assembly_completed = q.is_null (1)
				and is_null_designated_design_techn = q.is_null (2)
				and is_null_field_set_name = q.is_null (3)
				and is_null_is_educational = q.is_null (4)
				and is_null_is_field_merged = q.is_null (5)
				and is_null_mask_part_id = q.is_null (6)
				and is_null_other_border = q.is_null (7)
				and is_null_overhead_style = q.is_null (8)
				and is_null_packer_box_full_filename = q.is_null (9)
				and is_null_packing_id = q.is_null (10)
				and is_null_packing_version_no = q.is_null (11)
				and is_null_photo_org_no = q.is_null (12)
				and is_null_placard_line = q.is_null (13)
				and is_null_project_set_validated = q.is_null (14)
				and is_null_quantity_projects = q.is_null (15)
				and is_null_run_id = q.is_null (16)
				and is_null_run_id_for_overhead = q.is_null (17)
				and is_null_run_nickname = q.is_null (18)
				and is_null_run_type = q.is_null (19)
				and is_null_run_type_variant = q.is_null (20)
				and is_null_sched_run_no = q.is_null (21)
				and is_null_security_class_id = q.is_null (22)
				and is_null_security_class_id_label = q.is_null (23)
				and is_null_send_cust_ic_design_files = q.is_null (24)
				and is_null_uniform_override_border = q.is_null (25)
				and is_null_wafer_techn = q.is_null (26)
				and is_null_wafer_techn_org_no = q.is_null (27)
		end

end
