
note

	date: "Wed Apr 27 09:51:22 2011"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user GOLDBERG"
	database_tables: 
		"SCHEDULED_RUNS (MOSIS.SCHEDULED_RUNS)"
			-- Included columns
			-- 	CUST_ACCT_ACCESS_PREDICATE
			-- 	DATE_CANCELLED
			-- 	DATE_CLOSE_TARGETED
			-- 	DATE_FAB_REMINDER_PROCESSED
			-- 	DATE_SCHEDULED
			-- 	DEDICATED_CUST_ACCT_NO
			-- 	DEDICATED_ORG_NO
			-- 	DEDICATED_RUN_NAME
			-- 	DESIGN_ENGINEER
			-- 	IS_ESTIMATE
			-- 	M_CUST_QUOTE_NO
			-- 	NET_ADDRESS
			-- 	PHONE_NUMBER
			-- 	PRODUCTION_MANAGER
			-- 	RUN_TYPE
			-- 	SCHED_RUN_NO
			-- 	VISIBLE_EXTERNALLY
			-- 	VISIBLE_INTERNALLY
			-- 	WAFER_PART_ID
			-- 	WAFER_TECHN
			-- Excluded columns
			-- 	(none)

class SCHEDULED_RUNS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values
		end
	SCHEDULED_RUNS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_cust_acct_access_predicate (s: STRING)
		do
			change_field (True, True)
			cust_acct_access_predicate := s
			if s = Void then
				create cust_acct_access_predicate.make (0)
			end
			is_null_cust_acct_access_predicate := s = Void or else s.count = 0
		end

	set_date_cancelled (d: DB_DATE)
		do
			change_field (True, True)
			date_cancelled := d
			if d = Void then
				create {ORACLE_DATE} date_cancelled.set_null
			end
			is_null_date_cancelled := d = Void or else d.is_null
		end

	set_date_close_targeted (d: DB_DATE)
		do
			change_field (True, True)
			date_close_targeted := d
			if d = Void then
				create {ORACLE_DATE} date_close_targeted.set_null
			end
			is_null_date_close_targeted := d = Void or else d.is_null
		end

	set_date_fab_reminder_processed (d: DB_DATE)
		do
			change_field (True, True)
			date_fab_reminder_processed := d
			if d = Void then
				create {ORACLE_DATE} date_fab_reminder_processed.set_null
			end
			is_null_date_fab_reminder_processed := d = Void or else d.is_null
		end

	set_date_scheduled (d: DB_DATE)
		do
			change_field (True, True)
			date_scheduled := d
			if d = Void then
				create {ORACLE_DATE} date_scheduled.set_null
			end
			is_null_date_scheduled := d = Void or else d.is_null
		end

	set_dedicated_cust_acct_no (k: INTEGER)
		do
			change_field (True, True)
			dedicated_cust_acct_no := k
			is_null_dedicated_cust_acct_no := False
		end

	set_dedicated_org_no (k: INTEGER)
		do
			change_field (True, True)
			dedicated_org_no := k
			is_null_dedicated_org_no := False
		end

	set_dedicated_run_name (s: STRING)
		do
			change_field (True, True)
			dedicated_run_name := s
			if s = Void then
				create dedicated_run_name.make (0)
			end
			is_null_dedicated_run_name := s = Void or else s.count = 0
		end

	set_design_engineer (s: STRING)
		do
			change_field (True, True)
			design_engineer := s
			if s = Void then
				create design_engineer.make (0)
			end
			is_null_design_engineer := s = Void or else s.count = 0
		end

	set_is_estimate (b: BOOLEAN)
		do
			change_field (True, True)
			is_estimate := b
			is_null_is_estimate := False
		end

	set_m_cust_quote_no (k: INTEGER)
		do
			change_field (True, True)
			m_cust_quote_no := k
			is_null_m_cust_quote_no := False
		end

	set_net_address (s: STRING)
		do
			change_field (True, True)
			net_address := s
			if s = Void then
				create net_address.make (0)
			end
			is_null_net_address := s = Void or else s.count = 0
		end

	set_phone_number (s: STRING)
		do
			change_field (True, True)
			phone_number := s
			if s = Void then
				create phone_number.make (0)
			end
			is_null_phone_number := s = Void or else s.count = 0
		end

	set_production_manager (s: STRING)
		do
			change_field (True, True)
			production_manager := s
			if s = Void then
				create production_manager.make (0)
			end
			is_null_production_manager := s = Void or else s.count = 0
		end

	set_run_type (s: STRING)
		do
			change_field (True, True)
			run_type := s
			if s = Void then
				create run_type.make (0)
			end
			is_null_run_type := s = Void or else s.count = 0
		end

	set_sched_run_no (k: INTEGER)
		do
			change_key_field
			sched_run_no := k
			is_null_sched_run_no := False
		end

	set_visible_externally (b: BOOLEAN)
		do
			change_field (True, True)
			visible_externally := b
			is_null_visible_externally := False
		end

	set_visible_internally (b: BOOLEAN)
		do
			change_field (True, True)
			visible_internally := b
			is_null_visible_internally := False
		end

	set_wafer_part_id (s: STRING)
		do
			change_field (True, True)
			wafer_part_id := s
			if s = Void then
				create wafer_part_id.make (0)
			end
			is_null_wafer_part_id := s = Void or else s.count = 0
		end

	set_wafer_techn (s: STRING)
		do
			change_field (True, True)
			wafer_techn := s
			if s = Void then
				create wafer_techn.make (0)
			end
			is_null_wafer_techn := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_cust_acct_access_predicate
		do
			set_cust_acct_access_predicate (Void)
		end

	set_null_date_cancelled
		do
			set_date_cancelled (Void)
		end

	set_null_date_close_targeted
		do
			set_date_close_targeted (Void)
		end

	set_null_date_fab_reminder_processed
		do
			set_date_fab_reminder_processed (Void)
		end

	set_null_dedicated_cust_acct_no
		do
			change_field (True, True)
			dedicated_cust_acct_no := 0
			is_null_dedicated_cust_acct_no := True
		end

	set_null_dedicated_org_no
		do
			change_field (True, True)
			dedicated_org_no := 0
			is_null_dedicated_org_no := True
		end

	set_null_dedicated_run_name
		do
			set_dedicated_run_name (Void)
		end

	set_null_design_engineer
		do
			set_design_engineer (Void)
		end

	set_null_m_cust_quote_no
		do
			change_field (True, True)
			m_cust_quote_no := 0
			is_null_m_cust_quote_no := True
		end

	set_null_net_address
		do
			set_net_address (Void)
		end

	set_null_phone_number
		do
			set_phone_number (Void)
		end

	set_null_production_manager
		do
			set_production_manager (Void)
		end

	set_null_wafer_part_id
		do
			set_wafer_part_id (Void)
		end

feature {NONE} -- Initialization

	set_default_values
		do
			is_estimate := False
			is_null_is_estimate := False
			visible_externally := True
			is_null_visible_externally := False
			visible_internally := True
			is_null_visible_internally := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, cust_acct_access_predicate, is_null_cust_acct_access_predicate)
			s.bind_num_to_date (2, date_cancelled, is_null_date_cancelled)
			s.bind_num_to_date (3, date_close_targeted, is_null_date_close_targeted)
			s.bind_num_to_date (4, date_fab_reminder_processed, is_null_date_fab_reminder_processed)
			s.bind_num_to_date (5, date_scheduled, is_null_date_scheduled)
			s.bind_num_to_integer (6, dedicated_cust_acct_no, is_null_dedicated_cust_acct_no)
			s.bind_num_to_integer (7, dedicated_org_no, is_null_dedicated_org_no)
			s.bind_num_to_string (8, dedicated_run_name, is_null_dedicated_run_name)
			s.bind_num_to_string (9, design_engineer, is_null_design_engineer)
			s.bind_num_to_boolean (10, is_estimate, is_null_is_estimate)
			s.bind_num_to_integer (11, m_cust_quote_no, is_null_m_cust_quote_no)
			s.bind_num_to_string (12, net_address, is_null_net_address)
			s.bind_num_to_string (13, phone_number, is_null_phone_number)
			s.bind_num_to_string (14, production_manager, is_null_production_manager)
			s.bind_num_to_string (15, run_type, is_null_run_type)
			s.bind_num_to_integer (16, sched_run_no, is_null_sched_run_no)
			s.bind_num_to_boolean (17, visible_externally, is_null_visible_externally)
			s.bind_num_to_boolean (18, visible_internally, is_null_visible_internally)
			s.bind_num_to_string (19, wafer_part_id, is_null_wafer_part_id)
			s.bind_num_to_string (20, wafer_techn, is_null_wafer_techn)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18, :19, :20"

	bind_list_for_update: STRING = "  cust_acct_access_predicate = :1, date_cancelled = :2,%N  date_close_targeted = :3, date_fab_reminder_processed = :4,%N  date_scheduled = :5, dedicated_cust_acct_no = :6, dedicated_org_no = :7,%N  dedicated_run_name = :8, design_engineer = :9, is_estimate = :10,%N  m_cust_quote_no = :11, net_address = :12, phone_number = :13,%N  production_manager = :14, run_type = :15, sched_run_no = :16,%N  visible_externally = :17, visible_internally = :18, wafer_part_id = :19,%N  wafer_techn = :20"

end
