
note

	date: "Tue Feb  8 11:44:57 2011"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user GOLDBERG"
	database_tables: 
		"WAFER_ETEST_NAMES (MOSIS.WAFER_ETEST_NAMES)"
			-- Included columns
			-- 	DESCR
			-- 	IS_MANUFACTURABLE
			-- 	IS_MPW_DEFAULT
			-- 	WAFER_ETEST_ID
			-- 	WAFER_ETEST_NAME
			-- 	WAFER_TECHN_FAMILY
			-- Excluded columns
			-- 	(none)

class WAFER_ETEST_NAMES_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_wafer_etest_name: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_wafer_etest_name_exists: the_wafer_etest_name /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			wafer_etest_name := the_wafer_etest_name
			is_null_wafer_etest_name := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 6

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  descr, is_manufacturable, is_mpw_default, wafer_etest_id,%N  wafer_etest_name, wafer_techn_family"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "wafer_etest_names wen"

	join_condition: STRING = ""

	table_name: STRING = "wafer_etest_names"

	key_where_clause: STRING = "wafer_etest_name = :1"

feature -- Values

	descr: STRING
			-- DB: VARCHAR2(255)

	is_manufacturable: BOOLEAN
			-- DB: CHAR(1) not null

	is_mpw_default: BOOLEAN
			-- DB: CHAR(1) not null

	wafer_etest_id: STRING
			-- DB: VARCHAR2(20) not null

	wafer_etest_name: STRING
			-- DB: VARCHAR2(50) not null

	wafer_techn_family: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN

feature -- Nullness for non-null columns

	is_null_is_manufacturable: BOOLEAN
	is_null_is_mpw_default: BOOLEAN
	is_null_wafer_etest_id: BOOLEAN
	is_null_wafer_etest_name: BOOLEAN
	is_null_wafer_techn_family: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (wafer_etest_name, r.wafer_etest_name)
			Result := Result
				and is_null_wafer_etest_name = r.is_null_wafer_etest_name
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and is_manufacturable = r.is_manufacturable
				and is_mpw_default = r.is_mpw_default
			Result := Result
				and equal (descr, r.descr)
				and equal (wafer_etest_id, r.wafer_etest_id)
				and equal (wafer_techn_family, r.wafer_techn_family)
			Result := Result
				and is_null_descr = r.is_null_descr
				and is_null_is_manufacturable = r.is_null_is_manufacturable
				and is_null_is_mpw_default = r.is_null_is_mpw_default
				and is_null_wafer_etest_id = r.is_null_wafer_etest_id
				and is_null_wafer_techn_family = r.is_null_wafer_techn_family
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_boolean (2)
			q.select_boolean (3)
			q.select_string (4, 20)
			q.select_string (5, 50)
			q.select_string (6, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			is_manufacturable := q.boolean_value (2)
			is_mpw_default := q.boolean_value (3)
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (1)
			wafer_etest_id := q.string_value (4)
			wafer_etest_name := q.string_value (5)
			wafer_techn_family := q.string_value (6)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, descr)
			q.get_string_value (4, wafer_etest_id)
			q.get_string_value (5, wafer_etest_name)
			q.get_string_value (6, wafer_techn_family)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_descr := q.is_null (1)
			is_null_is_manufacturable := q.is_null (2)
			is_null_is_mpw_default := q.is_null (3)
			is_null_wafer_etest_id := q.is_null (4)
			is_null_wafer_etest_name := q.is_null (5)
			is_null_wafer_techn_family := q.is_null (6)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_wafer_etest_name := True
			create wafer_etest_name.make (0)
		end

	set_null_nonkey
		do
			is_null_descr := True
			is_null_is_manufacturable := True
			is_null_is_mpw_default := True
			is_null_wafer_etest_id := True
			is_null_wafer_techn_family := True
			create descr.make (0)
			create wafer_etest_id.make (0)
			create wafer_techn_family.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, wafer_etest_name, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and is_manufacturable = q.boolean_value (2)
				and is_mpw_default = q.boolean_value (3)
			q.get_string_value (1, s)
			Result := Result and equal (descr, s)
			q.get_string_value (4, s)
			Result := Result and equal (wafer_etest_id, s)
			q.get_string_value (5, s)
			Result := Result and equal (wafer_etest_name, s)
			q.get_string_value (6, s)
			Result := Result and equal (wafer_techn_family, s)
			Result := Result
				and is_null_descr = q.is_null (1)
				and is_null_is_manufacturable = q.is_null (2)
				and is_null_is_mpw_default = q.is_null (3)
				and is_null_wafer_etest_id = q.is_null (4)
				and is_null_wafer_etest_name = q.is_null (5)
				and is_null_wafer_techn_family = q.is_null (6)
		end

end
