
note

	date: "Tue Aug 23 16:03:08 2011"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user GOLDBERG"
	database_tables: 
		"WAFER_TECHN_3D_TIERS (MOSIS.WAFER_TECHN_3D_TIERS)"
			-- Included columns
			-- 	TIER_DESIGN_TECHN
			-- 	TIER_NAME
			-- 	TIER_NO
			-- 	TIER_WAFER_TECHN
			-- 	WAFER_ALIGNMENT
			-- 	WAFER_TECHN
			-- Excluded columns
			-- 	(none)

class WAFER_TECHN_3D_TIERS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_wafer_techn: STRING; the_tier_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_wafer_techn_exists: the_wafer_techn /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			wafer_techn := the_wafer_techn
			tier_no := the_tier_no
			is_null_wafer_techn := False
			is_null_tier_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 6

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  tier_design_techn, tier_name, tier_no, tier_wafer_techn, wafer_alignment,%N  wafer_techn"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "wafer_techn_3d_tiers wt3t"

	join_condition: STRING = ""

	table_name: STRING = "wafer_techn_3d_tiers"

	key_where_clause: STRING = "wafer_techn = :1 and tier_no = :2"

feature -- Values

	tier_design_techn: STRING
			-- DB: VARCHAR2(50) not null

	tier_name: STRING
			-- DB: VARCHAR2(50)

	tier_no: INTEGER
			-- DB: NUMBER(3,0) not null

	tier_wafer_techn: STRING
			-- DB: VARCHAR2(50) not null

	wafer_alignment: STRING
			-- DB: VARCHAR2(10)

	wafer_techn: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_tier_name: BOOLEAN
	is_null_wafer_alignment: BOOLEAN

feature -- Nullness for non-null columns

	is_null_tier_design_techn: BOOLEAN
	is_null_tier_no: BOOLEAN
	is_null_tier_wafer_techn: BOOLEAN
	is_null_wafer_techn: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and tier_no = r.tier_no
			Result := Result
				and equal (wafer_techn, r.wafer_techn)
			Result := Result
				and is_null_tier_no = r.is_null_tier_no
				and is_null_wafer_techn = r.is_null_wafer_techn
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (tier_design_techn, r.tier_design_techn)
				and equal (tier_name, r.tier_name)
				and equal (tier_wafer_techn, r.tier_wafer_techn)
				and equal (wafer_alignment, r.wafer_alignment)
			Result := Result
				and is_null_tier_design_techn = r.is_null_tier_design_techn
				and is_null_tier_name = r.is_null_tier_name
				and is_null_tier_wafer_techn = r.is_null_tier_wafer_techn
				and is_null_wafer_alignment = r.is_null_wafer_alignment
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 50)
			q.select_string (2, 50)
			q.select_integer (3)
			q.select_string (4, 50)
			q.select_string (5, 10)
			q.select_string (6, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			tier_no := q.integer_value (3)
		end

	fill_in_references (q: SQL_QUERY)
		do
			tier_design_techn := q.string_value (1)
			tier_name := q.string_value (2)
			tier_wafer_techn := q.string_value (4)
			wafer_alignment := q.string_value (5)
			wafer_techn := q.string_value (6)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, tier_design_techn)
			q.get_string_value (2, tier_name)
			q.get_string_value (4, tier_wafer_techn)
			q.get_string_value (5, wafer_alignment)
			q.get_string_value (6, wafer_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_tier_design_techn := q.is_null (1)
			is_null_tier_name := q.is_null (2)
			is_null_tier_no := q.is_null (3)
			is_null_tier_wafer_techn := q.is_null (4)
			is_null_wafer_alignment := q.is_null (5)
			is_null_wafer_techn := q.is_null (6)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_wafer_techn := True
			is_null_tier_no := True
			create wafer_techn.make (0)
		end

	set_null_nonkey
		do
			is_null_tier_design_techn := True
			is_null_tier_name := True
			is_null_tier_wafer_techn := True
			is_null_wafer_alignment := True
			create tier_design_techn.make (0)
			create tier_name.make (0)
			create tier_wafer_techn.make (0)
			create wafer_alignment.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, wafer_techn, False)
			q.bind_num_to_integer (2, tier_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and tier_no = q.integer_value (3)
			q.get_string_value (1, s)
			Result := Result and equal (tier_design_techn, s)
			q.get_string_value (2, s)
			Result := Result and equal (tier_name, s)
			q.get_string_value (4, s)
			Result := Result and equal (tier_wafer_techn, s)
			q.get_string_value (5, s)
			Result := Result and equal (wafer_alignment, s)
			q.get_string_value (6, s)
			Result := Result and equal (wafer_techn, s)
			Result := Result
				and is_null_tier_design_techn = q.is_null (1)
				and is_null_tier_name = q.is_null (2)
				and is_null_tier_no = q.is_null (3)
				and is_null_tier_wafer_techn = q.is_null (4)
				and is_null_wafer_alignment = q.is_null (5)
				and is_null_wafer_techn = q.is_null (6)
		end

end
