
note

	date: "Thu Jan 31 10:38:22 2013"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user BSMITH"
	database_tables: 
		"WAFER_TECHN_FAMILIES (MOSIS.WAFER_TECHN_FAMILIES)"
			-- Included columns
			-- 	DESCR
			-- 	FILL_GAP
			-- 	FILL_MODE
			-- 	FILL_PATTERN_ID
			-- 	FOUNDRY_REVIEWS_LAYOUT
			-- 	GENERATE_CUSTOM_LABELS
			-- 	IS_DK_VERSION_REQUIRED
			-- 	IS_ECCN_REQUIRED
			-- 	IS_RUN_DATE_REQUIRED
			-- 	LABEL_INDIVIDUAL_SITES
			-- 	LITHO_TYPE_PARAMETER_SET
			-- 	ORG_NO
			-- 	PARTITIONS_ALLOWED
			-- 	PARTITIONS_REQUIRED
			-- 	TECHN_DIRECTORY
			-- 	WAFER_TECHN_FAMILY
			-- 	WRITE_MODE
			-- Excluded columns
			-- 	(none)

class WAFER_TECHN_FAMILIES_RAW

inherit

	DB_IDENTIFIED_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_wafer_techn_family: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_wafer_techn_family_exists: the_wafer_techn_family /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			wafer_techn_family := the_wafer_techn_family
			is_null_wafer_techn_family := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 17

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  descr, fill_gap, fill_mode, fill_pattern_id, foundry_reviews_layout,%N  generate_custom_labels, is_dk_version_required, is_eccn_required,%N  is_run_date_required, label_individual_sites, litho_type_parameter_set,%N  org_no, partitions_allowed, partitions_required, techn_directory,%N  wafer_techn_family, write_mode"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "wafer_techn_families wtfam"

	join_condition: STRING = ""

	table_name: STRING = "wafer_techn_families"

	key_where_clause: STRING = "wafer_techn_family = :1"

feature -- Values

	descr: STRING
			-- DB: VARCHAR2(255)

	fill_gap: DOUBLE
			-- DB: NUMBER(12,6)

	fill_mode: STRING
			-- DB: VARCHAR2(10) not null

	fill_pattern_id: STRING
			-- DB: VARCHAR2(20)

	foundry_reviews_layout: BOOLEAN
			-- DB: CHAR(1) not null

	generate_custom_labels: BOOLEAN
			-- DB: CHAR(1) not null

	is_dk_version_required: BOOLEAN
			-- DB: CHAR(1) not null

	is_eccn_required: BOOLEAN
			-- DB: CHAR(1) not null

	is_run_date_required: BOOLEAN
			-- DB: CHAR(1) not null

	label_individual_sites: BOOLEAN
			-- DB: CHAR(1) not null

	litho_type_parameter_set: STRING
			-- DB: VARCHAR2(20) not null

	org_no: INTEGER
			-- DB: NUMBER(6,0) not null

	partitions_allowed: BOOLEAN
			-- DB: CHAR(1) not null

	partitions_required: BOOLEAN
			-- DB: CHAR(1) not null

	techn_directory: STRING
			-- DB: VARCHAR2(255) not null

	wafer_techn_family: STRING
			-- DB: VARCHAR2(50) not null

	write_mode: STRING
			-- DB: VARCHAR2(25)

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN
	is_null_fill_gap: BOOLEAN
	is_null_fill_pattern_id: BOOLEAN
	is_null_write_mode: BOOLEAN

feature -- Nullness for non-null columns

	is_null_fill_mode: BOOLEAN
	is_null_foundry_reviews_layout: BOOLEAN
	is_null_generate_custom_labels: BOOLEAN
	is_null_is_dk_version_required: BOOLEAN
	is_null_is_eccn_required: BOOLEAN
	is_null_is_run_date_required: BOOLEAN
	is_null_label_individual_sites: BOOLEAN
	is_null_litho_type_parameter_set: BOOLEAN
	is_null_org_no: BOOLEAN
	is_null_partitions_allowed: BOOLEAN
	is_null_partitions_required: BOOLEAN
	is_null_techn_directory: BOOLEAN
	is_null_wafer_techn_family: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (wafer_techn_family, r.wafer_techn_family)
			Result := Result
				and is_null_wafer_techn_family = r.is_null_wafer_techn_family
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and fill_gap = r.fill_gap
				and foundry_reviews_layout = r.foundry_reviews_layout
				and generate_custom_labels = r.generate_custom_labels
				and is_dk_version_required = r.is_dk_version_required
				and is_eccn_required = r.is_eccn_required
				and is_run_date_required = r.is_run_date_required
				and label_individual_sites = r.label_individual_sites
				and org_no = r.org_no
				and partitions_allowed = r.partitions_allowed
				and partitions_required = r.partitions_required
			Result := Result
				and equal (descr, r.descr)
				and equal (fill_mode, r.fill_mode)
				and equal (fill_pattern_id, r.fill_pattern_id)
				and equal (litho_type_parameter_set, r.litho_type_parameter_set)
				and equal (techn_directory, r.techn_directory)
				and equal (write_mode, r.write_mode)
			Result := Result
				and is_null_descr = r.is_null_descr
				and is_null_fill_gap = r.is_null_fill_gap
				and is_null_fill_mode = r.is_null_fill_mode
				and is_null_fill_pattern_id = r.is_null_fill_pattern_id
				and is_null_foundry_reviews_layout = r.is_null_foundry_reviews_layout
				and is_null_generate_custom_labels = r.is_null_generate_custom_labels
				and is_null_is_dk_version_required = r.is_null_is_dk_version_required
				and is_null_is_eccn_required = r.is_null_is_eccn_required
				and is_null_is_run_date_required = r.is_null_is_run_date_required
				and is_null_label_individual_sites = r.is_null_label_individual_sites
				and is_null_litho_type_parameter_set = r.is_null_litho_type_parameter_set
				and is_null_org_no = r.is_null_org_no
				and is_null_partitions_allowed = r.is_null_partitions_allowed
				and is_null_partitions_required = r.is_null_partitions_required
				and is_null_techn_directory = r.is_null_techn_directory
				and is_null_write_mode = r.is_null_write_mode
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_double (2)
			q.select_string (3, 10)
			q.select_string (4, 20)
			q.select_boolean (5)
			q.select_boolean (6)
			q.select_boolean (7)
			q.select_boolean (8)
			q.select_boolean (9)
			q.select_boolean (10)
			q.select_string (11, 20)
			q.select_integer (12)
			q.select_boolean (13)
			q.select_boolean (14)
			q.select_string (15, 255)
			q.select_string (16, 50)
			q.select_string (17, 25)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			fill_gap := q.double_value (2)
			foundry_reviews_layout := q.boolean_value (5)
			generate_custom_labels := q.boolean_value (6)
			is_dk_version_required := q.boolean_value (7)
			is_eccn_required := q.boolean_value (8)
			is_run_date_required := q.boolean_value (9)
			label_individual_sites := q.boolean_value (10)
			org_no := q.integer_value (12)
			partitions_allowed := q.boolean_value (13)
			partitions_required := q.boolean_value (14)
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (1)
			fill_mode := q.string_value (3)
			fill_pattern_id := q.string_value (4)
			litho_type_parameter_set := q.string_value (11)
			techn_directory := q.string_value (15)
			wafer_techn_family := q.string_value (16)
			write_mode := q.string_value (17)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, descr)
			q.get_string_value (3, fill_mode)
			q.get_string_value (4, fill_pattern_id)
			q.get_string_value (11, litho_type_parameter_set)
			q.get_string_value (15, techn_directory)
			q.get_string_value (16, wafer_techn_family)
			q.get_string_value (17, write_mode)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_descr := q.is_null (1)
			is_null_fill_gap := q.is_null (2)
			is_null_fill_mode := q.is_null (3)
			is_null_fill_pattern_id := q.is_null (4)
			is_null_foundry_reviews_layout := q.is_null (5)
			is_null_generate_custom_labels := q.is_null (6)
			is_null_is_dk_version_required := q.is_null (7)
			is_null_is_eccn_required := q.is_null (8)
			is_null_is_run_date_required := q.is_null (9)
			is_null_label_individual_sites := q.is_null (10)
			is_null_litho_type_parameter_set := q.is_null (11)
			is_null_org_no := q.is_null (12)
			is_null_partitions_allowed := q.is_null (13)
			is_null_partitions_required := q.is_null (14)
			is_null_techn_directory := q.is_null (15)
			is_null_wafer_techn_family := q.is_null (16)
			is_null_write_mode := q.is_null (17)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_wafer_techn_family := True
			create wafer_techn_family.make (0)
		end

	set_null_nonkey
		do
			is_null_descr := True
			is_null_fill_gap := True
			is_null_fill_mode := True
			is_null_fill_pattern_id := True
			is_null_foundry_reviews_layout := True
			is_null_generate_custom_labels := True
			is_null_is_dk_version_required := True
			is_null_is_eccn_required := True
			is_null_is_run_date_required := True
			is_null_label_individual_sites := True
			is_null_litho_type_parameter_set := True
			is_null_org_no := True
			is_null_partitions_allowed := True
			is_null_partitions_required := True
			is_null_techn_directory := True
			is_null_write_mode := True
			create descr.make (0)
			create fill_mode.make (0)
			create fill_pattern_id.make (0)
			create litho_type_parameter_set.make (0)
			create techn_directory.make (0)
			create write_mode.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, wafer_techn_family, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and fill_gap = q.double_value (2)
				and foundry_reviews_layout = q.boolean_value (5)
				and generate_custom_labels = q.boolean_value (6)
				and is_dk_version_required = q.boolean_value (7)
				and is_eccn_required = q.boolean_value (8)
				and is_run_date_required = q.boolean_value (9)
				and label_individual_sites = q.boolean_value (10)
				and org_no = q.integer_value (12)
				and partitions_allowed = q.boolean_value (13)
				and partitions_required = q.boolean_value (14)
			q.get_string_value (1, s)
			Result := Result and equal (descr, s)
			q.get_string_value (3, s)
			Result := Result and equal (fill_mode, s)
			q.get_string_value (4, s)
			Result := Result and equal (fill_pattern_id, s)
			q.get_string_value (11, s)
			Result := Result and equal (litho_type_parameter_set, s)
			q.get_string_value (15, s)
			Result := Result and equal (techn_directory, s)
			q.get_string_value (16, s)
			Result := Result and equal (wafer_techn_family, s)
			q.get_string_value (17, s)
			Result := Result and equal (write_mode, s)
			Result := Result
				and is_null_descr = q.is_null (1)
				and is_null_fill_gap = q.is_null (2)
				and is_null_fill_mode = q.is_null (3)
				and is_null_fill_pattern_id = q.is_null (4)
				and is_null_foundry_reviews_layout = q.is_null (5)
				and is_null_generate_custom_labels = q.is_null (6)
				and is_null_is_dk_version_required = q.is_null (7)
				and is_null_is_eccn_required = q.is_null (8)
				and is_null_is_run_date_required = q.is_null (9)
				and is_null_label_individual_sites = q.is_null (10)
				and is_null_litho_type_parameter_set = q.is_null (11)
				and is_null_org_no = q.is_null (12)
				and is_null_partitions_allowed = q.is_null (13)
				and is_null_partitions_required = q.is_null (14)
				and is_null_techn_directory = q.is_null (15)
				and is_null_wafer_techn_family = q.is_null (16)
				and is_null_write_mode = q.is_null (17)
		end

end
