
note

	date: "Thu Oct 28 09:30:13 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DESIGN_TECHN, database user ALLMOSIS"
	database_tables: 
		"OPTION_IDS (MOSIS.OPTION_IDS)",
			-- Included columns
			-- 	OPTION_CATEGORY
			-- 	OPTION_NAME
			-- Excluded columns
			-- 	OPTION_ID
		"WAFER_TECHN_FAMILY_OPTIONS (MOSIS.WAFER_TECHN_FAMILY_OPTIONS)"
			-- Included columns
			-- 	BASE
			-- 	COMPATIBILITY_NOTES
			-- 	DESCR
			-- 	IS_CATEGORY_DEFAULT
			-- 	OPTION_COST
			-- 	OPTION_ID
			-- 	OPTION_ORDER
			-- 	ORDERING_NOTES
			-- 	USER_SELECTABLE
			-- 	WAFER_TECHN_FAMILY
			-- Excluded columns
			-- 	(none)

class WAFER_TECHN_FAMILY_OPTIONS_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 12

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  option_category, option_name, base, compatibility_notes, descr,%N  is_category_default, option_cost, wtfo.option_id, option_order,%N  ordering_notes, user_selectable, wafer_techn_family"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "option_ids oid, wafer_techn_family_options wtfo"

	join_condition: STRING = "wtfo.option_id = oid.option_id"

	table_count: INTEGER = 2

	group_by: STRING = ""

feature -- Values

	option_category: STRING
			-- DB: VARCHAR2(20)

	option_name: STRING
			-- DB: VARCHAR2(30) not null

	base: BOOLEAN
			-- DB: CHAR(1) not null

	compatibility_notes: STRING
			-- DB: VARCHAR2(512)

	descr: STRING
			-- DB: VARCHAR2(255)

	is_category_default: BOOLEAN
			-- DB: CHAR(1) not null

	option_cost: INTEGER
			-- DB: NUMBER(2,0) not null

	option_id: STRING
			-- DB: VARCHAR2(10) not null

	option_order: INTEGER
			-- DB: NUMBER(3,0) not null

	ordering_notes: STRING
			-- DB: VARCHAR2(512)

	user_selectable: BOOLEAN
			-- DB: CHAR(1) not null

	wafer_techn_family: STRING
			-- DB: VARCHAR2(50) not null

feature -- Nullness for null allowed columns

	is_null_option_category: BOOLEAN
	is_null_compatibility_notes: BOOLEAN
	is_null_descr: BOOLEAN
	is_null_ordering_notes: BOOLEAN

feature -- Nullness for non-null columns

	is_null_option_name: BOOLEAN
	is_null_base: BOOLEAN
	is_null_is_category_default: BOOLEAN
	is_null_option_cost: BOOLEAN
	is_null_option_id: BOOLEAN
	is_null_option_order: BOOLEAN
	is_null_user_selectable: BOOLEAN
	is_null_wafer_techn_family: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (option_id, r.option_id)
				and equal (wafer_techn_family, r.wafer_techn_family)
			Result := Result
				and is_null_option_id = r.is_null_option_id
				and is_null_wafer_techn_family = r.is_null_wafer_techn_family
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and base = r.base
				and is_category_default = r.is_category_default
				and option_cost = r.option_cost
				and option_order = r.option_order
				and user_selectable = r.user_selectable
			Result := Result
				and equal (option_category, r.option_category)
				and equal (option_name, r.option_name)
				and equal (compatibility_notes, r.compatibility_notes)
				and equal (descr, r.descr)
				and equal (ordering_notes, r.ordering_notes)
			Result := Result
				and is_null_option_category = r.is_null_option_category
				and is_null_option_name = r.is_null_option_name
				and is_null_base = r.is_null_base
				and is_null_compatibility_notes = r.is_null_compatibility_notes
				and is_null_descr = r.is_null_descr
				and is_null_is_category_default = r.is_null_is_category_default
				and is_null_option_cost = r.is_null_option_cost
				and is_null_option_order = r.is_null_option_order
				and is_null_ordering_notes = r.is_null_ordering_notes
				and is_null_user_selectable = r.is_null_user_selectable
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 20)
			q.select_string (2, 30)
			q.select_boolean (3)
			q.select_string (4, 512)
			q.select_string (5, 255)
			q.select_boolean (6)
			q.select_integer (7)
			q.select_string (8, 10)
			q.select_integer (9)
			q.select_string (10, 512)
			q.select_boolean (11)
			q.select_string (12, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			base := q.boolean_value (3)
			is_category_default := q.boolean_value (6)
			option_cost := q.integer_value (7)
			option_order := q.integer_value (9)
			user_selectable := q.boolean_value (11)
		end

	fill_in_references (q: SQL_QUERY)
		do
			option_category := q.string_value (1)
			option_name := q.string_value (2)
			compatibility_notes := q.string_value (4)
			descr := q.string_value (5)
			option_id := q.string_value (8)
			ordering_notes := q.string_value (10)
			wafer_techn_family := q.string_value (12)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, option_category)
			q.get_string_value (2, option_name)
			q.get_string_value (4, compatibility_notes)
			q.get_string_value (5, descr)
			q.get_string_value (8, option_id)
			q.get_string_value (10, ordering_notes)
			q.get_string_value (12, wafer_techn_family)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_option_category := q.is_null (1)
			is_null_option_name := q.is_null (2)
			is_null_base := q.is_null (3)
			is_null_compatibility_notes := q.is_null (4)
			is_null_descr := q.is_null (5)
			is_null_is_category_default := q.is_null (6)
			is_null_option_cost := q.is_null (7)
			is_null_option_id := q.is_null (8)
			is_null_option_order := q.is_null (9)
			is_null_ordering_notes := q.is_null (10)
			is_null_user_selectable := q.is_null (11)
			is_null_wafer_techn_family := q.is_null (12)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_option_category := True
			is_null_option_name := True
			is_null_base := True
			is_null_compatibility_notes := True
			is_null_descr := True
			is_null_is_category_default := True
			is_null_option_cost := True
			is_null_option_id := True
			is_null_option_order := True
			is_null_ordering_notes := True
			is_null_user_selectable := True
			is_null_wafer_techn_family := True
			create option_category.make (0)
			create option_name.make (0)
			create compatibility_notes.make (0)
			create descr.make (0)
			create option_id.make (0)
			create ordering_notes.make (0)
			create wafer_techn_family.make (0)
		end

end
