
note

	date: "Thu Jan 21 12:59:49 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"WAFER_TECHN_LEVELS (MOSIS.WAFER_TECHN_LEVELS)"
			-- Included columns
			-- 	BASE
			-- 	DEFECTS_CRITICAL
			-- 	DENSITY_MEASUREMENT_REQUIRED
			-- 	EXCLUSION_LAYER
			-- 	FILLED_LAYER
			-- 	FILL_PATTERN_GDS_LAYER
			-- 	FILL_PATTERN_SIZING
			-- 	FILL_ROLE
			-- 	LARGE_OVERETCH
			-- 	LEVEL_NAME
			-- 	LEVEL_NO
			-- 	LITHO_TYPE
			-- 	MASK_LITHO_TYPE
			-- 	MASK_SPECIFICATION
			-- 	MAXIMUM_DENSITY
			-- 	MEBES_EXTENSION
			-- 	MERGED_PATTERN_FILE_SPOT_SIZE
			-- 	MINIMUM_DENSITY
			-- 	MIRRORING
			-- 	POLARITY
			-- 	SCALE_FACTOR
			-- 	SMALL_OVERETCH
			-- 	WAFER_TECHN
			-- 	WAFER_TECHN_FAMILY
			-- 	WAFER_VENDOR_LEVEL_ID
			-- Excluded columns
			-- 	(none)

class WAFER_TECHN_LEVELS_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 25

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  base, defects_critical, density_measurement_required, exclusion_layer,%N  filled_layer, fill_pattern_gds_layer, fill_pattern_sizing, fill_role,%N  large_overetch, level_name, level_no, litho_type, mask_litho_type,%N  mask_specification, maximum_density, mebes_extension,%N  merged_pattern_file_spot_size, minimum_density, mirroring, polarity,%N  scale_factor, small_overetch, wafer_techn, wafer_techn_family,%N  wafer_vendor_level_id"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "wafer_techn_levels wtl"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	base: BOOLEAN
			-- DB: CHAR(1) not null

	defects_critical: BOOLEAN
			-- DB: CHAR(1) not null

	density_measurement_required: BOOLEAN
			-- DB: CHAR(1) not null

	exclusion_layer: BOOLEAN
			-- DB: CHAR(1) not null

	filled_layer: BOOLEAN
			-- DB: CHAR(1) not null

	fill_pattern_gds_layer: INTEGER
			-- DB: NUMBER(3,0)

	fill_pattern_sizing: DOUBLE
			-- DB: NUMBER(12,6)

	fill_role: STRING
			-- DB: VARCHAR2(10) not null

	large_overetch: DOUBLE
			-- DB: NUMBER(12,6)

	level_name: STRING
			-- DB: VARCHAR2(50) not null

	level_no: INTEGER
			-- DB: NUMBER(3,0) not null

	litho_type: STRING
			-- DB: VARCHAR2(20) not null

	mask_litho_type: STRING
			-- DB: VARCHAR2(20)

	mask_specification: STRING
			-- DB: VARCHAR2(24)

	maximum_density: DOUBLE
			-- DB: NUMBER(*,*)

	mebes_extension: STRING
			-- DB: CHAR(2)

	merged_pattern_file_spot_size: DOUBLE
			-- DB: NUMBER(12,6)

	minimum_density: DOUBLE
			-- DB: NUMBER(*,*)

	mirroring: STRING
			-- DB: VARCHAR2(15)

	polarity: STRING
			-- DB: VARCHAR2(15)

	scale_factor: DOUBLE
			-- DB: NUMBER(*,*) not null

	small_overetch: DOUBLE
			-- DB: NUMBER(12,6)

	wafer_techn: STRING
			-- DB: VARCHAR2(50) not null

	wafer_techn_family: STRING
			-- DB: VARCHAR2(50) not null

	wafer_vendor_level_id: STRING
			-- DB: VARCHAR2(10)

feature -- Nullness for null allowed columns

	is_null_fill_pattern_gds_layer: BOOLEAN
	is_null_fill_pattern_sizing: BOOLEAN
	is_null_large_overetch: BOOLEAN
	is_null_mask_litho_type: BOOLEAN
	is_null_mask_specification: BOOLEAN
	is_null_maximum_density: BOOLEAN
	is_null_mebes_extension: BOOLEAN
	is_null_merged_pattern_file_spot_size: BOOLEAN
	is_null_minimum_density: BOOLEAN
	is_null_mirroring: BOOLEAN
	is_null_polarity: BOOLEAN
	is_null_small_overetch: BOOLEAN
	is_null_wafer_vendor_level_id: BOOLEAN

feature -- Nullness for non-null columns

	is_null_base: BOOLEAN
	is_null_defects_critical: BOOLEAN
	is_null_density_measurement_required: BOOLEAN
	is_null_exclusion_layer: BOOLEAN
	is_null_filled_layer: BOOLEAN
	is_null_fill_role: BOOLEAN
	is_null_level_name: BOOLEAN
	is_null_level_no: BOOLEAN
	is_null_litho_type: BOOLEAN
	is_null_scale_factor: BOOLEAN
	is_null_wafer_techn: BOOLEAN
	is_null_wafer_techn_family: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and base = r.base
				and defects_critical = r.defects_critical
				and density_measurement_required = r.density_measurement_required
				and exclusion_layer = r.exclusion_layer
				and filled_layer = r.filled_layer
				and fill_pattern_gds_layer = r.fill_pattern_gds_layer
				and fill_pattern_sizing = r.fill_pattern_sizing
				and large_overetch = r.large_overetch
				and level_no = r.level_no
				and maximum_density = r.maximum_density
				and merged_pattern_file_spot_size = r.merged_pattern_file_spot_size
				and minimum_density = r.minimum_density
				and scale_factor = r.scale_factor
				and small_overetch = r.small_overetch
			Result := Result
				and equal (fill_role, r.fill_role)
				and equal (level_name, r.level_name)
				and equal (litho_type, r.litho_type)
				and equal (mask_litho_type, r.mask_litho_type)
				and equal (mask_specification, r.mask_specification)
				and equal (mebes_extension, r.mebes_extension)
				and equal (mirroring, r.mirroring)
				and equal (polarity, r.polarity)
				and equal (wafer_techn, r.wafer_techn)
				and equal (wafer_techn_family, r.wafer_techn_family)
				and equal (wafer_vendor_level_id, r.wafer_vendor_level_id)
			Result := Result
				and is_null_base = r.is_null_base
				and is_null_defects_critical = r.is_null_defects_critical
				and is_null_density_measurement_required = r.is_null_density_measurement_required
				and is_null_exclusion_layer = r.is_null_exclusion_layer
				and is_null_filled_layer = r.is_null_filled_layer
				and is_null_fill_pattern_gds_layer = r.is_null_fill_pattern_gds_layer
				and is_null_fill_pattern_sizing = r.is_null_fill_pattern_sizing
				and is_null_fill_role = r.is_null_fill_role
				and is_null_large_overetch = r.is_null_large_overetch
				and is_null_level_name = r.is_null_level_name
				and is_null_level_no = r.is_null_level_no
				and is_null_litho_type = r.is_null_litho_type
				and is_null_mask_litho_type = r.is_null_mask_litho_type
				and is_null_mask_specification = r.is_null_mask_specification
				and is_null_maximum_density = r.is_null_maximum_density
				and is_null_mebes_extension = r.is_null_mebes_extension
				and is_null_merged_pattern_file_spot_size = r.is_null_merged_pattern_file_spot_size
				and is_null_minimum_density = r.is_null_minimum_density
				and is_null_mirroring = r.is_null_mirroring
				and is_null_polarity = r.is_null_polarity
				and is_null_scale_factor = r.is_null_scale_factor
				and is_null_small_overetch = r.is_null_small_overetch
				and is_null_wafer_techn = r.is_null_wafer_techn
				and is_null_wafer_techn_family = r.is_null_wafer_techn_family
				and is_null_wafer_vendor_level_id = r.is_null_wafer_vendor_level_id
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_boolean (2)
			q.select_boolean (3)
			q.select_boolean (4)
			q.select_boolean (5)
			q.select_integer (6)
			q.select_double (7)
			q.select_string (8, 10)
			q.select_double (9)
			q.select_string (10, 50)
			q.select_integer (11)
			q.select_string (12, 20)
			q.select_string (13, 20)
			q.select_string (14, 24)
			q.select_double (15)
			q.select_string (16, 2)
			q.select_double (17)
			q.select_double (18)
			q.select_string (19, 15)
			q.select_string (20, 15)
			q.select_double (21)
			q.select_double (22)
			q.select_string (23, 50)
			q.select_string (24, 50)
			q.select_string (25, 10)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			base := q.boolean_value (1)
			defects_critical := q.boolean_value (2)
			density_measurement_required := q.boolean_value (3)
			exclusion_layer := q.boolean_value (4)
			filled_layer := q.boolean_value (5)
			fill_pattern_gds_layer := q.integer_value (6)
			fill_pattern_sizing := q.double_value (7)
			large_overetch := q.double_value (9)
			level_no := q.integer_value (11)
			maximum_density := q.double_value (15)
			merged_pattern_file_spot_size := q.double_value (17)
			minimum_density := q.double_value (18)
			scale_factor := q.double_value (21)
			small_overetch := q.double_value (22)
		end

	fill_in_references (q: SQL_QUERY)
		do
			fill_role := q.string_value (8)
			level_name := q.string_value (10)
			litho_type := q.string_value (12)
			mask_litho_type := q.string_value (13)
			mask_specification := q.string_value (14)
			mebes_extension := q.string_value (16)
			mirroring := q.string_value (19)
			polarity := q.string_value (20)
			wafer_techn := q.string_value (23)
			wafer_techn_family := q.string_value (24)
			wafer_vendor_level_id := q.string_value (25)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (8, fill_role)
			q.get_string_value (10, level_name)
			q.get_string_value (12, litho_type)
			q.get_string_value (13, mask_litho_type)
			q.get_string_value (14, mask_specification)
			q.get_string_value (16, mebes_extension)
			q.get_string_value (19, mirroring)
			q.get_string_value (20, polarity)
			q.get_string_value (23, wafer_techn)
			q.get_string_value (24, wafer_techn_family)
			q.get_string_value (25, wafer_vendor_level_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_base := q.is_null (1)
			is_null_defects_critical := q.is_null (2)
			is_null_density_measurement_required := q.is_null (3)
			is_null_exclusion_layer := q.is_null (4)
			is_null_filled_layer := q.is_null (5)
			is_null_fill_pattern_gds_layer := q.is_null (6)
			is_null_fill_pattern_sizing := q.is_null (7)
			is_null_fill_role := q.is_null (8)
			is_null_large_overetch := q.is_null (9)
			is_null_level_name := q.is_null (10)
			is_null_level_no := q.is_null (11)
			is_null_litho_type := q.is_null (12)
			is_null_mask_litho_type := q.is_null (13)
			is_null_mask_specification := q.is_null (14)
			is_null_maximum_density := q.is_null (15)
			is_null_mebes_extension := q.is_null (16)
			is_null_merged_pattern_file_spot_size := q.is_null (17)
			is_null_minimum_density := q.is_null (18)
			is_null_mirroring := q.is_null (19)
			is_null_polarity := q.is_null (20)
			is_null_scale_factor := q.is_null (21)
			is_null_small_overetch := q.is_null (22)
			is_null_wafer_techn := q.is_null (23)
			is_null_wafer_techn_family := q.is_null (24)
			is_null_wafer_vendor_level_id := q.is_null (25)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_base := True
			is_null_defects_critical := True
			is_null_density_measurement_required := True
			is_null_exclusion_layer := True
			is_null_filled_layer := True
			is_null_fill_pattern_gds_layer := True
			is_null_fill_pattern_sizing := True
			is_null_fill_role := True
			is_null_large_overetch := True
			is_null_level_name := True
			is_null_level_no := True
			is_null_litho_type := True
			is_null_mask_litho_type := True
			is_null_mask_specification := True
			is_null_maximum_density := True
			is_null_mebes_extension := True
			is_null_merged_pattern_file_spot_size := True
			is_null_minimum_density := True
			is_null_mirroring := True
			is_null_polarity := True
			is_null_scale_factor := True
			is_null_small_overetch := True
			is_null_wafer_techn := True
			is_null_wafer_techn_family := True
			is_null_wafer_vendor_level_id := True
			create fill_role.make (0)
			create level_name.make (0)
			create litho_type.make (0)
			create mask_litho_type.make (0)
			create mask_specification.make (0)
			create mebes_extension.make (0)
			create mirroring.make (0)
			create polarity.make (0)
			create wafer_techn.make (0)
			create wafer_techn_family.make (0)
			create wafer_vendor_level_id.make (0)
		end

end
