
class CUST_QUOTE_LINE_ITEMS_ROW

inherit

	CUST_QUOTE_LINE_ITEMS_RAW

	DB_QUERY_OPTIONS
	    export
		{NONE} all
	    end


create

	make_template, make_null, make_by_key

feature -- attributes from parent

	date_effective: DB_DATE
	    do
		Result := parent.date_effective
	    end

	date_expires: DB_DATE
	    do
		Result := parent.date_expires
	    end

	is_null_date_expires: BOOLEAN
	    do
		Result := parent.is_null_date_expires
	    end

	full_cust_quote_id: STRING
		-- cust_quote_id of my quote
	    do
		Result := parent.full_cust_quote_id
	    end;

feature	-- my part

	my_part: M_PARTS_ROW
	do  if my_cached_part = Void
	     then create my_cached_part.make_by_key(connection,old_row,m_part_no)
	    end;
	    Result := my_cached_part
	end;

feature {CUST_QUOTES_ROW}

	set_my_parent(dad: CUST_QUOTES_ROW)
		-- always trust dad
	do  my_parent := dad
	end;

feature {NONE} -- 

	my_parent: CUST_QUOTES_ROW

	parent: CUST_QUOTES_ROW
	    require
		valid: m_cust_quote_no > 0
	    do
		if my_parent = Void then
		    create my_parent.make_by_key(connection,old_row,m_cust_quote_no)
		end
		Result := my_parent
	    end

	my_cached_part: M_PARTS_ROW

feature {NONE} -- for MOSIS_PRICE

	is_quoted_price: BOOLEAN
	    do
		Result := True
	    end

	edu_units: INTEGER
	    do
	    end

end -- class CUST_QUOTE_LINE_ITEMS_ROW
