class FILE_ROLES_ROW

inherit
	FILE_ROLES_RAW

create
	make_template, make_null, make_by_key, make_dummy

feature

	in_role_order(other: FILE_ROLES_ROW): INTEGER
		-- three_way_comparison on role_order
	do  Result := role_order.three_way_comparison(other.role_order)
	end;

feature {NONE} -- dummy creation

	make_dummy(a_role, an_app, a_prolog: STRING)
		-- a dummy (non-db) role
	do  make_null(Void);
	    file_role := a_role
	    set_null_nonkey
	    if an_app /= Void and then not an_app.is_empty
	     then message_application := an_app;
		  is_null_message_application := false
	    end;
	    if a_prolog /= Void and then not a_prolog.is_empty
	     then prolog_message_id := a_prolog;
		  is_null_prolog_message_id := false
	    end;
	end;

end -- FILE_ROLES_ROW
