
note

	author: "David Hollenberg"

class PACKING_WAFER_PROCESSES_MROW
inherit
	PACKING_WAFER_PROCESSES_MRAW
	PACKING_WAFER_PROCESSES_ROW
		undefine
			initialize_new,
			initialize_new_by_key
		end

create
	make_template, make_null, make_by_key, make_detached

feature -- Properties

	deep_detached_twin: like Current
			-- Detached copy of `Current' with all
			-- dependent rows detached as well
		do
			Result := detached_twin
		end

	is_deep_unchanged: BOOLEAN
			-- Are `Current' and all its dependent rows
			-- unchanged from their original versions?
			-- Returns False if no original version
		do
			Result := all_columns_equal_original
		end

feature -- Operations

	update_for_new_version (n: INTEGER)
			-- Update `Current' with information for new
			-- version `n'
		do
			set_version_no (n)
		end

	register_deep
			-- Register `Current' and all dependent rows
			-- on implicit connection
		do
			register_on_implicit_connection
		end

end
