
note

	author: "Generated"
	date: "Thu Jun 12 14:04:43 PDT 2003"

class RUNS_MROW
inherit
	RUNS_MRAW
	RUNS_ROW
		undefine
			initialize_new,
			initialize_new_by_key
		redefine
			anchored_wafer_lot,
			anchored_packaging_lot,
			anchored_scheduled_run
		end
create
	make_template, make_null, make_by_key

feature	-- Modification

	set_merge_type (a_merge_type: STRING)
		require
			a_merge_type_not_void: a_merge_type /= Void
		local
			type: MERGE_TYPE_VALUES
		do
			if a_merge_type.is_equal (type.Field_merge) then
				set_is_field_merged (True)
				set_send_cust_ic_design_files (False)
			elseif a_merge_type.is_equal (type.Die_merge) then
				set_is_field_merged (False)
				set_send_cust_ic_design_files (False)
			else
				set_is_field_merged (False)
				set_send_cust_ic_design_files (True)
			end
		end

feature

	adjust_field_step_pattern_offsets_xy(xoff, yoff: DOUBLE)
		-- adjust every lot's pattern offsets
	require all_lots_have_same_stepping
	do  wafer_lots.do_all
		(agent
		   {RUN_WAFER_LOTS_MROW}.adjust_field_step_pattern_offset_xy
			(xoff, yoff))
	ensure all_lots_have_same_stepping
	end;

feature {NONE} -- redeclare to be _MROWs

        anchored_wafer_lot: RUN_WAFER_LOTS_MROW
        do
        end;

        anchored_packaging_lot: RUN_PACKAGING_LOTS_MROW
        do
        end;

        anchored_scheduled_run: SCHEDULED_RUNS_MROW
			-- For anchoring only
        	do
        	end

end
