
note

	author: "David Hollenberg"
	date: "July 28, 2004"

class WAFER_TECHN_LEVELS_ROW
inherit
	WAFER_TECHN_LEVELS_RAW
	ROW_COUNT_CHECK_ACCESS
	ABSTRACT_LEVEL
create
	make_template, make_null

feature
	levels_for_wafer_techn (a_wafer_techn: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current]
			-- All levels for `a_wafer_techn'
		require
			a_wafer_techn_exists: a_wafer_techn /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_S
		do
			create b.make (a_wafer_techn)
			Result := all_rows_filtered_ordered (conn, "wafer_techn = :1", b, "level_no")
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

end
