
note
	description:
		"An abstract wafer process option which can be modified. %
		%Intended to be used by inheritance in effective %
		%descendants."
	author: "David Hollenberg"
	date:	"April 26, 2006"

deferred class ABSTRACT_MOD_PROCESS_OPTION
inherit
	ABSTRACT_PROCESS_OPTION

feature -- Modification

	set_option_id (s: STRING)
			-- Set `option_id' to `s'
		require
			s_not_void: s /= Void
		deferred
		ensure
			value_set: option_id = s
		end
	
	set_option_in_process (b: BOOLEAN)
			-- Set `option_in_process' to `b'
		deferred
		ensure
			value_set: option_in_process = b
		end
	
end
