deferred class NUMBERED_TEXT_LINE
		-- the essential part of a detail table that contains a
		--  multi-line text broken into a set of numbered lines.
		-- inherit this class in the detail table row
		--  and inherit MULTI_LINE_TEXT in the master table row
		-- NOTE: requires an _MROW, not a _ROW

inherit
	DB_DELETABLE_ROW

feature -- the basic attributes

	line_no: INTEGER deferred end;
		-- always runs from 1 to N; orders the text lines

	text: STRING deferred end;

feature -- the feature functions of the detail row that MULTI_LINE_TEXT needs

	set_line_no(i: INTEGER) deferred end;

	set_text(t: STRING) deferred end;

end -- NUMBERED_TEXT_LINE
