class MOSIS_DOCS_VALUES
	-- known attribute values with semantic meaning
	-- found primarily in DOCS section tables
	-- They are collected here for ease of use.

feature	-- content_type_ids

	ctype_is_text:		STRING = "TEXT"
	ctype_is_html:		STRING = "HTML"
	ctype_is_pdf:		STRING = "PDF"
	ctype_is_tar:		STRING = "TAR"
	ctype_is_zip:		STRING = "ZIP"
	ctype_is_compress:	STRING = "COMPRESS"
	ctype_is_gzip:		STRING = "GZIP"
	ctype_is_tar_z:		STRING = "TAR_Z"
	ctype_is_tar_gzip:	STRING = "TAR_GZIP"

feature	-- serve types for ducument server

	stype_is_vendor:	STRING = "VENDOR"
	stype_is_project:	STRING = "PROJECT"
	stype_is_account:	STRING = "ACCOUNT"
	stype_is_run_info:	STRING = "RUN_INFO"
	stype_is_customer:	STRING = "CUSTOMER"
	stype_is_staff:		STRING = "STAFF"
	stype_is_logout:         STRING = "LOGOUT"
	
feature -- password types
        pwd_is_basic:         STRING = "BASIC"
        pwd_is_accounting:    STRING = "ACCOUNTING"
        pwd_is_document:      STRING = "DOCUMENT"
        pwd_is_run_info:      STRING = "RUN_INFO"
        pwd_is_project:       STRING = "PROJECT"
end
