class MOSIS_MPRO_VALUES
	-- known attribute values with semantic meaning
	-- found primarily in MPRO section tables
	-- They are collected here for ease of use.

feature -- PART_TYPE, PART_INCREMENT, PART_UNIT

	part_is_DRC:		STRING = "DRC"
	part_is_ic:		STRING = "IC"
	part_is_ic_prep:	STRING = "IC_PREP"
	part_is_pkg:		STRING = "PACKAGE"
	part_is_spare_pkg:	STRING = "SPARE_PKG"
	part_is_fab_run:	STRING = "FAB RUN"	-- dedicated run
	part_is_med_qty:	STRING = "MED QTY"	--
	part_is_ded_design:	STRING = "DED_DESIGN"	-- design on ded run
	part_is_3dic_tier:	STRING = "3DIC_TIER"	-- tier design on 3dic
	increment_is_init:	STRING = "INITIAL"
	increment_is_addl:	STRING = "ADDITIONAL"
	increment_is_spare:	STRING = "SPARE"
	increment_is_short_lot:	STRING = "SHORT_LOT"
	unit_is_each:		STRING = "EACH"
	unit_is_lot:		STRING = "LOT"

feature -- PACKAGE_SUPPLIERS

	supplier_is_mosis:	STRING = "MOSIS"
	supplier_is_customer:	STRING = "CUSTOMER"

feature	-- COST_CATEGORIES

	cost_cat_is_fab:	STRING = "FAB"

end
