
note
	
	description: "Possible values for substitution parameters used in %
		%data in some database columns"
	author: "David Hollenberg"

expanded class SUBSTITUTION_PARAMETER_VALUES

feature -- Properties

	Run: STRING = "RUN"
	Partno: STRING = "PARTNO"
	Maskid: STRING = "MASKID"

	Subst_var_run: STRING
		do
			Result := as_substitution_variable (Run)
		end

	Subst_var_partno: STRING
		do
			Result := as_substitution_variable (Partno)
		end

	Subst_var_maskid: STRING
		do
			Result := as_substitution_variable (Maskid)
		end

feature {NONE} -- Implementation

	as_substitution_variable (s: STRING): STRING
			-- `s' as a substitution variable
		do
			create Result.make (s.count + 2)
			Result.extend ('<')
			Result.append (s)
			Result.extend ('>')
		end

end
