
note
	description: "Constants that describe types of external cuts (outside payload)"

class EXTERNAL_CUT_TYPES
feature -- Properties

	Single_floating: STRING = "SINGLE_FLOATING"
			-- Single cut in middle of external kerf

	Single_fixed_low: STRING = "SINGLE_FIXED_LOW"
			-- Single cut fixed distance from low side
			-- of payload (left or bottom)

	Single_fixed_high: STRING = "SINGLE_FIXED_HIGH"
			-- Single cut fixed distance from high side
			-- of payload (right or top)

	Single_fixed_both: STRING = "SINGLE_FIXED_BOTH"
			-- Single cut fixed distance from both sides
			-- of payload

	Double: STRING = "DOUBLE"
			-- Double cut fixed distance from both sides
			-- of payload

end
