note
	
	description: "Abstraction for object that may have a bottom edge in Y"
	author: "David Hollenberg"
	date: "February 4, 2004"

deferred class HAS_BOTTOM_Y
feature
	has_bottom_y: BOOLEAN
		deferred
		end

	bottom_y: DOUBLE
		require
			has_bottom_y: has_bottom_y
		deferred
		end
	
	bottom_y_string: STRING
			-- Associated bottom Y as a string
		deferred
		ensure
			result_exists: Result /= Void
		end
end
