note
	
	description: "Abstraction for object that may have a center in Y"
	author: "David Hollenberg"
	date: "February 4, 2004"

deferred class HAS_CENTER_Y
feature
	has_center_y: BOOLEAN
		deferred
		end

	center_y: DOUBLE
		require
			has_center_y: has_center_y
		deferred
		end
	
	center_y_string: STRING
			-- Associated center in Y as a string
		deferred
		ensure
			result_exists: Result /= Void
		end
end
