
note
	
	description: "Abstraction for object that has a fab option"
	author: "David Hollenberg"

deferred class HAS_FAB_OPTION
feature
	option_id: STRING
			-- Name of fab option
		deferred
		ensure
			result_not_void: Result /= Void
		end

	is_explicit: BOOLEAN
			-- Is option specified explicitly,
			-- rather than being determined by
			-- set of layers present?
		deferred
		end

	option_in_process: BOOLEAN
			-- Must option be in fab process?
			-- If not, then it cannot be in process
		deferred
		end

end
