note
	
	description: "Abstraction for object that may have a gridded center in Y"
	author: "David Hollenberg"
	date: "February 4, 2004"

deferred class HAS_GRIDDED_CENTER_Y
feature
	has_gridded_center_y: BOOLEAN
			-- Is there a gridded center in Y?
		deferred
		end

	gridded_center_y: DOUBLE
			-- Gridded center in Y
		require
			has_gridded_center_y: has_gridded_center_y
		deferred
		end
	
	gridded_center_y_string: STRING
			-- Associated center in Y as a string
		deferred
		ensure
			result_exists: Result /= Void
		end
end
