
note
	
	description: "[
		A dynamic operation (piece of application logic) that
		whose logic is set at creation time rather than
		defined via inheritance.
		]"
	author: "David Hollenberg"
	date: "March 19, 2003"

class ANONYMOUS_OPERATION
inherit
	DYNAMIC_OPERATION
		redefine
			is_implementation_available
		end

create
	make

feature {NONE} -- Creation

	make (imp: like implementation)
		require
			imp_exists: imp /= Void
		do
			default_create
			set_implementation (imp)
		end

feature -- Properties

	is_implementation_available: BOOLEAN = True

end
