
note
	
	description: "Access to shared condition handler"
	author: "David Hollenberg"
	date: "October 26, 2003"

class CONDITION_HANDLER_ACCESS

feature -- Properties

	condition_handler_cell: CELL [CONDITION_HANDLER]
			-- Cell that holds shared condition handler,
			-- initialized with default condition handler
		once
			create Result.put (create {DEFAULT_CONDITION_HANDLER})
		ensure
			result_exists: Result /= Void
		end

	condition_handler: CONDITION_HANDLER
			-- Shared condition handler
		do
			Result := condition_handler_cell.item
		end

end
