
note
	
	description: "Set of one parameter"
	author: "David Hollenberg"
	date: "March 12, 2003"

class PARAMETERS_1 [A]
inherit
	PARAMETER_SET
		redefine
			is_valid
		end


feature -- Properties

	parameter_1: A

feature -- Modification

	set_parameter_1 (p: A)
		require
			argument_valid: is_valid_parameter_1 (p)
		do
			parameter_1 := p
		ensure
			parameter_set: parameter_1 = p
		end

feature -- Validity

	is_valid: BOOLEAN
			-- Are all parameters valid?
		do
			Result := is_valid_parameter_1 (parameter_1)
		end

	is_valid_parameter_1 (p: A): BOOLEAN
		do
			Result := p /= Void
		end

end
