
note
	
	author: "Joel Goldberg (reworked by David Hollenberg)"
	date: "January 20, 2000"
	description: "Database binder which binds numeric placeholder to %
		%DATE"

class DB_BIND_D

inherit
	DB_BINDER

create
	make

feature -- Creation

	make (d: DB_DATE)
			-- Set `value1' to `d'
		do
			value1 := d
		end
	
feature -- Operations

	bind (q: SQL_STATEMENT)
			-- Bind numeric placeholder in `q' to `value1'
		do
			q.set_numeric_bind_capacity (1)
			q.bind_num_to_date (1, value1, false)
		end

feature -- Properties

	value1: DB_DATE
			-- Value to bind to placeholder :1

end
