
note
	
	author: "David Hollenberg"
	date: "February 29, 2000"
	description: "Database binder which binds numeric placeholders to %
		%INTEGER, STRING"

class DB_BIND_IS

inherit
	DB_BINDER

create
	make

feature -- Creation

	make (i: INTEGER s: STRING)
			-- Set `value1' to `i', `value2' to `s'
		do
			value1 := i
			value2 := s
		end
	
feature -- Operations

	bind (q: SQL_STATEMENT)
			-- Bind numeric placeholders in `q' to `value1' and
			-- `value2'
		do
			q.set_numeric_bind_capacity (2)
			q.bind_num_to_integer (1, value1, false)
			q.bind_num_to_string (2, value2, false)
		end

feature -- Properties

	value1: INTEGER
			-- Value to bind to placeholder :1

	value2: STRING
			-- Value to bind to placeholder :2

end
