
note
	
	author: "Joel Goldberg (reworked by David Hollenberg)"
	date: "January 20, 2000"
	description: "Database binder which binds numeric placeholder to %
		%NUMBER (DOUBLE)"

class DB_BIND_N

inherit
	DB_BINDER

create
	make

feature -- Creation

	make (n: DOUBLE)
			-- Set `value' to `n'
		do
			value := n
		end
	
feature -- Operations

	bind (q: SQL_STATEMENT)
			-- Bind numeric placeholder in `q' to `value'
		do
			q.set_numeric_bind_capacity (1)
			q.bind_num_to_double (1, value, false)
		end

feature -- Properties

	value: DOUBLE
			-- Value to bind to placeholder :1

end
