
note
	
	author: "Joel Goldberg (reworked by David Hollenberg)"
	date: "January 20, 2000"
	description: "Database binder which binds numeric placeholders to %
		%STRING, STRING"

class DB_BIND_SS

inherit
	DB_BINDER

create
	make

feature -- Creation

	make (s1, s2: STRING)
			-- Set `value1' to `s1', `value2' to `s2'
		do
			value1 := s1
			value2 := s2
		end
	
feature -- Operations

	bind (q: SQL_STATEMENT)
			-- Bind numeric placeholders in `q' to `value1'
			-- and `value2'
		do
			q.set_numeric_bind_capacity (2)
			q.bind_num_to_string (1, value1, false)
			q.bind_num_to_string (2, value2, false)
		end

feature -- Properties

	value1: STRING
			-- Value to bind to placeholder :1

	value2: STRING
			-- Value to bind to placeholder :2

end
