
note
	
	author: "David Hollenberg"
	date: "April 18, 2003"
	description: "Database Binder which binds numeric placeholder to %
		%DB_ROWID"

class DB_BIND_W

inherit
	DB_BINDER

create
	make

feature -- Creation

	make (r: DB_ROWID)
			-- Set `value' to `r'
		do
			value := r
		end
	
feature -- Operations

	bind (q: SQL_STATEMENT)
			-- Bind numeric placeholder in `q' to `value'
		do
			q.set_numeric_bind_capacity (1)
			q.bind_num_to_rowid (1, value, false)
		end

feature -- Properties

	value: DB_ROWID
			-- Value to bind to placeholder :1

end
