
note
	
	author: "Joel Goldberg (reworked by David Hollenberg)"
	date:	"March 15, 2002"
	description: "A query which returns DB_ANONYMOUS_ROW objects from %
		%a relational database.  This version has no deferred %
		%features so it is ready for use by clients."

class ANONYMOUS_QUERY [reference G -> DB_ANONYMOUS_ROW]

inherit
	DB_ANONYMOUS_QUERY [G]
		rename	
			make as make_connection
		undefine
			set_model_row,
			order_by,
			hint
		end
	QUERY_EFFECTOR [G]

create
	make

feature -- Creation
	
	make (conn: DB_CONNECTION r: G)
		require
			connection_exists: conn /= Void
			model_row_exists: r /= Void
		do
			make_connection (conn)
	    		set_model_row (r)
		ensure
			connection_set: connection = conn
			available: not released
		end

end
