
note
	
	author: "David Hollenberg"
	date:	"February 20, 2004"
	description: "A set of constants that name the action to be taken %
		%when an attempt to lock a database row fails because the row %
		%is ocked by another session"

class DB_LOCK_BUSY_CONST


feature -- Properties
	
	Block: INTEGER = 1
			-- block until busy row is unlocked

	Try_again: INTEGER = 2
			-- Try to lock row again (interval and number of
			-- attempts determined by database connection defaults)

	Return: INTEGER = 3
			-- Return immediately and set busy indication

	Connection_default: INTEGER = 4
			-- Take database connection default action (which
			-- is either wait or try again)

end
