
note

	date: "Thu Jan 21 12:59:39 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user ALLMOSIS"
	database_tables: 
		"BONDING_FINGER_LAYOUTS (MOSIS.BONDING_FINGER_LAYOUTS)"
			-- Included columns
			-- 	BONDING_FINGER_LAYOUT_ID
			-- 	BONDING_FINGER_LAYOUT_NO
			-- 	PATH
			-- Excluded columns
			-- 	(none)

class BONDING_FINGER_LAYOUTS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_bonding_finger_layout_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			bonding_finger_layout_no := the_bonding_finger_layout_no
			is_null_bonding_finger_layout_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 3

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  bonding_finger_layout_id, bonding_finger_layout_no, path"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "bonding_finger_layouts bfl"

	join_condition: STRING = ""

	table_name: STRING = "bonding_finger_layouts"

	key_where_clause: STRING = "bonding_finger_layout_no = :1"

feature -- Values

	bonding_finger_layout_id: STRING
			-- DB: VARCHAR2(50) not null

	bonding_finger_layout_no: INTEGER
			-- DB: NUMBER(6,0) not null

	path: STRING
			-- DB: VARCHAR2(4000)

feature -- Nullness for null allowed columns

	is_null_path: BOOLEAN

feature -- Nullness for non-null columns

	is_null_bonding_finger_layout_id: BOOLEAN
	is_null_bonding_finger_layout_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and bonding_finger_layout_no = r.bonding_finger_layout_no
			Result := Result
				and is_null_bonding_finger_layout_no = r.is_null_bonding_finger_layout_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (bonding_finger_layout_id, r.bonding_finger_layout_id)
				and equal (path, r.path)
			Result := Result
				and is_null_bonding_finger_layout_id = r.is_null_bonding_finger_layout_id
				and is_null_path = r.is_null_path
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 50)
			q.select_integer (2)
			q.select_string (3, 4000)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			bonding_finger_layout_no := q.integer_value (2)
		end

	fill_in_references (q: SQL_QUERY)
		do
			bonding_finger_layout_id := q.string_value (1)
			path := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, bonding_finger_layout_id)
			q.get_string_value (3, path)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_bonding_finger_layout_id := q.is_null (1)
			is_null_bonding_finger_layout_no := q.is_null (2)
			is_null_path := q.is_null (3)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_bonding_finger_layout_no := True
		end

	set_null_nonkey
		do
			is_null_bonding_finger_layout_id := True
			is_null_path := True
			create bonding_finger_layout_id.make (0)
			create path.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, bonding_finger_layout_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and bonding_finger_layout_no = q.integer_value (2)
			q.get_string_value (1, s)
			Result := Result and equal (bonding_finger_layout_id, s)
			q.get_string_value (3, s)
			Result := Result and equal (path, s)
			Result := Result
				and is_null_bonding_finger_layout_id = q.is_null (1)
				and is_null_bonding_finger_layout_no = q.is_null (2)
				and is_null_path = q.is_null (3)
		end

end
