
note

	date: "Tue Oct  2 16:40:22 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user DHOLLEN"
	database_tables: 
		"CUST_IC_DESIGN_FILES (MOSIS.CUST_IC_DESIGN_FILES)"
			-- Included columns
			-- 	BATCH_JOB_NO
			-- 	BINARY_CRC_BYTE_COUNT
			-- 	BINARY_CRC_CHECKSUM
			-- 	CIF_CHECKSUM_1
			-- 	CIF_CHECKSUM_2
			-- 	COMMENTS
			-- 	COMP_TOP_STRUCTURE
			-- 	CONTENT_TYPE_ID
			-- 	CUST_FILENAME
			-- 	CUST_TOP_STRUCTURE
			-- 	DATE_FILE_DELETED
			-- 	DATE_FILE_POSTED
			-- 	DATE_IBM_PREP_QUEUED
			-- 	DELIVERABLE
			-- 	DESIGN_NO
			-- 	DESIGN_TECHN
			-- 	FILENAME_PREFIX
			-- 	FILE_NO
			-- 	FILE_ROLE
			-- 	IC_PACKAGING_NO
			-- 	IS_CHECKSUM_CUST_DECLARED
			-- 	IS_PRELIMINARY
			-- 	PARENT_FILE_NO
			-- 	REVISION_NO
			-- 	SOURCE_DIRECTORY
			-- 	TEXT_CRC_BYTE_COUNT
			-- 	TEXT_CRC_CHECKSUM
			-- 	UPLOAD_VERSION_NO
			-- 	WAFER_LOT_NO
			-- 	WAFER_RUN_ID
			-- 	WORKING_DIRECTORY
			-- Excluded columns
			-- 	(none)

class CUST_IC_DESIGN_FILES_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_design_no: INTEGER; the_file_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			design_no := the_design_no
			file_no := the_file_no
			is_null_design_no := False
			is_null_file_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 31

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  batch_job_no, binary_crc_byte_count, binary_crc_checksum, cif_checksum_1,%N  cif_checksum_2, comments, comp_top_structure, content_type_id,%N  cust_filename, cust_top_structure, date_file_deleted, date_file_posted,%N  date_ibm_prep_queued, deliverable, design_no, design_techn,%N  filename_prefix, file_no, file_role, ic_packaging_no,%N  is_checksum_cust_declared, is_preliminary, parent_file_no, revision_no,%N  source_directory, text_crc_byte_count, text_crc_checksum,%N  upload_version_no, wafer_lot_no, wafer_run_id, working_directory"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "cust_ic_design_files cidf"

	join_condition: STRING = ""

	table_name: STRING = "cust_ic_design_files"

	key_where_clause: STRING = "design_no = :1 and file_no = :2"

feature -- Values

	batch_job_no: INTEGER
			-- DB: NUMBER(9,0)

	binary_crc_byte_count: DOUBLE
			-- DB: NUMBER(15,0)

	binary_crc_checksum: DOUBLE
			-- DB: NUMBER(15,0)

	cif_checksum_1: DOUBLE
			-- DB: NUMBER(15,0)

	cif_checksum_2: DOUBLE
			-- DB: NUMBER(15,0)

	comments: STRING
			-- DB: VARCHAR2(300)

	comp_top_structure: STRING
			-- DB: VARCHAR2(255)

	content_type_id: STRING
			-- DB: VARCHAR2(10) not null

	cust_filename: STRING
			-- DB: VARCHAR2(255)

	cust_top_structure: STRING
			-- DB: VARCHAR2(255)

	date_file_deleted: DB_DATE
			-- DB: DATE

	date_file_posted: DB_DATE
			-- DB: DATE

	date_ibm_prep_queued: DB_DATE
			-- DB: DATE

	deliverable: BOOLEAN
			-- DB: CHAR(1) not null

	design_no: INTEGER
			-- DB: NUMBER(6,0) not null

	design_techn: STRING
			-- DB: VARCHAR2(50)

	filename_prefix: STRING
			-- DB: VARCHAR2(100)

	file_no: INTEGER
			-- DB: NUMBER(4,0) not null

	file_role: STRING
			-- DB: VARCHAR2(20) not null

	ic_packaging_no: INTEGER
			-- DB: NUMBER(6,0)

	is_checksum_cust_declared: BOOLEAN
			-- DB: CHAR(1) not null

	is_preliminary: BOOLEAN
			-- DB: CHAR(1)

	parent_file_no: INTEGER
			-- DB: NUMBER(4,0)

	revision_no: INTEGER
			-- DB: NUMBER(6,0)

	source_directory: STRING
			-- DB: VARCHAR2(255)

	text_crc_byte_count: DOUBLE
			-- DB: NUMBER(15,0)

	text_crc_checksum: DOUBLE
			-- DB: NUMBER(15,0)

	upload_version_no: INTEGER
			-- DB: NUMBER(3,0)

	wafer_lot_no: INTEGER
			-- DB: NUMBER(3,0)

	wafer_run_id: STRING
			-- DB: CHAR(4)

	working_directory: STRING
			-- DB: VARCHAR2(100)

feature -- Maximum database lengths for character columns

	maxlen_comments: INTEGER = 300
	maxlen_comp_top_structure: INTEGER = 255
	maxlen_content_type_id: INTEGER = 10
	maxlen_cust_filename: INTEGER = 255
	maxlen_cust_top_structure: INTEGER = 255
	maxlen_design_techn: INTEGER = 50
	maxlen_filename_prefix: INTEGER = 100
	maxlen_file_role: INTEGER = 20
	maxlen_source_directory: INTEGER = 255
	maxlen_wafer_run_id: INTEGER = 4
	maxlen_working_directory: INTEGER = 100

feature -- Precisions for number columns

	precision_batch_job_no: INTEGER = 9
	precision_binary_crc_byte_count: INTEGER = 15
	precision_binary_crc_checksum: INTEGER = 15
	precision_cif_checksum_1: INTEGER = 15
	precision_cif_checksum_2: INTEGER = 15
	precision_design_no: INTEGER = 6
	precision_file_no: INTEGER = 4
	precision_ic_packaging_no: INTEGER = 6
	precision_parent_file_no: INTEGER = 4
	precision_revision_no: INTEGER = 6
	precision_text_crc_byte_count: INTEGER = 15
	precision_text_crc_checksum: INTEGER = 15
	precision_upload_version_no: INTEGER = 3
	precision_wafer_lot_no: INTEGER = 3

feature -- Scales for number columns

	scale_batch_job_no: INTEGER = 0
	scale_binary_crc_byte_count: INTEGER = 0
	scale_binary_crc_checksum: INTEGER = 0
	scale_cif_checksum_1: INTEGER = 0
	scale_cif_checksum_2: INTEGER = 0
	scale_design_no: INTEGER = 0
	scale_file_no: INTEGER = 0
	scale_ic_packaging_no: INTEGER = 0
	scale_parent_file_no: INTEGER = 0
	scale_revision_no: INTEGER = 0
	scale_text_crc_byte_count: INTEGER = 0
	scale_text_crc_checksum: INTEGER = 0
	scale_upload_version_no: INTEGER = 0
	scale_wafer_lot_no: INTEGER = 0

feature -- Nullness for null allowed columns

	is_null_batch_job_no: BOOLEAN
	is_null_binary_crc_byte_count: BOOLEAN
	is_null_binary_crc_checksum: BOOLEAN
	is_null_cif_checksum_1: BOOLEAN
	is_null_cif_checksum_2: BOOLEAN
	is_null_comments: BOOLEAN
	is_null_comp_top_structure: BOOLEAN
	is_null_cust_filename: BOOLEAN
	is_null_cust_top_structure: BOOLEAN
	is_null_date_file_deleted: BOOLEAN
	is_null_date_file_posted: BOOLEAN
	is_null_date_ibm_prep_queued: BOOLEAN
	is_null_design_techn: BOOLEAN
	is_null_filename_prefix: BOOLEAN
	is_null_ic_packaging_no: BOOLEAN
	is_null_is_preliminary: BOOLEAN
	is_null_parent_file_no: BOOLEAN
	is_null_revision_no: BOOLEAN
	is_null_source_directory: BOOLEAN
	is_null_text_crc_byte_count: BOOLEAN
	is_null_text_crc_checksum: BOOLEAN
	is_null_upload_version_no: BOOLEAN
	is_null_wafer_lot_no: BOOLEAN
	is_null_wafer_run_id: BOOLEAN
	is_null_working_directory: BOOLEAN

feature -- Nullness for non-null columns

	is_null_content_type_id: BOOLEAN
	is_null_deliverable: BOOLEAN
	is_null_design_no: BOOLEAN
	is_null_file_no: BOOLEAN
	is_null_file_role: BOOLEAN
	is_null_is_checksum_cust_declared: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and design_no = r.design_no
				and file_no = r.file_no
			Result := Result
				and is_null_design_no = r.is_null_design_no
				and is_null_file_no = r.is_null_file_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and batch_job_no = r.batch_job_no
				and binary_crc_byte_count = r.binary_crc_byte_count
				and binary_crc_checksum = r.binary_crc_checksum
				and cif_checksum_1 = r.cif_checksum_1
				and cif_checksum_2 = r.cif_checksum_2
				and deliverable = r.deliverable
				and ic_packaging_no = r.ic_packaging_no
				and is_checksum_cust_declared = r.is_checksum_cust_declared
				and is_preliminary = r.is_preliminary
				and parent_file_no = r.parent_file_no
				and revision_no = r.revision_no
				and text_crc_byte_count = r.text_crc_byte_count
				and text_crc_checksum = r.text_crc_checksum
				and upload_version_no = r.upload_version_no
				and wafer_lot_no = r.wafer_lot_no
			Result := Result
				and equal (comments, r.comments)
				and equal (comp_top_structure, r.comp_top_structure)
				and equal (content_type_id, r.content_type_id)
				and equal (cust_filename, r.cust_filename)
				and equal (cust_top_structure, r.cust_top_structure)
				and equal (date_file_deleted, r.date_file_deleted)
				and equal (date_file_posted, r.date_file_posted)
				and equal (date_ibm_prep_queued, r.date_ibm_prep_queued)
				and equal (design_techn, r.design_techn)
				and equal (filename_prefix, r.filename_prefix)
				and equal (file_role, r.file_role)
				and equal (source_directory, r.source_directory)
				and equal (wafer_run_id, r.wafer_run_id)
				and equal (working_directory, r.working_directory)
			Result := Result
				and is_null_batch_job_no = r.is_null_batch_job_no
				and is_null_binary_crc_byte_count = r.is_null_binary_crc_byte_count
				and is_null_binary_crc_checksum = r.is_null_binary_crc_checksum
				and is_null_cif_checksum_1 = r.is_null_cif_checksum_1
				and is_null_cif_checksum_2 = r.is_null_cif_checksum_2
				and is_null_comments = r.is_null_comments
				and is_null_comp_top_structure = r.is_null_comp_top_structure
				and is_null_content_type_id = r.is_null_content_type_id
				and is_null_cust_filename = r.is_null_cust_filename
				and is_null_cust_top_structure = r.is_null_cust_top_structure
				and is_null_date_file_deleted = r.is_null_date_file_deleted
				and is_null_date_file_posted = r.is_null_date_file_posted
				and is_null_date_ibm_prep_queued = r.is_null_date_ibm_prep_queued
				and is_null_deliverable = r.is_null_deliverable
				and is_null_design_techn = r.is_null_design_techn
				and is_null_filename_prefix = r.is_null_filename_prefix
				and is_null_file_role = r.is_null_file_role
				and is_null_ic_packaging_no = r.is_null_ic_packaging_no
				and is_null_is_checksum_cust_declared = r.is_null_is_checksum_cust_declared
				and is_null_is_preliminary = r.is_null_is_preliminary
				and is_null_parent_file_no = r.is_null_parent_file_no
				and is_null_revision_no = r.is_null_revision_no
				and is_null_source_directory = r.is_null_source_directory
				and is_null_text_crc_byte_count = r.is_null_text_crc_byte_count
				and is_null_text_crc_checksum = r.is_null_text_crc_checksum
				and is_null_upload_version_no = r.is_null_upload_version_no
				and is_null_wafer_lot_no = r.is_null_wafer_lot_no
				and is_null_wafer_run_id = r.is_null_wafer_run_id
				and is_null_working_directory = r.is_null_working_directory
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_double (2)
			q.select_double (3)
			q.select_double (4)
			q.select_double (5)
			q.select_string (6, 300)
			q.select_string (7, 255)
			q.select_string (8, 10)
			q.select_string (9, 255)
			q.select_string (10, 255)
			q.select_date (11)
			q.select_date (12)
			q.select_date (13)
			q.select_boolean (14)
			q.select_integer (15)
			q.select_string (16, 50)
			q.select_string (17, 100)
			q.select_integer (18)
			q.select_string (19, 20)
			q.select_integer (20)
			q.select_boolean (21)
			q.select_boolean (22)
			q.select_integer (23)
			q.select_integer (24)
			q.select_string (25, 255)
			q.select_double (26)
			q.select_double (27)
			q.select_integer (28)
			q.select_integer (29)
			q.select_string (30, 4)
			q.select_string (31, 100)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			batch_job_no := q.integer_value (1)
			binary_crc_byte_count := q.double_value (2)
			binary_crc_checksum := q.double_value (3)
			cif_checksum_1 := q.double_value (4)
			cif_checksum_2 := q.double_value (5)
			deliverable := q.boolean_value (14)
			design_no := q.integer_value (15)
			file_no := q.integer_value (18)
			ic_packaging_no := q.integer_value (20)
			is_checksum_cust_declared := q.boolean_value (21)
			is_preliminary := q.boolean_value (22)
			parent_file_no := q.integer_value (23)
			revision_no := q.integer_value (24)
			text_crc_byte_count := q.double_value (26)
			text_crc_checksum := q.double_value (27)
			upload_version_no := q.integer_value (28)
			wafer_lot_no := q.integer_value (29)
		end

	fill_in_references (q: SQL_QUERY)
		do
			comments := q.string_value (6)
			comp_top_structure := q.string_value (7)
			content_type_id := q.string_value (8)
			cust_filename := q.string_value (9)
			cust_top_structure := q.string_value (10)
			date_file_deleted := q.date_value (11)
			date_file_posted := q.date_value (12)
			date_ibm_prep_queued := q.date_value (13)
			design_techn := q.string_value (16)
			filename_prefix := q.string_value (17)
			file_role := q.string_value (19)
			source_directory := q.string_value (25)
			wafer_run_id := q.string_value (30)
			working_directory := q.string_value (31)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (6, comments)
			q.get_string_value (7, comp_top_structure)
			q.get_string_value (8, content_type_id)
			q.get_string_value (9, cust_filename)
			q.get_string_value (10, cust_top_structure)
			q.get_date_value (11, date_file_deleted)
			q.get_date_value (12, date_file_posted)
			q.get_date_value (13, date_ibm_prep_queued)
			q.get_string_value (16, design_techn)
			q.get_string_value (17, filename_prefix)
			q.get_string_value (19, file_role)
			q.get_string_value (25, source_directory)
			q.get_string_value (30, wafer_run_id)
			q.get_string_value (31, working_directory)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_batch_job_no := q.is_null (1)
			is_null_binary_crc_byte_count := q.is_null (2)
			is_null_binary_crc_checksum := q.is_null (3)
			is_null_cif_checksum_1 := q.is_null (4)
			is_null_cif_checksum_2 := q.is_null (5)
			is_null_comments := q.is_null (6)
			is_null_comp_top_structure := q.is_null (7)
			is_null_content_type_id := q.is_null (8)
			is_null_cust_filename := q.is_null (9)
			is_null_cust_top_structure := q.is_null (10)
			is_null_date_file_deleted := q.is_null (11)
			is_null_date_file_posted := q.is_null (12)
			is_null_date_ibm_prep_queued := q.is_null (13)
			is_null_deliverable := q.is_null (14)
			is_null_design_no := q.is_null (15)
			is_null_design_techn := q.is_null (16)
			is_null_filename_prefix := q.is_null (17)
			is_null_file_no := q.is_null (18)
			is_null_file_role := q.is_null (19)
			is_null_ic_packaging_no := q.is_null (20)
			is_null_is_checksum_cust_declared := q.is_null (21)
			is_null_is_preliminary := q.is_null (22)
			is_null_parent_file_no := q.is_null (23)
			is_null_revision_no := q.is_null (24)
			is_null_source_directory := q.is_null (25)
			is_null_text_crc_byte_count := q.is_null (26)
			is_null_text_crc_checksum := q.is_null (27)
			is_null_upload_version_no := q.is_null (28)
			is_null_wafer_lot_no := q.is_null (29)
			is_null_wafer_run_id := q.is_null (30)
			is_null_working_directory := q.is_null (31)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_no := True
			is_null_file_no := True
		end

	set_null_nonkey
		do
			is_null_batch_job_no := True
			is_null_binary_crc_byte_count := True
			is_null_binary_crc_checksum := True
			is_null_cif_checksum_1 := True
			is_null_cif_checksum_2 := True
			is_null_comments := True
			is_null_comp_top_structure := True
			is_null_content_type_id := True
			is_null_cust_filename := True
			is_null_cust_top_structure := True
			is_null_date_file_deleted := True
			is_null_date_file_posted := True
			is_null_date_ibm_prep_queued := True
			is_null_deliverable := True
			is_null_design_techn := True
			is_null_filename_prefix := True
			is_null_file_role := True
			is_null_ic_packaging_no := True
			is_null_is_checksum_cust_declared := True
			is_null_is_preliminary := True
			is_null_parent_file_no := True
			is_null_revision_no := True
			is_null_source_directory := True
			is_null_text_crc_byte_count := True
			is_null_text_crc_checksum := True
			is_null_upload_version_no := True
			is_null_wafer_lot_no := True
			is_null_wafer_run_id := True
			is_null_working_directory := True
			create comments.make (0)
			create comp_top_structure.make (0)
			create content_type_id.make (0)
			create cust_filename.make (0)
			create cust_top_structure.make (0)
			create {ORACLE_DATE} date_file_deleted.set_null
			create {ORACLE_DATE} date_file_posted.set_null
			create {ORACLE_DATE} date_ibm_prep_queued.set_null
			create design_techn.make (0)
			create filename_prefix.make (0)
			create file_role.make (0)
			create source_directory.make (0)
			create wafer_run_id.make (0)
			create working_directory.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, design_no, False)
			q.bind_num_to_integer (2, file_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
			d: DB_DATE
		do
			s := temp_string
			d := temp_date
			Result := True
			Result := Result
				and batch_job_no = q.integer_value (1)
				and binary_crc_byte_count = q.double_value (2)
				and binary_crc_checksum = q.double_value (3)
				and cif_checksum_1 = q.double_value (4)
				and cif_checksum_2 = q.double_value (5)
				and deliverable = q.boolean_value (14)
				and design_no = q.integer_value (15)
				and file_no = q.integer_value (18)
				and ic_packaging_no = q.integer_value (20)
				and is_checksum_cust_declared = q.boolean_value (21)
				and is_preliminary = q.boolean_value (22)
				and parent_file_no = q.integer_value (23)
				and revision_no = q.integer_value (24)
				and text_crc_byte_count = q.double_value (26)
				and text_crc_checksum = q.double_value (27)
				and upload_version_no = q.integer_value (28)
				and wafer_lot_no = q.integer_value (29)
			q.get_string_value (6, s)
			Result := Result and equal (comments, s)
			q.get_string_value (7, s)
			Result := Result and equal (comp_top_structure, s)
			q.get_string_value (8, s)
			Result := Result and equal (content_type_id, s)
			q.get_string_value (9, s)
			Result := Result and equal (cust_filename, s)
			q.get_string_value (10, s)
			Result := Result and equal (cust_top_structure, s)
			q.get_date_value (11, d)
			Result := Result and equal (date_file_deleted, d)
			q.get_date_value (12, d)
			Result := Result and equal (date_file_posted, d)
			q.get_date_value (13, d)
			Result := Result and equal (date_ibm_prep_queued, d)
			q.get_string_value (16, s)
			Result := Result and equal (design_techn, s)
			q.get_string_value (17, s)
			Result := Result and equal (filename_prefix, s)
			q.get_string_value (19, s)
			Result := Result and equal (file_role, s)
			q.get_string_value (25, s)
			Result := Result and equal (source_directory, s)
			q.get_string_value (30, s)
			Result := Result and equal (wafer_run_id, s)
			q.get_string_value (31, s)
			Result := Result and equal (working_directory, s)
			Result := Result
				and is_null_batch_job_no = q.is_null (1)
				and is_null_binary_crc_byte_count = q.is_null (2)
				and is_null_binary_crc_checksum = q.is_null (3)
				and is_null_cif_checksum_1 = q.is_null (4)
				and is_null_cif_checksum_2 = q.is_null (5)
				and is_null_comments = q.is_null (6)
				and is_null_comp_top_structure = q.is_null (7)
				and is_null_content_type_id = q.is_null (8)
				and is_null_cust_filename = q.is_null (9)
				and is_null_cust_top_structure = q.is_null (10)
				and is_null_date_file_deleted = q.is_null (11)
				and is_null_date_file_posted = q.is_null (12)
				and is_null_date_ibm_prep_queued = q.is_null (13)
				and is_null_deliverable = q.is_null (14)
				and is_null_design_no = q.is_null (15)
				and is_null_design_techn = q.is_null (16)
				and is_null_filename_prefix = q.is_null (17)
				and is_null_file_no = q.is_null (18)
				and is_null_file_role = q.is_null (19)
				and is_null_ic_packaging_no = q.is_null (20)
				and is_null_is_checksum_cust_declared = q.is_null (21)
				and is_null_is_preliminary = q.is_null (22)
				and is_null_parent_file_no = q.is_null (23)
				and is_null_revision_no = q.is_null (24)
				and is_null_source_directory = q.is_null (25)
				and is_null_text_crc_byte_count = q.is_null (26)
				and is_null_text_crc_checksum = q.is_null (27)
				and is_null_upload_version_no = q.is_null (28)
				and is_null_wafer_lot_no = q.is_null (29)
				and is_null_wafer_run_id = q.is_null (30)
				and is_null_working_directory = q.is_null (31)
		end

end
