
note

	date: "Thu Jan 21 12:59:40 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user ALLMOSIS"
	database_tables: 
		"CUST_IC_DESIGN_MEASUREMENTS (MOSIS.CUST_IC_DESIGN_MEASUREMENTS)"
			-- Included columns
			-- 	DESIGN_NO
			-- 	ITEM_NAME
			-- 	NUMERIC_VALUE
			-- Excluded columns
			-- 	(none)

class CUST_IC_DESIGN_MEASUREMENTS_MRAW

inherit

	DB_DELETABLE_ROW
	CUST_IC_DESIGN_MEASUREMENTS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_design_no (k: INTEGER)
		do
			change_key_field
			design_no := k
			is_null_design_no := False
		end

	set_item_name (s: STRING)
		do
			change_key_field
			item_name := s
			if s = Void then
				create item_name.make (0)
			end
			is_null_item_name := s = Void or else s.count = 0
		end

	set_numeric_value (d: DOUBLE)
		do
			change_field (True, True)
			numeric_value := d
			is_null_numeric_value := False
		end

feature -- Modification to null

	set_null_numeric_value
		do
			change_field (True, True)
			numeric_value := 0.0
			is_null_numeric_value := True
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, design_no, is_null_design_no)
			s.bind_num_to_string (2, item_name, is_null_item_name)
			s.bind_num_to_double (3, numeric_value, is_null_numeric_value)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3"

	bind_list_for_update: STRING = "  design_no = :1, item_name = :2, numeric_value = :3"

end
