
note

	date: "Wed Apr  3 09:31:25 2013"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user PAI"
	database_tables: 
		"CUST_IC_DESIGN_QUESTIONNAIRES (MOSIS.CUST_IC_DESIGN_QUESTIONNAIRES)"
			-- Included columns
			-- 	CUSTOMER_STATED_NOT_5A991B7
			-- 	CUSTOMER_SUBMITTED_EAR99
			-- 	DATE_SUBMITTED
			-- 	DESIGN_DESCR
			-- 	DESIGN_NO
			-- 	GENERAL_USE_QUESTION_1
			-- 	GENERAL_USE_QUESTION_2
			-- 	PHONE_NUMBER
			-- 	SUBMISSION_NO
			-- 	SUBMITTER
			-- 	SUBMITTER_NET_ADDRESS
			-- Excluded columns
			-- 	(none)

class CUST_IC_DESIGN_QUESTIONNAIRES_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_design_no: INTEGER; the_submission_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			design_no := the_design_no
			submission_no := the_submission_no
			is_null_design_no := False
			is_null_submission_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 11

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  customer_stated_not_5a991b7, customer_submitted_ear99, date_submitted,%N  design_descr, design_no, general_use_question_1, general_use_question_2,%N  phone_number, submission_no, submitter, submitter_net_address"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "cust_ic_design_questionnaires cweq"

	join_condition: STRING = ""

	table_name: STRING = "cust_ic_design_questionnaires"

	key_where_clause: STRING = "design_no = :1 and submission_no = :2"

feature -- Values

	customer_stated_not_5a991b7: BOOLEAN
			-- DB: CHAR(1) not null

	customer_submitted_ear99: BOOLEAN
			-- DB: CHAR(1) not null

	date_submitted: DB_DATE
			-- DB: DATE not null

	design_descr: STRING
			-- DB: VARCHAR2(4000)

	design_no: INTEGER
			-- DB: NUMBER(6,0) not null

	general_use_question_1: BOOLEAN
			-- DB: CHAR(1) not null

	general_use_question_2: BOOLEAN
			-- DB: CHAR(1) not null

	phone_number: STRING
			-- DB: VARCHAR2(200)

	submission_no: INTEGER
			-- DB: NUMBER(3,0) not null

	submitter: STRING
			-- DB: VARCHAR2(50)

	submitter_net_address: STRING
			-- DB: VARCHAR2(300)

feature -- Maximum database lengths for character columns

	maxlen_design_descr: INTEGER = 4000
	maxlen_phone_number: INTEGER = 200
	maxlen_submitter: INTEGER = 50
	maxlen_submitter_net_address: INTEGER = 300

feature -- Precisions for number columns

	precision_design_no: INTEGER = 6
	precision_submission_no: INTEGER = 3

feature -- Scales for number columns

	scale_design_no: INTEGER = 0
	scale_submission_no: INTEGER = 0

feature -- Nullness for null allowed columns

	is_null_design_descr: BOOLEAN
	is_null_phone_number: BOOLEAN
	is_null_submitter: BOOLEAN
	is_null_submitter_net_address: BOOLEAN

feature -- Nullness for non-null columns

	is_null_customer_stated_not_5a991b7: BOOLEAN
	is_null_customer_submitted_ear99: BOOLEAN
	is_null_date_submitted: BOOLEAN
	is_null_design_no: BOOLEAN
	is_null_general_use_question_1: BOOLEAN
	is_null_general_use_question_2: BOOLEAN
	is_null_submission_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and design_no = r.design_no
				and submission_no = r.submission_no
			Result := Result
				and is_null_design_no = r.is_null_design_no
				and is_null_submission_no = r.is_null_submission_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and customer_stated_not_5a991b7 = r.customer_stated_not_5a991b7
				and customer_submitted_ear99 = r.customer_submitted_ear99
				and general_use_question_1 = r.general_use_question_1
				and general_use_question_2 = r.general_use_question_2
			Result := Result
				and equal (date_submitted, r.date_submitted)
				and equal (design_descr, r.design_descr)
				and equal (phone_number, r.phone_number)
				and equal (submitter, r.submitter)
				and equal (submitter_net_address, r.submitter_net_address)
			Result := Result
				and is_null_customer_stated_not_5a991b7 = r.is_null_customer_stated_not_5a991b7
				and is_null_customer_submitted_ear99 = r.is_null_customer_submitted_ear99
				and is_null_date_submitted = r.is_null_date_submitted
				and is_null_design_descr = r.is_null_design_descr
				and is_null_general_use_question_1 = r.is_null_general_use_question_1
				and is_null_general_use_question_2 = r.is_null_general_use_question_2
				and is_null_phone_number = r.is_null_phone_number
				and is_null_submitter = r.is_null_submitter
				and is_null_submitter_net_address = r.is_null_submitter_net_address
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_boolean (2)
			q.select_date (3)
			q.select_string (4, 4000)
			q.select_integer (5)
			q.select_boolean (6)
			q.select_boolean (7)
			q.select_string (8, 200)
			q.select_integer (9)
			q.select_string (10, 50)
			q.select_string (11, 300)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			customer_stated_not_5a991b7 := q.boolean_value (1)
			customer_submitted_ear99 := q.boolean_value (2)
			design_no := q.integer_value (5)
			general_use_question_1 := q.boolean_value (6)
			general_use_question_2 := q.boolean_value (7)
			submission_no := q.integer_value (9)
		end

	fill_in_references (q: SQL_QUERY)
		do
			date_submitted := q.date_value (3)
			design_descr := q.string_value (4)
			phone_number := q.string_value (8)
			submitter := q.string_value (10)
			submitter_net_address := q.string_value (11)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_date_value (3, date_submitted)
			q.get_string_value (4, design_descr)
			q.get_string_value (8, phone_number)
			q.get_string_value (10, submitter)
			q.get_string_value (11, submitter_net_address)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_customer_stated_not_5a991b7 := q.is_null (1)
			is_null_customer_submitted_ear99 := q.is_null (2)
			is_null_date_submitted := q.is_null (3)
			is_null_design_descr := q.is_null (4)
			is_null_design_no := q.is_null (5)
			is_null_general_use_question_1 := q.is_null (6)
			is_null_general_use_question_2 := q.is_null (7)
			is_null_phone_number := q.is_null (8)
			is_null_submission_no := q.is_null (9)
			is_null_submitter := q.is_null (10)
			is_null_submitter_net_address := q.is_null (11)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_no := True
			is_null_submission_no := True
		end

	set_null_nonkey
		do
			is_null_customer_stated_not_5a991b7 := True
			is_null_customer_submitted_ear99 := True
			is_null_date_submitted := True
			is_null_design_descr := True
			is_null_general_use_question_1 := True
			is_null_general_use_question_2 := True
			is_null_phone_number := True
			is_null_submitter := True
			is_null_submitter_net_address := True
			create {ORACLE_DATE} date_submitted.set_null
			create design_descr.make (0)
			create phone_number.make (0)
			create submitter.make (0)
			create submitter_net_address.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, design_no, False)
			q.bind_num_to_integer (2, submission_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
			d: DB_DATE
		do
			s := temp_string
			d := temp_date
			Result := True
			Result := Result
				and customer_stated_not_5a991b7 = q.boolean_value (1)
				and customer_submitted_ear99 = q.boolean_value (2)
				and design_no = q.integer_value (5)
				and general_use_question_1 = q.boolean_value (6)
				and general_use_question_2 = q.boolean_value (7)
				and submission_no = q.integer_value (9)
			q.get_date_value (3, d)
			Result := Result and equal (date_submitted, d)
			q.get_string_value (4, s)
			Result := Result and equal (design_descr, s)
			q.get_string_value (8, s)
			Result := Result and equal (phone_number, s)
			q.get_string_value (10, s)
			Result := Result and equal (submitter, s)
			q.get_string_value (11, s)
			Result := Result and equal (submitter_net_address, s)
			Result := Result
				and is_null_customer_stated_not_5a991b7 = q.is_null (1)
				and is_null_customer_submitted_ear99 = q.is_null (2)
				and is_null_date_submitted = q.is_null (3)
				and is_null_design_descr = q.is_null (4)
				and is_null_design_no = q.is_null (5)
				and is_null_general_use_question_1 = q.is_null (6)
				and is_null_general_use_question_2 = q.is_null (7)
				and is_null_phone_number = q.is_null (8)
				and is_null_submission_no = q.is_null (9)
				and is_null_submitter = q.is_null (10)
				and is_null_submitter_net_address = q.is_null (11)
		end

end
