
note

	date: "Thu Sep 13 12:03:49 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"CUST_IC_DESIGNS (MOSIS.CUST_IC_DESIGNS)"
			-- Included columns
			-- 	ATTEMPT_CUSTOM_WIRING
			-- 	CENTER_X
			-- 	CENTER_Y
			-- 	COMP_PAD_COUNT
			-- 	CUSTOM_LAYER_MAP
			-- 	CUST_ACCT_NO
			-- 	CUST_FILE_NO
			-- 	CUST_PAD_COUNT
			-- 	DATE_LAYOUT_LOCKED
			-- 	DATE_MODIFIED
			-- 	DATE_RECD
			-- 	DATE_VALID
			-- 	DESIGN_ACCEPT_STATE
			-- 	DESIGN_CANCELLED
			-- 	DESIGN_FROZEN
			-- 	DESIGN_KIT_VERSION
			-- 	DESIGN_NAME
			-- 	DESIGN_NO
			-- 	DESIGN_NO_3DIC
			-- 	DESIGN_SIZE_X
			-- 	DESIGN_SIZE_Y
			-- 	EST_DESIGN_SIZE_X
			-- 	EST_DESIGN_SIZE_Y
			-- 	EXPORT_CONTROL_TYPE
			-- 	FINAL_FILE_NO
			-- 	LABEL_BOX_CENTER_X
			-- 	LABEL_BOX_CENTER_Y
			-- 	LABEL_BOX_SIZE_X
			-- 	LABEL_BOX_SIZE_Y
			-- 	NEEDS_LIBRARY_INSTANTIATION
			-- 	NO_BOND_METAL_PAD_COUNT
			-- 	QUANTITY_FRAGMENTS
			-- 	REFERENCED_LIBRARY_NAME
			-- 	REVISION_NO
			-- 	SOURCE_DIRECTORY
			-- 	STANDARD_FRAME
			-- 	SUBMISSION_TECHN
			-- 	TIER_NO_3DIC
			-- 	TINY_CHIP
			-- 	UNFILLABLE_FRACTION
			-- 	UNPASSIVATED_FRACTION
			-- Excluded columns
			-- 	(none)

class CUST_IC_DESIGNS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values,
			copy_from_row,
			detached_twin
		end
	CUST_IC_DESIGNS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_attempt_custom_wiring (b: BOOLEAN)
		do
			change_field (True, True)
			attempt_custom_wiring := b
			is_null_attempt_custom_wiring := False
		end

	set_center_x (d: DOUBLE)
		do
			change_field (True, True)
			center_x := d
			is_null_center_x := False
		end

	set_center_y (d: DOUBLE)
		do
			change_field (True, True)
			center_y := d
			is_null_center_y := False
		end

	set_comp_pad_count (k: INTEGER)
		do
			change_field (True, True)
			comp_pad_count := k
			is_null_comp_pad_count := False
		end

	set_custom_layer_map (s: STRING)
		do
			change_field (True, True)
			custom_layer_map := s
			if s = Void then
				create custom_layer_map.make (0)
			end
			is_null_custom_layer_map := s = Void or else s.count = 0
		end

	set_cust_acct_no (k: INTEGER)
		do
			change_field (True, True)
			cust_acct_no := k
			is_null_cust_acct_no := False
		end

	set_cust_file_no (k: INTEGER)
		do
			change_field (True, True)
			cust_file_no := k
			is_null_cust_file_no := False
		end

	set_cust_pad_count (k: INTEGER)
		do
			change_field (True, True)
			cust_pad_count := k
			is_null_cust_pad_count := False
		end

	set_date_layout_locked (d: DB_DATE)
		do
			change_field (True, True)
			date_layout_locked := d
			if d = Void then
				create {ORACLE_DATE} date_layout_locked.set_null
			end
			is_null_date_layout_locked := d = Void or else d.is_null
		end

	set_date_modified (d: DB_DATE)
		do
			change_field (True, True)
			date_modified := d
			if d = Void then
				create {ORACLE_DATE} date_modified.set_null
			end
			is_null_date_modified := d = Void or else d.is_null
		end

	set_date_recd (d: DB_DATE)
		do
			change_field (True, True)
			date_recd := d
			if d = Void then
				create {ORACLE_DATE} date_recd.set_null
			end
			is_null_date_recd := d = Void or else d.is_null
		end

	set_date_valid (d: DB_DATE)
		do
			change_field (True, True)
			date_valid := d
			if d = Void then
				create {ORACLE_DATE} date_valid.set_null
			end
			is_null_date_valid := d = Void or else d.is_null
		end

	set_design_accept_state (s: STRING)
		do
			change_field (True, True)
			design_accept_state := s
			if s = Void then
				create design_accept_state.make (0)
			end
			is_null_design_accept_state := s = Void or else s.count = 0
		end

	set_design_cancelled (b: BOOLEAN)
		do
			change_field (True, True)
			design_cancelled := b
			is_null_design_cancelled := False
		end

	set_design_frozen (b: BOOLEAN)
		do
			change_field (True, True)
			design_frozen := b
			is_null_design_frozen := False
		end

	set_design_kit_version (s: STRING)
		do
			change_field (True, True)
			design_kit_version := s
			if s = Void then
				create design_kit_version.make (0)
			end
			is_null_design_kit_version := s = Void or else s.count = 0
		end

	set_design_name (s: STRING)
		do
			change_field (True, True)
			design_name := s
			if s = Void then
				create design_name.make (0)
			end
			is_null_design_name := s = Void or else s.count = 0
		end

	set_design_no (k: INTEGER)
		do
			change_key_field
			design_no := k
			is_null_design_no := False
		end

	set_design_no_3dic (k: INTEGER)
		do
			change_field (True, True)
			design_no_3dic := k
			is_null_design_no_3dic := False
		end

	set_design_size_x (d: DOUBLE)
		do
			change_field (True, True)
			design_size_x := d
			is_null_design_size_x := False
		end

	set_design_size_y (d: DOUBLE)
		do
			change_field (True, True)
			design_size_y := d
			is_null_design_size_y := False
		end

	set_est_design_size_x (d: DOUBLE)
		do
			change_field (True, True)
			est_design_size_x := d
			is_null_est_design_size_x := False
		end

	set_est_design_size_y (d: DOUBLE)
		do
			change_field (True, True)
			est_design_size_y := d
			is_null_est_design_size_y := False
		end

	set_export_control_type (s: STRING)
		do
			change_field (True, True)
			export_control_type := s
			if s = Void then
				create export_control_type.make (0)
			end
			is_null_export_control_type := s = Void or else s.count = 0
		end

	set_final_file_no (k: INTEGER)
		do
			change_field (True, True)
			final_file_no := k
			is_null_final_file_no := False
		end

	set_label_box_center_x (d: DOUBLE)
		do
			change_field (True, True)
			label_box_center_x := d
			is_null_label_box_center_x := False
		end

	set_label_box_center_y (d: DOUBLE)
		do
			change_field (True, True)
			label_box_center_y := d
			is_null_label_box_center_y := False
		end

	set_label_box_size_x (d: DOUBLE)
		do
			change_field (True, True)
			label_box_size_x := d
			is_null_label_box_size_x := False
		end

	set_label_box_size_y (d: DOUBLE)
		do
			change_field (True, True)
			label_box_size_y := d
			is_null_label_box_size_y := False
		end

	set_needs_library_instantiation (b: BOOLEAN)
		do
			change_field (True, True)
			needs_library_instantiation := b
			is_null_needs_library_instantiation := False
		end

	set_no_bond_metal_pad_count (k: INTEGER)
		do
			change_field (True, True)
			no_bond_metal_pad_count := k
			is_null_no_bond_metal_pad_count := False
		end

	set_quantity_fragments (k: INTEGER)
		do
			change_field (True, True)
			quantity_fragments := k
			is_null_quantity_fragments := False
		end

	set_referenced_library_name (s: STRING)
		do
			change_field (True, True)
			referenced_library_name := s
			if s = Void then
				create referenced_library_name.make (0)
			end
			is_null_referenced_library_name := s = Void or else s.count = 0
		end

	set_revision_no (k: INTEGER)
		do
			change_field (True, True)
			revision_no := k
			is_null_revision_no := False
		end

	set_source_directory (s: STRING)
		do
			change_field (True, True)
			source_directory := s
			if s = Void then
				create source_directory.make (0)
			end
			is_null_source_directory := s = Void or else s.count = 0
		end

	set_standard_frame (s: STRING)
		do
			change_field (True, True)
			standard_frame := s
			if s = Void then
				create standard_frame.make (0)
			end
			is_null_standard_frame := s = Void or else s.count = 0
		end

	set_submission_techn (s: STRING)
		do
			change_field (True, True)
			submission_techn := s
			if s = Void then
				create submission_techn.make (0)
			end
			is_null_submission_techn := s = Void or else s.count = 0
		end

	set_tier_no_3dic (k: INTEGER)
		do
			change_field (True, True)
			tier_no_3dic := k
			is_null_tier_no_3dic := False
		end

	set_tiny_chip (b: BOOLEAN)
		do
			change_field (True, True)
			tiny_chip := b
			is_null_tiny_chip := False
		end

	set_unfillable_fraction (d: DOUBLE)
		do
			change_field (True, True)
			unfillable_fraction := d
			is_null_unfillable_fraction := False
		end

	set_unpassivated_fraction (d: DOUBLE)
		do
			change_field (True, True)
			unpassivated_fraction := d
			is_null_unpassivated_fraction := False
		end

feature -- Modification to null

	set_null_center_x
		do
			change_field (True, True)
			center_x := 0.0
			is_null_center_x := True
		end

	set_null_center_y
		do
			change_field (True, True)
			center_y := 0.0
			is_null_center_y := True
		end

	set_null_comp_pad_count
		do
			change_field (True, True)
			comp_pad_count := 0
			is_null_comp_pad_count := True
		end

	set_null_custom_layer_map
		do
			set_custom_layer_map (Void)
		end

	set_null_cust_file_no
		do
			change_field (True, True)
			cust_file_no := 0
			is_null_cust_file_no := True
		end

	set_null_cust_pad_count
		do
			change_field (True, True)
			cust_pad_count := 0
			is_null_cust_pad_count := True
		end

	set_null_date_layout_locked
		do
			set_date_layout_locked (Void)
		end

	set_null_date_modified
		do
			set_date_modified (Void)
		end

	set_null_date_recd
		do
			set_date_recd (Void)
		end

	set_null_date_valid
		do
			set_date_valid (Void)
		end

	set_null_design_accept_state
		do
			set_design_accept_state (Void)
		end

	set_null_design_kit_version
		do
			set_design_kit_version (Void)
		end

	set_null_design_no_3dic
		do
			change_field (True, True)
			design_no_3dic := 0
			is_null_design_no_3dic := True
		end

	set_null_design_size_x
		do
			change_field (True, True)
			design_size_x := 0.0
			is_null_design_size_x := True
		end

	set_null_design_size_y
		do
			change_field (True, True)
			design_size_y := 0.0
			is_null_design_size_y := True
		end

	set_null_est_design_size_x
		do
			change_field (True, True)
			est_design_size_x := 0.0
			is_null_est_design_size_x := True
		end

	set_null_est_design_size_y
		do
			change_field (True, True)
			est_design_size_y := 0.0
			is_null_est_design_size_y := True
		end

	set_null_export_control_type
		do
			set_export_control_type (Void)
		end

	set_null_final_file_no
		do
			change_field (True, True)
			final_file_no := 0
			is_null_final_file_no := True
		end

	set_null_label_box_center_x
		do
			change_field (True, True)
			label_box_center_x := 0.0
			is_null_label_box_center_x := True
		end

	set_null_label_box_center_y
		do
			change_field (True, True)
			label_box_center_y := 0.0
			is_null_label_box_center_y := True
		end

	set_null_label_box_size_x
		do
			change_field (True, True)
			label_box_size_x := 0.0
			is_null_label_box_size_x := True
		end

	set_null_label_box_size_y
		do
			change_field (True, True)
			label_box_size_y := 0.0
			is_null_label_box_size_y := True
		end

	set_null_no_bond_metal_pad_count
		do
			change_field (True, True)
			no_bond_metal_pad_count := 0
			is_null_no_bond_metal_pad_count := True
		end

	set_null_quantity_fragments
		do
			change_field (True, True)
			quantity_fragments := 0
			is_null_quantity_fragments := True
		end

	set_null_referenced_library_name
		do
			set_referenced_library_name (Void)
		end

	set_null_standard_frame
		do
			set_standard_frame (Void)
		end

	set_null_submission_techn
		do
			set_submission_techn (Void)
		end

	set_null_tier_no_3dic
		do
			change_field (True, True)
			tier_no_3dic := 0
			is_null_tier_no_3dic := True
		end

	set_null_unfillable_fraction
		do
			change_field (True, True)
			unfillable_fraction := 0.0
			is_null_unfillable_fraction := True
		end

	set_null_unpassivated_fraction
		do
			change_field (True, True)
			unpassivated_fraction := 0.0
			is_null_unpassivated_fraction := True
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_attempt_custom_wiring then
				handle_null_copy_error ("attempt_custom_wiring")
			else
				set_attempt_custom_wiring (r.attempt_custom_wiring)
			end
			if r.is_null_center_x then
				set_null_center_x
			else
				set_center_x (r.center_x)
			end
			if r.is_null_center_y then
				set_null_center_y
			else
				set_center_y (r.center_y)
			end
			if r.is_null_comp_pad_count then
				set_null_comp_pad_count
			else
				set_comp_pad_count (r.comp_pad_count)
			end
			if r.is_null_custom_layer_map then
				set_null_custom_layer_map
			else
				set_custom_layer_map (r.custom_layer_map)
			end
			if r.is_null_cust_acct_no then
				handle_null_copy_error ("cust_acct_no")
			else
				set_cust_acct_no (r.cust_acct_no)
			end
			if r.is_null_cust_file_no then
				set_null_cust_file_no
			else
				set_cust_file_no (r.cust_file_no)
			end
			if r.is_null_cust_pad_count then
				set_null_cust_pad_count
			else
				set_cust_pad_count (r.cust_pad_count)
			end
			if r.is_null_date_layout_locked then
				set_null_date_layout_locked
			else
				set_date_layout_locked (r.date_layout_locked)
			end
			if r.is_null_date_modified then
				set_null_date_modified
			else
				set_date_modified (r.date_modified)
			end
			if r.is_null_date_recd then
				set_null_date_recd
			else
				set_date_recd (r.date_recd)
			end
			if r.is_null_date_valid then
				set_null_date_valid
			else
				set_date_valid (r.date_valid)
			end
			if r.is_null_design_accept_state then
				set_null_design_accept_state
			else
				set_design_accept_state (r.design_accept_state)
			end
			if r.is_null_design_cancelled then
				handle_null_copy_error ("design_cancelled")
			else
				set_design_cancelled (r.design_cancelled)
			end
			if r.is_null_design_frozen then
				handle_null_copy_error ("design_frozen")
			else
				set_design_frozen (r.design_frozen)
			end
			if r.is_null_design_kit_version then
				set_null_design_kit_version
			else
				set_design_kit_version (r.design_kit_version)
			end
			if r.is_null_design_name then
				handle_null_copy_error ("design_name")
			else
				set_design_name (r.design_name)
			end
			if r.is_null_design_no then
				handle_null_copy_error ("design_no")
			else
				set_design_no (r.design_no)
			end
			if r.is_null_design_no_3dic then
				set_null_design_no_3dic
			else
				set_design_no_3dic (r.design_no_3dic)
			end
			if r.is_null_design_size_x then
				set_null_design_size_x
			else
				set_design_size_x (r.design_size_x)
			end
			if r.is_null_design_size_y then
				set_null_design_size_y
			else
				set_design_size_y (r.design_size_y)
			end
			if r.is_null_est_design_size_x then
				set_null_est_design_size_x
			else
				set_est_design_size_x (r.est_design_size_x)
			end
			if r.is_null_est_design_size_y then
				set_null_est_design_size_y
			else
				set_est_design_size_y (r.est_design_size_y)
			end
			if r.is_null_export_control_type then
				set_null_export_control_type
			else
				set_export_control_type (r.export_control_type)
			end
			if r.is_null_final_file_no then
				set_null_final_file_no
			else
				set_final_file_no (r.final_file_no)
			end
			if r.is_null_label_box_center_x then
				set_null_label_box_center_x
			else
				set_label_box_center_x (r.label_box_center_x)
			end
			if r.is_null_label_box_center_y then
				set_null_label_box_center_y
			else
				set_label_box_center_y (r.label_box_center_y)
			end
			if r.is_null_label_box_size_x then
				set_null_label_box_size_x
			else
				set_label_box_size_x (r.label_box_size_x)
			end
			if r.is_null_label_box_size_y then
				set_null_label_box_size_y
			else
				set_label_box_size_y (r.label_box_size_y)
			end
			if r.is_null_needs_library_instantiation then
				handle_null_copy_error ("needs_library_instantiation")
			else
				set_needs_library_instantiation (r.needs_library_instantiation)
			end
			if r.is_null_no_bond_metal_pad_count then
				set_null_no_bond_metal_pad_count
			else
				set_no_bond_metal_pad_count (r.no_bond_metal_pad_count)
			end
			if r.is_null_quantity_fragments then
				set_null_quantity_fragments
			else
				set_quantity_fragments (r.quantity_fragments)
			end
			if r.is_null_referenced_library_name then
				set_null_referenced_library_name
			else
				set_referenced_library_name (r.referenced_library_name)
			end
			if r.is_null_revision_no then
				handle_null_copy_error ("revision_no")
			else
				set_revision_no (r.revision_no)
			end
			if r.is_null_source_directory then
				handle_null_copy_error ("source_directory")
			else
				set_source_directory (r.source_directory)
			end
			if r.is_null_standard_frame then
				set_null_standard_frame
			else
				set_standard_frame (r.standard_frame)
			end
			if r.is_null_submission_techn then
				set_null_submission_techn
			else
				set_submission_techn (r.submission_techn)
			end
			if r.is_null_tier_no_3dic then
				set_null_tier_no_3dic
			else
				set_tier_no_3dic (r.tier_no_3dic)
			end
			if r.is_null_tiny_chip then
				handle_null_copy_error ("tiny_chip")
			else
				set_tiny_chip (r.tiny_chip)
			end
			if r.is_null_unfillable_fraction then
				set_null_unfillable_fraction
			else
				set_unfillable_fraction (r.unfillable_fraction)
			end
			if r.is_null_unpassivated_fraction then
				set_null_unpassivated_fraction
			else
				set_unpassivated_fraction (r.unpassivated_fraction)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Initialization

	set_default_values
		do
			needs_library_instantiation := False
			is_null_needs_library_instantiation := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_boolean (1, attempt_custom_wiring, is_null_attempt_custom_wiring)
			s.bind_num_to_double (2, center_x, is_null_center_x)
			s.bind_num_to_double (3, center_y, is_null_center_y)
			s.bind_num_to_integer (4, comp_pad_count, is_null_comp_pad_count)
			s.bind_num_to_string (5, custom_layer_map, is_null_custom_layer_map)
			s.bind_num_to_integer (6, cust_acct_no, is_null_cust_acct_no)
			s.bind_num_to_integer (7, cust_file_no, is_null_cust_file_no)
			s.bind_num_to_integer (8, cust_pad_count, is_null_cust_pad_count)
			s.bind_num_to_date (9, date_layout_locked, is_null_date_layout_locked)
			s.bind_num_to_date (10, date_modified, is_null_date_modified)
			s.bind_num_to_date (11, date_recd, is_null_date_recd)
			s.bind_num_to_date (12, date_valid, is_null_date_valid)
			s.bind_num_to_string (13, design_accept_state, is_null_design_accept_state)
			s.bind_num_to_boolean (14, design_cancelled, is_null_design_cancelled)
			s.bind_num_to_boolean (15, design_frozen, is_null_design_frozen)
			s.bind_num_to_string (16, design_kit_version, is_null_design_kit_version)
			s.bind_num_to_string (17, design_name, is_null_design_name)
			s.bind_num_to_integer (18, design_no, is_null_design_no)
			s.bind_num_to_integer (19, design_no_3dic, is_null_design_no_3dic)
			s.bind_num_to_double (20, design_size_x, is_null_design_size_x)
			s.bind_num_to_double (21, design_size_y, is_null_design_size_y)
			s.bind_num_to_double (22, est_design_size_x, is_null_est_design_size_x)
			s.bind_num_to_double (23, est_design_size_y, is_null_est_design_size_y)
			s.bind_num_to_string (24, export_control_type, is_null_export_control_type)
			s.bind_num_to_integer (25, final_file_no, is_null_final_file_no)
			s.bind_num_to_double (26, label_box_center_x, is_null_label_box_center_x)
			s.bind_num_to_double (27, label_box_center_y, is_null_label_box_center_y)
			s.bind_num_to_double (28, label_box_size_x, is_null_label_box_size_x)
			s.bind_num_to_double (29, label_box_size_y, is_null_label_box_size_y)
			s.bind_num_to_boolean (30, needs_library_instantiation, is_null_needs_library_instantiation)
			s.bind_num_to_integer (31, no_bond_metal_pad_count, is_null_no_bond_metal_pad_count)
			s.bind_num_to_integer (32, quantity_fragments, is_null_quantity_fragments)
			s.bind_num_to_string (33, referenced_library_name, is_null_referenced_library_name)
			s.bind_num_to_integer (34, revision_no, is_null_revision_no)
			s.bind_num_to_string (35, source_directory, is_null_source_directory)
			s.bind_num_to_string (36, standard_frame, is_null_standard_frame)
			s.bind_num_to_string (37, submission_techn, is_null_submission_techn)
			s.bind_num_to_integer (38, tier_no_3dic, is_null_tier_no_3dic)
			s.bind_num_to_boolean (39, tiny_chip, is_null_tiny_chip)
			s.bind_num_to_double (40, unfillable_fraction, is_null_unfillable_fraction)
			s.bind_num_to_double (41, unpassivated_fraction, is_null_unpassivated_fraction)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18, :19, :20, :21, :22, :23, :24, :25, :26, :27, :28, :29, :30,%N  :31, :32, :33, :34, :35, :36, :37, :38, :39, :40, :41"

	bind_list_for_update: STRING = "  attempt_custom_wiring = :1, center_x = :2, center_y = :3,%N  comp_pad_count = :4, custom_layer_map = :5, cust_acct_no = :6,%N  cust_file_no = :7, cust_pad_count = :8, date_layout_locked = :9,%N  date_modified = :10, date_recd = :11, date_valid = :12,%N  design_accept_state = :13, design_cancelled = :14, design_frozen = :15,%N  design_kit_version = :16, design_name = :17, design_no = :18,%N  design_no_3dic = :19, design_size_x = :20, design_size_y = :21,%N  est_design_size_x = :22, est_design_size_y = :23,%N  export_control_type = :24, final_file_no = :25, label_box_center_x = :26,%N  label_box_center_y = :27, label_box_size_x = :28, label_box_size_y = :29,%N  needs_library_instantiation = :30, no_bond_metal_pad_count = :31,%N  quantity_fragments = :32, referenced_library_name = :33,%N  revision_no = :34, source_directory = :35, standard_frame = :36,%N  submission_techn = :37, tier_no_3dic = :38, tiny_chip = :39,%N  unfillable_fraction = :40, unpassivated_fraction = :41"

end
