
note

	date: "Mon Dec  6 14:37:49 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user ALLMOSIS"
	database_tables: 
		"CUST_QUOTE_LINE_ITEMS (MOSIS.CUST_QUOTE_LINE_ITEMS)"
			-- Included columns
			-- 	AREA_AMOUNT
			-- 	ASSUMED_AREA
			-- 	CUST_QUOTE_LINE_NO
			-- 	DESCR
			-- 	FLAT_AMOUNT
			-- 	M_CUST_QUOTE_NO
			-- 	M_PART_NO
			-- 	QUANTITY_QUOTED
			-- Excluded columns
			-- 	(none)

class CUST_QUOTE_LINE_ITEMS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_m_cust_quote_no: INTEGER; the_cust_quote_line_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			m_cust_quote_no := the_m_cust_quote_no
			cust_quote_line_no := the_cust_quote_line_no
			is_null_m_cust_quote_no := False
			is_null_cust_quote_line_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 8

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  area_amount, assumed_area, cust_quote_line_no, descr, flat_amount,%N  m_cust_quote_no, m_part_no, quantity_quoted"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "cust_quote_line_items cqli"

	join_condition: STRING = ""

	table_name: STRING = "cust_quote_line_items"

	key_where_clause: STRING = "m_cust_quote_no = :1 and cust_quote_line_no = :2"

feature -- Values

	area_amount: DOUBLE
			-- DB: NUMBER(9,2)

	assumed_area: DOUBLE
			-- DB: NUMBER(*,*)

	cust_quote_line_no: INTEGER
			-- DB: NUMBER(6,0) not null

	descr: STRING
			-- DB: VARCHAR2(2000) not null

	flat_amount: DOUBLE
			-- DB: NUMBER(9,2)

	m_cust_quote_no: INTEGER
			-- DB: NUMBER(8,0) not null

	m_part_no: INTEGER
			-- DB: NUMBER(6,0) not null

	quantity_quoted: INTEGER
			-- DB: NUMBER(6,0) not null

feature -- Nullness for null allowed columns

	is_null_area_amount: BOOLEAN
	is_null_assumed_area: BOOLEAN
	is_null_flat_amount: BOOLEAN

feature -- Nullness for non-null columns

	is_null_cust_quote_line_no: BOOLEAN
	is_null_descr: BOOLEAN
	is_null_m_cust_quote_no: BOOLEAN
	is_null_m_part_no: BOOLEAN
	is_null_quantity_quoted: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and cust_quote_line_no = r.cust_quote_line_no
				and m_cust_quote_no = r.m_cust_quote_no
			Result := Result
				and is_null_cust_quote_line_no = r.is_null_cust_quote_line_no
				and is_null_m_cust_quote_no = r.is_null_m_cust_quote_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and area_amount = r.area_amount
				and assumed_area = r.assumed_area
				and flat_amount = r.flat_amount
				and m_part_no = r.m_part_no
				and quantity_quoted = r.quantity_quoted
			Result := Result
				and equal (descr, r.descr)
			Result := Result
				and is_null_area_amount = r.is_null_area_amount
				and is_null_assumed_area = r.is_null_assumed_area
				and is_null_descr = r.is_null_descr
				and is_null_flat_amount = r.is_null_flat_amount
				and is_null_m_part_no = r.is_null_m_part_no
				and is_null_quantity_quoted = r.is_null_quantity_quoted
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_double (1)
			q.select_double (2)
			q.select_integer (3)
			q.select_string (4, 2000)
			q.select_double (5)
			q.select_integer (6)
			q.select_integer (7)
			q.select_integer (8)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			area_amount := q.double_value (1)
			assumed_area := q.double_value (2)
			cust_quote_line_no := q.integer_value (3)
			flat_amount := q.double_value (5)
			m_cust_quote_no := q.integer_value (6)
			m_part_no := q.integer_value (7)
			quantity_quoted := q.integer_value (8)
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (4)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (4, descr)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_area_amount := q.is_null (1)
			is_null_assumed_area := q.is_null (2)
			is_null_cust_quote_line_no := q.is_null (3)
			is_null_descr := q.is_null (4)
			is_null_flat_amount := q.is_null (5)
			is_null_m_cust_quote_no := q.is_null (6)
			is_null_m_part_no := q.is_null (7)
			is_null_quantity_quoted := q.is_null (8)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_m_cust_quote_no := True
			is_null_cust_quote_line_no := True
		end

	set_null_nonkey
		do
			is_null_area_amount := True
			is_null_assumed_area := True
			is_null_descr := True
			is_null_flat_amount := True
			is_null_m_part_no := True
			is_null_quantity_quoted := True
			create descr.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, m_cust_quote_no, False)
			q.bind_num_to_integer (2, cust_quote_line_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and area_amount = q.double_value (1)
				and assumed_area = q.double_value (2)
				and cust_quote_line_no = q.integer_value (3)
				and flat_amount = q.double_value (5)
				and m_cust_quote_no = q.integer_value (6)
				and m_part_no = q.integer_value (7)
				and quantity_quoted = q.integer_value (8)
			q.get_string_value (4, s)
			Result := Result and equal (descr, s)
			Result := Result
				and is_null_area_amount = q.is_null (1)
				and is_null_assumed_area = q.is_null (2)
				and is_null_cust_quote_line_no = q.is_null (3)
				and is_null_descr = q.is_null (4)
				and is_null_flat_amount = q.is_null (5)
				and is_null_m_cust_quote_no = q.is_null (6)
				and is_null_m_part_no = q.is_null (7)
				and is_null_quantity_quoted = q.is_null (8)
		end

end
