
note

	date: "Wed Jul 18 09:00:05 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"CUST_WO_LINE_ITEMS (MOSIS.CUST_WO_LINE_ITEMS)"
			-- Included columns
			-- 	CUST_WO_LINE_COMMENT
			-- 	CUST_WO_LINE_NO
			-- 	DATE_JIT_PACKAGES_ORDERED
			-- 	DATE_JIT_PACKAGES_RECEIVED
			-- 	IC_PACKAGING_NO
			-- 	M_JOB_NO
			-- 	M_ORDER_NO
			-- 	M_PART_NO
			-- 	M_SHIPMENT_NO
			-- 	PACKAGING_LOT_NO
			-- 	PACKAGING_RUN_ID
			-- 	PART_QUANTITY_ORDERED
			-- 	SIZE_OF_ITEM
			-- Excluded columns
			-- 	(none)

class CUST_WO_LINE_ITEMS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_m_job_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			m_job_no := the_m_job_no
			is_null_m_job_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 13

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  cust_wo_line_comment, cust_wo_line_no, date_jit_packages_ordered,%N  date_jit_packages_received, ic_packaging_no, m_job_no, m_order_no,%N  m_part_no, m_shipment_no, packaging_lot_no, packaging_run_id,%N  part_quantity_ordered, size_of_item"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "cust_wo_line_items cwli"

	join_condition: STRING = ""

	table_name: STRING = "cust_wo_line_items"

	key_where_clause: STRING = "m_job_no = :1"

feature -- Values

	cust_wo_line_comment: STRING
			-- DB: VARCHAR2(255)

	cust_wo_line_no: INTEGER
			-- DB: NUMBER(6,0) not null

	date_jit_packages_ordered: DB_DATE
			-- DB: DATE

	date_jit_packages_received: DB_DATE
			-- DB: DATE

	ic_packaging_no: INTEGER
			-- DB: NUMBER(6,0)

	m_job_no: INTEGER
			-- DB: NUMBER(6,0) not null

	m_order_no: INTEGER
			-- DB: NUMBER(6,0) not null

	m_part_no: INTEGER
			-- DB: NUMBER(6,0) not null

	m_shipment_no: INTEGER
			-- DB: NUMBER(6,0)

	packaging_lot_no: INTEGER
			-- DB: NUMBER(3,0)

	packaging_run_id: STRING
			-- DB: CHAR(4)

	part_quantity_ordered: INTEGER
			-- DB: NUMBER(6,0)

	size_of_item: DOUBLE
			-- DB: NUMBER(9,3)

feature -- Nullness for null allowed columns

	is_null_cust_wo_line_comment: BOOLEAN
	is_null_date_jit_packages_ordered: BOOLEAN
	is_null_date_jit_packages_received: BOOLEAN
	is_null_ic_packaging_no: BOOLEAN
	is_null_m_shipment_no: BOOLEAN
	is_null_packaging_lot_no: BOOLEAN
	is_null_packaging_run_id: BOOLEAN
	is_null_part_quantity_ordered: BOOLEAN
	is_null_size_of_item: BOOLEAN

feature -- Nullness for non-null columns

	is_null_cust_wo_line_no: BOOLEAN
	is_null_m_job_no: BOOLEAN
	is_null_m_order_no: BOOLEAN
	is_null_m_part_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and m_job_no = r.m_job_no
			Result := Result
				and is_null_m_job_no = r.is_null_m_job_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and cust_wo_line_no = r.cust_wo_line_no
				and ic_packaging_no = r.ic_packaging_no
				and m_order_no = r.m_order_no
				and m_part_no = r.m_part_no
				and m_shipment_no = r.m_shipment_no
				and packaging_lot_no = r.packaging_lot_no
				and part_quantity_ordered = r.part_quantity_ordered
				and size_of_item = r.size_of_item
			Result := Result
				and equal (cust_wo_line_comment, r.cust_wo_line_comment)
				and equal (date_jit_packages_ordered, r.date_jit_packages_ordered)
				and equal (date_jit_packages_received, r.date_jit_packages_received)
				and equal (packaging_run_id, r.packaging_run_id)
			Result := Result
				and is_null_cust_wo_line_comment = r.is_null_cust_wo_line_comment
				and is_null_cust_wo_line_no = r.is_null_cust_wo_line_no
				and is_null_date_jit_packages_ordered = r.is_null_date_jit_packages_ordered
				and is_null_date_jit_packages_received = r.is_null_date_jit_packages_received
				and is_null_ic_packaging_no = r.is_null_ic_packaging_no
				and is_null_m_order_no = r.is_null_m_order_no
				and is_null_m_part_no = r.is_null_m_part_no
				and is_null_m_shipment_no = r.is_null_m_shipment_no
				and is_null_packaging_lot_no = r.is_null_packaging_lot_no
				and is_null_packaging_run_id = r.is_null_packaging_run_id
				and is_null_part_quantity_ordered = r.is_null_part_quantity_ordered
				and is_null_size_of_item = r.is_null_size_of_item
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_integer (2)
			q.select_date (3)
			q.select_date (4)
			q.select_integer (5)
			q.select_integer (6)
			q.select_integer (7)
			q.select_integer (8)
			q.select_integer (9)
			q.select_integer (10)
			q.select_string (11, 4)
			q.select_integer (12)
			q.select_double (13)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			cust_wo_line_no := q.integer_value (2)
			ic_packaging_no := q.integer_value (5)
			m_job_no := q.integer_value (6)
			m_order_no := q.integer_value (7)
			m_part_no := q.integer_value (8)
			m_shipment_no := q.integer_value (9)
			packaging_lot_no := q.integer_value (10)
			part_quantity_ordered := q.integer_value (12)
			size_of_item := q.double_value (13)
		end

	fill_in_references (q: SQL_QUERY)
		do
			cust_wo_line_comment := q.string_value (1)
			date_jit_packages_ordered := q.date_value (3)
			date_jit_packages_received := q.date_value (4)
			packaging_run_id := q.string_value (11)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, cust_wo_line_comment)
			q.get_date_value (3, date_jit_packages_ordered)
			q.get_date_value (4, date_jit_packages_received)
			q.get_string_value (11, packaging_run_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_cust_wo_line_comment := q.is_null (1)
			is_null_cust_wo_line_no := q.is_null (2)
			is_null_date_jit_packages_ordered := q.is_null (3)
			is_null_date_jit_packages_received := q.is_null (4)
			is_null_ic_packaging_no := q.is_null (5)
			is_null_m_job_no := q.is_null (6)
			is_null_m_order_no := q.is_null (7)
			is_null_m_part_no := q.is_null (8)
			is_null_m_shipment_no := q.is_null (9)
			is_null_packaging_lot_no := q.is_null (10)
			is_null_packaging_run_id := q.is_null (11)
			is_null_part_quantity_ordered := q.is_null (12)
			is_null_size_of_item := q.is_null (13)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_m_job_no := True
		end

	set_null_nonkey
		do
			is_null_cust_wo_line_comment := True
			is_null_cust_wo_line_no := True
			is_null_date_jit_packages_ordered := True
			is_null_date_jit_packages_received := True
			is_null_ic_packaging_no := True
			is_null_m_order_no := True
			is_null_m_part_no := True
			is_null_m_shipment_no := True
			is_null_packaging_lot_no := True
			is_null_packaging_run_id := True
			is_null_part_quantity_ordered := True
			is_null_size_of_item := True
			create cust_wo_line_comment.make (0)
			create {ORACLE_DATE} date_jit_packages_ordered.set_null
			create {ORACLE_DATE} date_jit_packages_received.set_null
			create packaging_run_id.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, m_job_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
			d: DB_DATE
		do
			s := temp_string
			d := temp_date
			Result := True
			Result := Result
				and cust_wo_line_no = q.integer_value (2)
				and ic_packaging_no = q.integer_value (5)
				and m_job_no = q.integer_value (6)
				and m_order_no = q.integer_value (7)
				and m_part_no = q.integer_value (8)
				and m_shipment_no = q.integer_value (9)
				and packaging_lot_no = q.integer_value (10)
				and part_quantity_ordered = q.integer_value (12)
				and size_of_item = q.double_value (13)
			q.get_string_value (1, s)
			Result := Result and equal (cust_wo_line_comment, s)
			q.get_date_value (3, d)
			Result := Result and equal (date_jit_packages_ordered, d)
			q.get_date_value (4, d)
			Result := Result and equal (date_jit_packages_received, d)
			q.get_string_value (11, s)
			Result := Result and equal (packaging_run_id, s)
			Result := Result
				and is_null_cust_wo_line_comment = q.is_null (1)
				and is_null_cust_wo_line_no = q.is_null (2)
				and is_null_date_jit_packages_ordered = q.is_null (3)
				and is_null_date_jit_packages_received = q.is_null (4)
				and is_null_ic_packaging_no = q.is_null (5)
				and is_null_m_job_no = q.is_null (6)
				and is_null_m_order_no = q.is_null (7)
				and is_null_m_part_no = q.is_null (8)
				and is_null_m_shipment_no = q.is_null (9)
				and is_null_packaging_lot_no = q.is_null (10)
				and is_null_packaging_run_id = q.is_null (11)
				and is_null_part_quantity_ordered = q.is_null (12)
				and is_null_size_of_item = q.is_null (13)
		end

end
