
note

	date: "Wed Jan 16 12:51:26 2013"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user BSMITH"
	database_tables: 
		"CUST_WOS (MOSIS.CUST_WOS)"
			-- Included columns
			-- 	ACKNOWLEDGEMENT_COMMENT
			-- 	ASSIGNED_ECCN_VALUE
			-- 	ASSIGNED_ECC_PARAGRAPH_ID
			-- 	ASSIGNED_ECC_VERSION_NO
			-- 	CA_TAX_RATE
			-- 	CREATED_BY
			-- 	CUST_ACCT_NO
			-- 	CUST_WO_COMMENT
			-- 	CUST_WO_ID
			-- 	DATE_ACKNOWLEDGED
			-- 	DATE_APPROVED_FOR_EXPORT
			-- 	DATE_CUST_WO
			-- 	DATE_FAX_RECD
			-- 	DATE_FOR_FUNDING
			-- 	DATE_FOR_PRICING
			-- 	DATE_HARDCOPY_RECD
			-- 	DATE_VERBAL_RECD
			-- 	DISCOUNT_FRACTION
			-- 	ECCQ_SUBMISSION_NO
			-- 	HAS_BXA711
			-- 	HAZARDOUS_USE_AUTHORIZATION
			-- 	HAZARDOUS_USE_AUTHORIZED
			-- 	INTENDED_DISPOSITION
			-- 	IS_FOR_HAZARDOUS_USE
			-- 	MODIFIED_BY
			-- 	M_CUST_QUOTE_NO
			-- 	M_FAB_NO
			-- 	M_FUNDING_ALLOC_NO
			-- 	M_ORDER_NO
			-- 	PRICING_SCHEDULE
			-- 	PRODUCTION_ID
			-- 	REVISION_NO
			-- Excluded columns
			-- 	(none)

class CUST_WOS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_m_order_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			m_order_no := the_m_order_no
			is_null_m_order_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 32

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  acknowledgement_comment, assigned_eccn_value, assigned_ecc_paragraph_id,%N  assigned_ecc_version_no, ca_tax_rate, created_by, cust_acct_no,%N  cust_wo_comment, cust_wo_id, date_acknowledged, date_approved_for_export,%N  date_cust_wo, date_fax_recd, date_for_funding, date_for_pricing,%N  date_hardcopy_recd, date_verbal_recd, discount_fraction,%N  eccq_submission_no, has_bxa711, hazardous_use_authorization,%N  hazardous_use_authorized, intended_disposition, is_for_hazardous_use,%N  modified_by, m_cust_quote_no, m_fab_no, m_funding_alloc_no, m_order_no,%N  pricing_schedule, production_id, revision_no"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "cust_wos cwo"

	join_condition: STRING = ""

	table_name: STRING = "cust_wos"

	key_where_clause: STRING = "m_order_no = :1"

feature -- Values

	acknowledgement_comment: STRING
			-- DB: VARCHAR2(255)

	assigned_eccn_value: STRING
			-- DB: VARCHAR2(200)

	assigned_ecc_paragraph_id: STRING
			-- DB: VARCHAR2(20)

	assigned_ecc_version_no: INTEGER
			-- DB: NUMBER(3,0)

	ca_tax_rate: DOUBLE
			-- DB: NUMBER(8,6)

	created_by: STRING
			-- DB: VARCHAR2(3) not null

	cust_acct_no: INTEGER
			-- DB: NUMBER(6,0) not null

	cust_wo_comment: STRING
			-- DB: VARCHAR2(255)

	cust_wo_id: STRING
			-- DB: VARCHAR2(20)

	date_acknowledged: DB_DATE
			-- DB: DATE

	date_approved_for_export: DB_DATE
			-- DB: DATE

	date_cust_wo: DB_DATE
			-- DB: DATE

	date_fax_recd: DB_DATE
			-- DB: DATE

	date_for_funding: DB_DATE
			-- DB: DATE

	date_for_pricing: DB_DATE
			-- DB: DATE not null

	date_hardcopy_recd: DB_DATE
			-- DB: DATE

	date_verbal_recd: DB_DATE
			-- DB: DATE

	discount_fraction: DOUBLE
			-- DB: NUMBER(*,*) not null

	eccq_submission_no: INTEGER
			-- DB: NUMBER(3,0)

	has_bxa711: BOOLEAN
			-- DB: CHAR(1) not null

	hazardous_use_authorization: STRING
			-- DB: VARCHAR2(200)

	hazardous_use_authorized: BOOLEAN
			-- DB: CHAR(1) not null

	intended_disposition: STRING
			-- DB: VARCHAR2(12)

	is_for_hazardous_use: BOOLEAN
			-- DB: CHAR(1)

	modified_by: STRING
			-- DB: VARCHAR2(30) not null

	m_cust_quote_no: INTEGER
			-- DB: NUMBER(8,0)

	m_fab_no: INTEGER
			-- DB: NUMBER(6,0)

	m_funding_alloc_no: INTEGER
			-- DB: NUMBER(6,0) not null

	m_order_no: INTEGER
			-- DB: NUMBER(6,0) not null

	pricing_schedule: STRING
			-- DB: VARCHAR2(10) not null

	production_id: STRING
			-- DB: VARCHAR2(10)

	revision_no: INTEGER
			-- DB: NUMBER(6,0)

feature -- Nullness for null allowed columns

	is_null_acknowledgement_comment: BOOLEAN
	is_null_assigned_eccn_value: BOOLEAN
	is_null_assigned_ecc_paragraph_id: BOOLEAN
	is_null_assigned_ecc_version_no: BOOLEAN
	is_null_ca_tax_rate: BOOLEAN
	is_null_cust_wo_comment: BOOLEAN
	is_null_cust_wo_id: BOOLEAN
	is_null_date_acknowledged: BOOLEAN
	is_null_date_approved_for_export: BOOLEAN
	is_null_date_cust_wo: BOOLEAN
	is_null_date_fax_recd: BOOLEAN
	is_null_date_for_funding: BOOLEAN
	is_null_date_hardcopy_recd: BOOLEAN
	is_null_date_verbal_recd: BOOLEAN
	is_null_eccq_submission_no: BOOLEAN
	is_null_hazardous_use_authorization: BOOLEAN
	is_null_intended_disposition: BOOLEAN
	is_null_is_for_hazardous_use: BOOLEAN
	is_null_m_cust_quote_no: BOOLEAN
	is_null_m_fab_no: BOOLEAN
	is_null_production_id: BOOLEAN
	is_null_revision_no: BOOLEAN

feature -- Nullness for non-null columns

	is_null_created_by: BOOLEAN
	is_null_cust_acct_no: BOOLEAN
	is_null_date_for_pricing: BOOLEAN
	is_null_discount_fraction: BOOLEAN
	is_null_has_bxa711: BOOLEAN
	is_null_hazardous_use_authorized: BOOLEAN
	is_null_modified_by: BOOLEAN
	is_null_m_funding_alloc_no: BOOLEAN
	is_null_m_order_no: BOOLEAN
	is_null_pricing_schedule: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and m_order_no = r.m_order_no
			Result := Result
				and is_null_m_order_no = r.is_null_m_order_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and assigned_ecc_version_no = r.assigned_ecc_version_no
				and ca_tax_rate = r.ca_tax_rate
				and cust_acct_no = r.cust_acct_no
				and discount_fraction = r.discount_fraction
				and eccq_submission_no = r.eccq_submission_no
				and has_bxa711 = r.has_bxa711
				and hazardous_use_authorized = r.hazardous_use_authorized
				and is_for_hazardous_use = r.is_for_hazardous_use
				and m_cust_quote_no = r.m_cust_quote_no
				and m_fab_no = r.m_fab_no
				and m_funding_alloc_no = r.m_funding_alloc_no
				and revision_no = r.revision_no
			Result := Result
				and equal (acknowledgement_comment, r.acknowledgement_comment)
				and equal (assigned_eccn_value, r.assigned_eccn_value)
				and equal (assigned_ecc_paragraph_id, r.assigned_ecc_paragraph_id)
				and equal (created_by, r.created_by)
				and equal (cust_wo_comment, r.cust_wo_comment)
				and equal (cust_wo_id, r.cust_wo_id)
				and equal (date_acknowledged, r.date_acknowledged)
				and equal (date_approved_for_export, r.date_approved_for_export)
				and equal (date_cust_wo, r.date_cust_wo)
				and equal (date_fax_recd, r.date_fax_recd)
				and equal (date_for_funding, r.date_for_funding)
				and equal (date_for_pricing, r.date_for_pricing)
				and equal (date_hardcopy_recd, r.date_hardcopy_recd)
				and equal (date_verbal_recd, r.date_verbal_recd)
				and equal (hazardous_use_authorization, r.hazardous_use_authorization)
				and equal (intended_disposition, r.intended_disposition)
				and equal (modified_by, r.modified_by)
				and equal (pricing_schedule, r.pricing_schedule)
				and equal (production_id, r.production_id)
			Result := Result
				and is_null_acknowledgement_comment = r.is_null_acknowledgement_comment
				and is_null_assigned_eccn_value = r.is_null_assigned_eccn_value
				and is_null_assigned_ecc_paragraph_id = r.is_null_assigned_ecc_paragraph_id
				and is_null_assigned_ecc_version_no = r.is_null_assigned_ecc_version_no
				and is_null_ca_tax_rate = r.is_null_ca_tax_rate
				and is_null_created_by = r.is_null_created_by
				and is_null_cust_acct_no = r.is_null_cust_acct_no
				and is_null_cust_wo_comment = r.is_null_cust_wo_comment
				and is_null_cust_wo_id = r.is_null_cust_wo_id
				and is_null_date_acknowledged = r.is_null_date_acknowledged
				and is_null_date_approved_for_export = r.is_null_date_approved_for_export
				and is_null_date_cust_wo = r.is_null_date_cust_wo
				and is_null_date_fax_recd = r.is_null_date_fax_recd
				and is_null_date_for_funding = r.is_null_date_for_funding
				and is_null_date_for_pricing = r.is_null_date_for_pricing
				and is_null_date_hardcopy_recd = r.is_null_date_hardcopy_recd
				and is_null_date_verbal_recd = r.is_null_date_verbal_recd
				and is_null_discount_fraction = r.is_null_discount_fraction
				and is_null_eccq_submission_no = r.is_null_eccq_submission_no
				and is_null_has_bxa711 = r.is_null_has_bxa711
				and is_null_hazardous_use_authorization = r.is_null_hazardous_use_authorization
				and is_null_hazardous_use_authorized = r.is_null_hazardous_use_authorized
				and is_null_intended_disposition = r.is_null_intended_disposition
				and is_null_is_for_hazardous_use = r.is_null_is_for_hazardous_use
				and is_null_modified_by = r.is_null_modified_by
				and is_null_m_cust_quote_no = r.is_null_m_cust_quote_no
				and is_null_m_fab_no = r.is_null_m_fab_no
				and is_null_m_funding_alloc_no = r.is_null_m_funding_alloc_no
				and is_null_pricing_schedule = r.is_null_pricing_schedule
				and is_null_production_id = r.is_null_production_id
				and is_null_revision_no = r.is_null_revision_no
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_string (2, 200)
			q.select_string (3, 20)
			q.select_integer (4)
			q.select_double (5)
			q.select_string (6, 3)
			q.select_integer (7)
			q.select_string (8, 255)
			q.select_string (9, 20)
			q.select_date (10)
			q.select_date (11)
			q.select_date (12)
			q.select_date (13)
			q.select_date (14)
			q.select_date (15)
			q.select_date (16)
			q.select_date (17)
			q.select_double (18)
			q.select_integer (19)
			q.select_boolean (20)
			q.select_string (21, 200)
			q.select_boolean (22)
			q.select_string (23, 12)
			q.select_boolean (24)
			q.select_string (25, 30)
			q.select_integer (26)
			q.select_integer (27)
			q.select_integer (28)
			q.select_integer (29)
			q.select_string (30, 10)
			q.select_string (31, 10)
			q.select_integer (32)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			assigned_ecc_version_no := q.integer_value (4)
			ca_tax_rate := q.double_value (5)
			cust_acct_no := q.integer_value (7)
			discount_fraction := q.double_value (18)
			eccq_submission_no := q.integer_value (19)
			has_bxa711 := q.boolean_value (20)
			hazardous_use_authorized := q.boolean_value (22)
			is_for_hazardous_use := q.boolean_value (24)
			m_cust_quote_no := q.integer_value (26)
			m_fab_no := q.integer_value (27)
			m_funding_alloc_no := q.integer_value (28)
			m_order_no := q.integer_value (29)
			revision_no := q.integer_value (32)
		end

	fill_in_references (q: SQL_QUERY)
		do
			acknowledgement_comment := q.string_value (1)
			assigned_eccn_value := q.string_value (2)
			assigned_ecc_paragraph_id := q.string_value (3)
			created_by := q.string_value (6)
			cust_wo_comment := q.string_value (8)
			cust_wo_id := q.string_value (9)
			date_acknowledged := q.date_value (10)
			date_approved_for_export := q.date_value (11)
			date_cust_wo := q.date_value (12)
			date_fax_recd := q.date_value (13)
			date_for_funding := q.date_value (14)
			date_for_pricing := q.date_value (15)
			date_hardcopy_recd := q.date_value (16)
			date_verbal_recd := q.date_value (17)
			hazardous_use_authorization := q.string_value (21)
			intended_disposition := q.string_value (23)
			modified_by := q.string_value (25)
			pricing_schedule := q.string_value (30)
			production_id := q.string_value (31)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, acknowledgement_comment)
			q.get_string_value (2, assigned_eccn_value)
			q.get_string_value (3, assigned_ecc_paragraph_id)
			q.get_string_value (6, created_by)
			q.get_string_value (8, cust_wo_comment)
			q.get_string_value (9, cust_wo_id)
			q.get_date_value (10, date_acknowledged)
			q.get_date_value (11, date_approved_for_export)
			q.get_date_value (12, date_cust_wo)
			q.get_date_value (13, date_fax_recd)
			q.get_date_value (14, date_for_funding)
			q.get_date_value (15, date_for_pricing)
			q.get_date_value (16, date_hardcopy_recd)
			q.get_date_value (17, date_verbal_recd)
			q.get_string_value (21, hazardous_use_authorization)
			q.get_string_value (23, intended_disposition)
			q.get_string_value (25, modified_by)
			q.get_string_value (30, pricing_schedule)
			q.get_string_value (31, production_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_acknowledgement_comment := q.is_null (1)
			is_null_assigned_eccn_value := q.is_null (2)
			is_null_assigned_ecc_paragraph_id := q.is_null (3)
			is_null_assigned_ecc_version_no := q.is_null (4)
			is_null_ca_tax_rate := q.is_null (5)
			is_null_created_by := q.is_null (6)
			is_null_cust_acct_no := q.is_null (7)
			is_null_cust_wo_comment := q.is_null (8)
			is_null_cust_wo_id := q.is_null (9)
			is_null_date_acknowledged := q.is_null (10)
			is_null_date_approved_for_export := q.is_null (11)
			is_null_date_cust_wo := q.is_null (12)
			is_null_date_fax_recd := q.is_null (13)
			is_null_date_for_funding := q.is_null (14)
			is_null_date_for_pricing := q.is_null (15)
			is_null_date_hardcopy_recd := q.is_null (16)
			is_null_date_verbal_recd := q.is_null (17)
			is_null_discount_fraction := q.is_null (18)
			is_null_eccq_submission_no := q.is_null (19)
			is_null_has_bxa711 := q.is_null (20)
			is_null_hazardous_use_authorization := q.is_null (21)
			is_null_hazardous_use_authorized := q.is_null (22)
			is_null_intended_disposition := q.is_null (23)
			is_null_is_for_hazardous_use := q.is_null (24)
			is_null_modified_by := q.is_null (25)
			is_null_m_cust_quote_no := q.is_null (26)
			is_null_m_fab_no := q.is_null (27)
			is_null_m_funding_alloc_no := q.is_null (28)
			is_null_m_order_no := q.is_null (29)
			is_null_pricing_schedule := q.is_null (30)
			is_null_production_id := q.is_null (31)
			is_null_revision_no := q.is_null (32)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_m_order_no := True
		end

	set_null_nonkey
		do
			is_null_acknowledgement_comment := True
			is_null_assigned_eccn_value := True
			is_null_assigned_ecc_paragraph_id := True
			is_null_assigned_ecc_version_no := True
			is_null_ca_tax_rate := True
			is_null_created_by := True
			is_null_cust_acct_no := True
			is_null_cust_wo_comment := True
			is_null_cust_wo_id := True
			is_null_date_acknowledged := True
			is_null_date_approved_for_export := True
			is_null_date_cust_wo := True
			is_null_date_fax_recd := True
			is_null_date_for_funding := True
			is_null_date_for_pricing := True
			is_null_date_hardcopy_recd := True
			is_null_date_verbal_recd := True
			is_null_discount_fraction := True
			is_null_eccq_submission_no := True
			is_null_has_bxa711 := True
			is_null_hazardous_use_authorization := True
			is_null_hazardous_use_authorized := True
			is_null_intended_disposition := True
			is_null_is_for_hazardous_use := True
			is_null_modified_by := True
			is_null_m_cust_quote_no := True
			is_null_m_fab_no := True
			is_null_m_funding_alloc_no := True
			is_null_pricing_schedule := True
			is_null_production_id := True
			is_null_revision_no := True
			create acknowledgement_comment.make (0)
			create assigned_eccn_value.make (0)
			create assigned_ecc_paragraph_id.make (0)
			create created_by.make (0)
			create cust_wo_comment.make (0)
			create cust_wo_id.make (0)
			create {ORACLE_DATE} date_acknowledged.set_null
			create {ORACLE_DATE} date_approved_for_export.set_null
			create {ORACLE_DATE} date_cust_wo.set_null
			create {ORACLE_DATE} date_fax_recd.set_null
			create {ORACLE_DATE} date_for_funding.set_null
			create {ORACLE_DATE} date_for_pricing.set_null
			create {ORACLE_DATE} date_hardcopy_recd.set_null
			create {ORACLE_DATE} date_verbal_recd.set_null
			create hazardous_use_authorization.make (0)
			create intended_disposition.make (0)
			create modified_by.make (0)
			create pricing_schedule.make (0)
			create production_id.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, m_order_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
			d: DB_DATE
		do
			s := temp_string
			d := temp_date
			Result := True
			Result := Result
				and assigned_ecc_version_no = q.integer_value (4)
				and ca_tax_rate = q.double_value (5)
				and cust_acct_no = q.integer_value (7)
				and discount_fraction = q.double_value (18)
				and eccq_submission_no = q.integer_value (19)
				and has_bxa711 = q.boolean_value (20)
				and hazardous_use_authorized = q.boolean_value (22)
				and is_for_hazardous_use = q.boolean_value (24)
				and m_cust_quote_no = q.integer_value (26)
				and m_fab_no = q.integer_value (27)
				and m_funding_alloc_no = q.integer_value (28)
				and m_order_no = q.integer_value (29)
				and revision_no = q.integer_value (32)
			q.get_string_value (1, s)
			Result := Result and equal (acknowledgement_comment, s)
			q.get_string_value (2, s)
			Result := Result and equal (assigned_eccn_value, s)
			q.get_string_value (3, s)
			Result := Result and equal (assigned_ecc_paragraph_id, s)
			q.get_string_value (6, s)
			Result := Result and equal (created_by, s)
			q.get_string_value (8, s)
			Result := Result and equal (cust_wo_comment, s)
			q.get_string_value (9, s)
			Result := Result and equal (cust_wo_id, s)
			q.get_date_value (10, d)
			Result := Result and equal (date_acknowledged, d)
			q.get_date_value (11, d)
			Result := Result and equal (date_approved_for_export, d)
			q.get_date_value (12, d)
			Result := Result and equal (date_cust_wo, d)
			q.get_date_value (13, d)
			Result := Result and equal (date_fax_recd, d)
			q.get_date_value (14, d)
			Result := Result and equal (date_for_funding, d)
			q.get_date_value (15, d)
			Result := Result and equal (date_for_pricing, d)
			q.get_date_value (16, d)
			Result := Result and equal (date_hardcopy_recd, d)
			q.get_date_value (17, d)
			Result := Result and equal (date_verbal_recd, d)
			q.get_string_value (21, s)
			Result := Result and equal (hazardous_use_authorization, s)
			q.get_string_value (23, s)
			Result := Result and equal (intended_disposition, s)
			q.get_string_value (25, s)
			Result := Result and equal (modified_by, s)
			q.get_string_value (30, s)
			Result := Result and equal (pricing_schedule, s)
			q.get_string_value (31, s)
			Result := Result and equal (production_id, s)
			Result := Result
				and is_null_acknowledgement_comment = q.is_null (1)
				and is_null_assigned_eccn_value = q.is_null (2)
				and is_null_assigned_ecc_paragraph_id = q.is_null (3)
				and is_null_assigned_ecc_version_no = q.is_null (4)
				and is_null_ca_tax_rate = q.is_null (5)
				and is_null_created_by = q.is_null (6)
				and is_null_cust_acct_no = q.is_null (7)
				and is_null_cust_wo_comment = q.is_null (8)
				and is_null_cust_wo_id = q.is_null (9)
				and is_null_date_acknowledged = q.is_null (10)
				and is_null_date_approved_for_export = q.is_null (11)
				and is_null_date_cust_wo = q.is_null (12)
				and is_null_date_fax_recd = q.is_null (13)
				and is_null_date_for_funding = q.is_null (14)
				and is_null_date_for_pricing = q.is_null (15)
				and is_null_date_hardcopy_recd = q.is_null (16)
				and is_null_date_verbal_recd = q.is_null (17)
				and is_null_discount_fraction = q.is_null (18)
				and is_null_eccq_submission_no = q.is_null (19)
				and is_null_has_bxa711 = q.is_null (20)
				and is_null_hazardous_use_authorization = q.is_null (21)
				and is_null_hazardous_use_authorized = q.is_null (22)
				and is_null_intended_disposition = q.is_null (23)
				and is_null_is_for_hazardous_use = q.is_null (24)
				and is_null_modified_by = q.is_null (25)
				and is_null_m_cust_quote_no = q.is_null (26)
				and is_null_m_fab_no = q.is_null (27)
				and is_null_m_funding_alloc_no = q.is_null (28)
				and is_null_m_order_no = q.is_null (29)
				and is_null_pricing_schedule = q.is_null (30)
				and is_null_production_id = q.is_null (31)
				and is_null_revision_no = q.is_null (32)
		end

end
