
note

	date: "Fri Apr 19 16:54:20 2013"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DESIGN_TECHN, database user BSMITH"
	database_tables: 
		"DESIGN_TECHN_LAYERS (MOSIS.DESIGN_TECHN_LAYERS)"
			-- Included columns
			-- 	BOX_PITCH
			-- 	CD_STYLE
			-- 	DESIGN_TECHN
			-- 	DESIGN_TECHN_ID
			-- 	FAR_EDGE
			-- 	FILL_ROLE
			-- 	LAYER_ID
			-- 	LAYER_NAME
			-- 	MEBES_SPOT_SIZE
			-- 	MIN_SPACING
			-- 	MIN_WIDTH
			-- 	NEAR_EDGE
			-- 	ROW_COUNT
			-- 	ROW_PITCH
			-- 	ROW_SHIFT
			-- 	SCRIBE_STYLE
			-- Excluded columns
			-- 	(none)

class DESIGN_TECHN_LAYERS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 16

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  box_pitch, cd_style, design_techn, design_techn_id, far_edge, fill_role,%N  layer_id, layer_name, mebes_spot_size, min_spacing, min_width, near_edge,%N  row_count, row_pitch, row_shift, scribe_style"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "design_techn_layers dtl"

	join_condition: STRING = ""

	table_name: STRING = "design_techn_layers"

	key_where_clause: STRING = ""

feature -- Values

	box_pitch: DOUBLE
			-- DB: NUMBER(12,6)

	cd_style: STRING
			-- DB: VARCHAR2(5)

	design_techn: STRING
			-- DB: VARCHAR2(50) not null

	design_techn_id: STRING
			-- DB: VARCHAR2(50) not null

	far_edge: DOUBLE
			-- DB: NUMBER(12,6)

	fill_role: STRING
			-- DB: VARCHAR2(10) not null

	layer_id: CHARACTER
			-- DB: CHAR(1)
			-- Eiffel type specified explicitly

	layer_name: STRING
			-- DB: VARCHAR2(255) not null

	mebes_spot_size: DOUBLE
			-- DB: NUMBER(12,6)

	min_spacing: DOUBLE
			-- DB: NUMBER(12,6)

	min_width: DOUBLE
			-- DB: NUMBER(12,6)

	near_edge: DOUBLE
			-- DB: NUMBER(12,6)

	row_count: INTEGER
			-- DB: NUMBER(3,0)

	row_pitch: DOUBLE
			-- DB: NUMBER(12,6)

	row_shift: DOUBLE
			-- DB: NUMBER(12,6)

	scribe_style: STRING
			-- DB: VARCHAR2(15)

feature -- Nullness for null allowed columns

	is_null_box_pitch: BOOLEAN
	is_null_cd_style: BOOLEAN
	is_null_far_edge: BOOLEAN
	is_null_layer_id: BOOLEAN
	is_null_mebes_spot_size: BOOLEAN
	is_null_min_spacing: BOOLEAN
	is_null_min_width: BOOLEAN
	is_null_near_edge: BOOLEAN
	is_null_row_count: BOOLEAN
	is_null_row_pitch: BOOLEAN
	is_null_row_shift: BOOLEAN
	is_null_scribe_style: BOOLEAN

feature -- Nullness for non-null columns

	is_null_design_techn: BOOLEAN
	is_null_design_techn_id: BOOLEAN
	is_null_fill_role: BOOLEAN
	is_null_layer_name: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (design_techn, r.design_techn)
				and equal (layer_name, r.layer_name)
			Result := Result
				and is_null_design_techn = r.is_null_design_techn
				and is_null_layer_name = r.is_null_layer_name
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and box_pitch = r.box_pitch
				and far_edge = r.far_edge
				and layer_id = r.layer_id
				and mebes_spot_size = r.mebes_spot_size
				and min_spacing = r.min_spacing
				and min_width = r.min_width
				and near_edge = r.near_edge
				and row_count = r.row_count
				and row_pitch = r.row_pitch
				and row_shift = r.row_shift
			Result := Result
				and equal (cd_style, r.cd_style)
				and equal (design_techn_id, r.design_techn_id)
				and equal (fill_role, r.fill_role)
				and equal (scribe_style, r.scribe_style)
			Result := Result
				and is_null_box_pitch = r.is_null_box_pitch
				and is_null_cd_style = r.is_null_cd_style
				and is_null_design_techn_id = r.is_null_design_techn_id
				and is_null_far_edge = r.is_null_far_edge
				and is_null_fill_role = r.is_null_fill_role
				and is_null_layer_id = r.is_null_layer_id
				and is_null_mebes_spot_size = r.is_null_mebes_spot_size
				and is_null_min_spacing = r.is_null_min_spacing
				and is_null_min_width = r.is_null_min_width
				and is_null_near_edge = r.is_null_near_edge
				and is_null_row_count = r.is_null_row_count
				and is_null_row_pitch = r.is_null_row_pitch
				and is_null_row_shift = r.is_null_row_shift
				and is_null_scribe_style = r.is_null_scribe_style
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_double (1)
			q.select_string (2, 5)
			q.select_string (3, 50)
			q.select_string (4, 50)
			q.select_double (5)
			q.select_string (6, 10)
			q.select_character (7)
			q.select_string (8, 255)
			q.select_double (9)
			q.select_double (10)
			q.select_double (11)
			q.select_double (12)
			q.select_integer (13)
			q.select_double (14)
			q.select_double (15)
			q.select_string (16, 15)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			box_pitch := q.double_value (1)
			far_edge := q.double_value (5)
			layer_id := q.character_value (7)
			mebes_spot_size := q.double_value (9)
			min_spacing := q.double_value (10)
			min_width := q.double_value (11)
			near_edge := q.double_value (12)
			row_count := q.integer_value (13)
			row_pitch := q.double_value (14)
			row_shift := q.double_value (15)
		end

	fill_in_references (q: SQL_QUERY)
		do
			cd_style := q.string_value (2)
			design_techn := q.string_value (3)
			design_techn_id := q.string_value (4)
			fill_role := q.string_value (6)
			layer_name := q.string_value (8)
			scribe_style := q.string_value (16)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, cd_style)
			q.get_string_value (3, design_techn)
			q.get_string_value (4, design_techn_id)
			q.get_string_value (6, fill_role)
			q.get_string_value (8, layer_name)
			q.get_string_value (16, scribe_style)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_box_pitch := q.is_null (1)
			is_null_cd_style := q.is_null (2)
			is_null_design_techn := q.is_null (3)
			is_null_design_techn_id := q.is_null (4)
			is_null_far_edge := q.is_null (5)
			is_null_fill_role := q.is_null (6)
			is_null_layer_id := q.is_null (7)
			is_null_layer_name := q.is_null (8)
			is_null_mebes_spot_size := q.is_null (9)
			is_null_min_spacing := q.is_null (10)
			is_null_min_width := q.is_null (11)
			is_null_near_edge := q.is_null (12)
			is_null_row_count := q.is_null (13)
			is_null_row_pitch := q.is_null (14)
			is_null_row_shift := q.is_null (15)
			is_null_scribe_style := q.is_null (16)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_design_techn := True
			is_null_layer_name := True
			create design_techn.make (0)
			create layer_name.make (0)
		end

	set_null_nonkey
		do
			is_null_box_pitch := True
			is_null_cd_style := True
			is_null_design_techn_id := True
			is_null_far_edge := True
			is_null_fill_role := True
			is_null_layer_id := True
			is_null_mebes_spot_size := True
			is_null_min_spacing := True
			is_null_min_width := True
			is_null_near_edge := True
			is_null_row_count := True
			is_null_row_pitch := True
			is_null_row_shift := True
			is_null_scribe_style := True
			create cd_style.make (0)
			create design_techn_id.make (0)
			create fill_role.make (0)
			create scribe_style.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and box_pitch = q.double_value (1)
				and far_edge = q.double_value (5)
				and layer_id = q.character_value (7)
				and mebes_spot_size = q.double_value (9)
				and min_spacing = q.double_value (10)
				and min_width = q.double_value (11)
				and near_edge = q.double_value (12)
				and row_count = q.integer_value (13)
				and row_pitch = q.double_value (14)
				and row_shift = q.double_value (15)
			q.get_string_value (2, s)
			Result := Result and equal (cd_style, s)
			q.get_string_value (3, s)
			Result := Result and equal (design_techn, s)
			q.get_string_value (4, s)
			Result := Result and equal (design_techn_id, s)
			q.get_string_value (6, s)
			Result := Result and equal (fill_role, s)
			q.get_string_value (8, s)
			Result := Result and equal (layer_name, s)
			q.get_string_value (16, s)
			Result := Result and equal (scribe_style, s)
			Result := Result
				and is_null_box_pitch = q.is_null (1)
				and is_null_cd_style = q.is_null (2)
				and is_null_design_techn = q.is_null (3)
				and is_null_design_techn_id = q.is_null (4)
				and is_null_far_edge = q.is_null (5)
				and is_null_fill_role = q.is_null (6)
				and is_null_layer_id = q.is_null (7)
				and is_null_layer_name = q.is_null (8)
				and is_null_mebes_spot_size = q.is_null (9)
				and is_null_min_spacing = q.is_null (10)
				and is_null_min_width = q.is_null (11)
				and is_null_near_edge = q.is_null (12)
				and is_null_row_count = q.is_null (13)
				and is_null_row_pitch = q.is_null (14)
				and is_null_row_shift = q.is_null (15)
				and is_null_scribe_style = q.is_null (16)
		end

end
