
note

	date: "Tue Oct 11 15:20:11 2011"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user BSMITH"
	database_tables: 
		"ECC_QUESTIONNAIRES (MOSIS.ECC_QUESTIONNAIRES)",
			-- Included columns
			-- 	DESCR (q_descr)
			-- 	IS_ACTIVE
			-- Excluded columns
			-- 	ECC_QUESTIONNAIRE_ID
		"ECC_QUESTIONNAIRE_VERSIONS (MOSIS.ECC_QUESTIONNAIRE_VERSIONS)"
			-- Included columns
			-- 	DATE_EFFECTIVE
			-- 	DESCR
			-- 	ECC_QUESTIONNAIRE_ID
			-- 	VERSION_NO
			-- Excluded columns
			-- 	(none)

class ECC_QUESTIONNAIRE_VERSIONS_ERAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 6

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  eq.descr, is_active, date_effective, eqv.descr, eqv.ecc_questionnaire_id,%N  version_no"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "ecc_questionnaires eq, ecc_questionnaire_versions eqv"

	join_condition: STRING = "eqv.ecc_questionnaire_id = eq.ecc_questionnaire_id"

	table_count: INTEGER = 2

	group_by: STRING = ""

feature -- Values

	q_descr: STRING
			-- DB: eq.descr VARCHAR2(300)

	is_active: BOOLEAN
			-- DB: CHAR(1) not null

	date_effective: DB_DATE
			-- DB: DATE not null

	descr: STRING
			-- DB: VARCHAR2(300)

	ecc_questionnaire_id: STRING
			-- DB: VARCHAR2(15) not null

	version_no: INTEGER
			-- DB: NUMBER(3,0) not null

feature -- Nullness for null allowed columns

	is_null_q_descr: BOOLEAN
	is_null_descr: BOOLEAN

feature -- Nullness for non-null columns

	is_null_is_active: BOOLEAN
	is_null_date_effective: BOOLEAN
	is_null_ecc_questionnaire_id: BOOLEAN
	is_null_version_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and version_no = r.version_no
			Result := Result
				and equal (ecc_questionnaire_id, r.ecc_questionnaire_id)
			Result := Result
				and is_null_ecc_questionnaire_id = r.is_null_ecc_questionnaire_id
				and is_null_version_no = r.is_null_version_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and is_active = r.is_active
			Result := Result
				and equal (q_descr, r.q_descr)
				and equal (date_effective, r.date_effective)
				and equal (descr, r.descr)
			Result := Result
				and is_null_q_descr = r.is_null_q_descr
				and is_null_is_active = r.is_null_is_active
				and is_null_date_effective = r.is_null_date_effective
				and is_null_descr = r.is_null_descr
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 300)
			q.select_boolean (2)
			q.select_date (3)
			q.select_string (4, 300)
			q.select_string (5, 15)
			q.select_integer (6)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			is_active := q.boolean_value (2)
			version_no := q.integer_value (6)
		end

	fill_in_references (q: SQL_QUERY)
		do
			q_descr := q.string_value (1)
			date_effective := q.date_value (3)
			descr := q.string_value (4)
			ecc_questionnaire_id := q.string_value (5)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, q_descr)
			q.get_date_value (3, date_effective)
			q.get_string_value (4, descr)
			q.get_string_value (5, ecc_questionnaire_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_q_descr := q.is_null (1)
			is_null_is_active := q.is_null (2)
			is_null_date_effective := q.is_null (3)
			is_null_descr := q.is_null (4)
			is_null_ecc_questionnaire_id := q.is_null (5)
			is_null_version_no := q.is_null (6)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_q_descr := True
			is_null_is_active := True
			is_null_date_effective := True
			is_null_descr := True
			is_null_ecc_questionnaire_id := True
			is_null_version_no := True
			create q_descr.make (0)
			create {ORACLE_DATE} date_effective.set_null
			create descr.make (0)
			create ecc_questionnaire_id.make (0)
		end

end
