
note

	date: "Thu Jan 21 12:59:44 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user ALLMOSIS"
	database_tables: 
		"IC_FAB_INSTANCE_OPTIONS (MOSIS.IC_FAB_INSTANCE_OPTIONS)"
			-- Included columns
			-- 	M_FAB_NO
			-- 	OPTION_ID
			-- Excluded columns
			-- 	(none)

class IC_FAB_INSTANCE_OPTIONS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_m_fab_no: INTEGER; the_option_id: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_option_id_exists: the_option_id /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			m_fab_no := the_m_fab_no
			option_id := the_option_id
			is_null_m_fab_no := False
			is_null_option_id := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 2

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  m_fab_no, option_id"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "ic_fab_instance_options ifio"

	join_condition: STRING = ""

	table_name: STRING = "ic_fab_instance_options"

	key_where_clause: STRING = "m_fab_no = :1 and option_id = :2"

feature -- Values

	m_fab_no: INTEGER
			-- DB: NUMBER(6,0) not null

	option_id: STRING
			-- DB: VARCHAR2(10) not null

feature -- Nullness for non-null columns

	is_null_m_fab_no: BOOLEAN
	is_null_option_id: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and m_fab_no = r.m_fab_no
			Result := Result
				and equal (option_id, r.option_id)
			Result := Result
				and is_null_m_fab_no = r.is_null_m_fab_no
				and is_null_option_id = r.is_null_option_id
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_string (2, 10)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			m_fab_no := q.integer_value (1)
		end

	fill_in_references (q: SQL_QUERY)
		do
			option_id := q.string_value (2)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, option_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_m_fab_no := q.is_null (1)
			is_null_option_id := q.is_null (2)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_m_fab_no := True
			is_null_option_id := True
			create option_id.make (0)
		end

	set_null_nonkey
		do
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, m_fab_no, False)
			q.bind_num_to_string (2, option_id, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and m_fab_no = q.integer_value (1)
			q.get_string_value (2, s)
			Result := Result and equal (option_id, s)
			Result := Result
				and is_null_m_fab_no = q.is_null (1)
				and is_null_option_id = q.is_null (2)
		end

end
