
note

	date: "Tue Jun 28 14:24:21 2011"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user BSMITH"
	database_tables: 
		"IC_FAB_INSTANCES (MOSIS.IC_FAB_INSTANCES)"
			-- Included columns
			-- 	ALLOW_OVERSIZE_DIE_ON_RUN
			-- 	APPROVED_FUNDING_PO_ID
			-- 	DATE_CUST_REPORT
			-- 	DATE_FAB_REQUESTED
			-- 	DATE_INVALIDATED
			-- 	DATE_LOCKED
			-- 	DATE_REPORT_REMINDER_SENT
			-- 	DECLARED_ETEST_HANDLE
			-- 	DESIGN_DIE_ROTATION
			-- 	DESIGN_NO
			-- 	DESIGN_WAFER_ROTATION_REQD
			-- 	DIE_ID
			-- 	FILL_ALLOWED
			-- 	IC_FAB_INSTANCE_TYPE
			-- 	IS_REWORKABLE
			-- 	IS_STANDARD_STACK_DECLARED
			-- 	MAX_ALLOWED_DIE_SIZE_X
			-- 	MAX_ALLOWED_DIE_SIZE_Y
			-- 	M_FAB_NO
			-- 	NET_ADDRESS
			-- 	OVERHEAD_STYLE
			-- 	OVERSIZE_DIE_INCL_CONDITIONS
			-- 	PHONE_NUMBER
			-- 	PROJECT_ON_DIE
			-- 	QUANTITY_REQUESTED
			-- 	QUANTITY_UNPACKAGED_REQUESTED
			-- 	QUEUE_FAILURE_REASON_ID
			-- 	REASON_STATUS_REQUESTED
			-- 	ROUTING_LABEL
			-- 	RUN_DATE_REQUESTED
			-- 	RUN_ID
			-- 	RUN_TYPE_REQUESTED
			-- 	SUBMITTED_FUNDING_PO_ID
			-- 	TARGET_SCHED_RUN_NO
			-- 	WAFER_ETEST_NAME
			-- Excluded columns
			-- 	(none)

class IC_FAB_INSTANCES_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_m_fab_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			m_fab_no := the_m_fab_no
			is_null_m_fab_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 35

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  allow_oversize_die_on_run, approved_funding_po_id, date_cust_report,%N  date_fab_requested, date_invalidated, date_locked,%N  date_report_reminder_sent, declared_etest_handle, design_die_rotation,%N  design_no, design_wafer_rotation_reqd, die_id, fill_allowed,%N  ic_fab_instance_type, is_reworkable, is_standard_stack_declared,%N  max_allowed_die_size_x, max_allowed_die_size_y, m_fab_no, net_address,%N  overhead_style, oversize_die_incl_conditions, phone_number,%N  project_on_die, quantity_requested, quantity_unpackaged_requested,%N  queue_failure_reason_id, reason_status_requested, routing_label,%N  run_date_requested, run_id, run_type_requested, submitted_funding_po_id,%N  target_sched_run_no, wafer_etest_name"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "ic_fab_instances ifi"

	join_condition: STRING = ""

	table_name: STRING = "ic_fab_instances"

	key_where_clause: STRING = "m_fab_no = :1"

feature -- Values

	allow_oversize_die_on_run: BOOLEAN
			-- DB: CHAR(1)

	approved_funding_po_id: STRING
			-- DB: VARCHAR2(20)

	date_cust_report: DB_DATE
			-- DB: DATE

	date_fab_requested: DB_DATE
			-- DB: DATE

	date_invalidated: DB_DATE
			-- DB: DATE

	date_locked: DB_DATE
			-- DB: DATE

	date_report_reminder_sent: DB_DATE
			-- DB: DATE

	declared_etest_handle: STRING
			-- DB: VARCHAR2(80)

	design_die_rotation: INTEGER
			-- DB: NUMBER(3,0)

	design_no: INTEGER
			-- DB: NUMBER(6,0) not null

	design_wafer_rotation_reqd: INTEGER
			-- DB: NUMBER(3,0)

	die_id: STRING
			-- DB: CHAR(2)

	fill_allowed: BOOLEAN
			-- DB: CHAR(1) not null

	ic_fab_instance_type: STRING
			-- DB: VARCHAR2(20) not null

	is_reworkable: BOOLEAN
			-- DB: CHAR(1) not null

	is_standard_stack_declared: BOOLEAN
			-- DB: CHAR(1)

	max_allowed_die_size_x: DOUBLE
			-- DB: NUMBER(12,6)

	max_allowed_die_size_y: DOUBLE
			-- DB: NUMBER(12,6)

	m_fab_no: INTEGER
			-- DB: NUMBER(6,0) not null

	net_address: STRING
			-- DB: VARCHAR2(300)

	overhead_style: STRING
			-- DB: VARCHAR2(12)

	oversize_die_incl_conditions: STRING
			-- DB: VARCHAR2(4000)

	phone_number: STRING
			-- DB: VARCHAR2(200)

	project_on_die: INTEGER
			-- DB: NUMBER(2,0)

	quantity_requested: INTEGER
			-- DB: NUMBER(6,0)

	quantity_unpackaged_requested: INTEGER
			-- DB: NUMBER(6,0)

	queue_failure_reason_id: STRING
			-- DB: VARCHAR2(8)

	reason_status_requested: STRING
			-- DB: VARCHAR2(100)

	routing_label: STRING
			-- DB: VARCHAR2(500)

	run_date_requested: DB_DATE
			-- DB: DATE

	run_id: STRING
			-- DB: CHAR(4)

	run_type_requested: STRING
			-- DB: VARCHAR2(5) not null

	submitted_funding_po_id: STRING
			-- DB: VARCHAR2(255)

	target_sched_run_no: INTEGER
			-- DB: NUMBER(6,0)

	wafer_etest_name: STRING
			-- DB: VARCHAR2(50)

feature -- Maximum database lengths for character columns

	maxlen_approved_funding_po_id: INTEGER = 20
	maxlen_declared_etest_handle: INTEGER = 80
	maxlen_die_id: INTEGER = 2
	maxlen_ic_fab_instance_type: INTEGER = 20
	maxlen_net_address: INTEGER = 300
	maxlen_overhead_style: INTEGER = 12
	maxlen_oversize_die_incl_conditions: INTEGER = 4000
	maxlen_phone_number: INTEGER = 200
	maxlen_queue_failure_reason_id: INTEGER = 8
	maxlen_reason_status_requested: INTEGER = 100
	maxlen_routing_label: INTEGER = 500
	maxlen_run_id: INTEGER = 4
	maxlen_run_type_requested: INTEGER = 5
	maxlen_submitted_funding_po_id: INTEGER = 255
	maxlen_wafer_etest_name: INTEGER = 50

feature -- Precisions for number columns

	precision_design_die_rotation: INTEGER = 3
	precision_design_no: INTEGER = 6
	precision_design_wafer_rotation_reqd: INTEGER = 3
	precision_max_allowed_die_size_x: INTEGER = 12
	precision_max_allowed_die_size_y: INTEGER = 12
	precision_m_fab_no: INTEGER = 6
	precision_project_on_die: INTEGER = 2
	precision_quantity_requested: INTEGER = 6
	precision_quantity_unpackaged_requested: INTEGER = 6
	precision_target_sched_run_no: INTEGER = 6

feature -- Scales for number columns

	scale_design_die_rotation: INTEGER = 0
	scale_design_no: INTEGER = 0
	scale_design_wafer_rotation_reqd: INTEGER = 0
	scale_max_allowed_die_size_x: INTEGER = 6
	scale_max_allowed_die_size_y: INTEGER = 6
	scale_m_fab_no: INTEGER = 0
	scale_project_on_die: INTEGER = 0
	scale_quantity_requested: INTEGER = 0
	scale_quantity_unpackaged_requested: INTEGER = 0
	scale_target_sched_run_no: INTEGER = 0

feature -- Nullness for null allowed columns

	is_null_allow_oversize_die_on_run: BOOLEAN
	is_null_approved_funding_po_id: BOOLEAN
	is_null_date_cust_report: BOOLEAN
	is_null_date_fab_requested: BOOLEAN
	is_null_date_invalidated: BOOLEAN
	is_null_date_locked: BOOLEAN
	is_null_date_report_reminder_sent: BOOLEAN
	is_null_declared_etest_handle: BOOLEAN
	is_null_design_die_rotation: BOOLEAN
	is_null_design_wafer_rotation_reqd: BOOLEAN
	is_null_die_id: BOOLEAN
	is_null_is_standard_stack_declared: BOOLEAN
	is_null_max_allowed_die_size_x: BOOLEAN
	is_null_max_allowed_die_size_y: BOOLEAN
	is_null_net_address: BOOLEAN
	is_null_overhead_style: BOOLEAN
	is_null_oversize_die_incl_conditions: BOOLEAN
	is_null_phone_number: BOOLEAN
	is_null_project_on_die: BOOLEAN
	is_null_quantity_requested: BOOLEAN
	is_null_quantity_unpackaged_requested: BOOLEAN
	is_null_queue_failure_reason_id: BOOLEAN
	is_null_reason_status_requested: BOOLEAN
	is_null_routing_label: BOOLEAN
	is_null_run_date_requested: BOOLEAN
	is_null_run_id: BOOLEAN
	is_null_submitted_funding_po_id: BOOLEAN
	is_null_target_sched_run_no: BOOLEAN
	is_null_wafer_etest_name: BOOLEAN

feature -- Nullness for non-null columns

	is_null_design_no: BOOLEAN
	is_null_fill_allowed: BOOLEAN
	is_null_ic_fab_instance_type: BOOLEAN
	is_null_is_reworkable: BOOLEAN
	is_null_m_fab_no: BOOLEAN
	is_null_run_type_requested: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and m_fab_no = r.m_fab_no
			Result := Result
				and is_null_m_fab_no = r.is_null_m_fab_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and allow_oversize_die_on_run = r.allow_oversize_die_on_run
				and design_die_rotation = r.design_die_rotation
				and design_no = r.design_no
				and design_wafer_rotation_reqd = r.design_wafer_rotation_reqd
				and fill_allowed = r.fill_allowed
				and is_reworkable = r.is_reworkable
				and is_standard_stack_declared = r.is_standard_stack_declared
				and max_allowed_die_size_x = r.max_allowed_die_size_x
				and max_allowed_die_size_y = r.max_allowed_die_size_y
				and project_on_die = r.project_on_die
				and quantity_requested = r.quantity_requested
				and quantity_unpackaged_requested = r.quantity_unpackaged_requested
				and target_sched_run_no = r.target_sched_run_no
			Result := Result
				and equal (approved_funding_po_id, r.approved_funding_po_id)
				and equal (date_cust_report, r.date_cust_report)
				and equal (date_fab_requested, r.date_fab_requested)
				and equal (date_invalidated, r.date_invalidated)
				and equal (date_locked, r.date_locked)
				and equal (date_report_reminder_sent, r.date_report_reminder_sent)
				and equal (declared_etest_handle, r.declared_etest_handle)
				and equal (die_id, r.die_id)
				and equal (ic_fab_instance_type, r.ic_fab_instance_type)
				and equal (net_address, r.net_address)
				and equal (overhead_style, r.overhead_style)
				and equal (oversize_die_incl_conditions, r.oversize_die_incl_conditions)
				and equal (phone_number, r.phone_number)
				and equal (queue_failure_reason_id, r.queue_failure_reason_id)
				and equal (reason_status_requested, r.reason_status_requested)
				and equal (routing_label, r.routing_label)
				and equal (run_date_requested, r.run_date_requested)
				and equal (run_id, r.run_id)
				and equal (run_type_requested, r.run_type_requested)
				and equal (submitted_funding_po_id, r.submitted_funding_po_id)
				and equal (wafer_etest_name, r.wafer_etest_name)
			Result := Result
				and is_null_allow_oversize_die_on_run = r.is_null_allow_oversize_die_on_run
				and is_null_approved_funding_po_id = r.is_null_approved_funding_po_id
				and is_null_date_cust_report = r.is_null_date_cust_report
				and is_null_date_fab_requested = r.is_null_date_fab_requested
				and is_null_date_invalidated = r.is_null_date_invalidated
				and is_null_date_locked = r.is_null_date_locked
				and is_null_date_report_reminder_sent = r.is_null_date_report_reminder_sent
				and is_null_declared_etest_handle = r.is_null_declared_etest_handle
				and is_null_design_die_rotation = r.is_null_design_die_rotation
				and is_null_design_no = r.is_null_design_no
				and is_null_design_wafer_rotation_reqd = r.is_null_design_wafer_rotation_reqd
				and is_null_die_id = r.is_null_die_id
				and is_null_fill_allowed = r.is_null_fill_allowed
				and is_null_ic_fab_instance_type = r.is_null_ic_fab_instance_type
				and is_null_is_reworkable = r.is_null_is_reworkable
				and is_null_is_standard_stack_declared = r.is_null_is_standard_stack_declared
				and is_null_max_allowed_die_size_x = r.is_null_max_allowed_die_size_x
				and is_null_max_allowed_die_size_y = r.is_null_max_allowed_die_size_y
				and is_null_net_address = r.is_null_net_address
				and is_null_overhead_style = r.is_null_overhead_style
				and is_null_oversize_die_incl_conditions = r.is_null_oversize_die_incl_conditions
				and is_null_phone_number = r.is_null_phone_number
				and is_null_project_on_die = r.is_null_project_on_die
				and is_null_quantity_requested = r.is_null_quantity_requested
				and is_null_quantity_unpackaged_requested = r.is_null_quantity_unpackaged_requested
				and is_null_queue_failure_reason_id = r.is_null_queue_failure_reason_id
				and is_null_reason_status_requested = r.is_null_reason_status_requested
				and is_null_routing_label = r.is_null_routing_label
				and is_null_run_date_requested = r.is_null_run_date_requested
				and is_null_run_id = r.is_null_run_id
				and is_null_run_type_requested = r.is_null_run_type_requested
				and is_null_submitted_funding_po_id = r.is_null_submitted_funding_po_id
				and is_null_target_sched_run_no = r.is_null_target_sched_run_no
				and is_null_wafer_etest_name = r.is_null_wafer_etest_name
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_string (2, 20)
			q.select_date (3)
			q.select_date (4)
			q.select_date (5)
			q.select_date (6)
			q.select_date (7)
			q.select_string (8, 80)
			q.select_integer (9)
			q.select_integer (10)
			q.select_integer (11)
			q.select_string (12, 2)
			q.select_boolean (13)
			q.select_string (14, 20)
			q.select_boolean (15)
			q.select_boolean (16)
			q.select_double (17)
			q.select_double (18)
			q.select_integer (19)
			q.select_string (20, 300)
			q.select_string (21, 12)
			q.select_string (22, 4000)
			q.select_string (23, 200)
			q.select_integer (24)
			q.select_integer (25)
			q.select_integer (26)
			q.select_string (27, 8)
			q.select_string (28, 100)
			q.select_string (29, 500)
			q.select_date (30)
			q.select_string (31, 4)
			q.select_string (32, 5)
			q.select_string (33, 255)
			q.select_integer (34)
			q.select_string (35, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			allow_oversize_die_on_run := q.boolean_value (1)
			design_die_rotation := q.integer_value (9)
			design_no := q.integer_value (10)
			design_wafer_rotation_reqd := q.integer_value (11)
			fill_allowed := q.boolean_value (13)
			is_reworkable := q.boolean_value (15)
			is_standard_stack_declared := q.boolean_value (16)
			max_allowed_die_size_x := q.double_value (17)
			max_allowed_die_size_y := q.double_value (18)
			m_fab_no := q.integer_value (19)
			project_on_die := q.integer_value (24)
			quantity_requested := q.integer_value (25)
			quantity_unpackaged_requested := q.integer_value (26)
			target_sched_run_no := q.integer_value (34)
		end

	fill_in_references (q: SQL_QUERY)
		do
			approved_funding_po_id := q.string_value (2)
			date_cust_report := q.date_value (3)
			date_fab_requested := q.date_value (4)
			date_invalidated := q.date_value (5)
			date_locked := q.date_value (6)
			date_report_reminder_sent := q.date_value (7)
			declared_etest_handle := q.string_value (8)
			die_id := q.string_value (12)
			ic_fab_instance_type := q.string_value (14)
			net_address := q.string_value (20)
			overhead_style := q.string_value (21)
			oversize_die_incl_conditions := q.string_value (22)
			phone_number := q.string_value (23)
			queue_failure_reason_id := q.string_value (27)
			reason_status_requested := q.string_value (28)
			routing_label := q.string_value (29)
			run_date_requested := q.date_value (30)
			run_id := q.string_value (31)
			run_type_requested := q.string_value (32)
			submitted_funding_po_id := q.string_value (33)
			wafer_etest_name := q.string_value (35)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, approved_funding_po_id)
			q.get_date_value (3, date_cust_report)
			q.get_date_value (4, date_fab_requested)
			q.get_date_value (5, date_invalidated)
			q.get_date_value (6, date_locked)
			q.get_date_value (7, date_report_reminder_sent)
			q.get_string_value (8, declared_etest_handle)
			q.get_string_value (12, die_id)
			q.get_string_value (14, ic_fab_instance_type)
			q.get_string_value (20, net_address)
			q.get_string_value (21, overhead_style)
			q.get_string_value (22, oversize_die_incl_conditions)
			q.get_string_value (23, phone_number)
			q.get_string_value (27, queue_failure_reason_id)
			q.get_string_value (28, reason_status_requested)
			q.get_string_value (29, routing_label)
			q.get_date_value (30, run_date_requested)
			q.get_string_value (31, run_id)
			q.get_string_value (32, run_type_requested)
			q.get_string_value (33, submitted_funding_po_id)
			q.get_string_value (35, wafer_etest_name)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_allow_oversize_die_on_run := q.is_null (1)
			is_null_approved_funding_po_id := q.is_null (2)
			is_null_date_cust_report := q.is_null (3)
			is_null_date_fab_requested := q.is_null (4)
			is_null_date_invalidated := q.is_null (5)
			is_null_date_locked := q.is_null (6)
			is_null_date_report_reminder_sent := q.is_null (7)
			is_null_declared_etest_handle := q.is_null (8)
			is_null_design_die_rotation := q.is_null (9)
			is_null_design_no := q.is_null (10)
			is_null_design_wafer_rotation_reqd := q.is_null (11)
			is_null_die_id := q.is_null (12)
			is_null_fill_allowed := q.is_null (13)
			is_null_ic_fab_instance_type := q.is_null (14)
			is_null_is_reworkable := q.is_null (15)
			is_null_is_standard_stack_declared := q.is_null (16)
			is_null_max_allowed_die_size_x := q.is_null (17)
			is_null_max_allowed_die_size_y := q.is_null (18)
			is_null_m_fab_no := q.is_null (19)
			is_null_net_address := q.is_null (20)
			is_null_overhead_style := q.is_null (21)
			is_null_oversize_die_incl_conditions := q.is_null (22)
			is_null_phone_number := q.is_null (23)
			is_null_project_on_die := q.is_null (24)
			is_null_quantity_requested := q.is_null (25)
			is_null_quantity_unpackaged_requested := q.is_null (26)
			is_null_queue_failure_reason_id := q.is_null (27)
			is_null_reason_status_requested := q.is_null (28)
			is_null_routing_label := q.is_null (29)
			is_null_run_date_requested := q.is_null (30)
			is_null_run_id := q.is_null (31)
			is_null_run_type_requested := q.is_null (32)
			is_null_submitted_funding_po_id := q.is_null (33)
			is_null_target_sched_run_no := q.is_null (34)
			is_null_wafer_etest_name := q.is_null (35)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_m_fab_no := True
		end

	set_null_nonkey
		do
			is_null_allow_oversize_die_on_run := True
			is_null_approved_funding_po_id := True
			is_null_date_cust_report := True
			is_null_date_fab_requested := True
			is_null_date_invalidated := True
			is_null_date_locked := True
			is_null_date_report_reminder_sent := True
			is_null_declared_etest_handle := True
			is_null_design_die_rotation := True
			is_null_design_no := True
			is_null_design_wafer_rotation_reqd := True
			is_null_die_id := True
			is_null_fill_allowed := True
			is_null_ic_fab_instance_type := True
			is_null_is_reworkable := True
			is_null_is_standard_stack_declared := True
			is_null_max_allowed_die_size_x := True
			is_null_max_allowed_die_size_y := True
			is_null_net_address := True
			is_null_overhead_style := True
			is_null_oversize_die_incl_conditions := True
			is_null_phone_number := True
			is_null_project_on_die := True
			is_null_quantity_requested := True
			is_null_quantity_unpackaged_requested := True
			is_null_queue_failure_reason_id := True
			is_null_reason_status_requested := True
			is_null_routing_label := True
			is_null_run_date_requested := True
			is_null_run_id := True
			is_null_run_type_requested := True
			is_null_submitted_funding_po_id := True
			is_null_target_sched_run_no := True
			is_null_wafer_etest_name := True
			create approved_funding_po_id.make (0)
			create {ORACLE_DATE} date_cust_report.set_null
			create {ORACLE_DATE} date_fab_requested.set_null
			create {ORACLE_DATE} date_invalidated.set_null
			create {ORACLE_DATE} date_locked.set_null
			create {ORACLE_DATE} date_report_reminder_sent.set_null
			create declared_etest_handle.make (0)
			create die_id.make (0)
			create ic_fab_instance_type.make (0)
			create net_address.make (0)
			create overhead_style.make (0)
			create oversize_die_incl_conditions.make (0)
			create phone_number.make (0)
			create queue_failure_reason_id.make (0)
			create reason_status_requested.make (0)
			create routing_label.make (0)
			create {ORACLE_DATE} run_date_requested.set_null
			create run_id.make (0)
			create run_type_requested.make (0)
			create submitted_funding_po_id.make (0)
			create wafer_etest_name.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, m_fab_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
			d: DB_DATE
		do
			s := temp_string
			d := temp_date
			Result := True
			Result := Result
				and allow_oversize_die_on_run = q.boolean_value (1)
				and design_die_rotation = q.integer_value (9)
				and design_no = q.integer_value (10)
				and design_wafer_rotation_reqd = q.integer_value (11)
				and fill_allowed = q.boolean_value (13)
				and is_reworkable = q.boolean_value (15)
				and is_standard_stack_declared = q.boolean_value (16)
				and max_allowed_die_size_x = q.double_value (17)
				and max_allowed_die_size_y = q.double_value (18)
				and m_fab_no = q.integer_value (19)
				and project_on_die = q.integer_value (24)
				and quantity_requested = q.integer_value (25)
				and quantity_unpackaged_requested = q.integer_value (26)
				and target_sched_run_no = q.integer_value (34)
			q.get_string_value (2, s)
			Result := Result and equal (approved_funding_po_id, s)
			q.get_date_value (3, d)
			Result := Result and equal (date_cust_report, d)
			q.get_date_value (4, d)
			Result := Result and equal (date_fab_requested, d)
			q.get_date_value (5, d)
			Result := Result and equal (date_invalidated, d)
			q.get_date_value (6, d)
			Result := Result and equal (date_locked, d)
			q.get_date_value (7, d)
			Result := Result and equal (date_report_reminder_sent, d)
			q.get_string_value (8, s)
			Result := Result and equal (declared_etest_handle, s)
			q.get_string_value (12, s)
			Result := Result and equal (die_id, s)
			q.get_string_value (14, s)
			Result := Result and equal (ic_fab_instance_type, s)
			q.get_string_value (20, s)
			Result := Result and equal (net_address, s)
			q.get_string_value (21, s)
			Result := Result and equal (overhead_style, s)
			q.get_string_value (22, s)
			Result := Result and equal (oversize_die_incl_conditions, s)
			q.get_string_value (23, s)
			Result := Result and equal (phone_number, s)
			q.get_string_value (27, s)
			Result := Result and equal (queue_failure_reason_id, s)
			q.get_string_value (28, s)
			Result := Result and equal (reason_status_requested, s)
			q.get_string_value (29, s)
			Result := Result and equal (routing_label, s)
			q.get_date_value (30, d)
			Result := Result and equal (run_date_requested, d)
			q.get_string_value (31, s)
			Result := Result and equal (run_id, s)
			q.get_string_value (32, s)
			Result := Result and equal (run_type_requested, s)
			q.get_string_value (33, s)
			Result := Result and equal (submitted_funding_po_id, s)
			q.get_string_value (35, s)
			Result := Result and equal (wafer_etest_name, s)
			Result := Result
				and is_null_allow_oversize_die_on_run = q.is_null (1)
				and is_null_approved_funding_po_id = q.is_null (2)
				and is_null_date_cust_report = q.is_null (3)
				and is_null_date_fab_requested = q.is_null (4)
				and is_null_date_invalidated = q.is_null (5)
				and is_null_date_locked = q.is_null (6)
				and is_null_date_report_reminder_sent = q.is_null (7)
				and is_null_declared_etest_handle = q.is_null (8)
				and is_null_design_die_rotation = q.is_null (9)
				and is_null_design_no = q.is_null (10)
				and is_null_design_wafer_rotation_reqd = q.is_null (11)
				and is_null_die_id = q.is_null (12)
				and is_null_fill_allowed = q.is_null (13)
				and is_null_ic_fab_instance_type = q.is_null (14)
				and is_null_is_reworkable = q.is_null (15)
				and is_null_is_standard_stack_declared = q.is_null (16)
				and is_null_max_allowed_die_size_x = q.is_null (17)
				and is_null_max_allowed_die_size_y = q.is_null (18)
				and is_null_m_fab_no = q.is_null (19)
				and is_null_net_address = q.is_null (20)
				and is_null_overhead_style = q.is_null (21)
				and is_null_oversize_die_incl_conditions = q.is_null (22)
				and is_null_phone_number = q.is_null (23)
				and is_null_project_on_die = q.is_null (24)
				and is_null_quantity_requested = q.is_null (25)
				and is_null_quantity_unpackaged_requested = q.is_null (26)
				and is_null_queue_failure_reason_id = q.is_null (27)
				and is_null_reason_status_requested = q.is_null (28)
				and is_null_routing_label = q.is_null (29)
				and is_null_run_date_requested = q.is_null (30)
				and is_null_run_id = q.is_null (31)
				and is_null_run_type_requested = q.is_null (32)
				and is_null_submitted_funding_po_id = q.is_null (33)
				and is_null_target_sched_run_no = q.is_null (34)
				and is_null_wafer_etest_name = q.is_null (35)
		end

end
