
note

	date: "Thu Jan 21 12:59:46 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"M_TEST_OBJECTS (MOSIS.M_TEST_OBJECTS)",
			-- Included columns
			-- 	COMMENTS
			-- 	DESCR
			-- 	TEST_OBJECT
			-- 	TEST_OBJECT_SIZE_X
			-- 	TEST_OBJECT_SIZE_Y
			-- 	TEST_OBJECT_TYPE
			-- 	TEST_OBJECT_VERSION
			-- Excluded columns
			-- 	(none)
		"M_TEST_VEHICLE#TEST_OBJECTS (MOSIS.M_TEST_VEHICLE#TEST_OBJECTS)"
			-- Included columns
			-- 	DESIGN_NO
			-- 	PROBE_X
			-- 	PROBE_Y
			-- Excluded columns
			-- 	TEST_OBJECT

class M_TEST_OBJECTS_ERAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 10

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  comments, descr, mto.test_object, test_object_size_x, test_object_size_y,%N  test_object_type, test_object_version, design_no, probe_x, probe_y"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "m_test_objects mto, m_test_vehicle#test_objects mtvto"

	join_condition: STRING = "mto.test_object = mtvto.test_object"

	table_count: INTEGER = 2

	group_by: STRING = ""

feature -- Values

	comments: STRING
			-- DB: VARCHAR2(255)

	descr: STRING
			-- DB: VARCHAR2(255)

	test_object: STRING
			-- DB: VARCHAR2(50) not null

	test_object_size_x: DOUBLE
			-- DB: NUMBER(9,3)

	test_object_size_y: DOUBLE
			-- DB: NUMBER(9,3)

	test_object_type: STRING
			-- DB: VARCHAR2(20) not null

	test_object_version: DOUBLE
			-- DB: NUMBER(*,*)

	design_no: INTEGER
			-- DB: NUMBER(6,0) not null

	probe_x: DOUBLE
			-- DB: NUMBER(*,*)

	probe_y: DOUBLE
			-- DB: NUMBER(*,*)

feature -- Nullness for null allowed columns

	is_null_comments: BOOLEAN
	is_null_descr: BOOLEAN
	is_null_test_object_size_x: BOOLEAN
	is_null_test_object_size_y: BOOLEAN
	is_null_test_object_version: BOOLEAN
	is_null_probe_x: BOOLEAN
	is_null_probe_y: BOOLEAN

feature -- Nullness for non-null columns

	is_null_test_object: BOOLEAN
	is_null_test_object_type: BOOLEAN
	is_null_design_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and design_no = r.design_no
			Result := Result
				and equal (test_object, r.test_object)
			Result := Result
				and is_null_test_object = r.is_null_test_object
				and is_null_design_no = r.is_null_design_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and test_object_size_x = r.test_object_size_x
				and test_object_size_y = r.test_object_size_y
				and test_object_version = r.test_object_version
				and probe_x = r.probe_x
				and probe_y = r.probe_y
			Result := Result
				and equal (comments, r.comments)
				and equal (descr, r.descr)
				and equal (test_object_type, r.test_object_type)
			Result := Result
				and is_null_comments = r.is_null_comments
				and is_null_descr = r.is_null_descr
				and is_null_test_object_size_x = r.is_null_test_object_size_x
				and is_null_test_object_size_y = r.is_null_test_object_size_y
				and is_null_test_object_type = r.is_null_test_object_type
				and is_null_test_object_version = r.is_null_test_object_version
				and is_null_probe_x = r.is_null_probe_x
				and is_null_probe_y = r.is_null_probe_y
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_string (2, 255)
			q.select_string (3, 50)
			q.select_double (4)
			q.select_double (5)
			q.select_string (6, 20)
			q.select_double (7)
			q.select_integer (8)
			q.select_double (9)
			q.select_double (10)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			test_object_size_x := q.double_value (4)
			test_object_size_y := q.double_value (5)
			test_object_version := q.double_value (7)
			design_no := q.integer_value (8)
			probe_x := q.double_value (9)
			probe_y := q.double_value (10)
		end

	fill_in_references (q: SQL_QUERY)
		do
			comments := q.string_value (1)
			descr := q.string_value (2)
			test_object := q.string_value (3)
			test_object_type := q.string_value (6)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, comments)
			q.get_string_value (2, descr)
			q.get_string_value (3, test_object)
			q.get_string_value (6, test_object_type)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_comments := q.is_null (1)
			is_null_descr := q.is_null (2)
			is_null_test_object := q.is_null (3)
			is_null_test_object_size_x := q.is_null (4)
			is_null_test_object_size_y := q.is_null (5)
			is_null_test_object_type := q.is_null (6)
			is_null_test_object_version := q.is_null (7)
			is_null_design_no := q.is_null (8)
			is_null_probe_x := q.is_null (9)
			is_null_probe_y := q.is_null (10)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_comments := True
			is_null_descr := True
			is_null_test_object := True
			is_null_test_object_size_x := True
			is_null_test_object_size_y := True
			is_null_test_object_type := True
			is_null_test_object_version := True
			is_null_design_no := True
			is_null_probe_x := True
			is_null_probe_y := True
			create comments.make (0)
			create descr.make (0)
			create test_object.make (0)
			create test_object_type.make (0)
		end

end
