
note

	date: "Fri May 18 16:09:22 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"M_TEST_VEHICLES (MOSIS.M_TEST_VEHICLES)"
			-- Included columns
			-- 	BOND_VEHICLE_IF_ISOLATED
			-- 	CENTER_X
			-- 	CENTER_Y
			-- 	COMP_TOP_STRUCTURE
			-- 	DATE_DIAGRAM_APPROVED
			-- 	DESIGN_NAME
			-- 	DESIGN_NO
			-- 	DESIGN_PACKAGE_ROTATION
			-- 	DESIGN_SIZE_X
			-- 	DESIGN_SIZE_Y
			-- 	DESIGN_TECHN
			-- 	DESIGN_WAFER_ROTATION_REQD
			-- 	DIAGRAM_APPROVED_BY
			-- 	GEOMETRY_FORMAT
			-- 	HIGH_PRIORITY
			-- 	MAX_DIE_SIZE_X
			-- 	MAX_DIE_SIZE_Y
			-- 	M_PART_NO_IC
			-- 	M_PART_NO_PACKAGE_ISOLATED
			-- 	M_PART_NO_PACKAGE_UNISOLATED
			-- 	PACKAGE_ID
			-- 	QUANTITY_SITES
			-- 	SOURCE_DIRECTORY
			-- 	SOURCE_FILENAME
			-- 	TEST_VEHICLE_STATUS
			-- 	WAFER_TECHN
			-- Excluded columns
			-- 	(none)

class M_TEST_VEHICLES_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 26

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  bond_vehicle_if_isolated, center_x, center_y, comp_top_structure,%N  date_diagram_approved, design_name, design_no, design_package_rotation,%N  design_size_x, design_size_y, design_techn, design_wafer_rotation_reqd,%N  diagram_approved_by, geometry_format, high_priority, max_die_size_x,%N  max_die_size_y, m_part_no_ic, m_part_no_package_isolated,%N  m_part_no_package_unisolated, package_id, quantity_sites,%N  source_directory, source_filename, test_vehicle_status, wafer_techn"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "m_test_vehicles mtv"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	bond_vehicle_if_isolated: BOOLEAN
			-- DB: CHAR(1)

	center_x: DOUBLE
			-- DB: NUMBER(16,6)

	center_y: DOUBLE
			-- DB: NUMBER(16,6)

	comp_top_structure: STRING
			-- DB: VARCHAR2(255)

	date_diagram_approved: DB_DATE
			-- DB: DATE

	design_name: STRING
			-- DB: VARCHAR2(255) not null

	design_no: INTEGER
			-- DB: NUMBER(6,0) not null

	design_package_rotation: INTEGER
			-- DB: NUMBER(3,0)

	design_size_x: DOUBLE
			-- DB: NUMBER(12,6)

	design_size_y: DOUBLE
			-- DB: NUMBER(12,6)

	design_techn: STRING
			-- DB: VARCHAR2(50)

	design_wafer_rotation_reqd: INTEGER
			-- DB: NUMBER(3,0)

	diagram_approved_by: STRING
			-- DB: VARCHAR2(40)

	geometry_format: STRING
			-- DB: VARCHAR2(10) not null

	high_priority: BOOLEAN
			-- DB: CHAR(1) not null

	max_die_size_x: DOUBLE
			-- DB: NUMBER(*,*)

	max_die_size_y: DOUBLE
			-- DB: NUMBER(*,*)

	m_part_no_ic: INTEGER
			-- DB: NUMBER(6,0)

	m_part_no_package_isolated: INTEGER
			-- DB: NUMBER(6,0)

	m_part_no_package_unisolated: INTEGER
			-- DB: NUMBER(6,0)

	package_id: STRING
			-- DB: VARCHAR2(25)

	quantity_sites: INTEGER
			-- DB: NUMBER(3,0)

	source_directory: STRING
			-- DB: VARCHAR2(255) not null

	source_filename: STRING
			-- DB: VARCHAR2(100)

	test_vehicle_status: STRING
			-- DB: VARCHAR2(15) not null

	wafer_techn: STRING
			-- DB: VARCHAR2(50)

feature -- Nullness for null allowed columns

	is_null_bond_vehicle_if_isolated: BOOLEAN
	is_null_center_x: BOOLEAN
	is_null_center_y: BOOLEAN
	is_null_comp_top_structure: BOOLEAN
	is_null_date_diagram_approved: BOOLEAN
	is_null_design_package_rotation: BOOLEAN
	is_null_design_size_x: BOOLEAN
	is_null_design_size_y: BOOLEAN
	is_null_design_techn: BOOLEAN
	is_null_design_wafer_rotation_reqd: BOOLEAN
	is_null_diagram_approved_by: BOOLEAN
	is_null_max_die_size_x: BOOLEAN
	is_null_max_die_size_y: BOOLEAN
	is_null_m_part_no_ic: BOOLEAN
	is_null_m_part_no_package_isolated: BOOLEAN
	is_null_m_part_no_package_unisolated: BOOLEAN
	is_null_package_id: BOOLEAN
	is_null_quantity_sites: BOOLEAN
	is_null_source_filename: BOOLEAN
	is_null_wafer_techn: BOOLEAN

feature -- Nullness for non-null columns

	is_null_design_name: BOOLEAN
	is_null_design_no: BOOLEAN
	is_null_geometry_format: BOOLEAN
	is_null_high_priority: BOOLEAN
	is_null_source_directory: BOOLEAN
	is_null_test_vehicle_status: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and bond_vehicle_if_isolated = r.bond_vehicle_if_isolated
				and center_x = r.center_x
				and center_y = r.center_y
				and design_no = r.design_no
				and design_package_rotation = r.design_package_rotation
				and design_size_x = r.design_size_x
				and design_size_y = r.design_size_y
				and design_wafer_rotation_reqd = r.design_wafer_rotation_reqd
				and high_priority = r.high_priority
				and max_die_size_x = r.max_die_size_x
				and max_die_size_y = r.max_die_size_y
				and m_part_no_ic = r.m_part_no_ic
				and m_part_no_package_isolated = r.m_part_no_package_isolated
				and m_part_no_package_unisolated = r.m_part_no_package_unisolated
				and quantity_sites = r.quantity_sites
			Result := Result
				and equal (comp_top_structure, r.comp_top_structure)
				and equal (date_diagram_approved, r.date_diagram_approved)
				and equal (design_name, r.design_name)
				and equal (design_techn, r.design_techn)
				and equal (diagram_approved_by, r.diagram_approved_by)
				and equal (geometry_format, r.geometry_format)
				and equal (package_id, r.package_id)
				and equal (source_directory, r.source_directory)
				and equal (source_filename, r.source_filename)
				and equal (test_vehicle_status, r.test_vehicle_status)
				and equal (wafer_techn, r.wafer_techn)
			Result := Result
				and is_null_bond_vehicle_if_isolated = r.is_null_bond_vehicle_if_isolated
				and is_null_center_x = r.is_null_center_x
				and is_null_center_y = r.is_null_center_y
				and is_null_comp_top_structure = r.is_null_comp_top_structure
				and is_null_date_diagram_approved = r.is_null_date_diagram_approved
				and is_null_design_name = r.is_null_design_name
				and is_null_design_no = r.is_null_design_no
				and is_null_design_package_rotation = r.is_null_design_package_rotation
				and is_null_design_size_x = r.is_null_design_size_x
				and is_null_design_size_y = r.is_null_design_size_y
				and is_null_design_techn = r.is_null_design_techn
				and is_null_design_wafer_rotation_reqd = r.is_null_design_wafer_rotation_reqd
				and is_null_diagram_approved_by = r.is_null_diagram_approved_by
				and is_null_geometry_format = r.is_null_geometry_format
				and is_null_high_priority = r.is_null_high_priority
				and is_null_max_die_size_x = r.is_null_max_die_size_x
				and is_null_max_die_size_y = r.is_null_max_die_size_y
				and is_null_m_part_no_ic = r.is_null_m_part_no_ic
				and is_null_m_part_no_package_isolated = r.is_null_m_part_no_package_isolated
				and is_null_m_part_no_package_unisolated = r.is_null_m_part_no_package_unisolated
				and is_null_package_id = r.is_null_package_id
				and is_null_quantity_sites = r.is_null_quantity_sites
				and is_null_source_directory = r.is_null_source_directory
				and is_null_source_filename = r.is_null_source_filename
				and is_null_test_vehicle_status = r.is_null_test_vehicle_status
				and is_null_wafer_techn = r.is_null_wafer_techn
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_double (2)
			q.select_double (3)
			q.select_string (4, 255)
			q.select_date (5)
			q.select_string (6, 255)
			q.select_integer (7)
			q.select_integer (8)
			q.select_double (9)
			q.select_double (10)
			q.select_string (11, 50)
			q.select_integer (12)
			q.select_string (13, 40)
			q.select_string (14, 10)
			q.select_boolean (15)
			q.select_double (16)
			q.select_double (17)
			q.select_integer (18)
			q.select_integer (19)
			q.select_integer (20)
			q.select_string (21, 25)
			q.select_integer (22)
			q.select_string (23, 255)
			q.select_string (24, 100)
			q.select_string (25, 15)
			q.select_string (26, 50)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			bond_vehicle_if_isolated := q.boolean_value (1)
			center_x := q.double_value (2)
			center_y := q.double_value (3)
			design_no := q.integer_value (7)
			design_package_rotation := q.integer_value (8)
			design_size_x := q.double_value (9)
			design_size_y := q.double_value (10)
			design_wafer_rotation_reqd := q.integer_value (12)
			high_priority := q.boolean_value (15)
			max_die_size_x := q.double_value (16)
			max_die_size_y := q.double_value (17)
			m_part_no_ic := q.integer_value (18)
			m_part_no_package_isolated := q.integer_value (19)
			m_part_no_package_unisolated := q.integer_value (20)
			quantity_sites := q.integer_value (22)
		end

	fill_in_references (q: SQL_QUERY)
		do
			comp_top_structure := q.string_value (4)
			date_diagram_approved := q.date_value (5)
			design_name := q.string_value (6)
			design_techn := q.string_value (11)
			diagram_approved_by := q.string_value (13)
			geometry_format := q.string_value (14)
			package_id := q.string_value (21)
			source_directory := q.string_value (23)
			source_filename := q.string_value (24)
			test_vehicle_status := q.string_value (25)
			wafer_techn := q.string_value (26)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (4, comp_top_structure)
			q.get_date_value (5, date_diagram_approved)
			q.get_string_value (6, design_name)
			q.get_string_value (11, design_techn)
			q.get_string_value (13, diagram_approved_by)
			q.get_string_value (14, geometry_format)
			q.get_string_value (21, package_id)
			q.get_string_value (23, source_directory)
			q.get_string_value (24, source_filename)
			q.get_string_value (25, test_vehicle_status)
			q.get_string_value (26, wafer_techn)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_bond_vehicle_if_isolated := q.is_null (1)
			is_null_center_x := q.is_null (2)
			is_null_center_y := q.is_null (3)
			is_null_comp_top_structure := q.is_null (4)
			is_null_date_diagram_approved := q.is_null (5)
			is_null_design_name := q.is_null (6)
			is_null_design_no := q.is_null (7)
			is_null_design_package_rotation := q.is_null (8)
			is_null_design_size_x := q.is_null (9)
			is_null_design_size_y := q.is_null (10)
			is_null_design_techn := q.is_null (11)
			is_null_design_wafer_rotation_reqd := q.is_null (12)
			is_null_diagram_approved_by := q.is_null (13)
			is_null_geometry_format := q.is_null (14)
			is_null_high_priority := q.is_null (15)
			is_null_max_die_size_x := q.is_null (16)
			is_null_max_die_size_y := q.is_null (17)
			is_null_m_part_no_ic := q.is_null (18)
			is_null_m_part_no_package_isolated := q.is_null (19)
			is_null_m_part_no_package_unisolated := q.is_null (20)
			is_null_package_id := q.is_null (21)
			is_null_quantity_sites := q.is_null (22)
			is_null_source_directory := q.is_null (23)
			is_null_source_filename := q.is_null (24)
			is_null_test_vehicle_status := q.is_null (25)
			is_null_wafer_techn := q.is_null (26)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_bond_vehicle_if_isolated := True
			is_null_center_x := True
			is_null_center_y := True
			is_null_comp_top_structure := True
			is_null_date_diagram_approved := True
			is_null_design_name := True
			is_null_design_no := True
			is_null_design_package_rotation := True
			is_null_design_size_x := True
			is_null_design_size_y := True
			is_null_design_techn := True
			is_null_design_wafer_rotation_reqd := True
			is_null_diagram_approved_by := True
			is_null_geometry_format := True
			is_null_high_priority := True
			is_null_max_die_size_x := True
			is_null_max_die_size_y := True
			is_null_m_part_no_ic := True
			is_null_m_part_no_package_isolated := True
			is_null_m_part_no_package_unisolated := True
			is_null_package_id := True
			is_null_quantity_sites := True
			is_null_source_directory := True
			is_null_source_filename := True
			is_null_test_vehicle_status := True
			is_null_wafer_techn := True
			create comp_top_structure.make (0)
			create {ORACLE_DATE} date_diagram_approved.set_null
			create design_name.make (0)
			create design_techn.make (0)
			create diagram_approved_by.make (0)
			create geometry_format.make (0)
			create package_id.make (0)
			create source_directory.make (0)
			create source_filename.make (0)
			create test_vehicle_status.make (0)
			create wafer_techn.make (0)
		end

end
