
note

	date: "Thu Jan 21 12:59:45 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application NFE, database user ALLMOSIS"
	database_tables: 
		"MAX_DIE_SIZES (MOSIS.MAX_DIE_SIZES)"
			-- Included columns
			-- 	DESIGN_NO
			-- 	DOWNBOND_LOCATION_REQD
			-- 	IC_PACKAGING_NO
			-- 	MAX_DIE_SIZE_X
			-- 	MAX_DIE_SIZE_Y
			-- 	M_FAB_NO
			-- 	PACKAGE_ID
			-- Excluded columns
			-- 	(none)

class MAX_DIE_SIZES_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 7

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  design_no, downbond_location_reqd, ic_packaging_no, max_die_size_x,%N  max_die_size_y, m_fab_no, package_id"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "max_die_sizes mdsz"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	design_no: INTEGER
			-- DB: NUMBER(6,0) not null

	downbond_location_reqd: STRING
			-- DB: VARCHAR2(8)

	ic_packaging_no: INTEGER
			-- DB: NUMBER(6,0) not null

	max_die_size_x: DOUBLE
			-- DB: NUMBER(*,*)

	max_die_size_y: DOUBLE
			-- DB: NUMBER(*,*)

	m_fab_no: INTEGER
			-- DB: NUMBER(6,0) not null

	package_id: STRING
			-- DB: VARCHAR2(25)

feature -- Nullness for null allowed columns

	is_null_downbond_location_reqd: BOOLEAN
	is_null_max_die_size_x: BOOLEAN
	is_null_max_die_size_y: BOOLEAN
	is_null_package_id: BOOLEAN

feature -- Nullness for non-null columns

	is_null_design_no: BOOLEAN
	is_null_ic_packaging_no: BOOLEAN
	is_null_m_fab_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and design_no = r.design_no
				and ic_packaging_no = r.ic_packaging_no
				and max_die_size_x = r.max_die_size_x
				and max_die_size_y = r.max_die_size_y
				and m_fab_no = r.m_fab_no
			Result := Result
				and equal (downbond_location_reqd, r.downbond_location_reqd)
				and equal (package_id, r.package_id)
			Result := Result
				and is_null_design_no = r.is_null_design_no
				and is_null_downbond_location_reqd = r.is_null_downbond_location_reqd
				and is_null_ic_packaging_no = r.is_null_ic_packaging_no
				and is_null_max_die_size_x = r.is_null_max_die_size_x
				and is_null_max_die_size_y = r.is_null_max_die_size_y
				and is_null_m_fab_no = r.is_null_m_fab_no
				and is_null_package_id = r.is_null_package_id
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_string (2, 8)
			q.select_integer (3)
			q.select_double (4)
			q.select_double (5)
			q.select_integer (6)
			q.select_string (7, 25)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			design_no := q.integer_value (1)
			ic_packaging_no := q.integer_value (3)
			max_die_size_x := q.double_value (4)
			max_die_size_y := q.double_value (5)
			m_fab_no := q.integer_value (6)
		end

	fill_in_references (q: SQL_QUERY)
		do
			downbond_location_reqd := q.string_value (2)
			package_id := q.string_value (7)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (2, downbond_location_reqd)
			q.get_string_value (7, package_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_design_no := q.is_null (1)
			is_null_downbond_location_reqd := q.is_null (2)
			is_null_ic_packaging_no := q.is_null (3)
			is_null_max_die_size_x := q.is_null (4)
			is_null_max_die_size_y := q.is_null (5)
			is_null_m_fab_no := q.is_null (6)
			is_null_package_id := q.is_null (7)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_design_no := True
			is_null_downbond_location_reqd := True
			is_null_ic_packaging_no := True
			is_null_max_die_size_x := True
			is_null_max_die_size_y := True
			is_null_m_fab_no := True
			is_null_package_id := True
			create downbond_location_reqd.make (0)
			create package_id.make (0)
		end

end
