
note

	date: "Thu Jan 21 12:59:46 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"ORG#ORG_TYPES (MOSIS.ORG#ORG_TYPES)"
			-- Included columns
			-- 	COMMENTS
			-- 	ORG_NO
			-- 	ORG_TYPE
			-- Excluded columns
			-- 	(none)

class ORGXORG_TYPES_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 3

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  comments, org_no, org_type"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "org#org_types ootv"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	comments: STRING
			-- DB: VARCHAR2(255)

	org_no: INTEGER
			-- DB: NUMBER(6,0)

	org_type: STRING
			-- DB: VARCHAR2(15)

feature -- Nullness for null allowed columns

	is_null_comments: BOOLEAN
	is_null_org_no: BOOLEAN
	is_null_org_type: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and org_no = r.org_no
			Result := Result
				and equal (comments, r.comments)
				and equal (org_type, r.org_type)
			Result := Result
				and is_null_comments = r.is_null_comments
				and is_null_org_no = r.is_null_org_no
				and is_null_org_type = r.is_null_org_type
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 255)
			q.select_integer (2)
			q.select_string (3, 15)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			org_no := q.integer_value (2)
		end

	fill_in_references (q: SQL_QUERY)
		do
			comments := q.string_value (1)
			org_type := q.string_value (3)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, comments)
			q.get_string_value (3, org_type)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_comments := q.is_null (1)
			is_null_org_no := q.is_null (2)
			is_null_org_type := q.is_null (3)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_comments := True
			is_null_org_no := True
			is_null_org_type := True
			create comments.make (0)
			create org_type.make (0)
		end

end
