
note

	date: "Thu Jan 21 12:59:46 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"PACKAGES (MOSIS.PACKAGES)"
			-- Included columns
			-- 	AUTOCAD_SCALE_FACTOR
			-- 	BODY_SIZE_X_MM
			-- 	BODY_SIZE_Y_MM
			-- 	BODY_THICKNESS_MM
			-- 	BONDING_FINGER_COUNT
			-- 	CAVITY_CORNER_RADIUS_MIL
			-- 	CAVITY_ORIENTATION
			-- 	CUST_ACCT_NO_SUPPLIER
			-- 	DESCR
			-- 	DOWNBOND_LOCATION_DEFAULT
			-- 	DOWNBOND_SPACE_NEEDED
			-- 	FOOTPRINT_LENGTH_MM
			-- 	LEADFRAME
			-- 	MANUFACTURER_PART_NO
			-- 	MANUFACTURER_SHORT_ID
			-- 	MAX_DIE_SIZE_X
			-- 	MAX_DIE_SIZE_Y
			-- 	MAX_DIE_THICKNESS_MILS
			-- 	MIN_DIE_SIZE_X
			-- 	MIN_DIE_SIZE_Y
			-- 	M_DEFAULT
			-- 	OUTLINE_DRAWING
			-- 	PACKAGER_SUPPLIED
			-- 	PACKAGE_CAVITY_SIZE_X_MIL
			-- 	PACKAGE_CAVITY_SIZE_Y_MIL
			-- 	PACKAGE_ID
			-- 	PACKAGE_TIER_COUNT
			-- 	PACKAGE_TYPE
			-- 	TINY_CHIP_ALLOWED
			-- 	VENDOR_BONDING_DIAGRAM
			-- 	VENDOR_MARKETING_OUTLINE
			-- Excluded columns
			-- 	(none)

class PACKAGES_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 31

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  autocad_scale_factor, body_size_x_mm, body_size_y_mm, body_thickness_mm,%N  bonding_finger_count, cavity_corner_radius_mil, cavity_orientation,%N  cust_acct_no_supplier, descr, downbond_location_default,%N  downbond_space_needed, footprint_length_mm, leadframe,%N  manufacturer_part_no, manufacturer_short_id, max_die_size_x,%N  max_die_size_y, max_die_thickness_mils, min_die_size_x, min_die_size_y,%N  m_default, outline_drawing, packager_supplied, package_cavity_size_x_mil,%N  package_cavity_size_y_mil, package_id, package_tier_count, package_type,%N  tiny_chip_allowed, vendor_bonding_diagram, vendor_marketing_outline"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "packages p"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	autocad_scale_factor: DOUBLE
			-- DB: NUMBER(*,*)

	body_size_x_mm: REAL
			-- DB: NUMBER(6,3)

	body_size_y_mm: REAL
			-- DB: NUMBER(6,3)

	body_thickness_mm: REAL
			-- DB: NUMBER(6,3)

	bonding_finger_count: INTEGER
			-- DB: NUMBER(4,0) not null

	cavity_corner_radius_mil: REAL
			-- DB: NUMBER(6,2) not null

	cavity_orientation: STRING
			-- DB: VARCHAR2(5) not null

	cust_acct_no_supplier: INTEGER
			-- DB: NUMBER(6,0)

	descr: STRING
			-- DB: VARCHAR2(255)

	downbond_location_default: STRING
			-- DB: VARCHAR2(8) not null

	downbond_space_needed: INTEGER
			-- DB: NUMBER(6,0) not null

	footprint_length_mm: REAL
			-- DB: NUMBER(6,3)

	leadframe: BOOLEAN
			-- DB: CHAR(1) not null

	manufacturer_part_no: STRING
			-- DB: VARCHAR2(50)

	manufacturer_short_id: STRING
			-- DB: VARCHAR2(15)

	max_die_size_x: DOUBLE
			-- DB: NUMBER(*,*)

	max_die_size_y: DOUBLE
			-- DB: NUMBER(*,*)

	max_die_thickness_mils: DOUBLE
			-- DB: NUMBER(*,*)

	min_die_size_x: DOUBLE
			-- DB: NUMBER(*,*)

	min_die_size_y: DOUBLE
			-- DB: NUMBER(*,*)

	m_default: BOOLEAN
			-- DB: CHAR(1) not null

	outline_drawing: STRING
			-- DB: VARCHAR2(4000)

	packager_supplied: BOOLEAN
			-- DB: CHAR(1) not null

	package_cavity_size_x_mil: REAL
			-- DB: NUMBER(6,2) not null

	package_cavity_size_y_mil: REAL
			-- DB: NUMBER(6,2) not null

	package_id: STRING
			-- DB: VARCHAR2(25) not null

	package_tier_count: INTEGER
			-- DB: NUMBER(3,0) not null

	package_type: STRING
			-- DB: VARCHAR2(10)

	tiny_chip_allowed: BOOLEAN
			-- DB: CHAR(1) not null

	vendor_bonding_diagram: STRING
			-- DB: VARCHAR2(25)

	vendor_marketing_outline: STRING
			-- DB: VARCHAR2(25)

feature -- Nullness for null allowed columns

	is_null_autocad_scale_factor: BOOLEAN
	is_null_body_size_x_mm: BOOLEAN
	is_null_body_size_y_mm: BOOLEAN
	is_null_body_thickness_mm: BOOLEAN
	is_null_cust_acct_no_supplier: BOOLEAN
	is_null_descr: BOOLEAN
	is_null_footprint_length_mm: BOOLEAN
	is_null_manufacturer_part_no: BOOLEAN
	is_null_manufacturer_short_id: BOOLEAN
	is_null_max_die_size_x: BOOLEAN
	is_null_max_die_size_y: BOOLEAN
	is_null_max_die_thickness_mils: BOOLEAN
	is_null_min_die_size_x: BOOLEAN
	is_null_min_die_size_y: BOOLEAN
	is_null_outline_drawing: BOOLEAN
	is_null_package_type: BOOLEAN
	is_null_vendor_bonding_diagram: BOOLEAN
	is_null_vendor_marketing_outline: BOOLEAN

feature -- Nullness for non-null columns

	is_null_bonding_finger_count: BOOLEAN
	is_null_cavity_corner_radius_mil: BOOLEAN
	is_null_cavity_orientation: BOOLEAN
	is_null_downbond_location_default: BOOLEAN
	is_null_downbond_space_needed: BOOLEAN
	is_null_leadframe: BOOLEAN
	is_null_m_default: BOOLEAN
	is_null_packager_supplied: BOOLEAN
	is_null_package_cavity_size_x_mil: BOOLEAN
	is_null_package_cavity_size_y_mil: BOOLEAN
	is_null_package_id: BOOLEAN
	is_null_package_tier_count: BOOLEAN
	is_null_tiny_chip_allowed: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and autocad_scale_factor = r.autocad_scale_factor
				and body_size_x_mm = r.body_size_x_mm
				and body_size_y_mm = r.body_size_y_mm
				and body_thickness_mm = r.body_thickness_mm
				and bonding_finger_count = r.bonding_finger_count
				and cavity_corner_radius_mil = r.cavity_corner_radius_mil
				and cust_acct_no_supplier = r.cust_acct_no_supplier
				and downbond_space_needed = r.downbond_space_needed
				and footprint_length_mm = r.footprint_length_mm
				and leadframe = r.leadframe
				and max_die_size_x = r.max_die_size_x
				and max_die_size_y = r.max_die_size_y
				and max_die_thickness_mils = r.max_die_thickness_mils
				and min_die_size_x = r.min_die_size_x
				and min_die_size_y = r.min_die_size_y
				and m_default = r.m_default
				and packager_supplied = r.packager_supplied
				and package_cavity_size_x_mil = r.package_cavity_size_x_mil
				and package_cavity_size_y_mil = r.package_cavity_size_y_mil
				and package_tier_count = r.package_tier_count
				and tiny_chip_allowed = r.tiny_chip_allowed
			Result := Result
				and equal (cavity_orientation, r.cavity_orientation)
				and equal (descr, r.descr)
				and equal (downbond_location_default, r.downbond_location_default)
				and equal (manufacturer_part_no, r.manufacturer_part_no)
				and equal (manufacturer_short_id, r.manufacturer_short_id)
				and equal (outline_drawing, r.outline_drawing)
				and equal (package_id, r.package_id)
				and equal (package_type, r.package_type)
				and equal (vendor_bonding_diagram, r.vendor_bonding_diagram)
				and equal (vendor_marketing_outline, r.vendor_marketing_outline)
			Result := Result
				and is_null_autocad_scale_factor = r.is_null_autocad_scale_factor
				and is_null_body_size_x_mm = r.is_null_body_size_x_mm
				and is_null_body_size_y_mm = r.is_null_body_size_y_mm
				and is_null_body_thickness_mm = r.is_null_body_thickness_mm
				and is_null_bonding_finger_count = r.is_null_bonding_finger_count
				and is_null_cavity_corner_radius_mil = r.is_null_cavity_corner_radius_mil
				and is_null_cavity_orientation = r.is_null_cavity_orientation
				and is_null_cust_acct_no_supplier = r.is_null_cust_acct_no_supplier
				and is_null_descr = r.is_null_descr
				and is_null_downbond_location_default = r.is_null_downbond_location_default
				and is_null_downbond_space_needed = r.is_null_downbond_space_needed
				and is_null_footprint_length_mm = r.is_null_footprint_length_mm
				and is_null_leadframe = r.is_null_leadframe
				and is_null_manufacturer_part_no = r.is_null_manufacturer_part_no
				and is_null_manufacturer_short_id = r.is_null_manufacturer_short_id
				and is_null_max_die_size_x = r.is_null_max_die_size_x
				and is_null_max_die_size_y = r.is_null_max_die_size_y
				and is_null_max_die_thickness_mils = r.is_null_max_die_thickness_mils
				and is_null_min_die_size_x = r.is_null_min_die_size_x
				and is_null_min_die_size_y = r.is_null_min_die_size_y
				and is_null_m_default = r.is_null_m_default
				and is_null_outline_drawing = r.is_null_outline_drawing
				and is_null_packager_supplied = r.is_null_packager_supplied
				and is_null_package_cavity_size_x_mil = r.is_null_package_cavity_size_x_mil
				and is_null_package_cavity_size_y_mil = r.is_null_package_cavity_size_y_mil
				and is_null_package_id = r.is_null_package_id
				and is_null_package_tier_count = r.is_null_package_tier_count
				and is_null_package_type = r.is_null_package_type
				and is_null_tiny_chip_allowed = r.is_null_tiny_chip_allowed
				and is_null_vendor_bonding_diagram = r.is_null_vendor_bonding_diagram
				and is_null_vendor_marketing_outline = r.is_null_vendor_marketing_outline
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_double (1)
			q.select_real (2)
			q.select_real (3)
			q.select_real (4)
			q.select_integer (5)
			q.select_real (6)
			q.select_string (7, 5)
			q.select_integer (8)
			q.select_string (9, 255)
			q.select_string (10, 8)
			q.select_integer (11)
			q.select_real (12)
			q.select_boolean (13)
			q.select_string (14, 50)
			q.select_string (15, 15)
			q.select_double (16)
			q.select_double (17)
			q.select_double (18)
			q.select_double (19)
			q.select_double (20)
			q.select_boolean (21)
			q.select_string (22, 4000)
			q.select_boolean (23)
			q.select_real (24)
			q.select_real (25)
			q.select_string (26, 25)
			q.select_integer (27)
			q.select_string (28, 10)
			q.select_boolean (29)
			q.select_string (30, 25)
			q.select_string (31, 25)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			autocad_scale_factor := q.double_value (1)
			body_size_x_mm := q.real_value (2)
			body_size_y_mm := q.real_value (3)
			body_thickness_mm := q.real_value (4)
			bonding_finger_count := q.integer_value (5)
			cavity_corner_radius_mil := q.real_value (6)
			cust_acct_no_supplier := q.integer_value (8)
			downbond_space_needed := q.integer_value (11)
			footprint_length_mm := q.real_value (12)
			leadframe := q.boolean_value (13)
			max_die_size_x := q.double_value (16)
			max_die_size_y := q.double_value (17)
			max_die_thickness_mils := q.double_value (18)
			min_die_size_x := q.double_value (19)
			min_die_size_y := q.double_value (20)
			m_default := q.boolean_value (21)
			packager_supplied := q.boolean_value (23)
			package_cavity_size_x_mil := q.real_value (24)
			package_cavity_size_y_mil := q.real_value (25)
			package_tier_count := q.integer_value (27)
			tiny_chip_allowed := q.boolean_value (29)
		end

	fill_in_references (q: SQL_QUERY)
		do
			cavity_orientation := q.string_value (7)
			descr := q.string_value (9)
			downbond_location_default := q.string_value (10)
			manufacturer_part_no := q.string_value (14)
			manufacturer_short_id := q.string_value (15)
			outline_drawing := q.string_value (22)
			package_id := q.string_value (26)
			package_type := q.string_value (28)
			vendor_bonding_diagram := q.string_value (30)
			vendor_marketing_outline := q.string_value (31)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (7, cavity_orientation)
			q.get_string_value (9, descr)
			q.get_string_value (10, downbond_location_default)
			q.get_string_value (14, manufacturer_part_no)
			q.get_string_value (15, manufacturer_short_id)
			q.get_string_value (22, outline_drawing)
			q.get_string_value (26, package_id)
			q.get_string_value (28, package_type)
			q.get_string_value (30, vendor_bonding_diagram)
			q.get_string_value (31, vendor_marketing_outline)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_autocad_scale_factor := q.is_null (1)
			is_null_body_size_x_mm := q.is_null (2)
			is_null_body_size_y_mm := q.is_null (3)
			is_null_body_thickness_mm := q.is_null (4)
			is_null_bonding_finger_count := q.is_null (5)
			is_null_cavity_corner_radius_mil := q.is_null (6)
			is_null_cavity_orientation := q.is_null (7)
			is_null_cust_acct_no_supplier := q.is_null (8)
			is_null_descr := q.is_null (9)
			is_null_downbond_location_default := q.is_null (10)
			is_null_downbond_space_needed := q.is_null (11)
			is_null_footprint_length_mm := q.is_null (12)
			is_null_leadframe := q.is_null (13)
			is_null_manufacturer_part_no := q.is_null (14)
			is_null_manufacturer_short_id := q.is_null (15)
			is_null_max_die_size_x := q.is_null (16)
			is_null_max_die_size_y := q.is_null (17)
			is_null_max_die_thickness_mils := q.is_null (18)
			is_null_min_die_size_x := q.is_null (19)
			is_null_min_die_size_y := q.is_null (20)
			is_null_m_default := q.is_null (21)
			is_null_outline_drawing := q.is_null (22)
			is_null_packager_supplied := q.is_null (23)
			is_null_package_cavity_size_x_mil := q.is_null (24)
			is_null_package_cavity_size_y_mil := q.is_null (25)
			is_null_package_id := q.is_null (26)
			is_null_package_tier_count := q.is_null (27)
			is_null_package_type := q.is_null (28)
			is_null_tiny_chip_allowed := q.is_null (29)
			is_null_vendor_bonding_diagram := q.is_null (30)
			is_null_vendor_marketing_outline := q.is_null (31)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_autocad_scale_factor := True
			is_null_body_size_x_mm := True
			is_null_body_size_y_mm := True
			is_null_body_thickness_mm := True
			is_null_bonding_finger_count := True
			is_null_cavity_corner_radius_mil := True
			is_null_cavity_orientation := True
			is_null_cust_acct_no_supplier := True
			is_null_descr := True
			is_null_downbond_location_default := True
			is_null_downbond_space_needed := True
			is_null_footprint_length_mm := True
			is_null_leadframe := True
			is_null_manufacturer_part_no := True
			is_null_manufacturer_short_id := True
			is_null_max_die_size_x := True
			is_null_max_die_size_y := True
			is_null_max_die_thickness_mils := True
			is_null_min_die_size_x := True
			is_null_min_die_size_y := True
			is_null_m_default := True
			is_null_outline_drawing := True
			is_null_packager_supplied := True
			is_null_package_cavity_size_x_mil := True
			is_null_package_cavity_size_y_mil := True
			is_null_package_id := True
			is_null_package_tier_count := True
			is_null_package_type := True
			is_null_tiny_chip_allowed := True
			is_null_vendor_bonding_diagram := True
			is_null_vendor_marketing_outline := True
			create cavity_orientation.make (0)
			create descr.make (0)
			create downbond_location_default.make (0)
			create manufacturer_part_no.make (0)
			create manufacturer_short_id.make (0)
			create outline_drawing.make (0)
			create package_id.make (0)
			create package_type.make (0)
			create vendor_bonding_diagram.make (0)
			create vendor_marketing_outline.make (0)
		end

end
