
note

	date: "Thu Jan 21 12:59:46 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"PACKING_CUT_LOCATIONS (MOSIS.PACKING_CUT_LOCATIONS)"
			-- Included columns
			-- 	CUT_NO
			-- 	CUT_PATTERN_NO
			-- 	CUT_TYPE
			-- 	LOCATION
			-- 	ORIENTATION
			-- 	PACKING_ID
			-- 	VERSION_NO
			-- Excluded columns
			-- 	(none)

class PACKING_CUT_LOCATIONS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	PACKING_CUT_LOCATIONS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_cut_no (k: INTEGER)
		do
			change_key_field
			cut_no := k
			is_null_cut_no := False
		end

	set_cut_pattern_no (k: INTEGER)
		do
			change_key_field
			cut_pattern_no := k
			is_null_cut_pattern_no := False
		end

	set_cut_type (s: STRING)
		do
			change_field (True, True)
			cut_type := s
			if s = Void then
				create cut_type.make (0)
			end
			is_null_cut_type := s = Void or else s.count = 0
		end

	set_location (d: DOUBLE)
		do
			change_field (True, True)
			location := d
			is_null_location := False
		end

	set_orientation (s: STRING)
		do
			change_field (True, True)
			orientation := s
			if s = Void then
				create orientation.make (0)
			end
			is_null_orientation := s = Void or else s.count = 0
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_version_no (k: INTEGER)
		do
			change_key_field
			version_no := k
			is_null_version_no := False
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_cut_no then
				handle_null_copy_error ("cut_no")
			else
				set_cut_no (r.cut_no)
			end
			if r.is_null_cut_pattern_no then
				handle_null_copy_error ("cut_pattern_no")
			else
				set_cut_pattern_no (r.cut_pattern_no)
			end
			if r.is_null_cut_type then
				handle_null_copy_error ("cut_type")
			else
				set_cut_type (r.cut_type)
			end
			if r.is_null_location then
				handle_null_copy_error ("location")
			else
				set_location (r.location)
			end
			if r.is_null_orientation then
				handle_null_copy_error ("orientation")
			else
				set_orientation (r.orientation)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_version_no then
				handle_null_copy_error ("version_no")
			else
				set_version_no (r.version_no)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, cut_no, is_null_cut_no)
			s.bind_num_to_integer (2, cut_pattern_no, is_null_cut_pattern_no)
			s.bind_num_to_string (3, cut_type, is_null_cut_type)
			s.bind_num_to_double (4, location, is_null_location)
			s.bind_num_to_string (5, orientation, is_null_orientation)
			s.bind_num_to_string (6, packing_id, is_null_packing_id)
			s.bind_num_to_integer (7, version_no, is_null_version_no)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7"

	bind_list_for_update: STRING = "  cut_no = :1, cut_pattern_no = :2, cut_type = :3, location = :4,%N  orientation = :5, packing_id = :6, version_no = :7"

end
