
note

	date: "Tue May  1 10:33:40 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKING_CUT_PATTERNS (MOSIS.PACKING_CUT_PATTERNS)"
			-- Included columns
			-- 	CUT_PATTERN_NO
			-- 	CUT_PATTERN_NO_PARENT
			-- 	CUT_PATTERN_XFORM_TYPE
			-- 	EXTERNAL_CUT_DISTANCE_BOTTOM
			-- 	EXTERNAL_CUT_DISTANCE_LEFT
			-- 	EXTERNAL_CUT_DISTANCE_RIGHT
			-- 	EXTERNAL_CUT_DISTANCE_TOP
			-- 	FIELD_NAME
			-- 	IS_COMPLETED
			-- 	PACKING_ID
			-- 	QUANTITY_WAFERS_NEEDED
			-- 	SAW_BLADE_WIDTH
			-- 	VERSION_NO
			-- 	WAFER_ETEST_NAME
			-- Excluded columns
			-- 	(none)

class PACKING_CUT_PATTERNS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values,
			copy_from_row,
			detached_twin
		end
	PACKING_CUT_PATTERNS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_cut_pattern_no (k: INTEGER)
		do
			change_key_field
			cut_pattern_no := k
			is_null_cut_pattern_no := False
		end

	set_cut_pattern_no_parent (k: INTEGER)
		do
			change_field (True, True)
			cut_pattern_no_parent := k
			is_null_cut_pattern_no_parent := False
		end

	set_cut_pattern_xform_type (s: STRING)
		do
			change_field (True, True)
			cut_pattern_xform_type := s
			if s = Void then
				create cut_pattern_xform_type.make (0)
			end
			is_null_cut_pattern_xform_type := s = Void or else s.count = 0
		end

	set_external_cut_distance_bottom (d: DOUBLE)
		do
			change_field (True, True)
			external_cut_distance_bottom := d
			is_null_external_cut_distance_bottom := False
		end

	set_external_cut_distance_left (d: DOUBLE)
		do
			change_field (True, True)
			external_cut_distance_left := d
			is_null_external_cut_distance_left := False
		end

	set_external_cut_distance_right (d: DOUBLE)
		do
			change_field (True, True)
			external_cut_distance_right := d
			is_null_external_cut_distance_right := False
		end

	set_external_cut_distance_top (d: DOUBLE)
		do
			change_field (True, True)
			external_cut_distance_top := d
			is_null_external_cut_distance_top := False
		end

	set_field_name (s: STRING)
		do
			change_field (True, True)
			field_name := s
			if s = Void then
				create field_name.make (0)
			end
			is_null_field_name := s = Void or else s.count = 0
		end

	set_is_completed (b: BOOLEAN)
		do
			change_field (True, True)
			is_completed := b
			is_null_is_completed := False
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_quantity_wafers_needed (k: INTEGER)
		do
			change_field (True, True)
			quantity_wafers_needed := k
			is_null_quantity_wafers_needed := False
		end

	set_saw_blade_width (d: DOUBLE)
		do
			change_field (True, True)
			saw_blade_width := d
			is_null_saw_blade_width := False
		end

	set_version_no (k: INTEGER)
		do
			change_key_field
			version_no := k
			is_null_version_no := False
		end

	set_wafer_etest_name (s: STRING)
		do
			change_field (True, True)
			wafer_etest_name := s
			if s = Void then
				create wafer_etest_name.make (0)
			end
			is_null_wafer_etest_name := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_cut_pattern_no_parent
		do
			change_field (True, True)
			cut_pattern_no_parent := 0
			is_null_cut_pattern_no_parent := True
		end

	set_null_external_cut_distance_bottom
		do
			change_field (True, True)
			external_cut_distance_bottom := 0.0
			is_null_external_cut_distance_bottom := True
		end

	set_null_external_cut_distance_left
		do
			change_field (True, True)
			external_cut_distance_left := 0.0
			is_null_external_cut_distance_left := True
		end

	set_null_external_cut_distance_right
		do
			change_field (True, True)
			external_cut_distance_right := 0.0
			is_null_external_cut_distance_right := True
		end

	set_null_external_cut_distance_top
		do
			change_field (True, True)
			external_cut_distance_top := 0.0
			is_null_external_cut_distance_top := True
		end

	set_null_quantity_wafers_needed
		do
			change_field (True, True)
			quantity_wafers_needed := 0
			is_null_quantity_wafers_needed := True
		end

	set_null_wafer_etest_name
		do
			set_wafer_etest_name (Void)
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_cut_pattern_no then
				handle_null_copy_error ("cut_pattern_no")
			else
				set_cut_pattern_no (r.cut_pattern_no)
			end
			if r.is_null_cut_pattern_no_parent then
				set_null_cut_pattern_no_parent
			else
				set_cut_pattern_no_parent (r.cut_pattern_no_parent)
			end
			if r.is_null_cut_pattern_xform_type then
				handle_null_copy_error ("cut_pattern_xform_type")
			else
				set_cut_pattern_xform_type (r.cut_pattern_xform_type)
			end
			if r.is_null_external_cut_distance_bottom then
				set_null_external_cut_distance_bottom
			else
				set_external_cut_distance_bottom (r.external_cut_distance_bottom)
			end
			if r.is_null_external_cut_distance_left then
				set_null_external_cut_distance_left
			else
				set_external_cut_distance_left (r.external_cut_distance_left)
			end
			if r.is_null_external_cut_distance_right then
				set_null_external_cut_distance_right
			else
				set_external_cut_distance_right (r.external_cut_distance_right)
			end
			if r.is_null_external_cut_distance_top then
				set_null_external_cut_distance_top
			else
				set_external_cut_distance_top (r.external_cut_distance_top)
			end
			if r.is_null_field_name then
				handle_null_copy_error ("field_name")
			else
				set_field_name (r.field_name)
			end
			if r.is_null_is_completed then
				handle_null_copy_error ("is_completed")
			else
				set_is_completed (r.is_completed)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_quantity_wafers_needed then
				set_null_quantity_wafers_needed
			else
				set_quantity_wafers_needed (r.quantity_wafers_needed)
			end
			if r.is_null_saw_blade_width then
				handle_null_copy_error ("saw_blade_width")
			else
				set_saw_blade_width (r.saw_blade_width)
			end
			if r.is_null_version_no then
				handle_null_copy_error ("version_no")
			else
				set_version_no (r.version_no)
			end
			if r.is_null_wafer_etest_name then
				set_null_wafer_etest_name
			else
				set_wafer_etest_name (r.wafer_etest_name)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Initialization

	set_default_values
		do
			is_completed := False
			is_null_is_completed := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, cut_pattern_no, is_null_cut_pattern_no)
			s.bind_num_to_integer (2, cut_pattern_no_parent, is_null_cut_pattern_no_parent)
			s.bind_num_to_string (3, cut_pattern_xform_type, is_null_cut_pattern_xform_type)
			s.bind_num_to_double (4, external_cut_distance_bottom, is_null_external_cut_distance_bottom)
			s.bind_num_to_double (5, external_cut_distance_left, is_null_external_cut_distance_left)
			s.bind_num_to_double (6, external_cut_distance_right, is_null_external_cut_distance_right)
			s.bind_num_to_double (7, external_cut_distance_top, is_null_external_cut_distance_top)
			s.bind_num_to_string (8, field_name, is_null_field_name)
			s.bind_num_to_boolean (9, is_completed, is_null_is_completed)
			s.bind_num_to_string (10, packing_id, is_null_packing_id)
			s.bind_num_to_integer (11, quantity_wafers_needed, is_null_quantity_wafers_needed)
			s.bind_num_to_double (12, saw_blade_width, is_null_saw_blade_width)
			s.bind_num_to_integer (13, version_no, is_null_version_no)
			s.bind_num_to_string (14, wafer_etest_name, is_null_wafer_etest_name)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14"

	bind_list_for_update: STRING = "  cut_pattern_no = :1, cut_pattern_no_parent = :2,%N  cut_pattern_xform_type = :3, external_cut_distance_bottom = :4,%N  external_cut_distance_left = :5, external_cut_distance_right = :6,%N  external_cut_distance_top = :7, field_name = :8, is_completed = :9,%N  packing_id = :10, quantity_wafers_needed = :11, saw_blade_width = :12,%N  version_no = :13, wafer_etest_name = :14"

end
