
note

	date: "Thu Jan 21 12:59:47 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"PACKING_PARTITIONS (MOSIS.PACKING_PARTITIONS)"
			-- Included columns
			-- 	FIELD_NAME
			-- 	IS_DELETABLE
			-- 	IS_MOVABLE_IN_X
			-- 	IS_MOVABLE_IN_Y
			-- 	LOCATION_X
			-- 	LOCATION_Y
			-- 	PACKING_ID
			-- 	PARTITION_NO
			-- 	PARTITION_SIZE_X
			-- 	PARTITION_SIZE_Y
			-- 	VERSION_NO
			-- 	WAFER_ETEST_NAME
			-- Excluded columns
			-- 	(none)

class PACKING_PARTITIONS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values,
			copy_from_row,
			detached_twin
		end
	PACKING_PARTITIONS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_field_name (s: STRING)
		do
			change_field (True, True)
			field_name := s
			if s = Void then
				create field_name.make (0)
			end
			is_null_field_name := s = Void or else s.count = 0
		end

	set_is_deletable (b: BOOLEAN)
		do
			change_field (True, True)
			is_deletable := b
			is_null_is_deletable := False
		end

	set_is_movable_in_x (b: BOOLEAN)
		do
			change_field (True, True)
			is_movable_in_x := b
			is_null_is_movable_in_x := False
		end

	set_is_movable_in_y (b: BOOLEAN)
		do
			change_field (True, True)
			is_movable_in_y := b
			is_null_is_movable_in_y := False
		end

	set_location_x (d: DOUBLE)
		do
			change_field (True, True)
			location_x := d
			is_null_location_x := False
		end

	set_location_y (d: DOUBLE)
		do
			change_field (True, True)
			location_y := d
			is_null_location_y := False
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_partition_no (k: INTEGER)
		do
			change_key_field
			partition_no := k
			is_null_partition_no := False
		end

	set_partition_size_x (d: DOUBLE)
		do
			change_field (True, True)
			partition_size_x := d
			is_null_partition_size_x := False
		end

	set_partition_size_y (d: DOUBLE)
		do
			change_field (True, True)
			partition_size_y := d
			is_null_partition_size_y := False
		end

	set_version_no (k: INTEGER)
		do
			change_key_field
			version_no := k
			is_null_version_no := False
		end

	set_wafer_etest_name (s: STRING)
		do
			change_field (True, True)
			wafer_etest_name := s
			if s = Void then
				create wafer_etest_name.make (0)
			end
			is_null_wafer_etest_name := s = Void or else s.count = 0
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_field_name then
				handle_null_copy_error ("field_name")
			else
				set_field_name (r.field_name)
			end
			if r.is_null_is_deletable then
				handle_null_copy_error ("is_deletable")
			else
				set_is_deletable (r.is_deletable)
			end
			if r.is_null_is_movable_in_x then
				handle_null_copy_error ("is_movable_in_x")
			else
				set_is_movable_in_x (r.is_movable_in_x)
			end
			if r.is_null_is_movable_in_y then
				handle_null_copy_error ("is_movable_in_y")
			else
				set_is_movable_in_y (r.is_movable_in_y)
			end
			if r.is_null_location_x then
				handle_null_copy_error ("location_x")
			else
				set_location_x (r.location_x)
			end
			if r.is_null_location_y then
				handle_null_copy_error ("location_y")
			else
				set_location_y (r.location_y)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_partition_no then
				handle_null_copy_error ("partition_no")
			else
				set_partition_no (r.partition_no)
			end
			if r.is_null_partition_size_x then
				handle_null_copy_error ("partition_size_x")
			else
				set_partition_size_x (r.partition_size_x)
			end
			if r.is_null_partition_size_y then
				handle_null_copy_error ("partition_size_y")
			else
				set_partition_size_y (r.partition_size_y)
			end
			if r.is_null_version_no then
				handle_null_copy_error ("version_no")
			else
				set_version_no (r.version_no)
			end
			if r.is_null_wafer_etest_name then
				handle_null_copy_error ("wafer_etest_name")
			else
				set_wafer_etest_name (r.wafer_etest_name)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Initialization

	set_default_values
		do
			is_deletable := True
			is_null_is_deletable := False
			is_movable_in_x := True
			is_null_is_movable_in_x := False
			is_movable_in_y := True
			is_null_is_movable_in_y := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, field_name, is_null_field_name)
			s.bind_num_to_boolean (2, is_deletable, is_null_is_deletable)
			s.bind_num_to_boolean (3, is_movable_in_x, is_null_is_movable_in_x)
			s.bind_num_to_boolean (4, is_movable_in_y, is_null_is_movable_in_y)
			s.bind_num_to_double (5, location_x, is_null_location_x)
			s.bind_num_to_double (6, location_y, is_null_location_y)
			s.bind_num_to_string (7, packing_id, is_null_packing_id)
			s.bind_num_to_integer (8, partition_no, is_null_partition_no)
			s.bind_num_to_double (9, partition_size_x, is_null_partition_size_x)
			s.bind_num_to_double (10, partition_size_y, is_null_partition_size_y)
			s.bind_num_to_integer (11, version_no, is_null_version_no)
			s.bind_num_to_string (12, wafer_etest_name, is_null_wafer_etest_name)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12"

	bind_list_for_update: STRING = "  field_name = :1, is_deletable = :2, is_movable_in_x = :3,%N  is_movable_in_y = :4, location_x = :5, location_y = :6, packing_id = :7,%N  partition_no = :8, partition_size_x = :9, partition_size_y = :10,%N  version_no = :11, wafer_etest_name = :12"

end
