
note

	date: "Mon Jun 25 09:31:27 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKING_PROJECT_OPTIONS (MOSIS.PACKING_PROJECT_OPTIONS)"
			-- Included columns
			-- 	IS_EXPLICIT
			-- 	OPTION_ID
			-- 	OPTION_IN_PROCESS
			-- 	PACKING_ID
			-- 	PROJECT_NO
			-- 	PROJECT_VERSION_NO
			-- Excluded columns
			-- 	(none)

class PACKING_PROJECT_OPTIONS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	PACKING_PROJECT_OPTIONS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_is_explicit (b: BOOLEAN)
		do
			change_key_field
			is_explicit := b
			is_null_is_explicit := False
		end

	set_option_id (s: STRING)
		do
			change_key_field
			option_id := s
			if s = Void then
				create option_id.make (0)
			end
			is_null_option_id := s = Void or else s.count = 0
		end

	set_option_in_process (b: BOOLEAN)
		do
			change_field (True, True)
			option_in_process := b
			is_null_option_in_process := False
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_project_no (k: INTEGER)
		do
			change_key_field
			project_no := k
			is_null_project_no := False
		end

	set_project_version_no (k: INTEGER)
		do
			change_key_field
			project_version_no := k
			is_null_project_version_no := False
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_is_explicit then
				handle_null_copy_error ("is_explicit")
			else
				set_is_explicit (r.is_explicit)
			end
			if r.is_null_option_id then
				handle_null_copy_error ("option_id")
			else
				set_option_id (r.option_id)
			end
			if r.is_null_option_in_process then
				handle_null_copy_error ("option_in_process")
			else
				set_option_in_process (r.option_in_process)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_project_no then
				handle_null_copy_error ("project_no")
			else
				set_project_no (r.project_no)
			end
			if r.is_null_project_version_no then
				handle_null_copy_error ("project_version_no")
			else
				set_project_version_no (r.project_version_no)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_boolean (1, is_explicit, is_null_is_explicit)
			s.bind_num_to_string (2, option_id, is_null_option_id)
			s.bind_num_to_boolean (3, option_in_process, is_null_option_in_process)
			s.bind_num_to_string (4, packing_id, is_null_packing_id)
			s.bind_num_to_integer (5, project_no, is_null_project_no)
			s.bind_num_to_integer (6, project_version_no, is_null_project_version_no)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6"

	bind_list_for_update: STRING = "  is_explicit = :1, option_id = :2, option_in_process = :3,%N  packing_id = :4, project_no = :5, project_version_no = :6"

end
