
note

	date: "Mon Jun 25 09:31:27 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKING_PROJECT_PACKAGINGS (MOSIS.PACKING_PROJECT_PACKAGINGS)"
			-- Included columns
			-- 	DESIGN_PACKAGE_ROTATION
			-- 	DESIGN_PACKAGE_ROTATION_REQD
			-- 	DIE_THICKNESS_MILS
			-- 	DOWNBOND_LOCATION_REQD
			-- 	LINE_NO
			-- 	PACKAGED
			-- 	PACKAGE_ID
			-- 	PACKAGE_REQUESTED
			-- 	PACKING_ID
			-- 	PROJECT_NO
			-- 	PROJECT_VERSION_NO
			-- 	QUANTITY_ORDERED
			-- 	QUANTITY_PACKAGED_REQUESTED
			-- Excluded columns
			-- 	(none)

class PACKING_PROJECT_PACKAGINGS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	PACKING_PROJECT_PACKAGINGS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_design_package_rotation (k: INTEGER)
		do
			change_field (True, True)
			design_package_rotation := k
			is_null_design_package_rotation := False
		end

	set_design_package_rotation_reqd (k: INTEGER)
		do
			change_field (True, True)
			design_package_rotation_reqd := k
			is_null_design_package_rotation_reqd := False
		end

	set_die_thickness_mils (d: DOUBLE)
		do
			change_field (True, True)
			die_thickness_mils := d
			is_null_die_thickness_mils := False
		end

	set_downbond_location_reqd (s: STRING)
		do
			change_field (True, True)
			downbond_location_reqd := s
			if s = Void then
				create downbond_location_reqd.make (0)
			end
			is_null_downbond_location_reqd := s = Void or else s.count = 0
		end

	set_line_no (k: INTEGER)
		do
			change_key_field
			line_no := k
			is_null_line_no := False
		end

	set_packaged (b: BOOLEAN)
		do
			change_field (True, True)
			packaged := b
			is_null_packaged := False
		end

	set_package_id (s: STRING)
		do
			change_field (True, True)
			package_id := s
			if s = Void then
				create package_id.make (0)
			end
			is_null_package_id := s = Void or else s.count = 0
		end

	set_package_requested (s: STRING)
		do
			change_field (True, True)
			package_requested := s
			if s = Void then
				create package_requested.make (0)
			end
			is_null_package_requested := s = Void or else s.count = 0
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_project_no (k: INTEGER)
		do
			change_key_field
			project_no := k
			is_null_project_no := False
		end

	set_project_version_no (k: INTEGER)
		do
			change_key_field
			project_version_no := k
			is_null_project_version_no := False
		end

	set_quantity_ordered (k: INTEGER)
		do
			change_field (True, True)
			quantity_ordered := k
			is_null_quantity_ordered := False
		end

	set_quantity_packaged_requested (k: INTEGER)
		do
			change_field (True, True)
			quantity_packaged_requested := k
			is_null_quantity_packaged_requested := False
		end

feature -- Modification to null

	set_null_design_package_rotation
		do
			change_field (True, True)
			design_package_rotation := 0
			is_null_design_package_rotation := True
		end

	set_null_design_package_rotation_reqd
		do
			change_field (True, True)
			design_package_rotation_reqd := 0
			is_null_design_package_rotation_reqd := True
		end

	set_null_die_thickness_mils
		do
			change_field (True, True)
			die_thickness_mils := 0.0
			is_null_die_thickness_mils := True
		end

	set_null_downbond_location_reqd
		do
			set_downbond_location_reqd (Void)
		end

	set_null_packaged
		do
			change_field (True, True)
			packaged := False
			is_null_packaged := True
		end

	set_null_package_id
		do
			set_package_id (Void)
		end

	set_null_package_requested
		do
			set_package_requested (Void)
		end

	set_null_quantity_ordered
		do
			change_field (True, True)
			quantity_ordered := 0
			is_null_quantity_ordered := True
		end

	set_null_quantity_packaged_requested
		do
			change_field (True, True)
			quantity_packaged_requested := 0
			is_null_quantity_packaged_requested := True
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_design_package_rotation then
				set_null_design_package_rotation
			else
				set_design_package_rotation (r.design_package_rotation)
			end
			if r.is_null_design_package_rotation_reqd then
				set_null_design_package_rotation_reqd
			else
				set_design_package_rotation_reqd (r.design_package_rotation_reqd)
			end
			if r.is_null_die_thickness_mils then
				set_null_die_thickness_mils
			else
				set_die_thickness_mils (r.die_thickness_mils)
			end
			if r.is_null_downbond_location_reqd then
				set_null_downbond_location_reqd
			else
				set_downbond_location_reqd (r.downbond_location_reqd)
			end
			if r.is_null_line_no then
				handle_null_copy_error ("line_no")
			else
				set_line_no (r.line_no)
			end
			if r.is_null_packaged then
				set_null_packaged
			else
				set_packaged (r.packaged)
			end
			if r.is_null_package_id then
				set_null_package_id
			else
				set_package_id (r.package_id)
			end
			if r.is_null_package_requested then
				set_null_package_requested
			else
				set_package_requested (r.package_requested)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_project_no then
				handle_null_copy_error ("project_no")
			else
				set_project_no (r.project_no)
			end
			if r.is_null_project_version_no then
				handle_null_copy_error ("project_version_no")
			else
				set_project_version_no (r.project_version_no)
			end
			if r.is_null_quantity_ordered then
				set_null_quantity_ordered
			else
				set_quantity_ordered (r.quantity_ordered)
			end
			if r.is_null_quantity_packaged_requested then
				set_null_quantity_packaged_requested
			else
				set_quantity_packaged_requested (r.quantity_packaged_requested)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_integer (1, design_package_rotation, is_null_design_package_rotation)
			s.bind_num_to_integer (2, design_package_rotation_reqd, is_null_design_package_rotation_reqd)
			s.bind_num_to_double (3, die_thickness_mils, is_null_die_thickness_mils)
			s.bind_num_to_string (4, downbond_location_reqd, is_null_downbond_location_reqd)
			s.bind_num_to_integer (5, line_no, is_null_line_no)
			s.bind_num_to_boolean (6, packaged, is_null_packaged)
			s.bind_num_to_string (7, package_id, is_null_package_id)
			s.bind_num_to_string (8, package_requested, is_null_package_requested)
			s.bind_num_to_string (9, packing_id, is_null_packing_id)
			s.bind_num_to_integer (10, project_no, is_null_project_no)
			s.bind_num_to_integer (11, project_version_no, is_null_project_version_no)
			s.bind_num_to_integer (12, quantity_ordered, is_null_quantity_ordered)
			s.bind_num_to_integer (13, quantity_packaged_requested, is_null_quantity_packaged_requested)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13"

	bind_list_for_update: STRING = "  design_package_rotation = :1, design_package_rotation_reqd = :2,%N  die_thickness_mils = :3, downbond_location_reqd = :4, line_no = :5,%N  packaged = :6, package_id = :7, package_requested = :8, packing_id = :9,%N  project_no = :10, project_version_no = :11, quantity_ordered = :12,%N  quantity_packaged_requested = :13"

end
