
note

	date: "Mon Jun 25 09:31:27 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKING_PROJECTS (MOSIS.PACKING_PROJECTS)"
			-- Included columns
			-- 	ALLOW_OVERSIZE_DIE_ON_RUN
			-- 	CUST_ACCT_NO
			-- 	DATE_FAB_REQUESTED
			-- 	DATE_SELECTED
			-- 	DATE_SYNCHRONIZED
			-- 	DESIGN_ACCEPT_STATE
			-- 	DESIGN_DIE_ROTATION
			-- 	DESIGN_NAME
			-- 	DESIGN_NO
			-- 	DESIGN_SIZE_X
			-- 	DESIGN_SIZE_Y
			-- 	DESIGN_TECHN_ID
			-- 	DESIGN_WAFER_ROTATION_REQD
			-- 	EXPORT_CONTROL_TYPE
			-- 	IC_FAB_INSTANCE_TYPE
			-- 	IS_DESIGN_SIZE_ESTIMATE
			-- 	IS_PRELIMINARY
			-- 	MAX_ALLOWED_DIE_SIZE_X
			-- 	MAX_ALLOWED_DIE_SIZE_Y
			-- 	M_FAB_NO
			-- 	NET_ADDRESS
			-- 	OVERHEAD_STYLE
			-- 	OVERSIZE_DIE_INCL_CONDITIONS
			-- 	PACKING_ID
			-- 	PHONE_NUMBER
			-- 	PROJECT_NO
			-- 	PROJECT_STATE
			-- 	PROJECT_VERSION_NO
			-- 	QUANTITY_ORDERED
			-- 	QUANTITY_REQUESTED
			-- 	QUANTITY_UNPACKAGED_REQUESTED
			-- 	RUN_DATE_REQUESTED
			-- 	RUN_ID_COPY
			-- 	RUN_TYPE_REQUESTED
			-- 	TEST_VEHICLE_DESIGN_NO
			-- Excluded columns
			-- 	(none)

class PACKING_PROJECTS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_packing_id: STRING; the_project_no: INTEGER; the_project_version_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_packing_id_exists: the_packing_id /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			packing_id := the_packing_id
			project_no := the_project_no
			project_version_no := the_project_version_no
			is_null_packing_id := False
			is_null_project_no := False
			is_null_project_version_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 35

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  allow_oversize_die_on_run, cust_acct_no, date_fab_requested,%N  date_selected, date_synchronized, design_accept_state,%N  design_die_rotation, design_name, design_no, design_size_x,%N  design_size_y, design_techn_id, design_wafer_rotation_reqd,%N  export_control_type, ic_fab_instance_type, is_design_size_estimate,%N  is_preliminary, max_allowed_die_size_x, max_allowed_die_size_y, m_fab_no,%N  net_address, overhead_style, oversize_die_incl_conditions, packing_id,%N  phone_number, project_no, project_state, project_version_no,%N  quantity_ordered, quantity_requested, quantity_unpackaged_requested,%N  run_date_requested, run_id_copy, run_type_requested,%N  test_vehicle_design_no"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "packing_projects pckp"

	join_condition: STRING = ""

	table_name: STRING = "packing_projects"

	key_where_clause: STRING = "packing_id = :1 and project_no = :2 and project_version_no = :3"

feature -- Values

	allow_oversize_die_on_run: BOOLEAN
			-- DB: CHAR(1)

	cust_acct_no: INTEGER
			-- DB: NUMBER(6,0) not null

	date_fab_requested: DB_DATE
			-- DB: DATE

	date_selected: DB_DATE
			-- DB: DATE not null

	date_synchronized: DB_DATE
			-- DB: DATE not null

	design_accept_state: STRING
			-- DB: VARCHAR2(15)

	design_die_rotation: INTEGER
			-- DB: NUMBER(3,0)

	design_name: STRING
			-- DB: VARCHAR2(255) not null

	design_no: INTEGER
			-- DB: NUMBER(6,0)

	design_size_x: DOUBLE
			-- DB: NUMBER(12,6)

	design_size_y: DOUBLE
			-- DB: NUMBER(12,6)

	design_techn_id: STRING
			-- DB: VARCHAR2(50) not null

	design_wafer_rotation_reqd: INTEGER
			-- DB: NUMBER(3,0)

	export_control_type: STRING
			-- DB: VARCHAR2(8)

	ic_fab_instance_type: STRING
			-- DB: VARCHAR2(20) not null

	is_design_size_estimate: BOOLEAN
			-- DB: CHAR(1) not null

	is_preliminary: BOOLEAN
			-- DB: CHAR(1) not null

	max_allowed_die_size_x: DOUBLE
			-- DB: NUMBER(12,6)

	max_allowed_die_size_y: DOUBLE
			-- DB: NUMBER(12,6)

	m_fab_no: INTEGER
			-- DB: NUMBER(6,0)

	net_address: STRING
			-- DB: VARCHAR2(300)

	overhead_style: STRING
			-- DB: VARCHAR2(12)

	oversize_die_incl_conditions: STRING
			-- DB: VARCHAR2(4000)

	packing_id: STRING
			-- DB: VARCHAR2(30) not null

	phone_number: STRING
			-- DB: VARCHAR2(200)

	project_no: INTEGER
			-- DB: NUMBER(4,0) not null

	project_state: STRING
			-- DB: VARCHAR2(15)

	project_version_no: INTEGER
			-- DB: NUMBER(4,0) not null

	quantity_ordered: INTEGER
			-- DB: NUMBER(6,0)

	quantity_requested: INTEGER
			-- DB: NUMBER(6,0)

	quantity_unpackaged_requested: INTEGER
			-- DB: NUMBER(6,0)

	run_date_requested: DB_DATE
			-- DB: DATE

	run_id_copy: STRING
			-- DB: CHAR(4)

	run_type_requested: STRING
			-- DB: VARCHAR2(5)

	test_vehicle_design_no: INTEGER
			-- DB: NUMBER(6,0)

feature -- Maximum database lengths for character columns

	maxlen_design_accept_state: INTEGER = 15
	maxlen_design_name: INTEGER = 255
	maxlen_design_techn_id: INTEGER = 50
	maxlen_export_control_type: INTEGER = 8
	maxlen_ic_fab_instance_type: INTEGER = 20
	maxlen_net_address: INTEGER = 300
	maxlen_overhead_style: INTEGER = 12
	maxlen_oversize_die_incl_conditions: INTEGER = 4000
	maxlen_packing_id: INTEGER = 30
	maxlen_phone_number: INTEGER = 200
	maxlen_project_state: INTEGER = 15
	maxlen_run_id_copy: INTEGER = 4
	maxlen_run_type_requested: INTEGER = 5

feature -- Precisions for number columns

	precision_cust_acct_no: INTEGER = 6
	precision_design_die_rotation: INTEGER = 3
	precision_design_no: INTEGER = 6
	precision_design_size_x: INTEGER = 12
	precision_design_size_y: INTEGER = 12
	precision_design_wafer_rotation_reqd: INTEGER = 3
	precision_max_allowed_die_size_x: INTEGER = 12
	precision_max_allowed_die_size_y: INTEGER = 12
	precision_m_fab_no: INTEGER = 6
	precision_project_no: INTEGER = 4
	precision_project_version_no: INTEGER = 4
	precision_quantity_ordered: INTEGER = 6
	precision_quantity_requested: INTEGER = 6
	precision_quantity_unpackaged_requested: INTEGER = 6
	precision_test_vehicle_design_no: INTEGER = 6

feature -- Scales for number columns

	scale_cust_acct_no: INTEGER = 0
	scale_design_die_rotation: INTEGER = 0
	scale_design_no: INTEGER = 0
	scale_design_size_x: INTEGER = 6
	scale_design_size_y: INTEGER = 6
	scale_design_wafer_rotation_reqd: INTEGER = 0
	scale_max_allowed_die_size_x: INTEGER = 6
	scale_max_allowed_die_size_y: INTEGER = 6
	scale_m_fab_no: INTEGER = 0
	scale_project_no: INTEGER = 0
	scale_project_version_no: INTEGER = 0
	scale_quantity_ordered: INTEGER = 0
	scale_quantity_requested: INTEGER = 0
	scale_quantity_unpackaged_requested: INTEGER = 0
	scale_test_vehicle_design_no: INTEGER = 0

feature -- Nullness for null allowed columns

	is_null_allow_oversize_die_on_run: BOOLEAN
	is_null_date_fab_requested: BOOLEAN
	is_null_design_accept_state: BOOLEAN
	is_null_design_die_rotation: BOOLEAN
	is_null_design_no: BOOLEAN
	is_null_design_size_x: BOOLEAN
	is_null_design_size_y: BOOLEAN
	is_null_design_wafer_rotation_reqd: BOOLEAN
	is_null_export_control_type: BOOLEAN
	is_null_max_allowed_die_size_x: BOOLEAN
	is_null_max_allowed_die_size_y: BOOLEAN
	is_null_m_fab_no: BOOLEAN
	is_null_net_address: BOOLEAN
	is_null_overhead_style: BOOLEAN
	is_null_oversize_die_incl_conditions: BOOLEAN
	is_null_phone_number: BOOLEAN
	is_null_project_state: BOOLEAN
	is_null_quantity_ordered: BOOLEAN
	is_null_quantity_requested: BOOLEAN
	is_null_quantity_unpackaged_requested: BOOLEAN
	is_null_run_date_requested: BOOLEAN
	is_null_run_id_copy: BOOLEAN
	is_null_run_type_requested: BOOLEAN
	is_null_test_vehicle_design_no: BOOLEAN

feature -- Nullness for non-null columns

	is_null_cust_acct_no: BOOLEAN
	is_null_date_selected: BOOLEAN
	is_null_date_synchronized: BOOLEAN
	is_null_design_name: BOOLEAN
	is_null_design_techn_id: BOOLEAN
	is_null_ic_fab_instance_type: BOOLEAN
	is_null_is_design_size_estimate: BOOLEAN
	is_null_is_preliminary: BOOLEAN
	is_null_packing_id: BOOLEAN
	is_null_project_no: BOOLEAN
	is_null_project_version_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and project_no = r.project_no
				and project_version_no = r.project_version_no
			Result := Result
				and equal (packing_id, r.packing_id)
			Result := Result
				and is_null_packing_id = r.is_null_packing_id
				and is_null_project_no = r.is_null_project_no
				and is_null_project_version_no = r.is_null_project_version_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and allow_oversize_die_on_run = r.allow_oversize_die_on_run
				and cust_acct_no = r.cust_acct_no
				and design_die_rotation = r.design_die_rotation
				and design_no = r.design_no
				and design_size_x = r.design_size_x
				and design_size_y = r.design_size_y
				and design_wafer_rotation_reqd = r.design_wafer_rotation_reqd
				and is_design_size_estimate = r.is_design_size_estimate
				and is_preliminary = r.is_preliminary
				and max_allowed_die_size_x = r.max_allowed_die_size_x
				and max_allowed_die_size_y = r.max_allowed_die_size_y
				and m_fab_no = r.m_fab_no
				and quantity_ordered = r.quantity_ordered
				and quantity_requested = r.quantity_requested
				and quantity_unpackaged_requested = r.quantity_unpackaged_requested
				and test_vehicle_design_no = r.test_vehicle_design_no
			Result := Result
				and equal (date_fab_requested, r.date_fab_requested)
				and equal (date_selected, r.date_selected)
				and equal (date_synchronized, r.date_synchronized)
				and equal (design_accept_state, r.design_accept_state)
				and equal (design_name, r.design_name)
				and equal (design_techn_id, r.design_techn_id)
				and equal (export_control_type, r.export_control_type)
				and equal (ic_fab_instance_type, r.ic_fab_instance_type)
				and equal (net_address, r.net_address)
				and equal (overhead_style, r.overhead_style)
				and equal (oversize_die_incl_conditions, r.oversize_die_incl_conditions)
				and equal (phone_number, r.phone_number)
				and equal (project_state, r.project_state)
				and equal (run_date_requested, r.run_date_requested)
				and equal (run_id_copy, r.run_id_copy)
				and equal (run_type_requested, r.run_type_requested)
			Result := Result
				and is_null_allow_oversize_die_on_run = r.is_null_allow_oversize_die_on_run
				and is_null_cust_acct_no = r.is_null_cust_acct_no
				and is_null_date_fab_requested = r.is_null_date_fab_requested
				and is_null_date_selected = r.is_null_date_selected
				and is_null_date_synchronized = r.is_null_date_synchronized
				and is_null_design_accept_state = r.is_null_design_accept_state
				and is_null_design_die_rotation = r.is_null_design_die_rotation
				and is_null_design_name = r.is_null_design_name
				and is_null_design_no = r.is_null_design_no
				and is_null_design_size_x = r.is_null_design_size_x
				and is_null_design_size_y = r.is_null_design_size_y
				and is_null_design_techn_id = r.is_null_design_techn_id
				and is_null_design_wafer_rotation_reqd = r.is_null_design_wafer_rotation_reqd
				and is_null_export_control_type = r.is_null_export_control_type
				and is_null_ic_fab_instance_type = r.is_null_ic_fab_instance_type
				and is_null_is_design_size_estimate = r.is_null_is_design_size_estimate
				and is_null_is_preliminary = r.is_null_is_preliminary
				and is_null_max_allowed_die_size_x = r.is_null_max_allowed_die_size_x
				and is_null_max_allowed_die_size_y = r.is_null_max_allowed_die_size_y
				and is_null_m_fab_no = r.is_null_m_fab_no
				and is_null_net_address = r.is_null_net_address
				and is_null_overhead_style = r.is_null_overhead_style
				and is_null_oversize_die_incl_conditions = r.is_null_oversize_die_incl_conditions
				and is_null_phone_number = r.is_null_phone_number
				and is_null_project_state = r.is_null_project_state
				and is_null_quantity_ordered = r.is_null_quantity_ordered
				and is_null_quantity_requested = r.is_null_quantity_requested
				and is_null_quantity_unpackaged_requested = r.is_null_quantity_unpackaged_requested
				and is_null_run_date_requested = r.is_null_run_date_requested
				and is_null_run_id_copy = r.is_null_run_id_copy
				and is_null_run_type_requested = r.is_null_run_type_requested
				and is_null_test_vehicle_design_no = r.is_null_test_vehicle_design_no
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_boolean (1)
			q.select_integer (2)
			q.select_date (3)
			q.select_date (4)
			q.select_date (5)
			q.select_string (6, 15)
			q.select_integer (7)
			q.select_string (8, 255)
			q.select_integer (9)
			q.select_double (10)
			q.select_double (11)
			q.select_string (12, 50)
			q.select_integer (13)
			q.select_string (14, 8)
			q.select_string (15, 20)
			q.select_boolean (16)
			q.select_boolean (17)
			q.select_double (18)
			q.select_double (19)
			q.select_integer (20)
			q.select_string (21, 300)
			q.select_string (22, 12)
			q.select_string (23, 4000)
			q.select_string (24, 30)
			q.select_string (25, 200)
			q.select_integer (26)
			q.select_string (27, 15)
			q.select_integer (28)
			q.select_integer (29)
			q.select_integer (30)
			q.select_integer (31)
			q.select_date (32)
			q.select_string (33, 4)
			q.select_string (34, 5)
			q.select_integer (35)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			allow_oversize_die_on_run := q.boolean_value (1)
			cust_acct_no := q.integer_value (2)
			design_die_rotation := q.integer_value (7)
			design_no := q.integer_value (9)
			design_size_x := q.double_value (10)
			design_size_y := q.double_value (11)
			design_wafer_rotation_reqd := q.integer_value (13)
			is_design_size_estimate := q.boolean_value (16)
			is_preliminary := q.boolean_value (17)
			max_allowed_die_size_x := q.double_value (18)
			max_allowed_die_size_y := q.double_value (19)
			m_fab_no := q.integer_value (20)
			project_no := q.integer_value (26)
			project_version_no := q.integer_value (28)
			quantity_ordered := q.integer_value (29)
			quantity_requested := q.integer_value (30)
			quantity_unpackaged_requested := q.integer_value (31)
			test_vehicle_design_no := q.integer_value (35)
		end

	fill_in_references (q: SQL_QUERY)
		do
			date_fab_requested := q.date_value (3)
			date_selected := q.date_value (4)
			date_synchronized := q.date_value (5)
			design_accept_state := q.string_value (6)
			design_name := q.string_value (8)
			design_techn_id := q.string_value (12)
			export_control_type := q.string_value (14)
			ic_fab_instance_type := q.string_value (15)
			net_address := q.string_value (21)
			overhead_style := q.string_value (22)
			oversize_die_incl_conditions := q.string_value (23)
			packing_id := q.string_value (24)
			phone_number := q.string_value (25)
			project_state := q.string_value (27)
			run_date_requested := q.date_value (32)
			run_id_copy := q.string_value (33)
			run_type_requested := q.string_value (34)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_date_value (3, date_fab_requested)
			q.get_date_value (4, date_selected)
			q.get_date_value (5, date_synchronized)
			q.get_string_value (6, design_accept_state)
			q.get_string_value (8, design_name)
			q.get_string_value (12, design_techn_id)
			q.get_string_value (14, export_control_type)
			q.get_string_value (15, ic_fab_instance_type)
			q.get_string_value (21, net_address)
			q.get_string_value (22, overhead_style)
			q.get_string_value (23, oversize_die_incl_conditions)
			q.get_string_value (24, packing_id)
			q.get_string_value (25, phone_number)
			q.get_string_value (27, project_state)
			q.get_date_value (32, run_date_requested)
			q.get_string_value (33, run_id_copy)
			q.get_string_value (34, run_type_requested)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_allow_oversize_die_on_run := q.is_null (1)
			is_null_cust_acct_no := q.is_null (2)
			is_null_date_fab_requested := q.is_null (3)
			is_null_date_selected := q.is_null (4)
			is_null_date_synchronized := q.is_null (5)
			is_null_design_accept_state := q.is_null (6)
			is_null_design_die_rotation := q.is_null (7)
			is_null_design_name := q.is_null (8)
			is_null_design_no := q.is_null (9)
			is_null_design_size_x := q.is_null (10)
			is_null_design_size_y := q.is_null (11)
			is_null_design_techn_id := q.is_null (12)
			is_null_design_wafer_rotation_reqd := q.is_null (13)
			is_null_export_control_type := q.is_null (14)
			is_null_ic_fab_instance_type := q.is_null (15)
			is_null_is_design_size_estimate := q.is_null (16)
			is_null_is_preliminary := q.is_null (17)
			is_null_max_allowed_die_size_x := q.is_null (18)
			is_null_max_allowed_die_size_y := q.is_null (19)
			is_null_m_fab_no := q.is_null (20)
			is_null_net_address := q.is_null (21)
			is_null_overhead_style := q.is_null (22)
			is_null_oversize_die_incl_conditions := q.is_null (23)
			is_null_packing_id := q.is_null (24)
			is_null_phone_number := q.is_null (25)
			is_null_project_no := q.is_null (26)
			is_null_project_state := q.is_null (27)
			is_null_project_version_no := q.is_null (28)
			is_null_quantity_ordered := q.is_null (29)
			is_null_quantity_requested := q.is_null (30)
			is_null_quantity_unpackaged_requested := q.is_null (31)
			is_null_run_date_requested := q.is_null (32)
			is_null_run_id_copy := q.is_null (33)
			is_null_run_type_requested := q.is_null (34)
			is_null_test_vehicle_design_no := q.is_null (35)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_packing_id := True
			is_null_project_no := True
			is_null_project_version_no := True
			create packing_id.make (0)
		end

	set_null_nonkey
		do
			is_null_allow_oversize_die_on_run := True
			is_null_cust_acct_no := True
			is_null_date_fab_requested := True
			is_null_date_selected := True
			is_null_date_synchronized := True
			is_null_design_accept_state := True
			is_null_design_die_rotation := True
			is_null_design_name := True
			is_null_design_no := True
			is_null_design_size_x := True
			is_null_design_size_y := True
			is_null_design_techn_id := True
			is_null_design_wafer_rotation_reqd := True
			is_null_export_control_type := True
			is_null_ic_fab_instance_type := True
			is_null_is_design_size_estimate := True
			is_null_is_preliminary := True
			is_null_max_allowed_die_size_x := True
			is_null_max_allowed_die_size_y := True
			is_null_m_fab_no := True
			is_null_net_address := True
			is_null_overhead_style := True
			is_null_oversize_die_incl_conditions := True
			is_null_phone_number := True
			is_null_project_state := True
			is_null_quantity_ordered := True
			is_null_quantity_requested := True
			is_null_quantity_unpackaged_requested := True
			is_null_run_date_requested := True
			is_null_run_id_copy := True
			is_null_run_type_requested := True
			is_null_test_vehicle_design_no := True
			create {ORACLE_DATE} date_fab_requested.set_null
			create {ORACLE_DATE} date_selected.set_null
			create {ORACLE_DATE} date_synchronized.set_null
			create design_accept_state.make (0)
			create design_name.make (0)
			create design_techn_id.make (0)
			create export_control_type.make (0)
			create ic_fab_instance_type.make (0)
			create net_address.make (0)
			create overhead_style.make (0)
			create oversize_die_incl_conditions.make (0)
			create phone_number.make (0)
			create project_state.make (0)
			create {ORACLE_DATE} run_date_requested.set_null
			create run_id_copy.make (0)
			create run_type_requested.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, packing_id, False)
			q.bind_num_to_integer (2, project_no, False)
			q.bind_num_to_integer (3, project_version_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
			d: DB_DATE
		do
			s := temp_string
			d := temp_date
			Result := True
			Result := Result
				and allow_oversize_die_on_run = q.boolean_value (1)
				and cust_acct_no = q.integer_value (2)
				and design_die_rotation = q.integer_value (7)
				and design_no = q.integer_value (9)
				and design_size_x = q.double_value (10)
				and design_size_y = q.double_value (11)
				and design_wafer_rotation_reqd = q.integer_value (13)
				and is_design_size_estimate = q.boolean_value (16)
				and is_preliminary = q.boolean_value (17)
				and max_allowed_die_size_x = q.double_value (18)
				and max_allowed_die_size_y = q.double_value (19)
				and m_fab_no = q.integer_value (20)
				and project_no = q.integer_value (26)
				and project_version_no = q.integer_value (28)
				and quantity_ordered = q.integer_value (29)
				and quantity_requested = q.integer_value (30)
				and quantity_unpackaged_requested = q.integer_value (31)
				and test_vehicle_design_no = q.integer_value (35)
			q.get_date_value (3, d)
			Result := Result and equal (date_fab_requested, d)
			q.get_date_value (4, d)
			Result := Result and equal (date_selected, d)
			q.get_date_value (5, d)
			Result := Result and equal (date_synchronized, d)
			q.get_string_value (6, s)
			Result := Result and equal (design_accept_state, s)
			q.get_string_value (8, s)
			Result := Result and equal (design_name, s)
			q.get_string_value (12, s)
			Result := Result and equal (design_techn_id, s)
			q.get_string_value (14, s)
			Result := Result and equal (export_control_type, s)
			q.get_string_value (15, s)
			Result := Result and equal (ic_fab_instance_type, s)
			q.get_string_value (21, s)
			Result := Result and equal (net_address, s)
			q.get_string_value (22, s)
			Result := Result and equal (overhead_style, s)
			q.get_string_value (23, s)
			Result := Result and equal (oversize_die_incl_conditions, s)
			q.get_string_value (24, s)
			Result := Result and equal (packing_id, s)
			q.get_string_value (25, s)
			Result := Result and equal (phone_number, s)
			q.get_string_value (27, s)
			Result := Result and equal (project_state, s)
			q.get_date_value (32, d)
			Result := Result and equal (run_date_requested, d)
			q.get_string_value (33, s)
			Result := Result and equal (run_id_copy, s)
			q.get_string_value (34, s)
			Result := Result and equal (run_type_requested, s)
			Result := Result
				and is_null_allow_oversize_die_on_run = q.is_null (1)
				and is_null_cust_acct_no = q.is_null (2)
				and is_null_date_fab_requested = q.is_null (3)
				and is_null_date_selected = q.is_null (4)
				and is_null_date_synchronized = q.is_null (5)
				and is_null_design_accept_state = q.is_null (6)
				and is_null_design_die_rotation = q.is_null (7)
				and is_null_design_name = q.is_null (8)
				and is_null_design_no = q.is_null (9)
				and is_null_design_size_x = q.is_null (10)
				and is_null_design_size_y = q.is_null (11)
				and is_null_design_techn_id = q.is_null (12)
				and is_null_design_wafer_rotation_reqd = q.is_null (13)
				and is_null_export_control_type = q.is_null (14)
				and is_null_ic_fab_instance_type = q.is_null (15)
				and is_null_is_design_size_estimate = q.is_null (16)
				and is_null_is_preliminary = q.is_null (17)
				and is_null_max_allowed_die_size_x = q.is_null (18)
				and is_null_max_allowed_die_size_y = q.is_null (19)
				and is_null_m_fab_no = q.is_null (20)
				and is_null_net_address = q.is_null (21)
				and is_null_overhead_style = q.is_null (22)
				and is_null_oversize_die_incl_conditions = q.is_null (23)
				and is_null_packing_id = q.is_null (24)
				and is_null_phone_number = q.is_null (25)
				and is_null_project_no = q.is_null (26)
				and is_null_project_state = q.is_null (27)
				and is_null_project_version_no = q.is_null (28)
				and is_null_quantity_ordered = q.is_null (29)
				and is_null_quantity_requested = q.is_null (30)
				and is_null_quantity_unpackaged_requested = q.is_null (31)
				and is_null_run_date_requested = q.is_null (32)
				and is_null_run_id_copy = q.is_null (33)
				and is_null_run_type_requested = q.is_null (34)
				and is_null_test_vehicle_design_no = q.is_null (35)
		end

end
