
note

	date: "Tue Jun 12 13:14:06 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKING_TARGETS (MOSIS.PACKING_TARGETS)"
			-- Included columns
			-- 	DESCR
			-- 	IS_CUSTOM
			-- 	IS_FIELD_MERGED
			-- 	IS_RETICLE
			-- 	PACKING_TARGET
			-- Excluded columns
			-- 	(none)

class PACKING_TARGETS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_packing_target: STRING)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
			the_packing_target_exists: the_packing_target /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			packing_target := the_packing_target
			is_null_packing_target := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 5

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  descr, is_custom, is_field_merged, is_reticle, packing_target"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "packing_targets pkt"

	join_condition: STRING = ""

	table_name: STRING = "packing_targets"

	key_where_clause: STRING = "packing_target = :1"

feature -- Values

	descr: STRING
			-- DB: VARCHAR2(100)

	is_custom: BOOLEAN
			-- DB: CHAR(1) not null

	is_field_merged: BOOLEAN
			-- DB: CHAR(1)

	is_reticle: BOOLEAN
			-- DB: CHAR(1) not null

	packing_target: STRING
			-- DB: VARCHAR2(20) not null

feature -- Nullness for null allowed columns

	is_null_descr: BOOLEAN
	is_null_is_field_merged: BOOLEAN

feature -- Nullness for non-null columns

	is_null_is_custom: BOOLEAN
	is_null_is_reticle: BOOLEAN
	is_null_packing_target: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and equal (packing_target, r.packing_target)
			Result := Result
				and is_null_packing_target = r.is_null_packing_target
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and is_custom = r.is_custom
				and is_field_merged = r.is_field_merged
				and is_reticle = r.is_reticle
			Result := Result
				and equal (descr, r.descr)
			Result := Result
				and is_null_descr = r.is_null_descr
				and is_null_is_custom = r.is_null_is_custom
				and is_null_is_field_merged = r.is_null_is_field_merged
				and is_null_is_reticle = r.is_null_is_reticle
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 100)
			q.select_boolean (2)
			q.select_boolean (3)
			q.select_boolean (4)
			q.select_string (5, 20)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			is_custom := q.boolean_value (2)
			is_field_merged := q.boolean_value (3)
			is_reticle := q.boolean_value (4)
		end

	fill_in_references (q: SQL_QUERY)
		do
			descr := q.string_value (1)
			packing_target := q.string_value (5)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, descr)
			q.get_string_value (5, packing_target)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_descr := q.is_null (1)
			is_null_is_custom := q.is_null (2)
			is_null_is_field_merged := q.is_null (3)
			is_null_is_reticle := q.is_null (4)
			is_null_packing_target := q.is_null (5)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_packing_target := True
			create packing_target.make (0)
		end

	set_null_nonkey
		do
			is_null_descr := True
			is_null_is_custom := True
			is_null_is_field_merged := True
			is_null_is_reticle := True
			create descr.make (0)
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_string (1, packing_target, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
			s: STRING
		do
			s := temp_string
			Result := True
			Result := Result
				and is_custom = q.boolean_value (2)
				and is_field_merged = q.boolean_value (3)
				and is_reticle = q.boolean_value (4)
			q.get_string_value (1, s)
			Result := Result and equal (descr, s)
			q.get_string_value (5, s)
			Result := Result and equal (packing_target, s)
			Result := Result
				and is_null_descr = q.is_null (1)
				and is_null_is_custom = q.is_null (2)
				and is_null_is_field_merged = q.is_null (3)
				and is_null_is_reticle = q.is_null (4)
				and is_null_packing_target = q.is_null (5)
		end

end
