
note

	date: "Thu Jan 21 12:59:47 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"PACKING_WAFER_PROCESSES (MOSIS.PACKING_WAFER_PROCESSES)"
			-- Included columns
			-- 	PACKING_ID
			-- 	QUANTITY_WAFERS_ORDERED
			-- 	VERSION_NO
			-- 	WAFER_PROCESS
			-- Excluded columns
			-- 	(none)

class PACKING_WAFER_PROCESSES_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			copy_from_row,
			detached_twin
		end
	PACKING_WAFER_PROCESSES_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_quantity_wafers_ordered (k: INTEGER)
		do
			change_field (True, True)
			quantity_wafers_ordered := k
			is_null_quantity_wafers_ordered := False
		end

	set_version_no (k: INTEGER)
		do
			change_key_field
			version_no := k
			is_null_version_no := False
		end

	set_wafer_process (s: STRING)
		do
			change_key_field
			wafer_process := s
			if s = Void then
				create wafer_process.make (0)
			end
			is_null_wafer_process := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_quantity_wafers_ordered
		do
			change_field (True, True)
			quantity_wafers_ordered := 0
			is_null_quantity_wafers_ordered := True
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_quantity_wafers_ordered then
				set_null_quantity_wafers_ordered
			else
				set_quantity_wafers_ordered (r.quantity_wafers_ordered)
			end
			if r.is_null_version_no then
				handle_null_copy_error ("version_no")
			else
				set_version_no (r.version_no)
			end
			if r.is_null_wafer_process then
				handle_null_copy_error ("wafer_process")
			else
				set_wafer_process (r.wafer_process)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, packing_id, is_null_packing_id)
			s.bind_num_to_integer (2, quantity_wafers_ordered, is_null_quantity_wafers_ordered)
			s.bind_num_to_integer (3, version_no, is_null_version_no)
			s.bind_num_to_string (4, wafer_process, is_null_wafer_process)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4"

	bind_list_for_update: STRING = "  packing_id = :1, quantity_wafers_ordered = :2, version_no = :3,%N  wafer_process = :4"

end
