
note

	date: "Mon Jun 25 09:31:26 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"PACKINGS (MOSIS.PACKINGS)"
			-- Included columns
			-- 	ASSIGNED_RUN_ID
			-- 	CREATOR
			-- 	CUST_ACCT_ACCESS_PREDICATE
			-- 	DATE_CREATED
			-- 	DEDICATED_CUST_ACCT_NO
			-- 	DESCR
			-- 	FIELD_SET_NAME
			-- 	HORIZONTAL_SCRIBE_WIDTH
			-- 	INTENDED_RUN
			-- 	IS_EDUCATIONAL
			-- 	IS_TAXI
			-- 	OTHER_BORDER
			-- 	OVERHEAD_STYLE
			-- 	PACKED_WITH_NEW_PACKER
			-- 	PACKING_ID
			-- 	RUN_TYPE
			-- 	SCHED_RUN_NO
			-- 	UNIFORM_OVERRIDE_BORDER
			-- 	VERTICAL_SCRIBE_WIDTH
			-- 	WAFER_TECHN
			-- 	WAFER_TECHN_FAMILY
			-- Excluded columns
			-- 	(none)

class PACKINGS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values,
			copy_from_row,
			detached_twin
		end
	PACKINGS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_assigned_run_id (s: STRING)
		do
			change_field (True, True)
			assigned_run_id := s
			if s = Void then
				create assigned_run_id.make (0)
			end
			is_null_assigned_run_id := s = Void or else s.count = 0
		end

	set_creator (s: STRING)
		do
			change_field (True, True)
			creator := s
			if s = Void then
				create creator.make (0)
			end
			is_null_creator := s = Void or else s.count = 0
		end

	set_cust_acct_access_predicate (s: STRING)
		do
			change_field (True, True)
			cust_acct_access_predicate := s
			if s = Void then
				create cust_acct_access_predicate.make (0)
			end
			is_null_cust_acct_access_predicate := s = Void or else s.count = 0
		end

	set_date_created (d: DB_DATE)
		do
			change_field (True, True)
			date_created := d
			if d = Void then
				create {ORACLE_DATE} date_created.set_null
			end
			is_null_date_created := d = Void or else d.is_null
		end

	set_dedicated_cust_acct_no (k: INTEGER)
		do
			change_field (True, True)
			dedicated_cust_acct_no := k
			is_null_dedicated_cust_acct_no := False
		end

	set_descr (s: STRING)
		do
			change_field (True, True)
			descr := s
			if s = Void then
				create descr.make (0)
			end
			is_null_descr := s = Void or else s.count = 0
		end

	set_field_set_name (s: STRING)
		do
			change_field (True, True)
			field_set_name := s
			if s = Void then
				create field_set_name.make (0)
			end
			is_null_field_set_name := s = Void or else s.count = 0
		end

	set_horizontal_scribe_width (d: DOUBLE)
		do
			change_field (True, True)
			horizontal_scribe_width := d
			is_null_horizontal_scribe_width := False
		end

	set_intended_run (s: STRING)
		do
			change_field (True, True)
			intended_run := s
			if s = Void then
				create intended_run.make (0)
			end
			is_null_intended_run := s = Void or else s.count = 0
		end

	set_is_educational (b: BOOLEAN)
		do
			change_field (True, True)
			is_educational := b
			is_null_is_educational := False
		end

	set_is_taxi (b: BOOLEAN)
		do
			change_field (True, True)
			is_taxi := b
			is_null_is_taxi := False
		end

	set_other_border (d: DOUBLE)
		do
			change_field (True, True)
			other_border := d
			is_null_other_border := False
		end

	set_overhead_style (s: STRING)
		do
			change_field (True, True)
			overhead_style := s
			if s = Void then
				create overhead_style.make (0)
			end
			is_null_overhead_style := s = Void or else s.count = 0
		end

	set_packed_with_new_packer (b: BOOLEAN)
		do
			change_field (True, True)
			packed_with_new_packer := b
			is_null_packed_with_new_packer := False
		end

	set_packing_id (s: STRING)
		do
			change_key_field
			packing_id := s
			if s = Void then
				create packing_id.make (0)
			end
			is_null_packing_id := s = Void or else s.count = 0
		end

	set_run_type (s: STRING)
		do
			change_field (True, True)
			run_type := s
			if s = Void then
				create run_type.make (0)
			end
			is_null_run_type := s = Void or else s.count = 0
		end

	set_sched_run_no (k: INTEGER)
		do
			change_field (True, True)
			sched_run_no := k
			is_null_sched_run_no := False
		end

	set_uniform_override_border (d: DOUBLE)
		do
			change_field (True, True)
			uniform_override_border := d
			is_null_uniform_override_border := False
		end

	set_vertical_scribe_width (d: DOUBLE)
		do
			change_field (True, True)
			vertical_scribe_width := d
			is_null_vertical_scribe_width := False
		end

	set_wafer_techn (s: STRING)
		do
			change_field (True, True)
			wafer_techn := s
			if s = Void then
				create wafer_techn.make (0)
			end
			is_null_wafer_techn := s = Void or else s.count = 0
		end

	set_wafer_techn_family (s: STRING)
		do
			change_field (True, True)
			wafer_techn_family := s
			if s = Void then
				create wafer_techn_family.make (0)
			end
			is_null_wafer_techn_family := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_assigned_run_id
		do
			set_assigned_run_id (Void)
		end

	set_null_cust_acct_access_predicate
		do
			set_cust_acct_access_predicate (Void)
		end

	set_null_dedicated_cust_acct_no
		do
			change_field (True, True)
			dedicated_cust_acct_no := 0
			is_null_dedicated_cust_acct_no := True
		end

	set_null_descr
		do
			set_descr (Void)
		end

	set_null_horizontal_scribe_width
		do
			change_field (True, True)
			horizontal_scribe_width := 0.0
			is_null_horizontal_scribe_width := True
		end

	set_null_intended_run
		do
			set_intended_run (Void)
		end

	set_null_overhead_style
		do
			set_overhead_style (Void)
		end

	set_null_uniform_override_border
		do
			change_field (True, True)
			uniform_override_border := 0.0
			is_null_uniform_override_border := True
		end

	set_null_vertical_scribe_width
		do
			change_field (True, True)
			vertical_scribe_width := 0.0
			is_null_vertical_scribe_width := True
		end

feature -- Row copy

	copy_from_row (r: like original_row)
		do
			if r.is_null_assigned_run_id then
				set_null_assigned_run_id
			else
				set_assigned_run_id (r.assigned_run_id)
			end
			if r.is_null_creator then
				handle_null_copy_error ("creator")
			else
				set_creator (r.creator)
			end
			if r.is_null_cust_acct_access_predicate then
				set_null_cust_acct_access_predicate
			else
				set_cust_acct_access_predicate (r.cust_acct_access_predicate)
			end
			if r.is_null_date_created then
				handle_null_copy_error ("date_created")
			else
				set_date_created (r.date_created)
			end
			if r.is_null_dedicated_cust_acct_no then
				set_null_dedicated_cust_acct_no
			else
				set_dedicated_cust_acct_no (r.dedicated_cust_acct_no)
			end
			if r.is_null_descr then
				set_null_descr
			else
				set_descr (r.descr)
			end
			if r.is_null_field_set_name then
				handle_null_copy_error ("field_set_name")
			else
				set_field_set_name (r.field_set_name)
			end
			if r.is_null_horizontal_scribe_width then
				set_null_horizontal_scribe_width
			else
				set_horizontal_scribe_width (r.horizontal_scribe_width)
			end
			if r.is_null_intended_run then
				set_null_intended_run
			else
				set_intended_run (r.intended_run)
			end
			if r.is_null_is_educational then
				handle_null_copy_error ("is_educational")
			else
				set_is_educational (r.is_educational)
			end
			if r.is_null_is_taxi then
				handle_null_copy_error ("is_taxi")
			else
				set_is_taxi (r.is_taxi)
			end
			if r.is_null_other_border then
				handle_null_copy_error ("other_border")
			else
				set_other_border (r.other_border)
			end
			if r.is_null_overhead_style then
				set_null_overhead_style
			else
				set_overhead_style (r.overhead_style)
			end
			if r.is_null_packed_with_new_packer then
				handle_null_copy_error ("packed_with_new_packer")
			else
				set_packed_with_new_packer (r.packed_with_new_packer)
			end
			if r.is_null_packing_id then
				handle_null_copy_error ("packing_id")
			else
				set_packing_id (r.packing_id)
			end
			if r.is_null_run_type then
				handle_null_copy_error ("run_type")
			else
				set_run_type (r.run_type)
			end
			if r.is_null_sched_run_no then
				handle_null_copy_error ("sched_run_no")
			else
				set_sched_run_no (r.sched_run_no)
			end
			if r.is_null_uniform_override_border then
				set_null_uniform_override_border
			else
				set_uniform_override_border (r.uniform_override_border)
			end
			if r.is_null_vertical_scribe_width then
				set_null_vertical_scribe_width
			else
				set_vertical_scribe_width (r.vertical_scribe_width)
			end
			if r.is_null_wafer_techn then
				handle_null_copy_error ("wafer_techn")
			else
				set_wafer_techn (r.wafer_techn)
			end
			if r.is_null_wafer_techn_family then
				handle_null_copy_error ("wafer_techn_family")
			else
				set_wafer_techn_family (r.wafer_techn_family)
			end
			original_row := r
			set_implicit_connection (r.any_connection)
		end

	detached_twin: like Current
		do
			create Result.make_detached (any_connection)
			Result.copy_from_row (Current)
		end

feature {NONE} -- Initialization

	set_default_values
		do
			is_educational := False
			is_null_is_educational := False
			packed_with_new_packer := False
			is_null_packed_with_new_packer := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, assigned_run_id, is_null_assigned_run_id)
			s.bind_num_to_string (2, creator, is_null_creator)
			s.bind_num_to_string (3, cust_acct_access_predicate, is_null_cust_acct_access_predicate)
			s.bind_num_to_date (4, date_created, is_null_date_created)
			s.bind_num_to_integer (5, dedicated_cust_acct_no, is_null_dedicated_cust_acct_no)
			s.bind_num_to_string (6, descr, is_null_descr)
			s.bind_num_to_string (7, field_set_name, is_null_field_set_name)
			s.bind_num_to_double (8, horizontal_scribe_width, is_null_horizontal_scribe_width)
			s.bind_num_to_string (9, intended_run, is_null_intended_run)
			s.bind_num_to_boolean (10, is_educational, is_null_is_educational)
			s.bind_num_to_boolean (11, is_taxi, is_null_is_taxi)
			s.bind_num_to_double (12, other_border, is_null_other_border)
			s.bind_num_to_string (13, overhead_style, is_null_overhead_style)
			s.bind_num_to_boolean (14, packed_with_new_packer, is_null_packed_with_new_packer)
			s.bind_num_to_string (15, packing_id, is_null_packing_id)
			s.bind_num_to_string (16, run_type, is_null_run_type)
			s.bind_num_to_integer (17, sched_run_no, is_null_sched_run_no)
			s.bind_num_to_double (18, uniform_override_border, is_null_uniform_override_border)
			s.bind_num_to_double (19, vertical_scribe_width, is_null_vertical_scribe_width)
			s.bind_num_to_string (20, wafer_techn, is_null_wafer_techn)
			s.bind_num_to_string (21, wafer_techn_family, is_null_wafer_techn_family)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14, :15, :16,%N  :17, :18, :19, :20, :21"

	bind_list_for_update: STRING = "  assigned_run_id = :1, creator = :2, cust_acct_access_predicate = :3,%N  date_created = :4, dedicated_cust_acct_no = :5, descr = :6,%N  field_set_name = :7, horizontal_scribe_width = :8, intended_run = :9,%N  is_educational = :10, is_taxi = :11, other_border = :12,%N  overhead_style = :13, packed_with_new_packer = :14, packing_id = :15,%N  run_type = :16, sched_run_no = :17, uniform_override_border = :18,%N  vertical_scribe_width = :19, wafer_techn = :20, wafer_techn_family = :21"

end
