
note

	date: "Mon Apr 30 16:01:59 2012"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"RUN_PACKAGING_LOTS (MOSIS.RUN_PACKAGING_LOTS)"
			-- Included columns
			-- 	COMMENTS
			-- 	DATE_RECEIVED
			-- 	DATE_RECEIVED_STATUS
			-- 	DATE_SENT
			-- 	DIE_THICKNESS_MILS
			-- 	IS_ACTUAL_DATE_SENT
			-- 	IS_DIE_FORM
			-- 	PACKAGING_LOT_NO
			-- 	PACKAGING_ORDER_TYPE
			-- 	PACKAGING_ORG_NO
			-- 	PRODUCTION_ID
			-- 	QUANTITY_WAFERS_SENT
			-- 	RUN_ID
			-- 	WAFER_PROCESS
			-- Excluded columns
			-- 	(none)

class RUN_PACKAGING_LOTS_MRAW

inherit

	DB_DELETABLE_ROW
		redefine
			set_default_values
		end
	RUN_PACKAGING_LOTS_RAW
		undefine
			initialize_new, initialize_new_by_key
		end

create

	make_template, make_null, make_detached, make_by_key

feature -- Modification

	set_comments (s: STRING)
		do
			change_field (True, True)
			comments := s
			if s = Void then
				create comments.make (0)
			end
			is_null_comments := s = Void or else s.count = 0
		end

	set_date_received (d: DB_DATE)
		do
			change_field (True, True)
			date_received := d
			if d = Void then
				create {ORACLE_DATE} date_received.set_null
			end
			is_null_date_received := d = Void or else d.is_null
		end

	set_date_received_status (s: STRING)
		do
			change_field (True, True)
			date_received_status := s
			if s = Void then
				create date_received_status.make (0)
			end
			is_null_date_received_status := s = Void or else s.count = 0
		end

	set_date_sent (d: DB_DATE)
		do
			change_field (True, True)
			date_sent := d
			if d = Void then
				create {ORACLE_DATE} date_sent.set_null
			end
			is_null_date_sent := d = Void or else d.is_null
		end

	set_die_thickness_mils (r: REAL)
		do
			change_field (True, True)
			die_thickness_mils := r
			is_null_die_thickness_mils := False
		end

	set_is_actual_date_sent (b: BOOLEAN)
		do
			change_field (True, True)
			is_actual_date_sent := b
			is_null_is_actual_date_sent := False
		end

	set_is_die_form (b: BOOLEAN)
		do
			change_field (True, True)
			is_die_form := b
			is_null_is_die_form := False
		end

	set_packaging_lot_no (k: INTEGER)
		do
			change_key_field
			packaging_lot_no := k
			is_null_packaging_lot_no := False
		end

	set_packaging_order_type (s: STRING)
		do
			change_field (True, True)
			packaging_order_type := s
			if s = Void then
				create packaging_order_type.make (0)
			end
			is_null_packaging_order_type := s = Void or else s.count = 0
		end

	set_packaging_org_no (k: INTEGER)
		do
			change_field (True, True)
			packaging_org_no := k
			is_null_packaging_org_no := False
		end

	set_production_id (s: STRING)
		do
			change_field (True, True)
			production_id := s
			if s = Void then
				create production_id.make (0)
			end
			is_null_production_id := s = Void or else s.count = 0
		end

	set_quantity_wafers_sent (k: INTEGER)
		do
			change_field (True, True)
			quantity_wafers_sent := k
			is_null_quantity_wafers_sent := False
		end

	set_run_id (s: STRING)
		do
			change_key_field
			run_id := s
			if s = Void then
				create run_id.make (0)
			end
			is_null_run_id := s = Void or else s.count = 0
		end

	set_wafer_process (s: STRING)
		do
			change_field (True, True)
			wafer_process := s
			if s = Void then
				create wafer_process.make (0)
			end
			is_null_wafer_process := s = Void or else s.count = 0
		end

feature -- Modification to null

	set_null_comments
		do
			set_comments (Void)
		end

	set_null_date_received
		do
			set_date_received (Void)
		end

	set_null_date_received_status
		do
			set_date_received_status (Void)
		end

	set_null_date_sent
		do
			set_date_sent (Void)
		end

	set_null_die_thickness_mils
		do
			change_field (True, True)
			die_thickness_mils := {REAL_32} 0.0
			is_null_die_thickness_mils := True
		end

	set_null_quantity_wafers_sent
		do
			change_field (True, True)
			quantity_wafers_sent := 0
			is_null_quantity_wafers_sent := True
		end

	set_null_wafer_process
		do
			set_wafer_process (Void)
		end

feature {NONE} -- Initialization

	set_default_values
		do
			die_thickness_mils := {REAL_32} 10.0
			is_null_die_thickness_mils := False
		end

feature {NONE} -- Binding

	bind (s: SQL_STATEMENT)
		do
			s.bind_num_to_string (1, comments, is_null_comments)
			s.bind_num_to_date (2, date_received, is_null_date_received)
			s.bind_num_to_string (3, date_received_status, is_null_date_received_status)
			s.bind_num_to_date (4, date_sent, is_null_date_sent)
			s.bind_num_to_real (5, die_thickness_mils, is_null_die_thickness_mils)
			s.bind_num_to_boolean (6, is_actual_date_sent, is_null_is_actual_date_sent)
			s.bind_num_to_boolean (7, is_die_form, is_null_is_die_form)
			s.bind_num_to_integer (8, packaging_lot_no, is_null_packaging_lot_no)
			s.bind_num_to_string (9, packaging_order_type, is_null_packaging_order_type)
			s.bind_num_to_integer (10, packaging_org_no, is_null_packaging_org_no)
			s.bind_num_to_string (11, production_id, is_null_production_id)
			s.bind_num_to_integer (12, quantity_wafers_sent, is_null_quantity_wafers_sent)
			s.bind_num_to_string (13, run_id, is_null_run_id)
			s.bind_num_to_string (14, wafer_process, is_null_wafer_process)
		end

	bind_list_for_insert: STRING = "  :1, :2, :3, :4, :5, :6, :7, :8, :9, :10, :11, :12, :13, :14"

	bind_list_for_update: STRING = "  comments = :1, date_received = :2, date_received_status = :3,%N  date_sent = :4, die_thickness_mils = :5, is_actual_date_sent = :6,%N  is_die_form = :7, packaging_lot_no = :8, packaging_order_type = :9,%N  packaging_org_no = :10, production_id = :11, quantity_wafers_sent = :12,%N  run_id = :13, wafer_process = :14"

end
