
note

	date: "Mon Apr  4 14:16:28 2011"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user DHOLLEN"
	database_tables: 
		"SCHEDULED_RUN_CUST_ACCTS (MOSIS.SCHEDULED_RUN_CUST_ACCTS)"
			-- Included columns
			-- 	CUST_ACCT_NO
			-- 	SCHED_RUN_NO
			-- Excluded columns
			-- 	(none)

class SCHEDULED_RUN_CUST_ACCTS_RAW

inherit

	DB_LOCKABLE_ROW

create

	make_template, make_null, make_detached, make_by_key

feature -- Creation

	make_by_key (c: DB_CONNECTION; o: DB_QUERY_OPTION; the_sched_run_no: INTEGER; the_cust_acct_no: INTEGER)
		require
			connection_exists: c /= Void
			option_exists: o /= Void
		do
			if is_registered then
				handle_reuse_error
			end
			sched_run_no := the_sched_run_no
			cust_acct_no := the_cust_acct_no
			is_null_sched_run_no := False
			is_null_cust_acct_no := False
			std_make_by_key (c, o)
		end

feature -- Properties

	real_column_count: INTEGER = 2

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  cust_acct_no, sched_run_no"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "scheduled_run_cust_accts srca"

	join_condition: STRING = ""

	table_name: STRING = "scheduled_run_cust_accts"

	key_where_clause: STRING = "sched_run_no = :1 and cust_acct_no = :2"

feature -- Values

	cust_acct_no: INTEGER
			-- DB: NUMBER(6,0) not null

	sched_run_no: INTEGER
			-- DB: NUMBER(6,0) not null

feature -- Nullness for non-null columns

	is_null_cust_acct_no: BOOLEAN
	is_null_sched_run_no: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and cust_acct_no = r.cust_acct_no
				and sched_run_no = r.sched_run_no
			Result := Result
				and is_null_cust_acct_no = r.is_null_cust_acct_no
				and is_null_sched_run_no = r.is_null_sched_run_no
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_integer (1)
			q.select_integer (2)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			cust_acct_no := q.integer_value (1)
			sched_run_no := q.integer_value (2)
		end

	fill_in_references (q: SQL_QUERY)
		do
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_cust_acct_no := q.is_null (1)
			is_null_sched_run_no := q.is_null (2)
		end

feature {NONE} -- Initialization

	set_null_key
		do
			is_null_sched_run_no := True
			is_null_cust_acct_no := True
		end

	set_null_nonkey
		do
		end

feature {NONE} -- Binding

	bind_key (q: SQL_QUERY)
		do
			q.bind_num_to_integer (1, sched_run_no, False)
			q.bind_num_to_integer (2, cust_acct_no, False)
		end

feature {NONE} -- Comparison

	same_values (q: SQL_QUERY): BOOLEAN
		local
		do
			Result := True
			Result := Result
				and cust_acct_no = q.integer_value (1)
				and sched_run_no = q.integer_value (2)
			Result := Result
				and is_null_cust_acct_no = q.is_null (1)
				and is_null_sched_run_no = q.is_null (2)
		end

end
