
note

	date: "Thu Jan 21 12:59:49 2010"
	author: "Generated automatically by the Eiffel class generator"
	description: "Application DELTA, database user ALLMOSIS"
	database_tables: 
		"WAFER_TYPES (MOSIS.WAFER_TYPES)"
			-- Included columns
			-- 	MATERIAL_TYPE
			-- 	MAX_PRIMARY_FLAT_INDENT
			-- 	MAX_PRIMARY_FLAT_LENGTH
			-- 	MAX_SECONDARY_FLAT_INDENT
			-- 	MAX_SECONDARY_FLAT_LENGTH
			-- 	SECONDARY_FLAT_ORIENTATION
			-- 	WAFER_DIAMETER
			-- 	WAFER_SHAPE
			-- 	WAFER_THICKNESS
			-- 	WAFER_TYPE_ID
			-- Excluded columns
			-- 	(none)

class WAFER_TYPES_RAW

inherit

	DB_ANONYMOUS_ROW

create

	make_template, make_null, make_detached

feature -- Properties

	real_column_count: INTEGER = 10

	pseudo_column_count: INTEGER = 0

	real_column_names: STRING = "  material_type, max_primary_flat_indent, max_primary_flat_length,%N  max_secondary_flat_indent, max_secondary_flat_length,%N  secondary_flat_orientation, wafer_diameter, wafer_shape, wafer_thickness,%N  wafer_type_id"

	pseudo_column_names: STRING = ""

	select_list: STRING
		once
			Result := new_select_list
		end

	table_and_alias_names: STRING = "wafer_types wtypv"

	join_condition: STRING = ""

	table_count: INTEGER = 1

	group_by: STRING = ""

feature -- Values

	material_type: STRING
			-- DB: VARCHAR2(60) not null

	max_primary_flat_indent: DOUBLE
			-- DB: NUMBER(*,*)

	max_primary_flat_length: DOUBLE
			-- DB: NUMBER(*,*)

	max_secondary_flat_indent: DOUBLE
			-- DB: NUMBER(*,*)

	max_secondary_flat_length: DOUBLE
			-- DB: NUMBER(*,*)

	secondary_flat_orientation: INTEGER
			-- DB: NUMBER(2,0)

	wafer_diameter: DOUBLE
			-- DB: NUMBER(*,*)

	wafer_shape: STRING
			-- DB: VARCHAR2(15)

	wafer_thickness: DOUBLE
			-- DB: NUMBER(*,*)

	wafer_type_id: STRING
			-- DB: VARCHAR2(20) not null

feature -- Nullness for null allowed columns

	is_null_max_primary_flat_indent: BOOLEAN
	is_null_max_primary_flat_length: BOOLEAN
	is_null_max_secondary_flat_indent: BOOLEAN
	is_null_max_secondary_flat_length: BOOLEAN
	is_null_secondary_flat_orientation: BOOLEAN
	is_null_wafer_diameter: BOOLEAN
	is_null_wafer_shape: BOOLEAN
	is_null_wafer_thickness: BOOLEAN

feature -- Nullness for non-null columns

	is_null_material_type: BOOLEAN
	is_null_wafer_type_id: BOOLEAN

feature -- Comparison

	key_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
		end

	nonkey_columns_equal (r: like Current): BOOLEAN
		do
			Result := True
			Result := Result
				and max_primary_flat_indent = r.max_primary_flat_indent
				and max_primary_flat_length = r.max_primary_flat_length
				and max_secondary_flat_indent = r.max_secondary_flat_indent
				and max_secondary_flat_length = r.max_secondary_flat_length
				and secondary_flat_orientation = r.secondary_flat_orientation
				and wafer_diameter = r.wafer_diameter
				and wafer_thickness = r.wafer_thickness
			Result := Result
				and equal (material_type, r.material_type)
				and equal (wafer_shape, r.wafer_shape)
				and equal (wafer_type_id, r.wafer_type_id)
			Result := Result
				and is_null_material_type = r.is_null_material_type
				and is_null_max_primary_flat_indent = r.is_null_max_primary_flat_indent
				and is_null_max_primary_flat_length = r.is_null_max_primary_flat_length
				and is_null_max_secondary_flat_indent = r.is_null_max_secondary_flat_indent
				and is_null_max_secondary_flat_length = r.is_null_max_secondary_flat_length
				and is_null_secondary_flat_orientation = r.is_null_secondary_flat_orientation
				and is_null_wafer_diameter = r.is_null_wafer_diameter
				and is_null_wafer_shape = r.is_null_wafer_shape
				and is_null_wafer_thickness = r.is_null_wafer_thickness
				and is_null_wafer_type_id = r.is_null_wafer_type_id
		end

feature {NONE} -- Select item definition

	define_real_select_items (q: SQL_QUERY)
		do
			q.select_string (1, 60)
			q.select_double (2)
			q.select_double (3)
			q.select_double (4)
			q.select_double (5)
			q.select_integer (6)
			q.select_double (7)
			q.select_string (8, 15)
			q.select_double (9)
			q.select_string (10, 20)
		end

	define_pseudo_select_items (q: SQL_QUERY)
		do
		end

feature {NONE} -- Row fill in

	fill_in_basics (q: SQL_QUERY)
		do
			max_primary_flat_indent := q.double_value (2)
			max_primary_flat_length := q.double_value (3)
			max_secondary_flat_indent := q.double_value (4)
			max_secondary_flat_length := q.double_value (5)
			secondary_flat_orientation := q.integer_value (6)
			wafer_diameter := q.double_value (7)
			wafer_thickness := q.double_value (9)
		end

	fill_in_references (q: SQL_QUERY)
		do
			material_type := q.string_value (1)
			wafer_shape := q.string_value (8)
			wafer_type_id := q.string_value (10)
		end

	fill_in_references_reused (q: SQL_QUERY)
		do
			q.get_string_value (1, material_type)
			q.get_string_value (8, wafer_shape)
			q.get_string_value (10, wafer_type_id)
		end

	fill_in_nulls (q: SQL_QUERY)
		do
			is_null_material_type := q.is_null (1)
			is_null_max_primary_flat_indent := q.is_null (2)
			is_null_max_primary_flat_length := q.is_null (3)
			is_null_max_secondary_flat_indent := q.is_null (4)
			is_null_max_secondary_flat_length := q.is_null (5)
			is_null_secondary_flat_orientation := q.is_null (6)
			is_null_wafer_diameter := q.is_null (7)
			is_null_wafer_shape := q.is_null (8)
			is_null_wafer_thickness := q.is_null (9)
			is_null_wafer_type_id := q.is_null (10)
		end

feature {NONE} -- Initialization

	set_null
		do
			is_null_material_type := True
			is_null_max_primary_flat_indent := True
			is_null_max_primary_flat_length := True
			is_null_max_secondary_flat_indent := True
			is_null_max_secondary_flat_length := True
			is_null_secondary_flat_orientation := True
			is_null_wafer_diameter := True
			is_null_wafer_shape := True
			is_null_wafer_thickness := True
			is_null_wafer_type_id := True
			create material_type.make (0)
			create wafer_shape.make (0)
			create wafer_type_id.make (0)
		end

end
