class FILLERS_ROW

inherit
	FILLERS_RAW

create

        make_template, make_null, make_detached, make_by_key

feature	-- status

	step: POINT
		-- step_x, step_y as a point
	do  create Result.make_xy(step_x, step_y)
	end;

	structure_name: STRING
		-- proposed structure name for body
	do  Result := "FILLER_" + filler_id
	end;

feature	-- my elements and my body

	elements: LIST[FILLER_ELEMENTS_ROW]
	local b: DB_BIND_S; r: FILLER_ELEMENTS_ROW
	do  if cached_elements = Void then
		create b.make(filler_id);
		create r.make_template
		cached_elements := 
			r.all_rows_filtered(connection,
					    "filler_id = :1", b)
	    end
	    Result := cached_elements
	end;

feature	{NONE} -- caches for the above

	cached_elements: like elements

end -- FILLERS_ROW
