
note

	author: "Generated"
	date: "Wed Jun 18 12:57:24 PDT 2003"

class MASK_SIZES_ROW
inherit
	MASK_SIZES_RAW
	ROW_COUNT_CHECK_ACCESS
create
	make_template, make_null, make_by_key

feature -- Properties

	mask_sizes_with_name (size_id: STRING conn: DB_CONNECTION range: ITEM_COUNT_RANGE): LIST [like Current]
			-- All rows with mask size id `size_id'
		require
			size_id_exists: size_id /= Void
			connection_exists: conn /= Void
			connection_open: conn.is_open
			range_exists: range /= Void
		local
			b: DB_BIND_S
		do
			create b.make (size_id)
			Result := all_rows_filtered (conn, "mask_size_id = :1", b)
			check_row_count (Result, range)
		ensure
			result_exists: Result /= Void
		end

	mask_size: CONST_POINT
			-- Size of mask
		do
			create Result.make_xy (mask_size_x, mask_size_y)
		ensure
			result_exists: Result /= Void
		end

end
