class PACKING_TARGETS_ROW

inherit
	PACKING_TARGETS_RAW

create
	make_template, make_null, make_detached, make_by_key

feature -- Properties

	is_standard_reticle: BOOLEAN
			-- Is `Current' a standard (non-custom) reticle?
		do
			Result := not is_custom and is_reticle
		end

	is_custom_reticle: BOOLEAN
			-- Is `Current' a custom reticle?
		do
			Result := is_custom and is_reticle
		end

	is_unpacked_die: BOOLEAN
			-- Is `Current' unpacked die?
		do
			Result := not is_custom and not is_reticle and not is_field_merged
		end

end -- PACKING_TARGETS_ROW
