
note
	
	description: "Change that changed object rotation"
	author: "David Hollenberg"
	date: "January 25, 2007"

class ORIENTATION_CHANGE
inherit
	RETICLE_SIMPLE_CHANGE
		rename
			make as simple_make
		export
			{NONE} simple_make
		end

create
	make

feature {NONE} -- Creation

	make (an_element: RETICLE_VIEW_ELEMENT an_old_rotation, a_new_rotation: INTEGER)
		do
			simple_make (an_element)
			old_rotation := an_old_rotation
			new_rotation := a_new_rotation
		end

feature -- Properties

	old_rotation: INTEGER
			-- Rotation before change

	new_rotation: INTEGER
			-- Rotation after change

feature -- Operations

	undo
			-- Undo change
		do
			element.set_rotation (old_rotation)
		end

	redo
			-- Redo change
		do
			element.set_rotation (new_rotation)
		end

end
