
note
	
	description: "Change that alter position of an object in X and/or Y"
	author: "David Hollenberg"
	date: "January 25, 2007"

class POSITION_CHANGE
inherit
	RETICLE_SIMPLE_CHANGE
		rename
			make as simple_make
		export
			{NONE} simple_make
		end

create
	make

feature {NONE} -- Creation

	make (an_element: RETICLE_VIEW_ELEMENT a_move_distance: CONST_POINT)
		do
			simple_make (an_element)
			create distance.make_xy (a_move_distance.x, a_move_distance.y)
		end

feature -- Properties

	distance: CONST_POINT
			-- Distance object moved

feature -- Operations

	undo
			-- Undo change
		do
			element.move_by (create {CONST_POINT}.make_xy (-distance.x, -distance.y))
		end

	redo
			-- Redo change
		do
			element.move_by (distance)
		end

end
