note
	
	description: "Abstraction for object that may have a center in X"
	author: "David Hollenberg"
	date: "February 4, 2004"

deferred class HAS_CENTER_X
feature
	has_center_x: BOOLEAN
		deferred
		end

	center_x: DOUBLE
		require
			has_center_x: has_center_x
		deferred
		end
	
	center_x_string: STRING
			-- Associated center in X as a string
		deferred
		ensure
			result_exists: Result /= Void
		end
end
