
note
	
	description: "Abstraction for object that may have a 'fixed in X' attribute"
	author: "David Hollenberg"
	date: "October 12, 2004"

deferred class HAS_FIXED_IN_X
feature
	has_fixed_in_x: BOOLEAN
			-- Does `Current' have an associated "is fixed in X"
			-- attribute?
		deferred
		end

	is_fixed_in_x: BOOLEAN
			-- Associated "is fixed in X" attribute
		require
			has_fixed_in_x: has_fixed_in_x
		deferred
		end
end
