note
	
	description: "Abstraction for object that may have a gridded center in X"
	author: "David Hollenberg"
	date: "February 4, 2004"

deferred class HAS_GRIDDED_CENTER_X
feature
	has_gridded_center_x: BOOLEAN
			-- Is there a gridded center in X?
		deferred
		end

	gridded_center_x: DOUBLE
			-- Gridded center in X
		require
			has_gridded_center_x: has_gridded_center_x
		deferred
		end
	
	gridded_center_x_string: STRING
			-- Associated center in X as a string
		deferred
		ensure
			result_exists: Result /= Void
		end
end
