note
	
	description: "Abstraction for object that may have a size in Y that falls on a grid"
	author: "David Hollenberg"
	date: "February 4, 2004"

deferred class HAS_GRIDDED_SIZE_Y
feature
	has_gridded_size_y: BOOLEAN
		deferred
		end

	gridded_size_y: DOUBLE
		require
			has_gridded_size_y: has_gridded_size_y
		deferred
		end
	
	gridded_size_y_string: STRING
			-- Associated gridded size in Y as a string
		deferred
		ensure
			result_exists: Result /= Void
		end
end
