note
	
	description: "Abstraction for object that may have a left edge in X"
	author: "David Hollenberg"
	date: "February 4, 2004"

deferred class HAS_LEFT_X
feature
	has_left_x: BOOLEAN
		deferred
		end

	left_x: DOUBLE
		require
			has_left_x: has_left_x
		deferred
		end
	
	left_x_string: STRING
			-- Associated left X as a string
		deferred
		ensure
			result_exists: Result /= Void
		end
end
