
note
	
	description: "Object that can have a grid"
	author: "David Hollenberg"
	date: "January 4, 2007"

class GRIDABLE

feature -- Properties

	grid: GRID
			-- Grid for objects edges and sizes

feature -- Modification

	set_grid (a_grid: like grid)
			-- Set `grid to `a_grid'
		require
			a_grid_not_void: a_grid /= Void
		do
			grid := a_grid
		ensure
			grid_set: grid = a_grid
		end

end
