
note
	
	description: "Standard item count ranges"
	author: "David Hollenberg"
	date: "June 4, 2003"

class ITEM_COUNT_RANGES

feature -- Properties

	exactly_one: ITEM_COUNT_RANGE
		once
			create Result.make_exact (1)
		ensure
			result_exists: Result /= Void
		end

	at_least_one: ITEM_COUNT_RANGE
		once
			create Result.make_at_least (1)
		ensure
			result_exists: Result /= Void
		end

	at_most_one: ITEM_COUNT_RANGE
		once
			create Result.make_at_most (1)
		ensure
			result_exists: Result /= Void
		end

	more_than_one: ITEM_COUNT_RANGE
		once
			create Result.make_more_than (1)
		ensure
			result_exists: Result /= Void
		end

	exactly_zero: ITEM_COUNT_RANGE
		once
			create Result.make_exact (0)
		ensure
			result_exists: Result /= Void
		end

	at_least_zero: ITEM_COUNT_RANGE
		once
			create Result.make_at_least (0)
		ensure
			result_exists: Result /= Void
		end

	more_than_zero: ITEM_COUNT_RANGE
		once
			create Result.make_more_than (0)
		ensure
			result_exists: Result /= Void
		end

end
